/////////////////////////////////////////////////////////////////////////////////
///
/// Copyright (c) 1999-2017, Parallels International GmbH
/// Copyright (c) 2017-2019 Virtuozzo International GmbH, All rights reserved.
///
/// This file is part of Virtuozzo Core Libraries. Virtuozzo Core
/// Libraries is free software; you can redistribute it and/or modify it
/// under the terms of the GNU Lesser General Public License as published
/// by the Free Software Foundation; either version 2.1 of the License, or
/// (at your option) any later version.
///
/// This library is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
/// Lesser General Public License for more details.
///
/// You should have received a copy of the GNU Lesser General Public
/// License along with this library.  If not, see
/// <http://www.gnu.org/licenses/> or write to Free Software Foundation,
/// 51 Franklin Street, Fifth Floor Boston, MA 02110, USA.
///
/// Our contact details: Virtuozzo International GmbH, Vordergasse 59, 8200
/// Schaffhausen, Switzerland.
///
/// MODULE: VendorList.h
///
/// DESCRIPTION:
///		Autogenerated Vendor List
///
////////////////////////////////////////////////////////////////////////////////

// TODO: Write parser to update list --> http://www.linux-usb.org/usb.ids

#ifndef __VENDOR_LIST_H__
#define __VENDOR_LIST_H__

// Device Structure
typedef struct
{
	UINT			uDeviceID;
	const CHAR*			szDevice;
} USB_DEVICE_ID, *PUSB_DEVICE_ID;

// Vendor Structure
typedef struct
{
	UINT			uVendorID;
	PUSB_DEVICE_ID	pUsbDevice;
	const CHAR*			szVendor;
} USB_VENDOR_ID, *PUSB_VENDOR_ID;

#ifndef _T
#define _T(a) (a)
#endif

// Fry's Electronics Devices
USB_DEVICE_ID	vid_00000001[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ingram Devices
USB_DEVICE_ID	vid_00000002[] =
{
	{0x80000000, _T("Usb Device")}
};

// Club Mac Devices
USB_DEVICE_ID	vid_00000003[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nebraska Furniture Mart Devices
USB_DEVICE_ID	vid_00000004[] =
{
	{0x80000000, _T("Usb Device")}
};

// LTS Devices
USB_DEVICE_ID	vid_00000386[] =
{
	{0x00000001, _T("PSX for USB Converter")},
	{0x80000000, _T("Usb Device")}
};

// EndPoints Devices
USB_DEVICE_ID	vid_000003e8[] =
{
	{0x00000004, _T("SE401 WebCam")},
	{0x00000008, _T("101 Ethernet [klsi]")},
	{0x80000000, _T("Usb Device")}
};

// Thesys Microelectronics Devices
USB_DEVICE_ID	vid_000003e9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Data Broadcasting Devices
USB_DEVICE_ID	vid_000003ea[] =
{
	{0x80000000, _T("Usb Device")}
};

// Atmel Devices
USB_DEVICE_ID	vid_000003eb[] =
{
	{0x00002002, _T("Mass Storage Device")},
	{0x00002103, _T("JTAG ICE mkII")},
	{0x00003301, _T("at43301 4-port Hub")},
	{0x00003312, _T("4-port Hub")},
	{0x00005601, _T("at76c510 Prism-II 802.11b Access Point")},
	{0x00005603, _T("Cisco 7920 WiFi IP Phone")},
	{0x00007603, _T("at76c503a D-Link DWL-120 802.11b Adapter")},
	{0x00007605, _T("at76c503a 802.11b Adapter")},
	{0x00007606, _T("at76c505 802.11b Adapter")},
	{0x00007611, _T("at76c510 rfmd2948 802.11b Access Point")},
	{0x80000000, _T("Usb Device")}
};

// Iwatsu America Devices
USB_DEVICE_ID	vid_000003ec[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mitel Devices
USB_DEVICE_ID	vid_000003ed[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mitsumi Devices
USB_DEVICE_ID	vid_000003ee[] =
{
	{0x00000000, _T("CD-R/RW Drive")},
	{0x0000641f, _T("WIF-0402C Bluetooth Adapter")},
	{0x00006440, _T("WML-C52APR Bluetooth Adapter")},
	{0x00006901, _T("SmartDisk FDD")},
	{0x80000000, _T("Usb Device")}
};

// Hewlett-Packard Devices
USB_DEVICE_ID	vid_000003f0[] =
{
	{0x00000004, _T("DeskJet 895c")},
	{0x00000101, _T("ScanJet 4100c")},
	{0x00000102, _T("PhotoSmart S20")},
	{0x00000104, _T("DeskJet 880c/970c")},
	{0x00000105, _T("ScanJet 4200c")},
	{0x00000107, _T("CD-Writer Plus")},
	{0x0000010c, _T("Multimedia Keyboard Hub")},
	{0x00000111, _T("G55xi Printer/Scanner/Copier")},
	{0x0000011c, _T("hn210w 802.11b Adapter")},
	{0x00000121, _T("HP49g+ Calculator")},
	{0x00000201, _T("ScanJet 6200c")},
	{0x00000202, _T("PhotoSmart S20")},
	{0x00000204, _T("DeskJet 815c")},
	{0x00000205, _T("ScanJet 3300c")},
	{0x00000207, _T("CD-Writer Plus 8200e")},
	{0x0000020c, _T("Multimedia Keyboard")},
	{0x00000304, _T("DeskJet 810c/812c")},
	{0x00000305, _T("ScanJet 4300c")},
	{0x00000311, _T("OfficeJet G85xi")},
	{0x00000317, _T("LaserJet 1200")},
	{0x00000401, _T("ScanJet 5200c")},
	{0x00000404, _T("DeskJet 830c/832c")},
	{0x00000405, _T("ScanJet 3400cse")},
	{0x00000504, _T("DeskJet 885c")},
	{0x00000505, _T("ScanJet 2100c")},
	{0x0000050c, _T("5219 Wireless Keyboard")},
	{0x00000517, _T("LaserJet 1000")},
	{0x00000601, _T("ScanJet 6300c")},
	{0x00000604, _T("DeskJet 840c")},
	{0x00000605, _T("ScanJet 2200c")},
	{0x00000701, _T("ScanJet 5300c/5370c")},
	{0x00000704, _T("DeskJet 825c")},
	{0x00000705, _T("ScanJet 4400c")},
	{0x00000712, _T("DeskJet 1180c")},
	{0x00000801, _T("ScanJet 7400c")},
	{0x00000804, _T("DeskJet 816c")},
	{0x00000901, _T("ScanJet 2300c")},
	{0x00000904, _T("DeskJet 845c")},
	{0x00001004, _T("DeskJet 970c/970cse")},
	{0x00001005, _T("ScanJet 5400c")},
	{0x00001016, _T("Jornada 548 / iPAQ HW6515 Pocket PC ")},
	{0x00001104, _T("DeskJet 959c")},
	{0x00001105, _T("ScanJet 5470c")},
	{0x00001116, _T("Jornada 568 Pocket PC")},
	{0x00001151, _T("750xi Printer/Scanner/Copier")},
	{0x00001204, _T("DeskJet 930c")},
	{0x00001305, _T("ScanJet 4570c")},
	{0x00001317, _T("LaserJet 1005")},
	{0x00001405, _T("Scanjet 3670")},
	{0x00001504, _T("DeskJet 920c")},
	{0x00001604, _T("DeskJet 940c")},
	{0x00001904, _T("DeskJet 3820")},
	{0x00001c17, _T("Color LaserJet 2550l")},
	{0x00001e11, _T("PSC-950")},
	{0x00002002, _T("Hub")},
	{0x00002004, _T("DeskJet 640c")},
	{0x00002005, _T("ScanJet 3570c")},
	{0x00002104, _T("DeskJet 630c")},
	{0x00002205, _T("ScanJet 3500c")},
	{0x00002304, _T("DeskJet 656c")},
	{0x00002305, _T("ScanJet 3970c")},
	{0x00002811, _T("PSC-2100")},
	{0x00002d11, _T("OfficeJet 6110")},
	{0x00003102, _T("PhotoSmart P1100 Printer w/ Card Reader")},
	{0x00003104, _T("DeskJet 960c")},
	{0x00003304, _T("DeskJet 990c")},
	{0x00003404, _T("DeskJet 6122")},
	{0x00003504, _T("DeskJet 6127c")},
	{0x00003c02, _T("PhotoSmart 7350")},
	{0x00003d11, _T("OfficeJet 4215")},
	{0x00003f11, _T("PSC-1315/PSC-1317")},
	{0x00004002, _T("PhotoSmart 720 / PhotoSmart 935 (storage)")},
	{0x00004102, _T("PhotoSmart 618")},
	{0x00004202, _T("PhotoSmart 812")},
	{0x00004302, _T("PhotoSmart 850 (ptp)")},
	{0x00004402, _T("PhotoSmart 935 (ptp)")},
	{0x00005004, _T("DeskJet 995c")},
	{0x00006004, _T("DeskJet 5550")},
	{0x00006104, _T("DeskJet 5650c")},
	{0x00006202, _T("PhotoSmart 215")},
	{0x00006204, _T("DeskJet 5150c")},
	{0x00006302, _T("PhotoSmart 318/612")},
	{0x00006402, _T("PhotoSmart 715 (ptp)")},
	{0x00006502, _T("PhotoSmart 120 (ptp)")},
	{0x00006602, _T("PhotoSmart 320")},
	{0x00006702, _T("PhotoSmart 720 (ptp)")},
	{0x00006802, _T("PhotoSmart 620 (ptp)")},
	{0x00006a02, _T("PhotoSmart 735 (ptp)")},
	{0x00007004, _T("DeskJet 3320c")},
	{0x00007104, _T("DeskJet 3420c")},
	{0x00007202, _T("PhotoSmart 43x (ptp)")},
	{0x00007204, _T("DeskJet 36xx")},
	{0x00007304, _T("DeskJet 35xx")},
	{0x0000a004, _T("DeskJet 5850c")},
	{0x0000bef4, _T("NEC Picty760")},
	{0x0000efbe, _T("NEC Picty900")},
	{0x0000f0be, _T("NEC Picty920")},
	{0x0000f1be, _T("NEC Picty800")},
	{0x80000000, _T("Usb Device")}
};

// Genoa Technology Devices
USB_DEVICE_ID	vid_000003f1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oak Technology Devices
USB_DEVICE_ID	vid_000003f2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Adaptec Devices
USB_DEVICE_ID	vid_000003f3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Diebold Devices
USB_DEVICE_ID	vid_000003f4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Siemens Electromechanical Devices
USB_DEVICE_ID	vid_000003f5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Epson Imaging Technology Center Devices
USB_DEVICE_ID	vid_000003f8[] =
{
	{0x80000000, _T("Usb Device")}
};

// KeyTronic Devices
USB_DEVICE_ID	vid_000003f9[] =
{
	{0x80000000, _T("Usb Device")}
};

// OPTi Devices
USB_DEVICE_ID	vid_000003fb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Elitegroup Computer Systems Devices
USB_DEVICE_ID	vid_000003fc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Xilinx Devices
USB_DEVICE_ID	vid_000003fd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Farallon Comunications Devices
USB_DEVICE_ID	vid_000003fe[] =
{
	{0x80000000, _T("Usb Device")}
};

// National Semiconductor Devices
USB_DEVICE_ID	vid_00000400[] =
{
	{0x00000807, _T("Bluetooth Dongle")},
	{0x00001000, _T("Mustek BearPaw 1200 Scanner")},
	{0x00001001, _T("Mustek BearPaw 2400 Scanner")},
	{0x80000000, _T("Usb Device")}
};

// National Registry Devices
USB_DEVICE_ID	vid_00000401[] =
{
	{0x80000000, _T("Usb Device")}
};

// ALi Devices
USB_DEVICE_ID	vid_00000402[] =
{
	{0x00005462, _T("M5462 IDE Controller")},
	{0x00005603, _T("USB 2.0 Q-tec Webcam 300")},
	{0x00005621, _T("USB 2.0 Storage Device")},
	{0x00005632, _T("USB 2.0 Host-to-Host Link")},
	{0x00005637, _T("M5637 IDE Controller")},
	{0x80000000, _T("Usb Device")}
};

// Future Technology Devices International Devices
USB_DEVICE_ID	vid_00000403[] =
{
	{0x00000000, _T("H4SMK 7 Port Hub")},
	{0x00006001, _T("8-bit FIFO")},
	{0x00008040, _T("4 Port Hub")},
	{0x00008070, _T("7 Port Hub")},
	{0x00008370, _T("7 Port Hub")},
	{0x00008371, _T("PS/2 Keyboard And Mouse")},
	{0x00008372, _T("FT8U100AX Serial Port")},
	{0x0000ea90, _T("Eclo 1-Wire Adapter")},
	{0x0000f208, _T("Papenmeier Braille-Display")},
	{0x0000fd48, _T("ShipModul MiniPlex-4xUSB NMEA Multiplexer")},
	{0x0000ff08, _T("ToolHouse LoopBack Adapter")},
	{0x80000000, _T("Usb Device")}
};

// NCR Devices
USB_DEVICE_ID	vid_00000404[] =
{
	{0x00000310, _T("K590 Printer, Self-Service")},
	{0x00000311, _T("7167 Printer, Receipt/Slip")},
	{0x00000312, _T("7197 Printer Receipt")},
	{0x00000320, _T("5932-USB Keyboard")},
	{0x00000321, _T("5953-USB Dynakey")},
	{0x00000322, _T("5932-USB Enhanced Keyboard")},
	{0x00000323, _T("5932-USB Enhanced Keyboard, Flash-Recovery/Download")},
	{0x00000324, _T("5953-USB Enhanced Dynakey")},
	{0x00000325, _T("5953-USB Enhanced Dynakey Flash-Recovery/Download")},
	{0x00000328, _T("K016: USB-MSR ISO 3-track MSR: POS Standard (See HID pages)")},
	{0x00000329, _T("K018: USB-MSR JIS 2-Track MSR: POS Standard")},
	{0x0000032a, _T("K016: USB-MSR ISO 3-Track MSR: HID Keyboard Mode")},
	{0x0000032b, _T("K016/K018: USB-MSR Flash-Recovery/Download")},
	{0x80000000, _T("Usb Device")}
};

// Synopsys Devices
USB_DEVICE_ID	vid_00000405[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu-ICL Computers Devices
USB_DEVICE_ID	vid_00000406[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu Personal Systems Devices
USB_DEVICE_ID	vid_00000407[] =
{
	{0x80000000, _T("Usb Device")}
};

// Quanta Computer Devices
USB_DEVICE_ID	vid_00000408[] =
{
	{0x80000000, _T("Usb Device")}
};

// NEC Devices
USB_DEVICE_ID	vid_00000409[] =
{
	{0x00000012, _T("ATerm IT75DSU ISDN TA")},
	{0x00000014, _T("Japanese Keyboard")},
	{0x00000027, _T("MultiSync Monitor")},
	{0x00000058, _T("HighSpeed Hub")},
	{0x00000059, _T("HighSpeed Hub")},
	{0x0000006a, _T("Conceptronic USB Harddisk Box")},
	{0x0000011d, _T("e228 Mobile Phone")},
	{0x000055aa, _T("Hub")},
	{0x000055ab, _T("Hub [iMac/iTouch kbd]")},
	{0x0000efbe, _T("P!cty 900 [HP DJ]")},
	{0x0000f0be, _T("P!cty 920 [HP DJ 812c]")},
	{0x80000000, _T("Usb Device")}
};

// Kodak Devices
USB_DEVICE_ID	vid_0000040a[] =
{
	{0x00000001, _T("DVC-323")},
	{0x00000002, _T("DVC-325")},
	{0x00000100, _T("DC-220")},
	{0x00000110, _T("DC-260")},
	{0x00000111, _T("DC-265")},
	{0x00000112, _T("DC-290")},
	{0x00000120, _T("DC-240")},
	{0x00000121, _T("DC-240 (PTP firmware)")},
	{0x00000130, _T("DC-280")},
	{0x00000131, _T("DC-5000")},
	{0x00000132, _T("DC-3400")},
	{0x00000140, _T("DC-4800")},
	{0x00000160, _T("DC4800")},
	{0x00000170, _T("DX3900")},
	{0x00000300, _T("EZ-200")},
	{0x00000400, _T("MC3")},
	{0x00000500, _T("DX3500")},
	{0x00000510, _T("DX3600")},
	{0x00000525, _T("DX3215")},
	{0x00000530, _T("DX3700")},
	{0x00000535, _T("EasyShare CX4230 Camera")},
	{0x00000540, _T("LS420")},
	{0x00000550, _T("DX4900")},
	{0x00000555, _T("DX4330")},
	{0x00000560, _T("CX4200")},
	{0x00000565, _T("CX4210")},
	{0x00000566, _T("CX4300")},
	{0x00000568, _T("LS443")},
	{0x00000569, _T("LS663")},
	{0x00000570, _T("DX6340")},
	{0x00000571, _T("CX6330")},
	{0x00000572, _T("DX6440")},
	{0x00000573, _T("CX6230")},
	{0x00000574, _T("CX6200")},
	{0x00000575, _T("DX6490")},
	{0x00000576, _T("DX4530")},
	{0x0000057c, _T("CX7530")},
	{0x0000057f, _T("DX7590")},
	{0x00005010, _T("Wireless Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Weltrend Semiconductor Devices
USB_DEVICE_ID	vid_0000040b[] =
{
	{0x00006510, _T("Weltrend Bar Code Reader")},
	{0x00006520, _T("XBOX Xploder")},
	{0x80000000, _T("Usb Device")}
};

// VTech Computers Devices
USB_DEVICE_ID	vid_0000040c[] =
{
	{0x80000000, _T("Usb Device")}
};

// VIA Technologies Devices
USB_DEVICE_ID	vid_0000040d[] =
{
	{0x80000000, _T("Usb Device")}
};

// MCCI Devices
USB_DEVICE_ID	vid_0000040e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Echo Speech Devices
USB_DEVICE_ID	vid_0000040f[] =
{
	{0x80000000, _T("Usb Device")}
};

// MelCo. Devices
USB_DEVICE_ID	vid_00000411[] =
{
	{0x00000001, _T("LUA-TX Ethernet [pegasus]")},
	{0x00000016, _T("WLI-USB-S11 802.11b Adapter")},
	{0x00000027, _T("WLI-USB-KS11G 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Award Software International Devices
USB_DEVICE_ID	vid_00000412[] =
{
	{0x80000000, _T("Usb Device")}
};

// Leadtek Research Devices
USB_DEVICE_ID	vid_00000413[] =
{
	{0x80000000, _T("Usb Device")}
};

// Giga-Byte Technology Devices
USB_DEVICE_ID	vid_00000414[] =
{
	{0x80000000, _T("Usb Device")}
};

// Winbond Electronics Devices
USB_DEVICE_ID	vid_00000416[] =
{
	{0x00000961, _T("AVL Flash Card Reader")},
	{0x00005518, _T("4-Port Hub")},
	{0x0000551a, _T("PC Sync Keypad")},
	{0x0000551b, _T("PC Async Keypad")},
	{0x0000551c, _T("Sync Tenkey")},
	{0x0000551d, _T("Async Tenkey")},
	{0x0000551e, _T("Keyboard")},
	{0x0000551f, _T("Keyboard w/ Sys and Media")},
	{0x00005521, _T("Keyboard")},
	{0x00007723, _T("SD Card Reader")},
	{0x00006481, _T("16-bit Scanner")},
	{0x80000000, _T("Usb Device")}
};

// Symbios Logic Devices
USB_DEVICE_ID	vid_00000417[] =
{
	{0x80000000, _T("Usb Device")}
};

// AST Research Devices
USB_DEVICE_ID	vid_00000418[] =
{
	{0x80000000, _T("Usb Device")}
};

// Samsung Info. Systems America Devices
USB_DEVICE_ID	vid_00000419[] =
{
	{0x00000001, _T("IrDA Remote Controller")},
	{0x00003001, _T("Xerox P1202 Laser Printer")},
	{0x00008002, _T("SyncMaster 757DFX HID Device")},
	{0x80000000, _T("Usb Device")}
};

// Phoenix Technologies Devices
USB_DEVICE_ID	vid_0000041a[] =
{
	{0x80000000, _T("Usb Device")}
};

// d'TV Devices
USB_DEVICE_ID	vid_0000041b[] =
{
	{0x80000000, _T("Usb Device")}
};

// S3 Devices
USB_DEVICE_ID	vid_0000041d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Creative Technology Devices
USB_DEVICE_ID	vid_0000041e[] =
{
	{0x00001002, _T("Nomad II")},
	{0x00001003, _T("Blaster GamePad Cobra")},
	{0x00001050, _T("GamePad Cobra")},
	{0x00003010, _T("SoundBlaster MP3+")},
	{0x00003020, _T("SoundBlaster Audigy 2 NX")},
	{0x00004003, _T("VideoBlaster WebCam Go Plus [W9967CF]")},
	{0x00004004, _T("Nomad II MG")},
	{0x00004005, _T("WebCam Blaster Go ES")},
	{0x0000400a, _T("PC-Cam 300")},
	{0x0000400b, _T("PC-Cam 600")},
	{0x0000400c, _T("WebCam 5 [pwc]")},
	{0x0000400d, _T("WebCam PD1001")},
	{0x00004011, _T("WebCam PRO eX")},
	{0x00004013, _T("PC-Cam 750")},
	{0x00004015, _T("CardCam Value")},
	{0x00004017, _T("WebCam Mobile")},
	{0x00004018, _T("WebCam Vista")},
	{0x0000401c, _T("WebCam NX [PD1110]")},
	{0x0000401d, _T("WebCam NX Ultra")},
	{0x0000401e, _T("WebCam NX Pro")},
	{0x0000401f, _T("Webcam Notebook")},
	{0x00004036, _T("Webcam Live!/Live! Pro")},
	{0x0000403a, _T("WebCam NX Pro 2")},
	{0x0000403c, _T("WebCam Live! Ultra")},
	{0x0000403d, _T("WebCam Notebook Ultra")},
	{0x00004100, _T("Nomad Jukebox 2")},
	{0x00004101, _T("Nomad Jukebox 3")},
	{0x00004106, _T("Nomad MuVo")},
	{0x00004108, _T("Nomad Jukebox Zen")},
	{0x00004109, _T("Nomad Jukebox Zen NX")},
	{0x0000410b, _T("Nomad Jukebox Zen USB 2.0")},
	{0x0000410c, _T("Nomad MuVo NX")},
	{0x00004110, _T("Nomad Jukebox Zen Xtra")},
	{0x00004111, _T("Dell Digital Jukebox")},
	{0x00004116, _T("MuVo^2")},
	{0x00004117, _T("Nomad MuVo TX")},
	{0x0000411b, _T("Zen Touch")},
	{0x0000411d, _T("Zen")},
	{0x0000411e, _T("Zen Micro")},
	{0x00004123, _T("Zen Portable Media Center")},
	{0x00004126, _T("Dell DJ (2nd gen)")},
	{0x00004127, _T("Dell DJ")},
	{0x0000412b, _T("MuVo N200 with FM radio")},
	{0x00004134, _T("Zen Neeon")},
	{0x00004136, _T("Zen Sleek")},
	{0x00004139, _T("Zen Nano Plus")},
	{0x0000413c, _T("Zen MicroPhoto")},
	{0x80000000, _T("Usb Device")}
};

// LCS Telegraphics Devices
USB_DEVICE_ID	vid_0000041f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chips and Technologies Devices
USB_DEVICE_ID	vid_00000420[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nokia Mobile Phones Devices
USB_DEVICE_ID	vid_00000421[] =
{
	{0x00000401, _T("6650 GSM Phone")},
	{0x00000405, _T("9500 GSM Communicator")},
	{0x0000040b, _T("N-Gage GSM Phone")},
	{0x0000040f, _T("6230 GSM Phone")},
	{0x00000410, _T("6630 Imaging Smartphone")},
	{0x00000415, _T("9300 GSM Smartphone")},
	{0x0000041a, _T("9500 GSM Communicator (RNDIS)")},
	{0x0000041b, _T("9300 GSM Smartphone (RNDIS)")},
	{0x00000429, _T("6230i Camera Phone")},
	{0x00000800, _T("Connectivity Cable DKU-5")},
	{0x80000000, _T("Usb Device")}
};

// ADI Systems Devices
USB_DEVICE_ID	vid_00000422[] =
{
	{0x80000000, _T("Usb Device")}
};

// Computer Access Technology Devices
USB_DEVICE_ID	vid_00000423[] =
{
	{0x0000000a, _T("NetMate Ethernet")},
	{0x0000000c, _T("NetMate2 Ethernet")},
	{0x0000000d, _T("USB Chief Analyzer")},
	{0x00001237, _T("Andromeda Hub")},
	{0x80000000, _T("Usb Device")}
};

// Standard Microsystems Devices
USB_DEVICE_ID	vid_00000424[] =
{
	{0x000020fc, _T("6-in-1 Card Reader")},
	{0x0000223a, _T("8-in-1 Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// Motorola Semiconductors HK Devices
USB_DEVICE_ID	vid_00000425[] =
{
	{0x00000101, _T("G-Tech Wireless Mouse & Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Integrated Device Technology Devices
USB_DEVICE_ID	vid_00000426[] =
{
	{0x80000000, _T("Usb Device")}
};

// Motorola Electronics Taiwan Devices
USB_DEVICE_ID	vid_00000427[] =
{
	{0x80000000, _T("Usb Device")}
};

// Advanced Gravis Computer Tech Devices
USB_DEVICE_ID	vid_00000428[] =
{
	{0x00004001, _T("GamePad Pro")},
	{0x80000000, _T("Usb Device")}
};

// Cirrus Logic Devices
USB_DEVICE_ID	vid_00000429[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ericsson Austrian, AG Devices
USB_DEVICE_ID	vid_0000042a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intel Devices
USB_DEVICE_ID	vid_0000042b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Innovative Semiconductors Devices
USB_DEVICE_ID	vid_0000042c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Micronics Devices
USB_DEVICE_ID	vid_0000042d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Acer Devices
USB_DEVICE_ID	vid_0000042e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Molex Devices
USB_DEVICE_ID	vid_0000042f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sun Microsystems Devices
USB_DEVICE_ID	vid_00000430[] =
{
	{0x00000005, _T("Type 6 Keyboard")},
	{0x00000100, _T("3-button Mouse")},
	{0x80000000, _T("Usb Device")}
};

// Itac Systems Devices
USB_DEVICE_ID	vid_00000431[] =
{
	{0x80000000, _T("Usb Device")}
};

// Unisys Devices
USB_DEVICE_ID	vid_00000432[] =
{
	{0x80000000, _T("Usb Device")}
};

// Alps Electric Devices
USB_DEVICE_ID	vid_00000433[] =
{
	{0x00001101, _T("IBM Game Controller")},
	{0x80000000, _T("Usb Device")}
};

// Samsung Info. Systems America Devices
USB_DEVICE_ID	vid_00000434[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hyundai Electronics America Devices
USB_DEVICE_ID	vid_00000435[] =
{
	{0x80000000, _T("Usb Device")}
};

// Taugagreining HF Devices
USB_DEVICE_ID	vid_00000436[] =
{
	{0x80000000, _T("Usb Device")}
};

// Framatome Connectors USA Devices
USB_DEVICE_ID	vid_00000437[] =
{
	{0x80000000, _T("Usb Device")}
};

// Advanced Micro Devices Devices
USB_DEVICE_ID	vid_00000438[] =
{
	{0x80000000, _T("Usb Device")}
};

// Voice Technologies Group Devices
USB_DEVICE_ID	vid_00000439[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lexmark International Devices
USB_DEVICE_ID	vid_0000043d[] =
{
	{0x00000002, _T("Optra E310 Printer")},
	{0x00000009, _T("Optra S2450 Printer")},
	{0x0000000c, _T("Optra E312 Printer")},
	{0x00000017, _T("Z32 printer")},
	{0x00000018, _T("Z52 Printer")},
	{0x0000001a, _T("Z65 Printer")},
	{0x0000001c, _T("Kodak Personal Picture Maker 200 Printer")},
	{0x0000001f, _T("Kodak Personal Picture Maker 200 Card Reader")},
	{0x00000020, _T("Z51 Printer")},
	{0x00000021, _T("Z33 Printer")},
	{0x0000002d, _T("X70/X73 Scan/Print/Copy")},
	{0x0000003d, _T("X83 Scan/Print/Copy")},
	{0x00000057, _T("Z35 Printer")},
	{0x00000060, _T("X74/X75 Scanner")},
	{0x00000061, _T("X74 Hub")},
	{0x00000069, _T("X74/X75 Printer")},
	{0x00000072, _T("X6170 Printer")},
	{0x80000000, _T("Usb Device")}
};

// LG Electronics USA Devices
USB_DEVICE_ID	vid_0000043e[] =
{
	{0x000042bd, _T("Flatron 795FT Plus Monitor")},
	{0x00004a4d, _T("Flatron 915FT Plus Monitor")},
	{0x00007001, _T("MF-PD100 Soul Digital MP3 Player")},
	{0x00008484, _T("LPC-U30 Webcam II")},
	{0x00008585, _T("LPC-UC35 Webcam")},
	{0x80000000, _T("Usb Device")}
};

// RadiSys Devices
USB_DEVICE_ID	vid_0000043f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Eizo Nanao Devices
USB_DEVICE_ID	vid_00000440[] =
{
	{0x80000000, _T("Usb Device")}
};

// Winbond Systems Lab. Devices
USB_DEVICE_ID	vid_00000441[] =
{
	{0x00001456, _T("Hub")},
	{0x80000000, _T("Usb Device")}
};

// Ericsson Devices
USB_DEVICE_ID	vid_00000442[] =
{
	{0x80000000, _T("Usb Device")}
};

// Gateway Devices
USB_DEVICE_ID	vid_00000443[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lucent Technologies Devices
USB_DEVICE_ID	vid_00000445[] =
{
	{0x80000000, _T("Usb Device")}
};

// NMB Technologies Devices
USB_DEVICE_ID	vid_00000446[] =
{
	{0x80000000, _T("Usb Device")}
};

// Momentum Microsystems Devices
USB_DEVICE_ID	vid_00000447[] =
{
	{0x80000000, _T("Usb Device")}
};

// Shamrock Tech. Devices
USB_DEVICE_ID	vid_0000044a[] =
{
	{0x80000000, _T("Usb Device")}
};

// WSI Devices
USB_DEVICE_ID	vid_0000044b[] =
{
	{0x80000000, _T("Usb Device")}
};

// CCL/ITRI Devices
USB_DEVICE_ID	vid_0000044c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Siemens Nixdorf AG Devices
USB_DEVICE_ID	vid_0000044d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Alps Electric Devices
USB_DEVICE_ID	vid_0000044e[] =
{
	{0x00002002, _T("MD-5500 Printer")},
	{0x00003001, _T("UGTZ4 Bluetooth")},
	{0x80000000, _T("Usb Device")}
};

// ThrustMaster Devices
USB_DEVICE_ID	vid_0000044f[] =
{
	{0x00000400, _T("HOTAS Cougar")},
	{0x0000a0a3, _T("Fusion Digital GamePad")},
	{0x0000b203, _T("360 Modena Pro Wheel")},
	{0x0000b300, _T("Firestorm Dual Power")},
	{0x0000b304, _T("Firestorm Dual Power")},
	{0x80000000, _T("Usb Device")}
};

// DFI Devices
USB_DEVICE_ID	vid_00000450[] =
{
	{0x80000000, _T("Usb Device")}
};

// Texas Instruments Devices
USB_DEVICE_ID	vid_00000451[] =
{
	{0x00001428, _T("Hub")},
	{0x00001446, _T("TUSB2040/2070 Hub")},
	{0x00002036, _T("TUSB2036 Hub")},
	{0x00002046, _T("TUSB2046 Hub")},
	{0x00002077, _T("TUSB2077 Hub")},
	{0x00003410, _T("TUSB3410 Microcontroller")},
	{0x00005409, _T("Frontier Labs NEX IA+ Digital Audio Player")},
	{0x00006000, _T("AU5 ADSL Modem (pre-reenum)")},
	{0x00006001, _T("AU5 ADSL Modem")},
	{0x0000e001, _T("GraphLink")},
	{0x0000e004, _T("TI-89 Titanium Calculator")},
	{0x0000e008, _T("TI-84 Plus Silver Calculator")},
	{0x80000000, _T("Usb Device")}
};

// Mitsubishi Electronics America Devices
USB_DEVICE_ID	vid_00000452[] =
{
	{0x00000050, _T("Diamond Pro 900u CRT Monitor")},
	{0x00000051, _T("Integrated Hub")},
	{0x80000000, _T("Usb Device")}
};

// CMD Technology Devices
USB_DEVICE_ID	vid_00000453[] =
{
	{0x80000000, _T("Usb Device")}
};

// Vobis Microcomputer AG Devices
USB_DEVICE_ID	vid_00000454[] =
{
	{0x80000000, _T("Usb Device")}
};

// Telematics International Devices
USB_DEVICE_ID	vid_00000455[] =
{
	{0x80000000, _T("Usb Device")}
};

// Analog Devices Devices
USB_DEVICE_ID	vid_00000456[] =
{
	{0x80000000, _T("Usb Device")}
};

// Silicon Integrated Systems Devices
USB_DEVICE_ID	vid_00000457[] =
{
	{0x00000150, _T("Super Talent Flash Drive")},
	{0x00000151, _T("Super Flash Drive")},
	{0x80000000, _T("Usb Device")}
};

// KYE Systems (Mouse Systems) Devices
USB_DEVICE_ID	vid_00000458[] =
{
	{0x00000001, _T("Mouse")},
	{0x00000002, _T("Genius NetMouse Pro")},
	{0x00000003, _T("Genius NetScroll+")},
	{0x0000000e, _T("VideoCAM Web")},
	{0x0000001a, _T("Genius WebScroll+")},
	{0x0000004c, _T("Slimstar Pro Keyboard")},
	{0x00000100, _T("EasyPen Tablet")},
	{0x00000101, _T("CueCat")},
	{0x00001003, _T("Genius VideoCam")},
	{0x00001004, _T("Flight2000 F-23 Joystick")},
	{0x0000100a, _T("Aashima Technology Trust Sight Fighter Vibration Feedback Joystick")},
	{0x00002001, _T("ColorPage-Vivid Pro Scanner")},
	{0x00002007, _T("ColorPage-HR6 V2 Scanner")},
	{0x00002008, _T("ColorPage-HR6 V2 Scanner")},
	{0x00002009, _T("ColorPage-HR6A Scanner")},
	{0x00002011, _T("ColorPage-Vivid3x Scanner")},
	{0x00002013, _T("ColorPage-HR7 Scanner")},
	{0x00002015, _T("ColorPage-HR7LE Scanner")},
	{0x00002016, _T("ColorPage-HR6X Scanner")},
	{0x0000301d, _T("Genius MaxFire MiniPad")},
	{0x00007004, _T("VideoCAM Express")},
	{0x00007007, _T("VideoCAM Web")},
	{0x00007012, _T("WebCAM USB2.0")},
	{0x80000000, _T("Usb Device")}
};

// Adobe Systems Devices
USB_DEVICE_ID	vid_00000459[] =
{
	{0x80000000, _T("Usb Device")}
};

// SONICblue Devices
USB_DEVICE_ID	vid_0000045a[] =
{
	{0x00000b4a, _T("SupraMax 2890 56K Modem [Lucent Atlas]")},
	{0x00000b68, _T("SupraMax 56K Modem")},
	{0x00005210, _T("Rio Karma Music Player")},
	{0x00005220, _T("Rio Nitrus MP3 Player")},
	{0x80000000, _T("Usb Device")}
};

// Hitachi Devices
USB_DEVICE_ID	vid_0000045b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nortel Networks Devices
USB_DEVICE_ID	vid_0000045d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Microsoft Devices
USB_DEVICE_ID	vid_0000045e[] =
{
	{0x00000007, _T("SideWinder Game Pad")},
	{0x00000008, _T("SideWinder Precision Pro")},
	{0x00000009, _T("IntelliMouse")},
	{0x0000000b, _T("Natural Keyboard Elite")},
	{0x00000014, _T("Digital Sound System 80")},
	{0x0000001a, _T("SideWinder Precision Racing Wheel")},
	{0x0000001b, _T("SideWinder Force Feedback 2 Joystick")},
	{0x0000001d, _T("Natural Keyboard Pro")},
	{0x0000001e, _T("IntelliMouse Explorer")},
	{0x00000023, _T("Trackball Optical")},
	{0x00000024, _T("Trackball Explorer")},
	{0x00000025, _T("IntelliEye Mouse")},
	{0x00000026, _T("SideWinder GamePad Pro")},
	{0x00000027, _T("SideWinder PnP GamePad")},
	{0x00000028, _T("SideWinder Dual Strike")},
	{0x00000029, _T("IntelliMouse Optical")},
	{0x0000002b, _T("Internet Keyboard Pro")},
	{0x00000033, _T("Sidewinder Strategic Commander")},
	{0x00000034, _T("SideWinder Force Feedback Wheel")},
	{0x00000038, _T("SideWinder Precision 2")},
	{0x00000039, _T("IntelliMouse Optical")},
	{0x0000003b, _T("SideWinder Game Voice")},
	{0x0000003c, _T("SideWinder Joystick")},
	{0x00000040, _T("Wheel Mouse Optical")},
	{0x00000047, _T("IntelliMouse Explorer 3.0")},
	{0x00000059, _T("Wireless IntelliMouse Explorer")},
	{0x0000006e, _T("MN510 802.11b Adapter")},
	{0x0000007d, _T("Notebook Optical Mouse")},
	{0x0000007e, _T("Wireless Transceiver for Bluetooth")},
	{0x00000083, _T("Basic Optical Mouse")},
	{0x0000008a, _T("Wireless Keyboard and Mouse")},
	{0x0000008c, _T("Wireless Intellimouse Explorer 2.0")},
	{0x000000b9, _T("Wireless Optical Mouse 3.0")},
	{0x000000bd, _T("Fingerprint Reader")},
	{0x00000284, _T("Xbox DVD Playback Kit")},
	{0x00000288, _T("Xbox Controller S Hub")},
	{0x00000289, _T("Xbox Controller S")},
	{0x80000000, _T("Usb Device")}
};

// Ace Cad Enterprise Devices
USB_DEVICE_ID	vid_00000460[] =
{
	{0x80000000, _T("Usb Device")}
};

// Primax Electronics Devices
USB_DEVICE_ID	vid_00000461[] =
{
	{0x00000300, _T("G2-300 Scanner")},
	{0x00000301, _T("G2E-300 Scanner")},
	{0x00000302, _T("G2-300 #2 Scanner")},
	{0x00000303, _T("G2E-300 #2 Scanner")},
	{0x00000340, _T("Colorado 9600 Scanner")},
	{0x00000341, _T("Colorado 600u Scanner")},
	{0x00000345, _T("Visioneer 6200 Scanner")},
	{0x00000346, _T("Memorex Maxx 6136u Scanner")},
	{0x00000347, _T("Primascan Colorado 2600u/Visioneer 4400 Scanner")},
	{0x00000360, _T("Colorado 19200 Scanner")},
	{0x00000361, _T("Colorado 1200u Scanner")},
	{0x00000364, _T("LG Electronics Scanworks 600U Scanner")},
	{0x00000371, _T("Visioneer Onetouch 8920 Scanner")},
	{0x00000377, _T("Medion MD 5345 Scanner")},
	{0x0000037b, _T("Medion MD 6190 Scanner")},
	{0x00000380, _T("G2-600 Scanner")},
	{0x00000381, _T("ReadyScan 636i Scanner")},
	{0x00000382, _T("G2-600 #2 Scanner")},
	{0x00000383, _T("G2E-600 Scanner")},
	{0x00000813, _T("IBM UltraPort Camera")},
	{0x00000815, _T("Micro Innovations WebCam")},
	{0x00000819, _T("Fujifilm IX-30 Camera [webcam mode]")},
	{0x0000081a, _T("Fujifilm IX-30 Camera [storage mode]")},
	{0x0000081c, _T("Elitegroup ECS-C11 Camera")},
	{0x0000081d, _T("Elitegroup ECS-C11 Storage")},
	{0x00004d01, _T("Comfort Keyboard")},
	{0x00004d02, _T("Mouse-in-a-Box")},
	{0x00004d03, _T("Kensington Mouse-in-a-box")},
	{0x00004d04, _T("Mouse")},
	{0x80000000, _T("Usb Device")}
};

// MGE UPS Systems Devices
USB_DEVICE_ID	vid_00000463[] =
{
	{0x00000001, _T("UPS")},
	{0x0000ffff, _T("UPS")},
	{0x80000000, _T("Usb Device")}
};

// AMP/Tycoelectronics Devices
USB_DEVICE_ID	vid_00000464[] =
{
	{0x80000000, _T("Usb Device")}
};

// AT&T Paradyne Devices
USB_DEVICE_ID	vid_00000467[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wieson Technologies Devices
USB_DEVICE_ID	vid_00000468[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cherry GmbH Devices
USB_DEVICE_ID	vid_0000046a[] =
{
	{0x00000001, _T("My3000 Keyboard")},
	{0x00000003, _T("My3000 Hub")},
	{0x00000005, _T("XX33 SmartCard Reader Keyboard")},
	{0x00000023, _T("Cymotion Master Linux Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// American Megatrends Devices
USB_DEVICE_ID	vid_0000046b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Toshiba, Digital Media Equipment Devices
USB_DEVICE_ID	vid_0000046c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Logitech Devices
USB_DEVICE_ID	vid_0000046d[] =
{
	{0x00000203, _T("M2452 Keyboard")},
	{0x00000301, _T("M4848 Mouse")},
	{0x00000401, _T("HP PageScan")},
	{0x00000402, _T("NEC PageScan")},
	{0x0000040f, _T("Logitech/Storm PageScan")},
	{0x00000801, _T("QuickCam Home")},
	{0x00000810, _T("QuickCam Pro")},
	{0x00000820, _T("QuickCam VC")},
	{0x00000840, _T("QuickCam Express")},
	{0x00000850, _T("QuickCam Web")},
	{0x00000870, _T("QuickCam Express")},
	{0x00000890, _T("QuickCam Traveler")},
	{0x00000895, _T("QuickCam for Dell Notebooks")},
	{0x00000897, _T("QuickCam for Dell Notebooks")},
	{0x00000899, _T("QuickCam for Dell Notebooks")},
	{0x0000089d, _T("QuickCam E2500")},
	{0x000008a0, _T("QuickCam IM")},
	{0x000008a1, _T("QuickCam IM with sound")},
	{0x000008a2, _T("Labtec WebCam Pro")},
	{0x000008a3, _T("QuickCam QuickCam Chat")},
	{0x000008a6, _T("QuickCam IM")},
	{0x000008a7, _T("QuickCam Image")},
	{0x000008ac, _T("QuickCam Cool")},
	{0x000008ad, _T("QuickCam Communicate STX")},
	{0x000008af, _T("QuickCam Easy/Cool")},
	{0x000008b0, _T("QuickCam 3000 Pro [pwc]")},
	{0x000008b1, _T("QuickCam Notebook Pro")},
	{0x000008b2, _T("QuickCam Pro 4000")},
	{0x000008b3, _T("QuickCam Zoom")},
	{0x000008b4, _T("QuickCam Zoom")},
	{0x000008b5, _T("QuickCam Sphere")},
	{0x000008b9, _T("QuickCam IM")},
	{0x000008c0, _T("QuickCam Pro 3000")},
	{0x000008c1, _T("QuickCam Fusion")},
	{0x000008c2, _T("QuickCam PTZ")},
	{0x000008c3, _T("QuickCam for Notebooks Pro")},
	{0x000008c5, _T("QuickCam Pro 5000")},
	{0x000008c6, _T("QuickCam for DELL Notebooks")},
	{0x000008c9, _T("QuickCam Ultra Vision")},
	{0x000008ca, _T("QuickCam Fusion")},
	{0x000008cb, _T("QuickCam Notebooks Pro")},
	{0x000008cc, _T("QuickCam Orbit/Sphere MP")},
	{0x000008ce, _T("QuickCam Pro 5000")},
	{0x000008cf, _T("QuickCam UpdateMe")},
	{0x000008d0, _T("QuickCam Express")},
	{0x000008d7, _T("QuickCam Communicate STX")},
	{0x000008d8, _T("QuickCam for Notebook Deluxe")},
	{0x000008d9, _T("QuickCam IM/Connect")},
	{0x000008da, _T("QuickCam Messenger")},
	{0x000008dd, _T("QuickCam for Notebooks")},
	{0x000008e0, _T("QuickCam Express")},
	{0x000008f0, _T("QuickCam Messenger")},
	{0x000008f1, _T("QuickCam Express")},
	{0x000008f3, _T("QuickCam Express")},
	{0x000008f5, _T("QuickCam Messenger Communicate")},
	{0x00000900, _T("ClickSmart 310")},
	{0x00000901, _T("ClickSmart 510")},
	{0x00000903, _T("ClickSmart 820")},
	{0x00000905, _T("ClickSmart 820")},
	{0x00000910, _T("QuickCam Cordless")},
	{0x00000920, _T("QuickCam Express")},
	{0x00000921, _T("Labtec WebCam")},
	{0x00000922, _T("QuickCam Live")},
	{0x00000928, _T("Quickcam Express")},
	{0x0000092a, _T("QuickCam for Notebooks")},
	{0x0000092c, _T("QuickCam Chat")},
	{0x0000092d, _T("QuickCam Express / Go")},
	{0x0000092e, _T("QuickCam Chat")},
	{0x0000092f, _T("QuickCam Express Plus")},
	{0x00000950, _T("Pocket Camera")},
	{0x00000960, _T("ClickSmart 420")},
	{0x00000970, _T("Pocket750")},
	{0x00000990, _T("QuickCam Pro 9000")},
	{0x00000991, _T("QuickCam Pro for Notebooks")},
	{0x00000992, _T("QuickCam Communicate Deluxe")},
	{0x00000994, _T("QuickCam Orbit/Sphere AF")},
	{0x000009a1, _T("QuickCam S5500")},
	{0x000009a2, _T("QuickCam S7500")},
	{0x000009a4, _T("QuickCam E3500")},
	{0x000009c0, _T("QuickCam for Dell Notebooks Mic")},
	{0x000009c1, _T("QuickCam Deluxe for Notebooks")},
	{0x000009c2, _T("QuickCam Communicate STX")},
	{0x0000c000, _T("N43 [Pilot Mouse]")},
	{0x0000c001, _T("N48/M-BB48 [FirstMouse Plus]")},
	{0x0000c002, _T("M-BA47 [MouseMan Plus]")},
	{0x0000c004, _T("WingMan Gaming Mouse")},
	{0x0000c00b, _T("MouseMan Wheel")},
	{0x0000c00c, _T("Optical Wheel Mouse")},
	{0x0000c00e, _T("M-BJ69 Optical Wheel Mouse")},
	{0x0000c012, _T("Optical Mouse")},
	{0x0000c016, _T("M-UV69a Optical Wheel Mouse")},
	{0x0000c01b, _T("MX310 Optical Mouse")},
	{0x0000c01e, _T("MX518 Optical Mouse")},
	{0x0000c025, _T("MX500 Optical Mouse")},
	{0x0000c030, _T("iFeel Mouse")},
	{0x0000c032, _T("MouseMan iFeel")},
	{0x0000c03e, _T("Premium Optical Wheel Mouse")},
	{0x0000c202, _T("WingMan Formula")},
	{0x0000c207, _T("WingMan Extreme Digital 3D")},
	{0x0000c208, _T("WingMan Gamepad Extreme")},
	{0x0000c209, _T("WingMan Gamepad")},
	{0x0000c20a, _T("WingMan RumblePad")},
	{0x0000c20c, _T("WingMan Precision")},
	{0x0000c211, _T("iTouch Cordless Reciever")},
	{0x0000c216, _T("Dual Action Gamepad")},
	{0x0000c281, _T("WingMan Force")},
	{0x0000c283, _T("WingMan Force 3D")},
	{0x0000c285, _T("WingMan Strike Force 3D")},
	{0x0000c291, _T("WingMan Formula Force")},
	{0x0000c293, _T("WingMan Formula Force GP")},
	{0x0000c295, _T("Momo Force Steering Wheel")},
	{0x0000c2a0, _T("Wingman Force Feedback Mouse")},
	{0x0000c303, _T("iTouch Keyboard")},
	{0x0000c308, _T("Internet Navigator Keyboard")},
	{0x0000c309, _T("Internet Keyboard")},
	{0x0000c401, _T("TrackMan Marble Wheel")},
	{0x0000c402, _T("Marble Mouse (2-button)")},
	{0x0000c404, _T("TrackMan Wheel")},
	{0x0000c408, _T("Marble Mouse (4-button)")},
	{0x0000c501, _T("Cordless Mouse Receiver")},
	{0x0000c503, _T("Cordless Mouse+Keyboard Receiver")},
	{0x0000c504, _T("Cordless Mouse+Keyboard Receiver")},
	{0x0000c505, _T("Cordless Mouse+Keyboard Receiver")},
	{0x0000c506, _T("MX-700 Cordless Mouse Receiver")},
	{0x0000c50b, _T("Cordless Desktop Optical")},
	{0x0000c50e, _T("MX-1000 Cordless Mouse Receiver")},
	{0x0000d001, _T("QuickCam Pro")},
	{0x80000000, _T("Usb Device")}
};

// Behavior Tech. Computer Devices
USB_DEVICE_ID	vid_0000046e[] =
{
	{0x00006782, _T("BTC 7932 mouse+keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Crystal Semiconductor Devices
USB_DEVICE_ID	vid_0000046f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Philips Devices
USB_DEVICE_ID	vid_00000471[] =
{
	{0x00000101, _T("DSS350 Digital Speaker System")},
	{0x00000104, _T("DSS330 Digital Speaker System [uda1321]")},
	{0x00000201, _T("Hub")},
	{0x00000222, _T("Creative Nomad Jukebox")},
	{0x00000302, _T("PCA645VC WebCam [pwc]")},
	{0x00000303, _T("PCA646VC WebCam [pwc]")},
	{0x00000304, _T("Askey VC010 WebCam [pwc]")},
	{0x00000307, _T("PCVC675K WebCam [pwc]")},
	{0x00000308, _T("PCVC680K WebCam [pwc]")},
	{0x0000030c, _T("PCVC690K WebCam [pwc]")},
	{0x00000310, _T("PCVC730K WebCam [pwc]")},
	{0x00000311, _T("PCVC740K ToUcam Pro [pwc]")},
	{0x00000312, _T("PCVC750K WebCam [pwc]")},
	{0x00000471, _T("Digital Speaker System")},
	{0x00000601, _T("OVU1020 IR Dongle (Kbd+Mouse)")},
	{0x00000701, _T("150P1 TFT Display")},
	{0x00000811, _T("JR24 CDRW")},
	{0x00001120, _T("Creative Rhomba MP3 player")},
	{0x00001801, _T("Diva MP3 player")},
	{0x80000000, _T("Usb Device")}
};

// Chicony Electronics Devices
USB_DEVICE_ID	vid_00000472[] =
{
	{0x00000065, _T("PFU-65 Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Sanyo Information Business Devices
USB_DEVICE_ID	vid_00000473[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sanyo Electric Devices
USB_DEVICE_ID	vid_00000474[] =
{
	{0x00000701, _T("SCP-4900 Cellphone")},
	{0x80000000, _T("Usb Device")}
};

// Relisys/Teco Information System Devices
USB_DEVICE_ID	vid_00000475[] =
{
	{0x80000000, _T("Usb Device")}
};

// AESP Devices
USB_DEVICE_ID	vid_00000476[] =
{
	{0x80000000, _T("Usb Device")}
};

// Seagate Technology Devices
USB_DEVICE_ID	vid_00000477[] =
{
	{0x80000000, _T("Usb Device")}
};

// Connectix Devices
USB_DEVICE_ID	vid_00000478[] =
{
	{0x00000001, _T("QuickCam")},
	{0x00000002, _T("QuickClip")},
	{0x80000000, _T("Usb Device")}
};

// Advanced Peripheral Laboratories Devices
USB_DEVICE_ID	vid_00000479[] =
{
	{0x80000000, _T("Usb Device")}
};

// Semtech Devices
USB_DEVICE_ID	vid_0000047a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Silitek Devices
USB_DEVICE_ID	vid_0000047b[] =
{
	{0x00000002, _T("Keyboard and Mouse")},
	{0x00000101, _T("BlueTooth Keyboard and Mouse")},
	{0x0000020b, _T("SK-3105 SmartCard Reader")},
	{0x00001002, _T("HP ScanJet 4300c Parallel Port")},
	{0x80000000, _T("Usb Device")}
};

// Dell Computer Devices
USB_DEVICE_ID	vid_0000047c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kensington Devices
USB_DEVICE_ID	vid_0000047d[] =
{
	{0x00001003, _T("Orbit TrackBall")},
	{0x00001005, _T("TurboBall")},
	{0x00001009, _T("Orbit TrackBall for Mac")},
	{0x0000101f, _T("PocketMouse Pro")},
	{0x00002010, _T("Wireless Presentation Remote")},
	{0x00004005, _T("Gravis Eliminator GamePad Pro")},
	{0x00004006, _T("Gravis Eliminator AfterShock")},
	{0x00004008, _T("Gravis Destroyer TiltPad")},
	{0x00005002, _T("VideoCam CABO II")},
	{0x00005003, _T("VideoCam")},
	{0x80000000, _T("Usb Device")}
};

// Agere Systems (Lucent) Devices
USB_DEVICE_ID	vid_0000047e[] =
{
	{0x00001001, _T("USS720 Parallel Port")},
	{0x0000f101, _T("Atlas Modem")},
	{0x80000000, _T("Usb Device")}
};

// Plantronics Devices
USB_DEVICE_ID	vid_0000047f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Toshiba America Info. Systems Devices
USB_DEVICE_ID	vid_00000480[] =
{
	{0x80000000, _T("Usb Device")}
};

// Zenith Data Systems Devices
USB_DEVICE_ID	vid_00000481[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kyocera Devices
USB_DEVICE_ID	vid_00000482[] =
{
	{0x0000000e, _T("FS-1020D Printer")},
	{0x80000000, _T("Usb Device")}
};

// SGS Thomson Microelectronics Devices
USB_DEVICE_ID	vid_00000483[] =
{
	{0x00001307, _T("Cytronix 6in1 card reader")},
	{0x0000163d, _T("Cool Icam Digi-MP3")},
	{0x00002016, _T("Fingerprint Reader")},
	{0x00002017, _T("Biometric Smart Card Reader")},
	{0x00007554, _T("56k SoftModem")},
	{0x80000000, _T("Usb Device")}
};

// Specialix Devices
USB_DEVICE_ID	vid_00000484[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nokia Monitors Devices
USB_DEVICE_ID	vid_00000485[] =
{
	{0x80000000, _T("Usb Device")}
};

// ASUS Computers Devices
USB_DEVICE_ID	vid_00000486[] =
{
	{0x80000000, _T("Usb Device")}
};

// Stewart Connector Devices
USB_DEVICE_ID	vid_00000487[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cirque Devices
USB_DEVICE_ID	vid_00000488[] =
{
	{0x80000000, _T("Usb Device")}
};

// Foxconn / Hon Hai Devices
USB_DEVICE_ID	vid_00000489[] =
{
	{0x00000502, _T("SmartMedia Card Reader Firmware Loader")},
	{0x00000503, _T("SmartMedia Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// S-MOS Systems Devices
USB_DEVICE_ID	vid_0000048a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Alps Electric Ireland Devices
USB_DEVICE_ID	vid_0000048c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Integrated Technology Express Devices
USB_DEVICE_ID	vid_0000048d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Eicon Tech. Devices
USB_DEVICE_ID	vid_0000048f[] =
{
	{0x80000000, _T("Usb Device")}
};

// United Microelectronics Devices
USB_DEVICE_ID	vid_00000490[] =
{
	{0x80000000, _T("Usb Device")}
};

// Capetronic Devices
USB_DEVICE_ID	vid_00000491[] =
{
	{0x80000000, _T("Usb Device")}
};

// Samsung SemiConductor Devices
USB_DEVICE_ID	vid_00000492[] =
{
	{0x80000000, _T("Usb Device")}
};

// MAG Technology Devices
USB_DEVICE_ID	vid_00000493[] =
{
	{0x80000000, _T("Usb Device")}
};

// ESS Technology Devices
USB_DEVICE_ID	vid_00000495[] =
{
	{0x80000000, _T("Usb Device")}
};

// Micron Electronics Devices
USB_DEVICE_ID	vid_00000496[] =
{
	{0x80000000, _T("Usb Device")}
};

// Smile International Devices
USB_DEVICE_ID	vid_00000497[] =
{
	{0x80000000, _T("Usb Device")}
};

// Capetronic (Kaohsiung) Devices
USB_DEVICE_ID	vid_00000498[] =
{
	{0x80000000, _T("Usb Device")}
};

// Yamaha Devices
USB_DEVICE_ID	vid_00000499[] =
{
	{0x00006001, _T("CRW2200UX Lightspeed 2 External CD-RW Drive")},
	{0x80000000, _T("Usb Device")}
};

// Gandalf Technologies Devices
USB_DEVICE_ID	vid_0000049a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Curtis Computer Products Devices
USB_DEVICE_ID	vid_0000049b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Acer Advanced Labs Devices
USB_DEVICE_ID	vid_0000049c[] =
{
	{0x00000002, _T("Keyboard (?)")},
	{0x80000000, _T("Usb Device")}
};

// VLSI Technology Devices
USB_DEVICE_ID	vid_0000049d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Compaq Computer Devices
USB_DEVICE_ID	vid_0000049f[] =
{
	{0x00000003, _T("iPAQ PocketPC")},
	{0x0000000e, _T("Internet Keyboard")},
	{0x00000018, _T("PA-1/PA-2 MP3 Player")},
	{0x0000001a, _T("S4 100 Scanner")},
	{0x00000021, _T("S200 Scanner")},
	{0x00000033, _T("801.11b Adapter [orinoco]")},
	{0x00000051, _T("KU-0133 Easy Access Interner Keyboard")},
	{0x0000505a, _T("SA-11x0 based Linux Device, or Itsy (experimental)")},
	{0x00008511, _T("iPAQ Networking 10/100 Ethernet [pegasus2]")},
	{0x80000000, _T("Usb Device")}
};

// Digital Equipment Devices
USB_DEVICE_ID	vid_000004a0[] =
{
	{0x80000000, _T("Usb Device")}
};

// SystemSoft Devices
USB_DEVICE_ID	vid_000004a1[] =
{
	{0x80000000, _T("Usb Device")}
};

// FirePower Systems Devices
USB_DEVICE_ID	vid_000004a2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Trident Microsystems Devices
USB_DEVICE_ID	vid_000004a3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hitachi Devices
USB_DEVICE_ID	vid_000004a4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Acer Peripherals Inc. (now BenQ) Devices
USB_DEVICE_ID	vid_000004a5[] =
{
	{0x00000001, _T("Keyboard")},
	{0x000012a6, _T("AcerScan C310U")},
	{0x00001a20, _T("Prisa 310U")},
	{0x00001a2a, _T("Prisa 620U")},
	{0x00002022, _T("Prisa 320U/340U")},
	{0x00002040, _T("Prisa 620UT")},
	{0x00002060, _T("Prisa 620U+/640U")},
	{0x0000207e, _T("Prisa 640BU")},
	{0x000020b0, _T("S2W 3300U/4300U")},
	{0x000020be, _T("Prisa 640BT")},
	{0x000020c0, _T("Prisa 1240UT")},
	{0x000020de, _T("S2W 4300U+")},
	{0x000020fc, _T("Benq 5000")},
	{0x000020fe, _T("SW2 5300U")},
	{0x00003003, _T("Benq WebCam")},
	{0x00003008, _T("Benq 1500")},
	{0x0000300a, _T("Benq 3410")},
	{0x0000300c, _T("Benq 1016")},
	{0x00009213, _T("Kbd Hub")},
	{0x80000000, _T("Usb Device")}
};

// Nokia Display Products Devices
USB_DEVICE_ID	vid_000004a6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Visioneer Devices
USB_DEVICE_ID	vid_000004a7[] =
{
	{0x00000211, _T("OneTouch 7600 Scanner")},
	{0x00000221, _T("OneTouch 5300 Scanner")},
	{0x00000224, _T("OneTouch 4800 USB/Microtek Scanport 3000")},
	{0x00000226, _T("OneTouch 5300 USB")},
	{0x00000231, _T("6100 Scanner")},
	{0x00000311, _T("6200 EPP/USB Scanner")},
	{0x00000321, _T("OneTouch 8100 EPP/USB Scanner")},
	{0x00000331, _T("OneTouch 8600 EPP/USB Scanner")},
	{0x80000000, _T("Usb Device")}
};

// Multivideo Labs Devices
USB_DEVICE_ID	vid_000004a8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Canon Devices
USB_DEVICE_ID	vid_000004a9[] =
{
	{0x00001051, _T("BJC-3000 Color Printer")},
	{0x00001056, _T("BJC-2110 Color Printer")},
	{0x0000105b, _T("S600 Printer")},
	{0x0000105d, _T("S450 Printer")},
	{0x00001062, _T("S500 Printer")},
	{0x00001064, _T("S300 Printer")},
	{0x0000106b, _T("S520 Printer")},
	{0x0000106d, _T("S750 Printer")},
	{0x00001072, _T("I850 Printer")},
	{0x00001073, _T("I550 Printer")},
	{0x00001074, _T("S330 Printer")},
	{0x00001094, _T("PIXMA iP3000x Printer")},
	{0x00002201, _T("CanoScan FB320U")},
	{0x00002202, _T("CanoScan FB620U")},
	{0x00002204, _T("CanoScan FB630U")},
	{0x00002205, _T("CanoScan FB1210U")},
	{0x00002206, _T("CanoScan N650U/N656U")},
	{0x00002207, _T("CanoScan 1220U")},
	{0x00002208, _T("CanoScan D660U")},
	{0x0000220a, _T("CanoScan D2400UF")},
	{0x0000220b, _T("CanoScan D646U")},
	{0x0000220c, _T("CanoScan D1250U2")},
	{0x0000220d, _T("CanoScan N670U/N676U/LiDE 20")},
	{0x0000220e, _T("CanoScan N1240U/LiDE 30")},
	{0x0000220f, _T("CanoScan 8000F")},
	{0x00002210, _T("CanoScan 9900F")},
	{0x00002212, _T("CanoScan 5000F")},
	{0x00002213, _T("LiDE 50/LiDE 35")},
	{0x00002215, _T("CanoScan 3000/3000F/3000ex")},
	{0x00002216, _T("CanoScan 3200F")},
	{0x00002217, _T("CanoScan 5200F")},
	{0x0000221e, _T("CanoScan 8400F")},
	{0x00002611, _T("SmartBase MPC400")},
	{0x0000262b, _T("LaserShot LBP-1120 Printer")},
	{0x00003041, _T("PowerShot S10")},
	{0x00003042, _T("CanoScan FS4000US Film Scanner")},
	{0x00003043, _T("PowerShot S20")},
	{0x00003044, _T("EOS D30")},
	{0x00003045, _T("PowerShot S100")},
	{0x00003046, _T("IXY Digital")},
	{0x00003047, _T("Digital IXUS")},
	{0x00003048, _T("PowerShot G1")},
	{0x00003049, _T("PowerShot Pro90 IS")},
	{0x0000304b, _T("IXY Digital 300")},
	{0x0000304c, _T("PowerShot S300")},
	{0x0000304d, _T("Digital IXUS 300")},
	{0x0000304e, _T("PowerShot A20")},
	{0x0000304f, _T("PowerShot A10")},
	{0x00003051, _T("PowerShot S110")},
	{0x00003052, _T("Digital IXUS V")},
	{0x00003055, _T("PowerShot G2")},
	{0x00003056, _T("PowerShot S40")},
	{0x00003057, _T("PowerShot S30")},
	{0x00003058, _T("PowerShot A40")},
	{0x00003059, _T("PowerShot A30")},
	{0x0000305b, _T("ZR45MC Digital Camcorder")},
	{0x00003060, _T("EOS D60")},
	{0x00003061, _T("PowerShot A100")},
	{0x00003062, _T("PowerShot A200")},
	{0x00003065, _T("PowerShot S200")},
	{0x00003066, _T("Digital IXUS 330")},
	{0x00003067, _T("MV550i Digital Video Camera")},
	{0x00003069, _T("PowerShot G3")},
	{0x0000306b, _T("MVX2i Digital Video Camera")},
	{0x0000306c, _T("PowerShot S45")},
	{0x0000306d, _T("PowerShot S45 PtP Mode")},
	{0x0000306f, _T("PowerShot G3 (ptp)")},
	{0x00003070, _T("PowerShot S230")},
	{0x00003071, _T("PowerShot S230 (ptp)")},
	{0x00003072, _T("PowerShot SD100 / Digital IXUS 2 (ptp)")},
	{0x00003073, _T("PowerShot A70 (ptp)")},
	{0x00003074, _T("PowerShot A60 (ptp)")},
	{0x00003075, _T("IXUS 400 Camera")},
	{0x00003076, _T("PowerShot A300")},
	{0x00003077, _T("PowerShot S50")},
	{0x00003078, _T("ZR70MC Digital Camcorder")},
	{0x0000307b, _T("MV630i Difital Video Camera")},
	{0x0000307f, _T("Optura 20")},
	{0x00003081, _T("Optura 10")},
	{0x00003083, _T("EOS 10D")},
	{0x00003084, _T("EOS 300D / EOS Digital Rebel")},
	{0x00003085, _T("PowerShot G5")},
	{0x00003099, _T("EOS 300D (ptp)")},
	{0x0000309a, _T("PowerShot A80")},
	{0x0000309b, _T("Digital IXUS (ptp)")},
	{0x0000309c, _T("PowerShot S1 IS")},
	{0x000030b4, _T("PowerShot S500")},
	{0x000030b5, _T("PowerShot A75")},
	{0x000030b9, _T("Powershot A85")},
	{0x000030ba, _T("PowerShot S410 Digital Elph")},
	{0x000030bb, _T("PowerShot A95")},
	{0x000030bf, _T("Digital IXUS 40")},
	{0x000030eb, _T("EOS 20D")},
	{0x000030ec, _T("EOS 20D (ptp)")},
	{0x000030ee, _T("EOS 350D")},
	{0x000030ef, _T("EOS 350D (ptp)")},
	{0x80000000, _T("Usb Device")}
};

// DaeWoo Telecom Devices
USB_DEVICE_ID	vid_000004aa[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chromatic Research Devices
USB_DEVICE_ID	vid_000004ab[] =
{
	{0x80000000, _T("Usb Device")}
};

// Micro Audiometrics Devices
USB_DEVICE_ID	vid_000004ac[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dooin Electronics Devices
USB_DEVICE_ID	vid_000004ad[] =
{
	{0x80000000, _T("Usb Device")}
};

// Winnov L.P. Devices
USB_DEVICE_ID	vid_000004af[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nikon Devices
USB_DEVICE_ID	vid_000004b0[] =
{
	{0x00000102, _T("Coolpix 990")},
	{0x00000103, _T("Coolpix 880")},
	{0x00000104, _T("Coolpix 995")},
	{0x00000106, _T("Coolpix 775")},
	{0x00000107, _T("Coolpix 5000")},
	{0x00000108, _T("Coolpix 2500")},
	{0x00000109, _T("Coolpix 2500 (ptp)")},
	{0x0000010a, _T("Coolpix 4500")},
	{0x0000010b, _T("Coolpix 4500 (ptp)")},
	{0x0000010d, _T("Coolpix 5700 (ptp)")},
	{0x0000010e, _T("Coolpix 4300 (storage)")},
	{0x0000010f, _T("Coolpix 4300 (ptp)")},
	{0x00000111, _T("Coolpix 3500 (ptp)")},
	{0x00000112, _T("Coolpix 885 (ptp)")},
	{0x00000113, _T("Coolpix 5000 (ptp)")},
	{0x00000114, _T("Coolpix 3100 (storage)")},
	{0x00000115, _T("Coolpix 3100 (ptp)")},
	{0x00000117, _T("Coolpix 2100 (ptp)")},
	{0x00000119, _T("Coolpix 5400 (ptp)")},
	{0x0000011d, _T("Coolpix 3700 (ptp)")},
	{0x0000012c, _T("Coolpix 4100 (storage)")},
	{0x00000136, _T("Coolpix 7900 (storage)")},
	{0x00000137, _T("Coolpix 7900 (ptp)")},
	{0x00000202, _T("Coolpix SQ (ptp)")},
	{0x00000205, _T("Coolpix 5200 (storage)")},
	{0x00000206, _T("Coolpix 5200 (ptp)")},
	{0x00000301, _T("Coolpix 2000 (storage)")},
	{0x00000302, _T("Coolpix 2000 (ptp)")},
	{0x00000402, _T("DSC D100 (ptp)")},
	{0x00004000, _T("Coolscan LS 40 ED")},
	{0x80000000, _T("Usb Device")}
};

// Pan International Devices
USB_DEVICE_ID	vid_000004b1[] =
{
	{0x80000000, _T("Usb Device")}
};

// IBM Devices
USB_DEVICE_ID	vid_000004b3[] =
{
	{0x00003004, _T("Media Access Pro Keyboard")},
	{0x00003016, _T("UltraNav Keyboard Hub")},
	{0x00003018, _T("UltraNav Keyboard")},
	{0x00003100, _T("NetVista Mouse")},
	{0x00003103, _T("ScrollPoint Pro Mouse")},
	{0x00003107, _T("ThinkPad 800dpi Optical Travel Mouse")},
	{0x00003108, _T("800dpi Optical Mouse w/ Scroll Point")},
	{0x00003109, _T("Optical ScrollPoint Pro Mouse")},
	{0x0000310b, _T("Red Wheel Mouse")},
	{0x00004427, _T("Portable CD ROM")},
	{0x00004525, _T("Double sided CRT")},
	{0x00004550, _T("NVRAM (128 KB)")},
	{0x00004554, _T("Cash Drawer")},
	{0x00004580, _T("Hub w/ NVRAM")},
	{0x00004581, _T("4800-2xx Hub w/ Cash Drawer")},
	{0x00004604, _T("Keyboard w/ Card Reader")},
	{0x00004671, _T("4820 LCD w/ MSR/KB")},
	{0x80000000, _T("Usb Device")}
};

// Cypress Semiconductor Devices
USB_DEVICE_ID	vid_000004b4[] =
{
	{0x00000000, _T("Dacal DC-101 CD Library")},
	{0x00000001, _T("Mouse")},
	{0x00000002, _T("CY7C63x0x Thermometer")},
	{0x00001002, _T("CY7C63001 R100 FM Radio")},
	{0x00005500, _T("HID->COM RS232 Adapter")},
	{0x00006560, _T("CY7C65640 USB-2.0 TetraHub")},
	{0x00006830, _T("USB-2.0 IDE Adapter")},
	{0x00007417, _T("Wireless PC Lock")},
	{0x00008613, _T("CY7C68013 EZ-USB FX2 USB 2.0 Development Kit")},
	{0x0000d5d5, _T("CY7C63x0x Zoltrix Z-Boxer GamePad")},
	{0x0000f000, _T("CY30700 Licorice evaluation board")},
	{0x80000000, _T("Usb Device")}
};

// ROHM LSI Systems USA, LLC Devices
USB_DEVICE_ID	vid_000004b5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hint Devices
USB_DEVICE_ID	vid_000004b6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Compal Electronics Devices
USB_DEVICE_ID	vid_000004b7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Seiko Epson Devices
USB_DEVICE_ID	vid_000004b8[] =
{
	{0x00000001, _T("Stylus Color 740 / Photo 750")},
	{0x00000002, _T("ISD Smart Cable for Mac")},
	{0x00000003, _T("ISD Smart Cable")},
	{0x00000005, _T("Stylus Printer")},
	{0x00000101, _T("Perfection 636")},
	{0x00000102, _T("GT-2200")},
	{0x00000103, _T("Perfection 610")},
	{0x00000104, _T("Perfection 1200")},
	{0x00000105, _T("StylusScan 2000")},
	{0x00000106, _T("Stylus Scan 2500")},
	{0x00000107, _T("Expression 1600U")},
	{0x00000109, _T("Expression 1640 XL")},
	{0x0000010a, _T("Perfection 1640SU")},
	{0x0000010b, _T("Perfection 1240")},
	{0x0000010c, _T("Perfection 640")},
	{0x0000010e, _T("Perfection 1680")},
	{0x0000010f, _T("Perfection 1250")},
	{0x00000110, _T("Perfection 1650")},
	{0x00000112, _T("Perfection 2450")},
	{0x00000114, _T("Perfection 660")},
	{0x0000011b, _T("Perfection 2400 Photo")},
	{0x0000011c, _T("Perfection 3200")},
	{0x0000011d, _T("Perfection 1260 Photo")},
	{0x0000011e, _T("Perfection 1660 Photo")},
	{0x0000011f, _T("Perfection 1670")},
	{0x00000202, _T("Receipt Printer M129C")},
	{0x00000601, _T("Stylus Photo 875DC Card Reader")},
	{0x00000602, _T("Stylus Photo 895 Card Reader")},
	{0x00000801, _T("Stylus CX5200")},
	{0x00000802, _T("Stylus CX3200")},
	{0x80000000, _T("Usb Device")}
};

// Rainbow Technologies Devices
USB_DEVICE_ID	vid_000004b9[] =
{
	{0x00001000, _T("iKey 1000 Token")},
	{0x00001001, _T("iKey 1200 Token")},
	{0x00001200, _T("iKey 2000 Token")},
	{0x00001202, _T("iKey 2032 Token")},
	{0x00001300, _T("iKey 3000 Token")},
	{0x80000000, _T("Usb Device")}
};

// Toucan Systems Devices
USB_DEVICE_ID	vid_000004ba[] =
{
	{0x80000000, _T("Usb Device")}
};

// I-O Data Device Devices
USB_DEVICE_ID	vid_000004bb[] =
{
	{0x00000904, _T("ET/TX Ethernet [pegasus]")},
	{0x00000913, _T("ET/TX-S Ethernet [pegasus2]")},
	{0x00000922, _T("IOData AirPort WN-B11/USBS 802.11b")},
	{0x80000000, _T("Usb Device")}
};

// Toshiba Electronics Taiwan Devices
USB_DEVICE_ID	vid_000004bd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Telia Research AB Devices
USB_DEVICE_ID	vid_000004be[] =
{
	{0x80000000, _T("Usb Device")}
};

// TDK Devices
USB_DEVICE_ID	vid_000004bf[] =
{
	{0x00000100, _T("MediaReader CF")},
	{0x80000000, _T("Usb Device")}
};

// U.S. Robotics (3Com) Devices
USB_DEVICE_ID	vid_000004c1[] =
{
	{0x00000082, _T("OfficeConnect Analog Modem")},
	{0x0000008f, _T("Pro ISDN TA")},
	{0x0000009d, _T("HomeConnect WebCam [vicam]")},
	{0x00003021, _T("56k Voice FaxModem Pro")},
	{0x80000000, _T("Usb Device")}
};

// Methode Electronics Far East PTE Devices
USB_DEVICE_ID	vid_000004c2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Maxi Switch Devices
USB_DEVICE_ID	vid_000004c3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lockheed Martin Energy Research Devices
USB_DEVICE_ID	vid_000004c4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu Devices
USB_DEVICE_ID	vid_000004c5[] =
{
	{0x00001029, _T("fi-4010c Scanner")},
	{0x00001041, _T("fi-4120c Scanner")},
	{0x00001042, _T("fi-4220c Scanner")},
	{0x80000000, _T("Usb Device")}
};

// Toshiba America Electronic Components Devices
USB_DEVICE_ID	vid_000004c6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Micro Macro Technologies Devices
USB_DEVICE_ID	vid_000004c7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Konica Devices
USB_DEVICE_ID	vid_000004c8[] =
{
	{0x00000720, _T("Digital Color Camera")},
	{0x00000721, _T("e-miniD Camera")},
	{0x00000723, _T("KD-200Z Camera")},
	{0x00000726, _T("KD-310Z Camera")},
	{0x80000000, _T("Usb Device")}
};

// Lite-On Technology Devices
USB_DEVICE_ID	vid_000004ca[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fuji Photo Film Devices
USB_DEVICE_ID	vid_000004cb[] =
{
	{0x00000100, _T("FinePix 1300 / 1400 / 4700 Zoom digital camera")},
	{0x00000103, _T("FinePix NX-700 printer")},
	{0x00000104, _T("FinePix A101/2600 Zoom (PC-Cam Mode)")},
	{0x00000108, _T("FinePix F601 Zoom (Disk mode)")},
	{0x00000109, _T("FinePix F601 Zoom (PC-Cam mode)")},
	{0x0000010a, _T("FinePix S602 Zoom (Disk mode)")},
	{0x0000010b, _T("FinePix S602 Zoom (PC-Cam mode)")},
	{0x00000114, _T("FinePix F401 Zoom (Disk mode)")},
	{0x00000115, _T("FinePix F401 Zoom (PC-Cam mode)")},
	{0x00000116, _T("FinePix A203 (Disk mode)")},
	{0x00000117, _T("FinePix A203 (PC-Cam mode)")},
	{0x0000011a, _T("FinePix S304/3800 (Disk mode)")},
	{0x0000011b, _T("FinePix S304/3800 (PC-Cam mode)")},
	{0x0000011c, _T("FinePix 2650 (Disk mode)")},
	{0x0000012c, _T("FinePix S7000 Zoom (Disk mode)")},
	{0x00000130, _T("Finepix S5000 Camera (Disk mode)")},
	{0x00000131, _T("Finepix S5000 Camera (PC-Cam mode)")},
	{0x00000177, _T("Finepix F10 Camera (Disk mode)")},
	{0x00000179, _T("Finepix F10 Camera (PTP mode)")},
	{0x80000000, _T("Usb Device")}
};

// Philips Semiconductors Devices
USB_DEVICE_ID	vid_000004cc[] =
{
	{0x00001122, _T("Hub")},
	{0x00001521, _T("USB 2.0 Hub")},
	{0x00008116, _T("Camera")},
	{0x80000000, _T("Usb Device")}
};

// Tatung Of America Devices
USB_DEVICE_ID	vid_000004cd[] =
{
	{0x80000000, _T("Usb Device")}
};

// ScanLogic Devices
USB_DEVICE_ID	vid_000004ce[] =
{
	{0x00000002, _T("SL11R-IDE IDE Bridge")},
	{0x80000000, _T("Usb Device")}
};

// Myson Century Devices
USB_DEVICE_ID	vid_000004cf[] =
{
	{0x00008818, _T("Fast 3.5 External Storage")},
	{0x80000000, _T("Usb Device")}
};

// Digi International Devices
USB_DEVICE_ID	vid_000004d0[] =
{
	{0x80000000, _T("Usb Device")}
};

// ITT Canon Devices
USB_DEVICE_ID	vid_000004d1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Altec Lansing Technologies Devices
USB_DEVICE_ID	vid_000004d2[] =
{
	{0x00000311, _T("ADA-310 Speakers")},
	{0x0000ff05, _T("ADA-305 Speakers")},
	{0x80000000, _T("Usb Device")}
};

// VidUS Devices
USB_DEVICE_ID	vid_000004d3[] =
{
	{0x80000000, _T("Usb Device")}
};

// LSI Logic Devices
USB_DEVICE_ID	vid_000004d4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Forte Technologies Devices
USB_DEVICE_ID	vid_000004d5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mentor Graphics Devices
USB_DEVICE_ID	vid_000004d6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oki Semiconductor Devices
USB_DEVICE_ID	vid_000004d7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Microchip Technology Devices
USB_DEVICE_ID	vid_000004d8[] =
{
	{0x00008000, _T("In-Circuit Debugger")},
	{0x80000000, _T("Usb Device")}
};

// Holtek Semiconductor Devices
USB_DEVICE_ID	vid_000004d9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Panasonic (Matsushita) Devices
USB_DEVICE_ID	vid_000004da[] =
{
	{0x00002372, _T("Lumix DMC-FZ10 Camera")},
	{0x80000000, _T("Usb Device")}
};

// Hypertec Pty Devices
USB_DEVICE_ID	vid_000004db[] =
{
	{0x80000000, _T("Usb Device")}
};

// Huan Hsin Holdings Devices
USB_DEVICE_ID	vid_000004dc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sharp Devices
USB_DEVICE_ID	vid_000004dd[] =
{
	{0x00007004, _T("VE-CG40U Digital Still Camera")},
	{0x00007005, _T("VE-CG30 Digital Still Camera")},
	{0x00007007, _T("VL-Z7S Digital Camcorder")},
	{0x00008004, _T("Zaurus SL-5000D/SL-5500 PDA")},
	{0x00008005, _T("Zaurus A-300")},
	{0x00008006, _T("Zaurus SL-B500/SL-5600 PDA")},
	{0x00008007, _T("Zaurus C-700 PDA")},
	{0x00009014, _T("IM-DR80 Portable NetMD Player")},
	{0x00009031, _T("Zaurus C-750/C-760/C-860/SL-C3000 PDA")},
	{0x00009032, _T("Zaurus SL-6000")},
	{0x00009050, _T("Zaurus C-860 PDA")},
	{0x80000000, _T("Usb Device")}
};

// MindShare Devices
USB_DEVICE_ID	vid_000004de[] =
{
	{0x80000000, _T("Usb Device")}
};

// Interlink Electronics Devices
USB_DEVICE_ID	vid_000004df[] =
{
	{0x80000000, _T("Usb Device")}
};

// Iiyama North America Devices
USB_DEVICE_ID	vid_000004e1[] =
{
	{0x00000201, _T("Monitor Hub")},
	{0x80000000, _T("Usb Device")}
};

// Exar Devices
USB_DEVICE_ID	vid_000004e2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Zilog Devices
USB_DEVICE_ID	vid_000004e3[] =
{
	{0x80000000, _T("Usb Device")}
};

// ACC Microelectronics Devices
USB_DEVICE_ID	vid_000004e4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Promise Technology Devices
USB_DEVICE_ID	vid_000004e5[] =
{
	{0x80000000, _T("Usb Device")}
};

// SCM Microsystems Devices
USB_DEVICE_ID	vid_000004e6[] =
{
	{0x00000001, _T("E-USB ATA Bridge")},
	{0x00000002, _T("eUSCSI SCSI Bridge")},
	{0x00000003, _T("eUSB SmartMedia Card Reader")},
	{0x00000005, _T("eUSB SmartMedia/CompactFlash Card Reader")},
	{0x00000006, _T("eUSB SmartMedia Card Reader")},
	{0x00000007, _T("Hifd")},
	{0x00000101, _T("eUSB ATA Bridge")},
	{0x00000325, _T("eUSB ORCA Quad Reader")},
	{0x00000500, _T("Veridicom 5thSense Fingerprint Sensor and eUSB SmartCard")},
	{0x00001010, _T("USBAT-2 CompactFlash Card Reader")},
	{0x00005111, _T("SCR331-DI SmartCard Reader")},
	{0x00005113, _T("SCR333 SmartCard Reader")},
	{0x00005115, _T("SCR335 SmartCard Reader")},
	{0x00005116, _T("SCR331-LC1 SmartCard Reader")},
	{0x0000e001, _T("SCR331 SmartCard Reader")},
	{0x0000e003, _T("SPR532 PinPad SmartCard Reader")},
	{0x80000000, _T("Usb Device")}
};

// Elo TouchSystems Devices
USB_DEVICE_ID	vid_000004e7[] =
{
	{0x00000001, _T("TouchScreen")},
	{0x80000000, _T("Usb Device")}
};

// Samsung Electronics Devices
USB_DEVICE_ID	vid_000004e8[] =
{
	{0x00000110, _T("Connect3D Flash Drive")},
	{0x00000111, _T("Connect3D Flash Drive")},
	{0x00001003, _T("MP3 Player and Recorder")},
	{0x0000300c, _T("ML-1210 Printer")},
	{0x0000324c, _T("ML-1740 Printer")},
	{0x00003260, _T("CLP-510 Color Laser Printer")},
	{0x00005a03, _T("Yepp MP3 Player")},
	{0x00006601, _T("Z100 Mobile Phone")},
	{0x80000000, _T("Usb Device")}
};

// PC-Tel Devices
USB_DEVICE_ID	vid_000004e9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Brooktree Devices
USB_DEVICE_ID	vid_000004ea[] =
{
	{0x80000000, _T("Usb Device")}
};

// Northstar Systems Devices
USB_DEVICE_ID	vid_000004eb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tokyo Electron Device Devices
USB_DEVICE_ID	vid_000004ec[] =
{
	{0x80000000, _T("Usb Device")}
};

// Annabooks Devices
USB_DEVICE_ID	vid_000004ed[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pacific Electronic International Devices
USB_DEVICE_ID	vid_000004ef[] =
{
	{0x80000000, _T("Usb Device")}
};

// Daewoo Electronics Devices
USB_DEVICE_ID	vid_000004f0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Victor Company of Japan Devices
USB_DEVICE_ID	vid_000004f1[] =
{
	{0x00000001, _T("GC-QX3 Digital Still Camera")},
	{0x00000004, _T("GR-DVL815U Digital Video Camera")},
	{0x00000009, _T("GR-DX25EK Digital Video Camera")},
	{0x0000000a, _T("GR-D72 Digital Video Camera")},
	{0x80000000, _T("Usb Device")}
};

// Chicony Electronics Devices
USB_DEVICE_ID	vid_000004f2[] =
{
	{0x00000001, _T("KU-8933 Keyboard")},
	{0x00000002, _T("NT68P81 Keyboard")},
	{0x00000110, _T("KU-2971 Keyboard")},
	{0x00000112, _T("KU-8933 Keyboard with PS/2 Mouse port")},
	{0x00000116, _T("KU-2971 German Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Elan Microelectronics Devices
USB_DEVICE_ID	vid_000004f3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Harting Elektronik Devices
USB_DEVICE_ID	vid_000004f4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu-ICL Systems Devices
USB_DEVICE_ID	vid_000004f5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Norand Devices
USB_DEVICE_ID	vid_000004f6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Newnex Technology Devices
USB_DEVICE_ID	vid_000004f7[] =
{
	{0x80000000, _T("Usb Device")}
};

// FuturePlus Systems Devices
USB_DEVICE_ID	vid_000004f8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Brother Industries Devices
USB_DEVICE_ID	vid_000004f9[] =
{
	{0x00000002, _T("HL-1050 Laser Printer")},
	{0x00000006, _T("HL-1240 Laser Printer")},
	{0x00000007, _T("HL-1250 Laser Printer")},
	{0x00000008, _T("HL-1270 Laser Printer")},
	{0x0000000d, _T("HL-1440 Laser Printer")},
	{0x0000010f, _T("MFC 5100C")},
	{0x00000111, _T("MFC 6800")},
	{0x00002004, _T("PT-2300/2310 p-Touch Laber Printer")},
	{0x80000000, _T("Usb Device")}
};

// Dallas Semiconductor Devices
USB_DEVICE_ID	vid_000004fa[] =
{
	{0x00002490, _T("DS1490F 2-in-1 Fob, 1-Wire adapter")},
	{0x00004201, _T("DS4201 Audio DAC")},
	{0x80000000, _T("Usb Device")}
};

// Biostar Microtech International Devices
USB_DEVICE_ID	vid_000004fb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sunplus Technology Devices
USB_DEVICE_ID	vid_000004fc[] =
{
	{0x00000003, _T("CM1092 Optical Scroller Mouse")},
	{0x00000561, _T("Flexcam 100")},
	{0x0000504a, _T("SPCA504a Digital Camera")},
	{0x0000504b, _T("Aiptek, 1.3 mega PockerCam")},
	{0x00007333, _T("Finet Technology Palmpix DC-85")},
	{0x80000000, _T("Usb Device")}
};

// Soliton Systems, K.K. Devices
USB_DEVICE_ID	vid_000004fd[] =
{
	{0x80000000, _T("Usb Device")}
};

// PFU Devices
USB_DEVICE_ID	vid_000004fe[] =
{
	{0x80000000, _T("Usb Device")}
};

// E-CMOS Devices
USB_DEVICE_ID	vid_000004ff[] =
{
	{0x80000000, _T("Usb Device")}
};

// Siam United Hi-Tech Devices
USB_DEVICE_ID	vid_00000500[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujikura DDK Devices
USB_DEVICE_ID	vid_00000501[] =
{
	{0x80000000, _T("Usb Device")}
};

// Acer Devices
USB_DEVICE_ID	vid_00000502[] =
{
	{0x0000d001, _T("Divio NW801/DVC-V6+ Digital Camera")},
	{0x80000000, _T("Usb Device")}
};

// Hitachi America Devices
USB_DEVICE_ID	vid_00000503[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hayes Microcomputer Products Devices
USB_DEVICE_ID	vid_00000504[] =
{
	{0x80000000, _T("Usb Device")}
};

// 3Com Devices
USB_DEVICE_ID	vid_00000506[] =
{
	{0x000000a0, _T("3CREB96 Bluetooth Adapter")},
	{0x000003e8, _T("3C19250 Ethernet [klsi]")},
	{0x00000a11, _T("3CRWE254G72 802.11g Adapter")},
	{0x000000df, _T("3Com Home Connect lite")},
	{0x00004601, _T("3C460B 10/100 Ethernet Adapter")},
	{0x0000f002, _T("3CP4218 ADSL Modem (pre-init)")},
	{0x0000f003, _T("3CP4218 ADSL Modem")},
	{0x0000f100, _T("3CP4218 ADSL Modem (pre-init)")},
	{0x80000000, _T("Usb Device")}
};

// Hosiden Devices
USB_DEVICE_ID	vid_00000507[] =
{
	{0x00000011, _T("Konami ParaParaParadise Controller")},
	{0x80000000, _T("Usb Device")}
};

// Clarion Devices
USB_DEVICE_ID	vid_00000508[] =
{
	{0x80000000, _T("Usb Device")}
};

// Aztech Systems Devices
USB_DEVICE_ID	vid_00000509[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cinch Connectors Devices
USB_DEVICE_ID	vid_0000050a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cable System International Devices
USB_DEVICE_ID	vid_0000050b[] =
{
	{0x80000000, _T("Usb Device")}
};

// InnoMedia Devices
USB_DEVICE_ID	vid_0000050c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Belkin Components Devices
USB_DEVICE_ID	vid_0000050d[] =
{
	{0x00000103, _T("F5U103 Serial Adapter [etek]")},
	{0x00000108, _T("F1DE108B KVM")},
	{0x00000109, _T("F5U109/F5U409 PDA Adapter")},
	{0x00000115, _T("SCSI Adapter")},
	{0x00000121, _T("F5D5050 100Mbps Ethernet")},
	{0x00000208, _T("USBView II Video Adapter [nt1004]")},
	{0x00000224, _T("F5U224 USB 2.0 4-Port Hub")},
	{0x00000234, _T("F5U234 USB 2.0 4-Port Hub")},
	{0x00000803, _T("Nostromo 1745 GamePad")},
	{0x00000805, _T("Nostromo N50 GamePad")},
	{0x00001203, _T("F5U120-PC Serial Port")},
	{0x00007050, _T("F5D7050 ver 1000 WiFi")},
	{0x80000000, _T("Usb Device")}
};

// Neon Technology Devices
USB_DEVICE_ID	vid_0000050e[] =
{
	{0x80000000, _T("Usb Device")}
};

// KC Technology Devices
USB_DEVICE_ID	vid_0000050f[] =
{
	{0x00000003, _T("KC82C160S Hub")},
	{0x00000180, _T("KC-180 IrDA Dongle")},
	{0x00000190, _T("KC2190 USB Host-to-Host cable")},
	{0x80000000, _T("Usb Device")}
};

// Sejin Electron Devices
USB_DEVICE_ID	vid_00000510[] =
{
	{0x80000000, _T("Usb Device")}
};

// N'Able (DataBook) Technologies Devices
USB_DEVICE_ID	vid_00000511[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hualon Microelectronics Devices
USB_DEVICE_ID	vid_00000512[] =
{
	{0x80000000, _T("Usb Device")}
};

// digital-X Devices
USB_DEVICE_ID	vid_00000513[] =
{
	{0x80000000, _T("Usb Device")}
};

// FCI Electronics Devices
USB_DEVICE_ID	vid_00000514[] =
{
	{0x80000000, _T("Usb Device")}
};

// ACTC Devices
USB_DEVICE_ID	vid_00000515[] =
{
	{0x80000000, _T("Usb Device")}
};

// Longwell Electronics Devices
USB_DEVICE_ID	vid_00000516[] =
{
	{0x80000000, _T("Usb Device")}
};

// Butterfly Communications Devices
USB_DEVICE_ID	vid_00000517[] =
{
	{0x80000000, _T("Usb Device")}
};

// EzKEY Devices
USB_DEVICE_ID	vid_00000518[] =
{
	{0x80000000, _T("Usb Device")}
};

// Star Micronics Devices
USB_DEVICE_ID	vid_00000519[] =
{
	{0x0000c002, _T("Xlive Bluetooth XBM-100S MP3 Player")},
	{0x80000000, _T("Usb Device")}
};

// WYSE Technology Devices
USB_DEVICE_ID	vid_0000051a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Silicon Graphics Devices
USB_DEVICE_ID	vid_0000051b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Shuttle Devices
USB_DEVICE_ID	vid_0000051c[] =
{
	{0x80000000, _T("Usb Device")}
};

// American Power Conversion Devices
USB_DEVICE_ID	vid_0000051d[] =
{
	{0x00000002, _T("Back-UPS Pro 500/1000/1500")},
	{0x80000000, _T("Usb Device")}
};

// Scientific Atlanta Devices
USB_DEVICE_ID	vid_0000051e[] =
{
	{0x80000000, _T("Usb Device")}
};

// IO Systems (Elite Electronics) Devices
USB_DEVICE_ID	vid_0000051f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Taiwan Semiconductor Manufacturing Devices
USB_DEVICE_ID	vid_00000520[] =
{
	{0x80000000, _T("Usb Device")}
};

// Airborn Connectors Devices
USB_DEVICE_ID	vid_00000521[] =
{
	{0x80000000, _T("Usb Device")}
};

// Advanced Connectek Devices
USB_DEVICE_ID	vid_00000522[] =
{
	{0x80000000, _T("Usb Device")}
};

// ATEN GmbH Devices
USB_DEVICE_ID	vid_00000523[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sola Electronics Devices
USB_DEVICE_ID	vid_00000524[] =
{
	{0x80000000, _T("Usb Device")}
};

// Netchip Technology Devices
USB_DEVICE_ID	vid_00000525[] =
{
	{0x00001080, _T("NET1080 USB-USB Bridge")},
	{0x0000a4a0, _T("Linux-USB Gadget Zero")},
	{0x0000a4a1, _T("Linux-USB Ethernet Gadget")},
	{0x0000a4a2, _T("Linux-USB Ethernet/RNDIS Gadget")},
	{0x0000a4a3, _T("Linux-USB user-mode isochronous source/sink")},
	{0x0000a4a4, _T("Linux-USB user-mode bulk source/sink")},
	{0x0000a4a5, _T("Linux-USB File Storage Gadget")},
	{0x0000a4a6, _T("Linux-USB Serial Gadget")},
	{0x0000a4a7, _T("Linux-USB Serial Gadget (CDC ACM mode)")},
	{0x80000000, _T("Usb Device")}
};

// Temic MHS S.A. Devices
USB_DEVICE_ID	vid_00000526[] =
{
	{0x80000000, _T("Usb Device")}
};

// ALTRA Devices
USB_DEVICE_ID	vid_00000527[] =
{
	{0x80000000, _T("Usb Device")}
};

// ATI Technologies Devices
USB_DEVICE_ID	vid_00000528[] =
{
	{0x00007561, _T("TV Wonder")},
	{0x80000000, _T("Usb Device")}
};

// Aladdin Knowledge Systems Devices
USB_DEVICE_ID	vid_00000529[] =
{
	{0x00000001, _T("HASP v0.06")},
	{0x0000030b, _T("eToken R1 v3.1.3.x")},
	{0x00000313, _T("eToken R1 v3.2.3.x")},
	{0x0000031b, _T("eToken R1 v3.3.3.x")},
	{0x00000323, _T("eToken R1 v3.4.3.x")},
	{0x00000412, _T("eToken R2 v2.2.4.x")},
	{0x0000041a, _T("eToken R2 v2.2.4.x")},
	{0x00000422, _T("eToken R2 v2.4.4.x")},
	{0x0000042a, _T("eToken R2 v2.5.4.x")},
	{0x0000050c, _T("eToken Pro v4.1.5.x")},
	{0x00000514, _T("eToken Pro v4.2.5.4")},
	{0x80000000, _T("Usb Device")}
};

// Crescent Heart Software Devices
USB_DEVICE_ID	vid_0000052a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tekom Technologies Devices
USB_DEVICE_ID	vid_0000052b[] =
{
	{0x00001513, _T("Aosta CX100 WebCam")},
	{0x00001514, _T("Aosta CX100 WebCam Storage")},
	{0x80000000, _T("Usb Device")}
};

// Canon Information Systems Devices
USB_DEVICE_ID	vid_0000052c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Avid Electronics Devices
USB_DEVICE_ID	vid_0000052d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Standard Microsystems Devices
USB_DEVICE_ID	vid_0000052e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Unicore Software Devices
USB_DEVICE_ID	vid_0000052f[] =
{
	{0x80000000, _T("Usb Device")}
};

// American Microsystems Devices
USB_DEVICE_ID	vid_00000530[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wacom Technology Devices
USB_DEVICE_ID	vid_00000531[] =
{
	{0x80000000, _T("Usb Device")}
};

// Systech Devices
USB_DEVICE_ID	vid_00000532[] =
{
	{0x80000000, _T("Usb Device")}
};

// Alcatel Mobile Phones Devices
USB_DEVICE_ID	vid_00000533[] =
{
	{0x80000000, _T("Usb Device")}
};

// Motorola Devices
USB_DEVICE_ID	vid_00000534[] =
{
	{0x80000000, _T("Usb Device")}
};

// LIH TZU Electric Devices
USB_DEVICE_ID	vid_00000535[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hand Held Products (Welch Allyn) Devices
USB_DEVICE_ID	vid_00000536[] =
{
	{0x80000000, _T("Usb Device")}
};

// Inventec Devices
USB_DEVICE_ID	vid_00000537[] =
{
	{0x80000000, _T("Usb Device")}
};

// Caldera International (SCO) Devices
USB_DEVICE_ID	vid_00000538[] =
{
	{0x80000000, _T("Usb Device")}
};

// Shyh Shiun Terminals Devices
USB_DEVICE_ID	vid_00000539[] =
{
	{0x80000000, _T("Usb Device")}
};

// Preh Werke GmbH & KG Devices
USB_DEVICE_ID	vid_0000053a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Global Village Communication Devices
USB_DEVICE_ID	vid_0000053b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Institut of Microelectronic & Mechatronic Systems Devices
USB_DEVICE_ID	vid_0000053c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Silicon Architect Devices
USB_DEVICE_ID	vid_0000053d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mobility Electronics Devices
USB_DEVICE_ID	vid_0000053e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Synopsys Devices
USB_DEVICE_ID	vid_0000053f[] =
{
	{0x80000000, _T("Usb Device")}
};

// UniAccess AB Devices
USB_DEVICE_ID	vid_00000540[] =
{
	{0x00000101, _T("Panache Surf ISDN TA")},
	{0x80000000, _T("Usb Device")}
};

// Sirf Technology Devices
USB_DEVICE_ID	vid_00000541[] =
{
	{0x80000000, _T("Usb Device")}
};

// ViewSonic Devices
USB_DEVICE_ID	vid_00000543[] =
{
	{0x000000fe, _T("G773 Monitor Hub")},
	{0x000000ff, _T("P815 Monitor Hub")},
	{0x00004153, _T("ViewSonic G773 Control (?)")},
	{0x80000000, _T("Usb Device")}
};

// Cristie Electronics Devices
USB_DEVICE_ID	vid_00000544[] =
{
	{0x80000000, _T("Usb Device")}
};

// Xirlink Devices
USB_DEVICE_ID	vid_00000545[] =
{
	{0x00008002, _T("IBM NetCamera")},
	{0x0000800c, _T("Veo StingRay")},
	{0x00008080, _T("IBM C-It WebCam")},
	{0x0000810a, _T("Veo Advanced Connect WebCam")},
	{0x80000000, _T("Usb Device")}
};

// Polaroid Devices
USB_DEVICE_ID	vid_00000546[] =
{
	{0x00001bed, _T("PDC 1320 Camera")},
	{0x80000000, _T("Usb Device")}
};

// Anchor Chips Devices
USB_DEVICE_ID	vid_00000547[] =
{
	{0x00002131, _T("AN2131 EZUSB Microcontroller")},
	{0x00002235, _T("AN2235 EZUSB-FX Microcontroller")},
	{0x00002720, _T("AN2720 USB-USB Bridge")},
	{0x00002727, _T("Xircom PGUNET USB-USB Bridge")},
	{0x00002810, _T("Cypress USB ATAPI Bridge")},
	{0x00009999, _T("AN2131 uninitialized (?)")},
	{0x80000000, _T("Usb Device")}
};

// Tyan Computer Devices
USB_DEVICE_ID	vid_00000548[] =
{
	{0x00001005, _T("EZ Cart II GameBoy Flash Programmer")},
	{0x80000000, _T("Usb Device")}
};

// Pixera Devices
USB_DEVICE_ID	vid_00000549[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu Microelectronics Devices
USB_DEVICE_ID	vid_0000054a[] =
{
	{0x80000000, _T("Usb Device")}
};

// New Media Devices
USB_DEVICE_ID	vid_0000054b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sony Devices
USB_DEVICE_ID	vid_0000054c[] =
{
	{0x00000010, _T("DSC-S30/S70/S75/F505V/F505/FD92 Cybershot/Mavica Digital Camera")},
	{0x00000023, _T("CD Writer")},
	{0x00000024, _T("Mavica CD-1000 Camera")},
	{0x00000025, _T("NW-MS7 Walkman MemoryStick Reader")},
	{0x0000002d, _T("MSAC-US1 MemoryStick Reader")},
	{0x0000002e, _T("Sony HandyCam MemoryStick Reader")},
	{0x00000032, _T("MemoryStick MSC-U01 Reader")},
	{0x00000038, _T("Clie PEG-S300/D PalmOS PDA")},
	{0x0000004e, _T("DSC-xxx (ptp)")},
	{0x00000058, _T("Clie PEG-N7x0C PalmOS PDA Mass Storage")},
	{0x00000066, _T("Clie PEG-N7x0C/PEG-T425 PalmOS PDA Serial")},
	{0x00000069, _T("Memorystick MSC-U03 Reader")},
	{0x0000006d, _T("Clie PEG-T425 PDA Mass Storage")},
	{0x0000008b, _T("Micro Vault 64M Mass Storage")},
	{0x00000099, _T("Clie NR70 PDA Mass Storage")},
	{0x0000009a, _T("Clie NR70 PDA Serial")},
	{0x000000c0, _T("Handycam DCR-30")},
	{0x000000c8, _T("MZ-N710 Minidisc Walkman")},
	{0x000000ca, _T("MZ-DN430 Minidisc Walkman")},
	{0x000000cb, _T("MSAC-US20 Memory Stick Reader")},
	{0x00000105, _T("Micro Vault Hub")},
	{0x00000107, _T("VCC-U01 Visual Communication Camera")},
	{0x00000144, _T("Clie PEG-TH55 PDA")},
	{0x0000014c, _T("Aiwa AM-NX9 Net MD Music Recorder MDLP")},
	{0x0000014d, _T("Memory Stick Reader/Writer")},
	{0x00000169, _T("Clie PEG-TJ35 PDA Serial")},
	{0x0000016a, _T("Clie PEG-TJ35 PDA Mass Storage")},
	{0x000001c3, _T("NW-E55 Network Walkman")},
	{0x000001d0, _T("DVD+RW External Drive DRU-700A")},
	{0x0000023b, _T("DVD+RW External Drive DRU-800UL")},
	{0x80000000, _T("Usb Device")}
};

// Try Devices
USB_DEVICE_ID	vid_0000054d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Proside Devices
USB_DEVICE_ID	vid_0000054e[] =
{
	{0x80000000, _T("Usb Device")}
};

// WYSE Technology Taiwan Devices
USB_DEVICE_ID	vid_0000054f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fuji Xerox Devices
USB_DEVICE_ID	vid_00000550[] =
{
	{0x80000000, _T("Usb Device")}
};

// CompuTrend Systems Devices
USB_DEVICE_ID	vid_00000551[] =
{
	{0x80000000, _T("Usb Device")}
};

// Philips Monitors Devices
USB_DEVICE_ID	vid_00000552[] =
{
	{0x80000000, _T("Usb Device")}
};

// STMicroelectronics Imaging Division (VLSI Vision) Devices
USB_DEVICE_ID	vid_00000553[] =
{
	{0x00000002, _T("CPiA WebCam")},
	{0x00000151, _T("Digital Blue QX5 Microscope")},
	{0x00000202, _T("Aiptek PenCam 1")},
	{0x80000000, _T("Usb Device")}
};

// Dictaphone Devices
USB_DEVICE_ID	vid_00000554[] =
{
	{0x80000000, _T("Usb Device")}
};

// ANAM S&T Devices
USB_DEVICE_ID	vid_00000555[] =
{
	{0x80000000, _T("Usb Device")}
};

// Asahi Kasei Microsystems Devices
USB_DEVICE_ID	vid_00000556[] =
{
	{0x00000001, _T("AK5370 I/F A/D Converter")},
	{0x80000000, _T("Usb Device")}
};

// ATEN International Devices
USB_DEVICE_ID	vid_00000557[] =
{
	{0x00002001, _T("UC-1284 Printer Port")},
	{0x00002002, _T("10Mbps Ethernet [klsi]")},
	{0x00002004, _T("UC-100KM PS/2 Mouse and Keyboard adapter")},
	{0x00002006, _T("UC-1284B Printer Port")},
	{0x00002007, _T("UC-110T 100Mbps Ethernet [pegasus]")},
	{0x00002008, _T("UC-232A Serial Port [pl2303]")},
	{0x00002202, _T("CS124U Miniview II KVM Switch")},
	{0x00002600, _T("IDE Bridge")},
	{0x00004000, _T("DSB-650 10Mbps Ethernet [klsi]")},
	{0x80000000, _T("Usb Device")}
};

// Truevision Devices
USB_DEVICE_ID	vid_00000558[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cadence Design Systems Devices
USB_DEVICE_ID	vid_00000559[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kenwood USA Devices
USB_DEVICE_ID	vid_0000055a[] =
{
	{0x80000000, _T("Usb Device")}
};

// KnowledgeTek Devices
USB_DEVICE_ID	vid_0000055b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Proton Electronic Ind. Devices
USB_DEVICE_ID	vid_0000055c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Samsung Electro-Mechanics Devices
USB_DEVICE_ID	vid_0000055d[] =
{
	{0x00009000, _T("AnyCam [pwc]")},
	{0x00009001, _T("MPC-C30 AnyCam Premium for Notebooks [pwc]")},
	{0x80000000, _T("Usb Device")}
};

// CTX Opto-Electronics Devices
USB_DEVICE_ID	vid_0000055e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mustek Systems Devices
USB_DEVICE_ID	vid_0000055f[] =
{
	{0x00000001, _T("ScanExpress 1200 CU")},
	{0x00000002, _T("ScanExpress 600 CU")},
	{0x00000003, _T("ScanExpress 1200 USB")},
	{0x00000006, _T("ScanExpress 1200 UB")},
	{0x00000007, _T("ScanExpress 1200 USB Plus")},
	{0x00000008, _T("ScanExpress 1200 CU Plus")},
	{0x00000010, _T("BearPaw 1200F")},
	{0x00000210, _T("ScanExpress A3 USB")},
	{0x00000218, _T("BearPaw 2400 TA")},
	{0x00000219, _T("BearPaw 2400 TA Plus")},
	{0x0000021a, _T("BearPaw 2448 TA Plus")},
	{0x0000021c, _T("BearPaw 1200 CU Plus")},
	{0x0000021d, _T("BearPaw 2400 CU Plus")},
	{0x0000021e, _T("BearPaw 1200 TA/CS")},
	{0x00000400, _T("BearPaw 2400 TA Pro")},
	{0x00000401, _T("P 3600 A3 Pro")},
	{0x00000873, _T("ScanExpress 600 USB")},
	{0x00001000, _T("BearPaw 4800 TA Pro")},
	{0x0000a350, _T("gSmart 350")},
	{0x0000a800, _T("MDC 800 Camera")},
	{0x0000b500, _T("MDC 3000 Camera")},
	{0x0000c200, _T("gSmart 300")},
	{0x0000c220, _T("gSmart mini")},
	{0x0000c360, _T("Mustek DV 4000")},
	{0x0000c420, _T("gSmart mini 2")},
	{0x0000c440, _T("Mustek DV 3000")},
	{0x0000c520, _T("gSmart mini 3")},
	{0x0000c530, _T("Mustek Gsmart LCD 2")},
	{0x0000c650, _T("Mustek MDC5500Z")},
	{0x0000d001, _T("WCam 300")},
	{0x80000000, _T("Usb Device")}
};

// Interface Devices
USB_DEVICE_ID	vid_00000560[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oasis Design Devices
USB_DEVICE_ID	vid_00000561[] =
{
	{0x80000000, _T("Usb Device")}
};

// Telex Communications Devices
USB_DEVICE_ID	vid_00000562[] =
{
	{0x00000001, _T("Enhanced Microphone")},
	{0x80000000, _T("Usb Device")}
};

// Immersion Devices
USB_DEVICE_ID	vid_00000563[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chinon Industries Devices
USB_DEVICE_ID	vid_00000564[] =
{
	{0x80000000, _T("Usb Device")}
};

// Peracom Networks Devices
USB_DEVICE_ID	vid_00000565[] =
{
	{0x00000001, _T("Serial Port [etek]")},
	{0x00000002, _T("Enet Ethernet [klsi]")},
	{0x00000003, _T("@Home Networks Ethernet [klsi]")},
	{0x00000005, _T("Enet2 Ethernet [klsi]")},
	{0x80000000, _T("Usb Device")}
};

// Monterey International Devices
USB_DEVICE_ID	vid_00000566[] =
{
	{0x00003107, _T("Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Xyratex International Devices
USB_DEVICE_ID	vid_00000567[] =
{
	{0x80000000, _T("Usb Device")}
};

// Quartz Ingenierie Devices
USB_DEVICE_ID	vid_00000568[] =
{
	{0x80000000, _T("Usb Device")}
};

// SegaSoft Devices
USB_DEVICE_ID	vid_00000569[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wacom Devices
USB_DEVICE_ID	vid_0000056a[] =
{
	{0x00000000, _T("PenPartner")},
	{0x00000010, _T("Graphire")},
	{0x00000011, _T("Graphire 2")},
	{0x00000020, _T("Intuos 4x5")},
	{0x00000021, _T("Intuos 6x8")},
	{0x00000022, _T("Intuos 9x12")},
	{0x00000023, _T("Intuos 12x12")},
	{0x00000024, _T("Intuos 12x18")},
	{0x00000031, _T("PL500")},
	{0x00000042, _T("Intuos 2 6x8")},
	{0x00000043, _T("Intuos 2")},
	{0x80000000, _T("Usb Device")}
};

// Decicon Devices
USB_DEVICE_ID	vid_0000056b[] =
{
	{0x80000000, _T("Usb Device")}
};

// eTEK Labs Devices
USB_DEVICE_ID	vid_0000056c[] =
{
	{0x00008007, _T("Kwik232 Serial Port")},
	{0x00008101, _T("KwikLink USB-USB Bridge")},
	{0x80000000, _T("Usb Device")}
};

// EIZO Devices
USB_DEVICE_ID	vid_0000056d[] =
{
	{0x00000000, _T("Hub")},
	{0x00000001, _T("Monitor")},
	{0x80000000, _T("Usb Device")}
};

// Elecom Devices
USB_DEVICE_ID	vid_0000056e[] =
{
	{0x00000002, _T("29UO Mouse")},
	{0x00004002, _T("Laneed 100Mbps Ethernet LD-USB/TX [pegasus]")},
	{0x80000000, _T("Usb Device")}
};

// Korea Data Systems Devices
USB_DEVICE_ID	vid_0000056f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Epson America Devices
USB_DEVICE_ID	vid_00000570[] =
{
	{0x80000000, _T("Usb Device")}
};

// Interex Devices
USB_DEVICE_ID	vid_00000571[] =
{
	{0x00000002, _T("echoFX InterView Lite")},
	{0x80000000, _T("Usb Device")}
};

// Conexant Systems (Rockwell) Devices
USB_DEVICE_ID	vid_00000572[] =
{
	{0x00000001, _T("Ezcam II WebCam")},
	{0x00000002, _T("Ezcam II WebCam")},
	{0x00000040, _T("Wondereye CP-115 WebCam")},
	{0x00001232, _T("V.90 modem")},
	{0x0000cafe, _T("AccessRunner ADSL Modem")},
	{0x0000cb00, _T("E-Tech ADSL Modem v2")},
	{0x0000cb01, _T("GeekADSL Promax Q31 ADSL Modem")},
	{0x80000000, _T("Usb Device")}
};

// Zoran Personal Media Division (Nogatech) Devices
USB_DEVICE_ID	vid_00000573[] =
{
	{0x00000003, _T("USBGear USBG-V1")},
	{0x00000400, _T("D-Link V100")},
	{0x00002000, _T("X10 va10a Wireless Camera")},
	{0x00002101, _T("Zoran PMD (Nogatech) AV-grabber Manhattan")},
	{0x00002d00, _T("Osprey 50")},
	{0x00002d01, _T("Hauppauge USB-Live Model 600")},
	{0x00004100, _T("USB-TV FM (NTSC)")},
	{0x00004110, _T("PNY USB-TV (NTSC) FM")},
	{0x00004450, _T("PixelView PlayTv-USB PRO (PAL) FM")},
	{0x00004550, _T("ZTV ZT-721 2.4GHz USB A/V Receiver")},
	{0x00004d00, _T("Hauppauge WinTV-USB USA")},
	{0x00004d01, _T("Hauppauge WinTV-USB")},
	{0x00004d02, _T("Hauppauge WinTV-USB UK")},
	{0x00004d03, _T("Hauppauge WinTV-USB France")},
	{0x00004d10, _T("Hauppauge WinTV-USB with FM USA radio")},
	{0x00004d11, _T("Hauppauge WinTV-USB (PAL) with FM radio")},
	{0x00004d12, _T("Hauppauge WinTV-USB UK with FM Radio")},
	{0x00004d20, _T("Hauppauge WinTV-USB II (PAL) with FM radio")},
	{0x00004d21, _T("Hauppauge WinTV-USB II (PAL)")},
	{0x00004d22, _T("Hauppauge WinTV-USB II (PAL) Model 566")},
	{0x00004d23, _T("Hauppauge WinTV-USB France 4D23")},
	{0x00004d25, _T("Hauppauge WinTV-USB Model 40209 rev B234")},
	{0x00004d26, _T("Hauppauge WinTV-USB Model 40209 rev B243")},
	{0x00004d27, _T("Hauppauge WinTV-USB Model 40204 Rev B281")},
	{0x00004d28, _T("Hauppauge WinTV-USB Model 40204 rev B283")},
	{0x00004d29, _T("Hauppauge WinTV-USB Model 40205 rev B298")},
	{0x00004d2a, _T("Hauppague WinTV-USB Model 602 Rev B285")},
	{0x00004d2b, _T("Hauppague WinTV-USB Model 602 Rev B282")},
	{0x00004d30, _T("Hauppauge WinTV-USB FM Model 40211 Rev B123")},
	{0x00004d31, _T("Hauppauge WinTV-USB III (PAL) with FM radio Model 568")},
	{0x00004d32, _T("Hauppauge WinTV-USB III (PAL) FM Model 573")},
	{0x00004d35, _T("Hauppauge WinTV-USB III (PAL) FM Model 597")},
	{0x00004d37, _T("Hauppauge WinTV-USB Model 40219 rev E189")},
	{0x80000000, _T("Usb Device")}
};

// City University of Hong Kong Devices
USB_DEVICE_ID	vid_00000574[] =
{
	{0x80000000, _T("Usb Device")}
};

// Philips Creative Display Solutions Devices
USB_DEVICE_ID	vid_00000575[] =
{
	{0x80000000, _T("Usb Device")}
};

// BAFO/Quality Computer Accessories Devices
USB_DEVICE_ID	vid_00000576[] =
{
	{0x80000000, _T("Usb Device")}
};

// ELSA Devices
USB_DEVICE_ID	vid_00000577[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intrinsix Devices
USB_DEVICE_ID	vid_00000578[] =
{
	{0x80000000, _T("Usb Device")}
};

// GVC Devices
USB_DEVICE_ID	vid_00000579[] =
{
	{0x80000000, _T("Usb Device")}
};

// Samsung Electronics America Devices
USB_DEVICE_ID	vid_0000057a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Y-E Data Devices
USB_DEVICE_ID	vid_0000057b[] =
{
	{0x00000000, _T("FlashBuster-U Floppy")},
	{0x00000001, _T("Tri-Media Reader Floppy")},
	{0x00000006, _T("Tri-Media Reader Card Reader")},
	{0x00000010, _T("Memory Stick Reader Writer")},
	{0x00000020, _T("HEXA Media Drive 6-in-1 Card Reader Writer")},
	{0x00000030, _T("Memory Card Viewer (TV)")},
	{0x80000000, _T("Usb Device")}
};

// AVM GmbH Devices
USB_DEVICE_ID	vid_0000057c[] =
{
	{0x00002800, _T("ISDN-Connector TA")},
	{0x00003800, _T("BlueFRITZ! Bluetooth Stick")},
	{0x00003d00, _T("Fritz!Box")},
	{0x80000000, _T("Usb Device")}
};

// Shark Multimedia Devices
USB_DEVICE_ID	vid_0000057d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nintendo Devices
USB_DEVICE_ID	vid_0000057e[] =
{
	{0x80000000, _T("Usb Device")}
};

// QuickShot Devices
USB_DEVICE_ID	vid_0000057f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Denron Devices
USB_DEVICE_ID	vid_00000580[] =
{
	{0x80000000, _T("Usb Device")}
};

// Racal Data Group Devices
USB_DEVICE_ID	vid_00000581[] =
{
	{0x80000000, _T("Usb Device")}
};

// Roland Devices
USB_DEVICE_ID	vid_00000582[] =
{
	{0x00000002, _T("MPU64 Midi Interface")},
	{0x00000003, _T("Sound Canvas SC-8850")},
	{0x00000005, _T("Edirol UM-2 MIDI Adapter")},
	{0x00000011, _T("Edirol UA-5 Sound Capture")},
	{0x0000002d, _T("VX-2020 Synthesizer")},
	{0x80000000, _T("Usb Device")}
};

// Padix (Rockfire) Devices
USB_DEVICE_ID	vid_00000583[] =
{
	{0x00002030, _T("RM-203 USB Nest [mode 1]")},
	{0x00002031, _T("RM-203 USB Nest [mode 2]")},
	{0x00002032, _T("RM-203 USB Nest [mode 3]")},
	{0x00002033, _T("RM-203 USB Nest [mode 4]")},
	{0x00002050, _T("PX-205 PSX Bridge")},
	{0x00003050, _T("QF-305u Gamepad")},
	{0x0000688f, _T("QF-688uv Windstorm Pro Joystick")},
	{0x00007070, _T("QF-707u Bazooka Joystick")},
	{0x80000000, _T("Usb Device")}
};

// RATOC System Devices
USB_DEVICE_ID	vid_00000584[] =
{
	{0x80000000, _T("Usb Device")}
};

// FlashPoint Technology Devices
USB_DEVICE_ID	vid_00000585[] =
{
	{0x80000000, _T("Usb Device")}
};

// ZyXEL Communications Devices
USB_DEVICE_ID	vid_00000586[] =
{
	{0x00001000, _T("Omni NET Modem / ISDN TA")},
	{0x80000000, _T("Usb Device")}
};

// America Kotobuki Electronics Industries Devices
USB_DEVICE_ID	vid_00000587[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sapien Design Devices
USB_DEVICE_ID	vid_00000588[] =
{
	{0x80000000, _T("Usb Device")}
};

// Victron Devices
USB_DEVICE_ID	vid_00000589[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nohau Devices
USB_DEVICE_ID	vid_0000058a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Infineon Technologies Devices
USB_DEVICE_ID	vid_0000058b[] =
{
	{0x80000000, _T("Usb Device")}
};

// In Focus Systems Devices
USB_DEVICE_ID	vid_0000058c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Micrel Semiconductor Devices
USB_DEVICE_ID	vid_0000058d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tripath Technology Devices
USB_DEVICE_ID	vid_0000058e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Alcor Micro Devices
USB_DEVICE_ID	vid_0000058f[] =
{
	{0x00002802, _T("Monterey Keyboard")},
	{0x00005492, _T("Hub")},
	{0x00006232, _T("Hi-Speed 16-in-1 Flash Card Reader/Writer")},
	{0x00009213, _T("MacAlly Kbd Hub")},
	{0x00009215, _T("AU9814 Hub")},
	{0x00009254, _T("Hub")},
	{0x00009330, _T("SD Reader")},
	{0x00009380, _T("Flash drive")},
	{0x00009382, _T("Acer/Sweex Flash drive")},
	{0x00009410, _T("Keyboard")},
	{0x00009472, _T("Keyboard Hub")},
	{0x80000000, _T("Usb Device")}
};

// Omron Devices
USB_DEVICE_ID	vid_00000590[] =
{
	{0x00000004, _T("Cable Modem")},
	{0x80000000, _T("Usb Device")}
};

// Questra Consulting Devices
USB_DEVICE_ID	vid_00000591[] =
{
	{0x80000000, _T("Usb Device")}
};

// Powerware Devices
USB_DEVICE_ID	vid_00000592[] =
{
	{0x80000000, _T("Usb Device")}
};

// Incite Devices
USB_DEVICE_ID	vid_00000593[] =
{
	{0x80000000, _T("Usb Device")}
};

// Princeton Graphic Systems Devices
USB_DEVICE_ID	vid_00000594[] =
{
	{0x80000000, _T("Usb Device")}
};

// Zoran Microelectronics Devices
USB_DEVICE_ID	vid_00000595[] =
{
	{0x80000000, _T("Usb Device")}
};

// MicroTouch Systems Devices
USB_DEVICE_ID	vid_00000596[] =
{
	{0x00000001, _T("Touchscreen")},
	{0x80000000, _T("Usb Device")}
};

// Trisignal Communications Devices
USB_DEVICE_ID	vid_00000597[] =
{
	{0x80000000, _T("Usb Device")}
};

// Niigata Canotec Devices
USB_DEVICE_ID	vid_00000598[] =
{
	{0x80000000, _T("Usb Device")}
};

// Brilliance Semiconductor Devices
USB_DEVICE_ID	vid_00000599[] =
{
	{0x80000000, _T("Usb Device")}
};

// Spectrum Signal Processing Devices
USB_DEVICE_ID	vid_0000059a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Iomega Devices
USB_DEVICE_ID	vid_0000059b[] =
{
	{0x00000001, _T("Zip 100 (Type 1)")},
	{0x0000000b, _T("Zip 100 (Type 2)")},
	{0x00000030, _T("Zip 250 (Ver 1)")},
	{0x00000031, _T("Zip 100 (Type 3)")},
	{0x00000032, _T("Zip 250 (Ver 2)")},
	{0x00000040, _T("SCSI Bridge")},
	{0x00000050, _T("Zip CD 650 Writer")},
	{0x00000053, _T("CDRW55292EXT CD-RW External Drive")},
	{0x0000006d, _T("HipZip MP3 Player")},
	{0x0000015d, _T("Super DVD Writer")},
	{0x00001052, _T("DVD+RW External Drive")},
	{0x80000000, _T("Usb Device")}
};

// A-Trend Technology Devices
USB_DEVICE_ID	vid_0000059c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Advanced Input Devices Devices
USB_DEVICE_ID	vid_0000059d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intelligent Instrumentation Devices
USB_DEVICE_ID	vid_0000059e[] =
{
	{0x80000000, _T("Usb Device")}
};

// LaCie Devices
USB_DEVICE_ID	vid_0000059f[] =
{
	{0x00000211, _T("PocketDrive")},
	{0x00000212, _T("PocketDrive")},
	{0x0000a601, _T("HardDrive")},
	{0x80000000, _T("Usb Device")}
};

// Vetronix Devices
USB_DEVICE_ID	vid_000005a0[] =
{
	{0x80000000, _T("Usb Device")}
};

// USC Devices
USB_DEVICE_ID	vid_000005a1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fuji Film Microdevices Devices
USB_DEVICE_ID	vid_000005a2[] =
{
	{0x80000000, _T("Usb Device")}
};

// ARC International Devices
USB_DEVICE_ID	vid_000005a3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ortek Technology Devices
USB_DEVICE_ID	vid_000005a4[] =
{
	{0x00009731, _T("MCK-600W Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Sampo Technology Devices
USB_DEVICE_ID	vid_000005a5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cisco Systems Devices
USB_DEVICE_ID	vid_000005a6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Bose Devices
USB_DEVICE_ID	vid_000005a7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Spacetec IMC Devices
USB_DEVICE_ID	vid_000005a8[] =
{
	{0x80000000, _T("Usb Device")}
};

// OmniVision Technologies Devices
USB_DEVICE_ID	vid_000005a9[] =
{
	{0x00000511, _T("OV511 WebCam")},
	{0x00000518, _T("OV518 WebCam")},
	{0x0000a511, _T("OV511+ WebCam")},
	{0x80000000, _T("Usb Device")}
};

// Utilux South China Devices
USB_DEVICE_ID	vid_000005aa[] =
{
	{0x80000000, _T("Usb Device")}
};

// In-System Design Devices
USB_DEVICE_ID	vid_000005ab[] =
{
	{0x00000002, _T("Parallel Port")},
	{0x00000031, _T("ATA Bridge")},
	{0x00000060, _T("USB 2.0 ATA Bridge")},
	{0x00000200, _T("USS725 ATA Bridge")},
	{0x00000202, _T("ATA Bridge")},
	{0x0000081a, _T("ATA Bridge")},
	{0x00000cda, _T("ATA Bridge for CD-R/RW")},
	{0x80000000, _T("Usb Device")}
};

// Apple Computer Devices
USB_DEVICE_ID	vid_000005ac[] =
{
	{0x00000201, _T("iMac Keyboard (ALPS, M2452)")},
	{0x00000202, _T("Keyboard (ALPS)")},
	{0x00000205, _T("Extended Keyboard (Mitsumi)")},
	{0x00000206, _T("Extended Keyboard (Mitsumi)")},
	{0x00000206, _T("Extended Keyboard (Mitsumi)")},
	{0x0000020b, _T("Pro Keyboard (Mitsumi, A1048/US layout]")},
	{0x0000020c, _T("Extended Keyboard (Mitsumi)")},
	{0x0000020d, _T("Pro Keyboard (Mitsumi, A1048/JIS layout)")},
	{0x0000020e, _T("Internal Keyboard/Trackpad")},
	{0x0000020f, _T("Internal Keyboard/Trackpad")},
	{0x0000021b, _T("Internal Keyboard/Trackpad")},
	{0x00000220, _T("Aluminum Keyboard")},
	{0x00000221, _T("Aluminum Keyboard (ISO)")},
	{0x00000223, _T("Internal Keyboard/Trackpad")}, 			// MacBook Air
	{0x00000229, _T("Internal Keyboard/Trackpad (ANSI)")}, 			// MacBook Pro
	{0x0000022a, _T("Internal Keyboard/Trackpad (ISO)")}, 			// MacBook Pro
	{0x0000022b, _T("Internal Keyboard/Trackpad (JIS)")}, 			// MacBook Pro
	{0x00000301, _T("iMac Mouse (Mitsumi, M4848)")},
	{0x00000302, _T("Optical Mouse (Fujitsu)")},
	{0x00000304, _T("Optical Mouse (Mitsumi)")},
	{0x00000306, _T("Optical Mouse (Fujitsu)")},
	{0x0000030a, _T("Internal Trackpad")},
	{0x00001000, _T("Bluetooth Controller")},
	{0x00001001, _T("Keyboard Hub (ALPS)")},
	{0x00001002, _T("Extended Keyboard Hub (Mitsumi)")},
	{0x00001003, _T("HUB in Pro Keyboard (Mitsumi, A1048)")},
	{0x00001006, _T("HUB in Aluminum Keyboard")},
	{0x00001101, _T("Speakers")},
	{0x00001201, _T("iPod 3G")},
	{0x00001202, _T("iPod 2G")},
	{0x00001203, _T("iPod 40G")},
	{0x00001204, _T("iPod Photo")},
	{0x00001205, _T("iPod Mini")},
	{0x00001206, _T("iPod #06")},
	{0x00001207, _T("iPod #07")},
	{0x00001208, _T("iPod #08")},
	{0x00001209, _T("iPod Video")},
	{0x0000120a, _T("iPod Nano")},
	{0x00001260, _T("iPod Nano")},
	{0x00001261, _T("iPod Classic")},
	{0x00001290, _T("iPhone")},
	{0x00001292, _T("iPhone 3G")},
	{0x00001300, _T("iPod Shuffle")},
	{0x00001301, _T("iPod Shuffle")},
	{0x00001301, _T("iPod Shuffle")},
	{0x00008005, _T("HUB")},
	{0x00008006, _T("HUB Simulation")},
	{0x00008202, _T("HCF V.90 Data/Fax Modem")},
	{0x00008203, _T("Bluetooth Controller")},
	{0x00008204, _T("Bluetooth Controller")},
	{0x00008205, _T("Bluetooth Controller")},
	{0x00008206, _T("Bluetooth Controller")},
	{0x00008210, _T("Bluetooth Controller")}, 				// MacBook Air
	{0x00008240, _T("IR Receiver")},
	{0x00008242, _T("IR Receiver")}, 					// MacBook Air
	{0x00008300, _T("Built-in iSight (No firmware loaded)")},
	{0x00008501, _T("Built-in iSight (Micron)")},
	{0x00008502, _T("Built-in iSight")},
	{0x00008505, _T("Built-in iSight")}, 					// MacBook Air
	{0x0000912f, _T("HUB in 30\" Cinema Display")},
	{0x00009221, _T("30\" Cinema Display")},
	{0x0000ffff, _T("Bluetooth Controller (DFU mode)")},
	{0x80000000, _T("Usb Device")}
};

// Y.C. Cable U.S.A. Devices
USB_DEVICE_ID	vid_000005ad[] =
{
	{0x80000000, _T("Usb Device")}
};

// Synopsys Devices
USB_DEVICE_ID	vid_000005ae[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jing-Mold Enterprise Devices
USB_DEVICE_ID	vid_000005af[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fountain Technologies Devices
USB_DEVICE_ID	vid_000005b0[] =
{
	{0x80000000, _T("Usb Device")}
};

// First International Computer Devices
USB_DEVICE_ID	vid_000005b1[] =
{
	{0x80000000, _T("Usb Device")}
};

// LG Semicon Devices
USB_DEVICE_ID	vid_000005b4[] =
{
	{0x00004857, _T("M-Any DAH-210")},
	{0x00006001, _T("Digisette DUO-MP3 AR-100")},
	{0x80000000, _T("Usb Device")}
};

// Dialogic Devices
USB_DEVICE_ID	vid_000005b5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Proxima Devices
USB_DEVICE_ID	vid_000005b6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Medianix Semiconductor Devices
USB_DEVICE_ID	vid_000005b7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Agiler Devices
USB_DEVICE_ID	vid_000005b8[] =
{
	{0x00003002, _T("Scroll Mouse")},
	{0x80000000, _T("Usb Device")}
};

// Philips Research Laboratories Devices
USB_DEVICE_ID	vid_000005b9[] =
{
	{0x80000000, _T("Usb Device")}
};

// DigitalPersona Devices
USB_DEVICE_ID	vid_000005ba[] =
{
	{0x80000000, _T("Usb Device")}
};

// Grey Cell Systems Devices
USB_DEVICE_ID	vid_000005bb[] =
{
	{0x80000000, _T("Usb Device")}
};

// 3G Green Green Globe Devices
USB_DEVICE_ID	vid_000005bc[] =
{
	{0x00000004, _T("Trackball")},
	{0x80000000, _T("Usb Device")}
};

// RAFI GmbH & KG Devices
USB_DEVICE_ID	vid_000005bd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tyco Electronics (Raychem) Devices
USB_DEVICE_ID	vid_000005be[] =
{
	{0x80000000, _T("Usb Device")}
};

// S & S Research Devices
USB_DEVICE_ID	vid_000005bf[] =
{
	{0x80000000, _T("Usb Device")}
};

// Keil Software Devices
USB_DEVICE_ID	vid_000005c0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kawasaki Microelectronics Devices
USB_DEVICE_ID	vid_000005c1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Media Phonics (Suisse) S.A. Devices
USB_DEVICE_ID	vid_000005c2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Digi International Devices
USB_DEVICE_ID	vid_000005c5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Qualcomm Devices
USB_DEVICE_ID	vid_000005c6[] =
{
	{0x00003100, _T("CDMA Wireless Modem/Phone")},
	{0x00003196, _T("CDMA Wireless Modem")},
	{0x00003197, _T("CDMA Wireless Modem/Phone")},
	{0x80000000, _T("Usb Device")}
};

// Qtronix Devices
USB_DEVICE_ID	vid_000005c7[] =
{
	{0x00001001, _T("Lynx Mouse")},
	{0x00002011, _T("SCorpius Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Cheng Uei Precision Industry (Foxlink) Devices
USB_DEVICE_ID	vid_000005c8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Semtech Devices
USB_DEVICE_ID	vid_000005c9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ricoh Devices
USB_DEVICE_ID	vid_000005ca[] =
{
	{0x00000101, _T("RDC-5300 Camera")},
	{0x00002201, _T("RDC-7 Camera")},
	{0x00002205, _T("Caplio RR30 / Medion MD 6126 Camera")},
	{0x00002212, _T("Caplio R1v Camera")},
	{0x80000000, _T("Usb Device")}
};

// PowerVision Technologies Devices
USB_DEVICE_ID	vid_000005cb[] =
{
	{0x00001483, _T("PV8630 interface (scanners, webcams)")},
	{0x80000000, _T("Usb Device")}
};

// ELSA AG Devices
USB_DEVICE_ID	vid_000005cc[] =
{
	{0x00002100, _T("MicroLink ISDN Office")},
	{0x00002219, _T("MicroLink ISDN")},
	{0x00002265, _T("MicroLink 56k")},
	{0x00002267, _T("MicroLink 56k (V.250)")},
	{0x00002280, _T("MicroLink 56k Fun")},
	{0x00003000, _T("Micolink USB2Ethernet [pegasus]")},
	{0x00003363, _T("MicroLink ADSL Fun")},
	{0x80000000, _T("Usb Device")}
};

// Silicom Devices
USB_DEVICE_ID	vid_000005cd[] =
{
	{0x80000000, _T("Usb Device")}
};

// sci-worx GmbH Devices
USB_DEVICE_ID	vid_000005ce[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sung Forn Devices
USB_DEVICE_ID	vid_000005cf[] =
{
	{0x80000000, _T("Usb Device")}
};

// GE Medical Systems Lunar Devices
USB_DEVICE_ID	vid_000005d0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Brainboxes Devices
USB_DEVICE_ID	vid_000005d1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wave Systems Devices
USB_DEVICE_ID	vid_000005d2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tohoku Ricoh Devices
USB_DEVICE_ID	vid_000005d3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Super Gate Technology Devices
USB_DEVICE_ID	vid_000005d5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Philips Semiconductors, CICT Devices
USB_DEVICE_ID	vid_000005d6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Thomas & Betts Devices
USB_DEVICE_ID	vid_000005d7[] =
{
	{0x00000099, _T("10Mbps Ethernet [klsi]")},
	{0x80000000, _T("Usb Device")}
};

// Ultima Electronics Devices
USB_DEVICE_ID	vid_000005d8[] =
{
	{0x00004001, _T("Artec Ultima 2000")},
	{0x00004002, _T("Artec Ultima 2000 (GT6801 based)/Lifetec LT9385 Scanner")},
	{0x00004003, _T("Artec E+ 48U")},
	{0x00004004, _T("Artec E+ Pro")},
	{0x00004008, _T("Trust Easy Webscan 19200")},
	{0x00004009, _T("Umax Astraslim")},
	{0x00008105, _T("Artec T1 USB TVBOX (cold)")},
	{0x00008106, _T("Artec T1 USB TVBOX (warm)")},
	{0x00008107, _T("Artec T1 USB TVBOX with AN2235 (cold)")},
	{0x00008108, _T("Artec T1 USB TVBOX with AN2235 (warm)")},
	{0x00008109, _T("Artec T1 USB2.0 TVBOX (cold")},
	{0x80000000, _T("Usb Device")}
};

// Axiohm Transaction Solutions Devices
USB_DEVICE_ID	vid_000005d9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Microtek International Devices
USB_DEVICE_ID	vid_000005da[] =
{
	{0x00000093, _T("ScanMaker V6USL")},
	{0x00000094, _T("Phantom 336CX/C3")},
	{0x00000099, _T("ScanMaker X6/X6U")},
	{0x0000009a, _T("Phantom C6")},
	{0x000000a0, _T("Phantom 336CX/C3 (#2)")},
	{0x000000b6, _T("ScanMaker V6UPL")},
	{0x00001011, _T("NHJ Che-ez! Kiss Digital Camera")},
	{0x00001018, _T("Digital Dream Enigma 1.3")},
	{0x000030ce, _T("ScanMaker 3800")},
	{0x000030cf, _T("ScanMaker 4800")},
	{0x000030e6, _T("ScanMaker i320")},
	{0x000040ca, _T("ScanMaker 3600")},
	{0x000080a3, _T("ScanMaker V6USL (#2)")},
	{0x000080ac, _T("ScanMaker V6UL/SpicyU")},
	{0x80000000, _T("Usb Device")}
};

// Sun (Suntac?) Devices
USB_DEVICE_ID	vid_000005db[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lexar Media Devices
USB_DEVICE_ID	vid_000005dc[] =
{
	{0x00000080, _T("Jumpdrive Secure")},
	{0x00000200, _T("JumpDrive 2.0 Pro")},
	{0x00000300, _T("Jumpdrive Geysr")},
	{0x0000b018, _T("Multi-Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// Delta Electronics Devices
USB_DEVICE_ID	vid_000005dd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Silicon Vision Devices
USB_DEVICE_ID	vid_000005df[] =
{
	{0x80000000, _T("Usb Device")}
};

// Symbol Technologies Devices
USB_DEVICE_ID	vid_000005e0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Syntek Semiconductor Devices
USB_DEVICE_ID	vid_000005e1[] =
{
	{0x80000000, _T("Usb Device")}
};

// ElecVision Devices
USB_DEVICE_ID	vid_000005e2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Genesys Logic Devices
USB_DEVICE_ID	vid_000005e3[] =
{
	{0x0000000a, _T("Keyboard with PS/2 Port")},
	{0x0000000b, _T("Mouse")},
	{0x00000100, _T("Nintendo Game Boy Advance SP")},
	{0x00000120, _T("Pacific Image Electronics PrimeFilm 1800u slide/negative scanner")},
	{0x00000300, _T("GLUSB98PT Parallel Port")},
	{0x00000406, _T("Hub")},
	{0x00000502, _T("GL620USB GeneLink USB-USB Bridge")},
	{0x00000604, _T("USB 1.1 Hub")},
	{0x00000605, _T("USB 2.0 Hub [ednet]")},
	{0x00000660, _T("USB 2.0 Hub")},
	{0x00000700, _T("SIIG US2256 CompactFlash Card Reader")},
	{0x00000701, _T("USB 2.0 IDE Adapter")},
	{0x00000702, _T("USB 2.0 IDE Adapter")},
	{0x00000703, _T("Card Reader")},
	{0x00000710, _T("USB 2.0 33-in-1 Card Reader")},
	{0x00000760, _T("Card Reader")},
	{0x000007a0, _T("Pen Flash")},
	{0x00001205, _T("Afilias Optical Mouse H3003")},
	{0x80000000, _T("Usb Device")}
};

// Red Wing Devices
USB_DEVICE_ID	vid_000005e4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fuji Electric Devices
USB_DEVICE_ID	vid_000005e5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Keithley Instruments Devices
USB_DEVICE_ID	vid_000005e6[] =
{
	{0x80000000, _T("Usb Device")}
};

// ICC Devices
USB_DEVICE_ID	vid_000005e8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kawasaki LSI Devices
USB_DEVICE_ID	vid_000005e9[] =
{
	{0x00000008, _T("KL5KUSB101B Ethernet [klsi]")},
	{0x00000009, _T("Sony 10Mbps Ethernet [pegasus]")},
	{0x80000000, _T("Usb Device")}
};

// FFC Devices
USB_DEVICE_ID	vid_000005eb[] =
{
	{0x80000000, _T("Usb Device")}
};

// COM21 Devices
USB_DEVICE_ID	vid_000005ec[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cytechinfo Inc. Devices
USB_DEVICE_ID	vid_000005ee[] =
{
	{0x80000000, _T("Usb Device")}
};

// AVB [anko?] Devices
USB_DEVICE_ID	vid_000005ef[] =
{
	{0x0000020a, _T("Top Shot Pegasus Joystick")},
	{0x00008884, _T("Mag Turbo Force Wheel")},
	{0x00008888, _T("Top Shot Force Feedback Racing Wheel")},
	{0x80000000, _T("Usb Device")}
};

// Canopus Devices
USB_DEVICE_ID	vid_000005f0[] =
{
	{0x00000101, _T("DA-Port DAC")},
	{0x80000000, _T("Usb Device")}
};

// Compass Communications Devices
USB_DEVICE_ID	vid_000005f1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dexin Devices
USB_DEVICE_ID	vid_000005f2[] =
{
	{0x80000000, _T("Usb Device")}
};

// PI Engineering Devices
USB_DEVICE_ID	vid_000005f3[] =
{
	{0x00000007, _T("Kinesis Advantage PRO MPC/USB Keyboard")},
	{0x00000081, _T("Kinesis Integrated Hub")},
	{0x0000020b, _T("PS2 Adapter")},
	{0x00000232, _T("X-Keys Switch Interface, Programming Mode")},
	{0x00000261, _T("X-Keys Switch Interface, SPLAT Mode")},
	{0x00000264, _T("X-Keys Switch Interface, Composite Mode")},
	{0x80000000, _T("Usb Device")}
};

// Unixtar Technology Devices
USB_DEVICE_ID	vid_000005f5[] =
{
	{0x80000000, _T("Usb Device")}
};

// AOC International Devices
USB_DEVICE_ID	vid_000005f6[] =
{
	{0x80000000, _T("Usb Device")}
};

// RFC Distribution(s) PTE Devices
USB_DEVICE_ID	vid_000005f7[] =
{
	{0x80000000, _T("Usb Device")}
};

// PSC Scanning Devices
USB_DEVICE_ID	vid_000005f9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Siemens Telecommunications Systems Devices
USB_DEVICE_ID	vid_000005fa[] =
{
	{0x80000000, _T("Usb Device")}
};

// Harman Multimedia Devices
USB_DEVICE_ID	vid_000005fc[] =
{
	{0x80000000, _T("Usb Device")}
};

// InterAct Devices
USB_DEVICE_ID	vid_000005fd[] =
{
	{0x00000251, _T("Raider Pro")},
	{0x00000253, _T("ProPad 8 Digital")},
	{0x0000262a, _T("3dfx HammerHead FX")},
	{0x0000daae, _T("Game Shark")},
	{0x80000000, _T("Usb Device")}
};

// Chic Technology Devices
USB_DEVICE_ID	vid_000005fe[] =
{
	{0x00000001, _T("Mouse")},
	{0x00000005, _T("Viewmaster 4D Browser Mouse")},
	{0x00000007, _T("Twinhead Mouse")},
	{0x00000009, _T("Inland Pro 4500/5000 Mouse")},
	{0x00000011, _T("Browser Mouse")},
	{0x80000000, _T("Usb Device")}
};

// LeCroy Devices
USB_DEVICE_ID	vid_000005ff[] =
{
	{0x80000000, _T("Usb Device")}
};

// Barco Display Systems Devices
USB_DEVICE_ID	vid_00000600[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jazz Hipster Devices
USB_DEVICE_ID	vid_00000601[] =
{
	{0x80000000, _T("Usb Device")}
};

// Vista Imaging Devices
USB_DEVICE_ID	vid_00000602[] =
{
	{0x00001001, _T("ViCam WebCam")},
	{0x80000000, _T("Usb Device")}
};

// Novatek Microelectronics Devices
USB_DEVICE_ID	vid_00000603[] =
{
	{0x000000f1, _T("Keyboard")},
	{0x00006871, _T("Mouse")},
	{0x80000000, _T("Usb Device")}
};

// Jean Devices
USB_DEVICE_ID	vid_00000604[] =
{
	{0x80000000, _T("Usb Device")}
};

// Anchor C&C Devices
USB_DEVICE_ID	vid_00000605[] =
{
	{0x80000000, _T("Usb Device")}
};

// Royal Information Electronics Devices
USB_DEVICE_ID	vid_00000606[] =
{
	{0x80000000, _T("Usb Device")}
};

// Bridge Information Devices
USB_DEVICE_ID	vid_00000607[] =
{
	{0x80000000, _T("Usb Device")}
};

// Genrad Ads Devices
USB_DEVICE_ID	vid_00000608[] =
{
	{0x80000000, _T("Usb Device")}
};

// SMK Manufacturing Devices
USB_DEVICE_ID	vid_00000609[] =
{
	{0x80000000, _T("Usb Device")}
};

// Worthington Data Solutions Devices
USB_DEVICE_ID	vid_0000060a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Solid Year Devices
USB_DEVICE_ID	vid_0000060b[] =
{
	{0x00000001, _T("MacAlly Keyboard")},
	{0x00002101, _T("Keyboard")},
	{0x00005811, _T("ACK-571U Wireless Keyboard")},
	{0x0000a001, _T("Maxwell Compact Pc PM3")},
	{0x80000000, _T("Usb Device")}
};

// EEH Datalink GmbH Devices
USB_DEVICE_ID	vid_0000060c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Auctor Devices
USB_DEVICE_ID	vid_0000060d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Transmonde Technologies Devices
USB_DEVICE_ID	vid_0000060e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Joinsoon Electronics Devices
USB_DEVICE_ID	vid_0000060f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Costar Electronics Devices
USB_DEVICE_ID	vid_00000610[] =
{
	{0x80000000, _T("Usb Device")}
};

// Totoku Electric Devices
USB_DEVICE_ID	vid_00000611[] =
{
	{0x80000000, _T("Usb Device")}
};

// TransAct Technologies Devices
USB_DEVICE_ID	vid_00000613[] =
{
	{0x80000000, _T("Usb Device")}
};

// Bio-Rad Laboratories Devices
USB_DEVICE_ID	vid_00000614[] =
{
	{0x80000000, _T("Usb Device")}
};

// Quabbin Wire & Cable Devices
USB_DEVICE_ID	vid_00000615[] =
{
	{0x80000000, _T("Usb Device")}
};

// Future Techno Designs PVT Devices
USB_DEVICE_ID	vid_00000616[] =
{
	{0x80000000, _T("Usb Device")}
};

// Swiss Federal Insitute of Technology Devices
USB_DEVICE_ID	vid_00000617[] =
{
	{0x80000000, _T("Usb Device")}
};

// MacAlly Devices
USB_DEVICE_ID	vid_00000618[] =
{
	{0x00000101, _T("Mouse")},
	{0x80000000, _T("Usb Device")}
};

// Seiko Instruments Devices
USB_DEVICE_ID	vid_00000619[] =
{
	{0x80000000, _T("Usb Device")}
};

// Veridicom International Devices
USB_DEVICE_ID	vid_0000061a[] =
{
	{0x00000110, _T("5thSense Fingerprint Sensor")},
	{0x00000200, _T("FPS200 Fingerprint Sensor")},
	{0x00008200, _T("VKI-A Fingerprint Sensor/Flash Storage (dumb)")},
	{0x00009200, _T("VKI-B Fingerprint Sensor/Flash Storage (smart)")},
	{0x80000000, _T("Usb Device")}
};

// Promptus Communications Devices
USB_DEVICE_ID	vid_0000061b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Act Labs Devices
USB_DEVICE_ID	vid_0000061c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Quatech Devices
USB_DEVICE_ID	vid_0000061d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nissei Electric Devices
USB_DEVICE_ID	vid_0000061e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Alaris Devices
USB_DEVICE_ID	vid_00000620[] =
{
	{0x80000000, _T("Usb Device")}
};

// ODU-Steckverbindungssysteme GmbH & KG Devices
USB_DEVICE_ID	vid_00000621[] =
{
	{0x80000000, _T("Usb Device")}
};

// Iotech Devices
USB_DEVICE_ID	vid_00000622[] =
{
	{0x80000000, _T("Usb Device")}
};

// Littelfuse Devices
USB_DEVICE_ID	vid_00000623[] =
{
	{0x80000000, _T("Usb Device")}
};

// Avocent Devices
USB_DEVICE_ID	vid_00000624[] =
{
	{0x80000000, _T("Usb Device")}
};

// TiMedia Technology Devices
USB_DEVICE_ID	vid_00000625[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nippon Systems Development Devices
USB_DEVICE_ID	vid_00000626[] =
{
	{0x80000000, _T("Usb Device")}
};

// Adomax Technology Devices
USB_DEVICE_ID	vid_00000627[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tasking Software Devices
USB_DEVICE_ID	vid_00000628[] =
{
	{0x80000000, _T("Usb Device")}
};

// Zida Technologies Devices
USB_DEVICE_ID	vid_00000629[] =
{
	{0x80000000, _T("Usb Device")}
};

// Creative Labs Devices
USB_DEVICE_ID	vid_0000062a[] =
{
	{0x00000001, _T("Notebook Optical Mouse")},
	{0x80000000, _T("Usb Device")}
};

// Greatlink Electronics Taiwan Devices
USB_DEVICE_ID	vid_0000062b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Institute for Information Industry Devices
USB_DEVICE_ID	vid_0000062c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Taiwan Tai-Hao Enterprises Devices
USB_DEVICE_ID	vid_0000062d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mainsuper Enterprises Devices
USB_DEVICE_ID	vid_0000062e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sin Sheng Terminal & Machine Devices
USB_DEVICE_ID	vid_0000062f[] =
{
	{0x80000000, _T("Usb Device")}
};

// JUJO Electronics Devices
USB_DEVICE_ID	vid_00000631[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cyrix Devices
USB_DEVICE_ID	vid_00000633[] =
{
	{0x80000000, _T("Usb Device")}
};

// Micron Technology Devices
USB_DEVICE_ID	vid_00000634[] =
{
	{0x80000000, _T("Usb Device")}
};

// Methode Electronics Devices
USB_DEVICE_ID	vid_00000635[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sierra Imaging Devices
USB_DEVICE_ID	vid_00000636[] =
{
	{0x80000000, _T("Usb Device")}
};

// Avision Devices
USB_DEVICE_ID	vid_00000638[] =
{
	{0x00000268, _T("iVina 1200U Scanner")},
	{0x0000026a, _T("Minolta Dimage Scan Dual II")},
	{0x00000a10, _T("iVina FB1600/UMAX Astra 4500")},
	{0x00004004, _T("Minolta Dimage Scan Elite II")},
	{0x80000000, _T("Usb Device")}
};

// Chrontel Devices
USB_DEVICE_ID	vid_00000639[] =
{
	{0x80000000, _T("Usb Device")}
};

// Techwin Devices
USB_DEVICE_ID	vid_0000063a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Taugagreining HF Devices
USB_DEVICE_ID	vid_0000063b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Yamaichi Electronics (Sakura) Devices
USB_DEVICE_ID	vid_0000063c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fong Kai Industrial Devices
USB_DEVICE_ID	vid_0000063d[] =
{
	{0x80000000, _T("Usb Device")}
};

// RealMedia Technology Devices
USB_DEVICE_ID	vid_0000063e[] =
{
	{0x80000000, _T("Usb Device")}
};

// New Technology Cable Devices
USB_DEVICE_ID	vid_0000063f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hitex Development Tools Devices
USB_DEVICE_ID	vid_00000640[] =
{
	{0x80000000, _T("Usb Device")}
};

// Woods Industries Devices
USB_DEVICE_ID	vid_00000641[] =
{
	{0x80000000, _T("Usb Device")}
};

// VIA Medical Devices
USB_DEVICE_ID	vid_00000642[] =
{
	{0x80000000, _T("Usb Device")}
};

// TEAC Devices
USB_DEVICE_ID	vid_00000644[] =
{
	{0x00000000, _T("Floppy")},
	{0x0000800d, _T("TASCAM Portastudio DP-01FX")},
	{0x80000000, _T("Usb Device")}
};

// Who? Vision Systems Devices
USB_DEVICE_ID	vid_00000645[] =
{
	{0x80000000, _T("Usb Device")}
};

// UMAX Devices
USB_DEVICE_ID	vid_00000646[] =
{
	{0x80000000, _T("Usb Device")}
};

// Acton Research Devices
USB_DEVICE_ID	vid_00000647[] =
{
	{0x00000100, _T("ARC SpectraPro UV/VIS/IR Monochromator/Spectrograph")},
	{0x00000101, _T("ARC AM-VM Mono Airpath/Vacuum Monochromator/Spectrograph")},
	{0x00000102, _T("ARC Inspectrum Mono")},
	{0x00000103, _T("ARC Filterwheel")},
	{0x000003e9, _T("Inspectrum 128x1024 F VIS Spectrograph")},
	{0x000003ea, _T("Inspectrum 256x1024 F VIS Spectrograph")},
	{0x000003eb, _T("Inspectrum 128x1024 B VIS Spectrograph")},
	{0x000003ec, _T("Inspectrum 256x1024 B VIS Spectrograph")},
	{0x80000000, _T("Usb Device")}
};

// Inside Out Networks Devices
USB_DEVICE_ID	vid_00000648[] =
{
	{0x80000000, _T("Usb Device")}
};

// Weli Science Devices
USB_DEVICE_ID	vid_00000649[] =
{
	{0x80000000, _T("Usb Device")}
};

// White Mountain DSP Devices
USB_DEVICE_ID	vid_0000064b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ji-Haw Industrial Devices
USB_DEVICE_ID	vid_0000064c[] =
{
	{0x80000000, _T("Usb Device")}
};

// TriTech Microelectronics Devices
USB_DEVICE_ID	vid_0000064d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Suyin Devices
USB_DEVICE_ID	vid_0000064e[] =
{
	{0x80000000, _T("Usb Device")}
};

// WIBU-Systems AG Devices
USB_DEVICE_ID	vid_0000064f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dynapro Systems Devices
USB_DEVICE_ID	vid_00000650[] =
{
	{0x80000000, _T("Usb Device")}
};

// Likom Technology Sdn. Bhd. Devices
USB_DEVICE_ID	vid_00000651[] =
{
	{0x80000000, _T("Usb Device")}
};

// Stargate Solutions Devices
USB_DEVICE_ID	vid_00000652[] =
{
	{0x80000000, _T("Usb Device")}
};

// CNF Devices
USB_DEVICE_ID	vid_00000653[] =
{
	{0x80000000, _T("Usb Device")}
};

// Granite Microsystems Devices
USB_DEVICE_ID	vid_00000654[] =
{
	{0x80000000, _T("Usb Device")}
};

// Space Shuttle Hi-Tech Devices
USB_DEVICE_ID	vid_00000655[] =
{
	{0x80000000, _T("Usb Device")}
};

// Glory Mark Electronic Devices
USB_DEVICE_ID	vid_00000656[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tekcon Electronics Devices
USB_DEVICE_ID	vid_00000657[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sigma Designs Devices
USB_DEVICE_ID	vid_00000658[] =
{
	{0x80000000, _T("Usb Device")}
};

// Aethra Devices
USB_DEVICE_ID	vid_00000659[] =
{
	{0x80000000, _T("Usb Device")}
};

// Optoelectronics Devices
USB_DEVICE_ID	vid_0000065a[] =
{
	{0x00000001, _T("Barcode scanner")},
	{0x80000000, _T("Usb Device")}
};

// Tracewell Systems Devices
USB_DEVICE_ID	vid_0000065b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Silicon Graphics Devices
USB_DEVICE_ID	vid_0000065e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Good Way Technology & GWC technology Inc. Devices
USB_DEVICE_ID	vid_0000065f[] =
{
	{0x80000000, _T("Usb Device")}
};

// TSAY-E (BVI) International Devices
USB_DEVICE_ID	vid_00000660[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hamamatsu Photonics K.K. Devices
USB_DEVICE_ID	vid_00000661[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kansai Electric Devices
USB_DEVICE_ID	vid_00000662[] =
{
	{0x80000000, _T("Usb Device")}
};

// Topmax Electronic Devices
USB_DEVICE_ID	vid_00000663[] =
{
	{0x00000103, _T("CobraPad")},
	{0x80000000, _T("Usb Device")}
};

// Aiwa Devices
USB_DEVICE_ID	vid_00000667[] =
{
	{0x00000fa1, _T("TD-U8000 Tape Drive")},
	{0x80000000, _T("Usb Device")}
};

// WordWand Devices
USB_DEVICE_ID	vid_00000668[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oce' Printing Systems GmbH Devices
USB_DEVICE_ID	vid_00000669[] =
{
	{0x80000000, _T("Usb Device")}
};

// Total Technologies Devices
USB_DEVICE_ID	vid_0000066a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Linksys Devices
USB_DEVICE_ID	vid_0000066b[] =
{
	{0x00000105, _T("SCM eUSB SmartMedia Card Reader")},
	{0x0000010a, _T("Melco MCR-U2 SmartMedia / CompactFlash Reader")},
	{0x00002202, _T("USB10TX Ethernet [pegasus]")},
	{0x00002203, _T("USB100TX Ethernet [pegasus]")},
	{0x00002204, _T("USB100TX HomePNA Ethernet [pegasus]")},
	{0x00002206, _T("USB Ethernet [pegasus]")},
	{0x00002211, _T("WUSB11 802.11b Adapter")},
	{0x00002212, _T("WUSB11v2.5 802.11b Adapter")},
	{0x00002213, _T("WUSB12v1.1 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Entrega Devices
USB_DEVICE_ID	vid_0000066d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Acer Semiconductor America Devices
USB_DEVICE_ID	vid_0000066e[] =
{
	{0x80000000, _T("Usb Device")}
};

// SigmaTel Devices
USB_DEVICE_ID	vid_0000066f[] =
{
	{0x0000004b, _T("A-Max PA11 MP3 Player")},
	{0x00003400, _T("STMP3400 D-Major MP3 Player")},
	{0x00003410, _T("STMP3410 D-Major MP3 Player")},
	{0x00004200, _T("STIr4200 IrDA Bridge")},
	{0x00004210, _T("STIr4210 IrDA Bridge")},
	{0x00008004, _T("MSCNMMC MP3 Player")},
	{0x00008202, _T("Jens of Sweden / I-BEAD 150M/150H MP3 player")},
	{0x80000000, _T("Usb Device")}
};

// Labtec Devices
USB_DEVICE_ID	vid_00000672[] =
{
	{0x00001041, _T("LCS1040 Speaker System")},
	{0x00005000, _T("SpaceBall 4000 FLX")},
	{0x80000000, _T("Usb Device")}
};

// HCL Devices
USB_DEVICE_ID	vid_00000673[] =
{
	{0x00005000, _T("Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Key Mouse Electronic Enterprise Devices
USB_DEVICE_ID	vid_00000674[] =
{
	{0x80000000, _T("Usb Device")}
};

// Draytech Devices
USB_DEVICE_ID	vid_00000675[] =
{
	{0x00000110, _T("Vigor 128 ISDN TA")},
	{0x80000000, _T("Usb Device")}
};

// Teles AG Devices
USB_DEVICE_ID	vid_00000676[] =
{
	{0x80000000, _T("Usb Device")}
};

// Aiwa Devices
USB_DEVICE_ID	vid_00000677[] =
{
	{0x00000fa1, _T("TD-U8000 Tape Drive")},
	{0x80000000, _T("Usb Device")}
};

// ACard Technology Devices
USB_DEVICE_ID	vid_00000678[] =
{
	{0x80000000, _T("Usb Device")}
};

// Prolific Technology Devices
USB_DEVICE_ID	vid_0000067b[] =
{
	{0x00000000, _T("PL2301 USB-USB Bridge")},
	{0x00000001, _T("PL2302 USB-USB Bridge")},
	{0x00002303, _T("PL2303 Serial Port")},
	{0x00002305, _T("PL2305 Parallel Port")},
	{0x00002307, _T("PL2307 USB-ATAPI4 Bridge")},
	{0x00002315, _T("Flash Disk Embedded Hub")},
	{0x00002316, _T("Flash Disk Security Device")},
	{0x00002317, _T("Mass Storage Device")},
	{0x00002501, _T("PL2501 USB-USB Bridge (USB 2.0)")},
	{0x00002515, _T("Flash Disk Embedded Hub")},
	{0x00002517, _T("Flash Disk Mass Storage Device")},
	{0x00003507, _T("PL3507 ATAPI6 Bridge ")},
	{0x80000000, _T("Usb Device")}
};

// Efficient Networks Devices
USB_DEVICE_ID	vid_0000067c[] =
{
	{0x00001001, _T("Siemens SpeedStream 100MBps Ethernet")},
	{0x00001022, _T("Siemens SpeedStream 1022 802.11b Adapter")},
	{0x00004060, _T("Alcatel Speedstream 4060 ADSL Modem")},
	{0x80000000, _T("Usb Device")}
};

// Hohner Devices
USB_DEVICE_ID	vid_0000067d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intermec Devices
USB_DEVICE_ID	vid_0000067e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Virata Devices
USB_DEVICE_ID	vid_0000067f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Realtek Semiconductor, CPP Div. (Avance Logic) Devices
USB_DEVICE_ID	vid_00000680[] =
{
	{0x00000002, _T("Arowana Optical Wheel Mouse MSOP-01")},
	{0x80000000, _T("Usb Device")}
};

// Siemens Information and Communication Products Devices
USB_DEVICE_ID	vid_00000681[] =
{
	{0x00000002, _T("Gigaset 3075 Passive ISDN")},
	{0x00000005, _T("Mouse with Fingerprint Reader")},
	{0x00000012, _T("I-Gate 802.11b Adapter")},
	{0x0000002b, _T("A-100-I ADSL Modem")},
	{0x80000000, _T("Usb Device")}
};

// Victor Company of Japan Devices
USB_DEVICE_ID	vid_00000682[] =
{
	{0x80000000, _T("Usb Device")}
};

// Actiontec Electronics Devices
USB_DEVICE_ID	vid_00000684[] =
{
	{0x80000000, _T("Usb Device")}
};

// Minolta Devices
USB_DEVICE_ID	vid_00000686[] =
{
	{0x00004003, _T("Dimage 2330 Zoom Camera")},
	{0x00004004, _T("Scan Elite II")},
	{0x00004006, _T("Dimage 7 Camera")},
	{0x00004007, _T("Dimage S304 Camera")},
	{0x00004008, _T("Dimage 5 Camera")},
	{0x00004009, _T("Dimage X Camera")},
	{0x0000400a, _T("Dimage S404 Camera")},
	{0x0000400b, _T("Dimage 7i Camera")},
	{0x0000400c, _T("Dimage F100 Camera")},
	{0x0000400d, _T("Scan Dual III")},
	{0x0000400f, _T("Dimage 7Hi Camera")},
	{0x00004010, _T("Dimage Xi Camera")},
	{0x00004011, _T("Dimage F300 Camera")},
	{0x00004012, _T("Dimage F200 Camera")},
	{0x00004014, _T("Dimage S414 Camera")},
	{0x00004015, _T("Dimage XT Camera [storage]")},
	{0x00004016, _T("Dimage XT Camera [remote mode]")},
	{0x00004018, _T("Dimage Z1  Camera")},
	{0x0000401a, _T("Dimage A1 Camera")},
	{0x0000401c, _T("Dimage X20 Camera")},
	{0x0000401e, _T("Dimage E323 Camera")},
	{0x80000000, _T("Usb Device")}
};

// Pertech Devices
USB_DEVICE_ID	vid_0000068a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Potrans International Devices
USB_DEVICE_ID	vid_0000068b[] =
{
	{0x80000000, _T("Usb Device")}
};

// CH Products Devices
USB_DEVICE_ID	vid_0000068e[] =
{
	{0x000000e2, _T("HFX OEM Joystick")},
	{0x000000f2, _T("Flight Sim Pedals")},
	{0x000000ff, _T("Flight Sim Yoke")},
	{0x00000500, _T("GameStick 3D")},
	{0x00000501, _T("CH Pro Pedals")},
	{0x00000504, _T("F-16 Combat Stick")},
	{0x80000000, _T("Usb Device")}
};

// Golden Bridge Electech Devices
USB_DEVICE_ID	vid_00000690[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hagiwara Sys-Com Devices
USB_DEVICE_ID	vid_00000693[] =
{
	{0x00000002, _T("FlashGate SmartMedia Card Reader")},
	{0x00000003, _T("FlashGate CompactFlash Card Reader")},
	{0x00000005, _T("FlashGate")},
	{0x80000000, _T("Usb Device")}
};

// Lego Group Devices
USB_DEVICE_ID	vid_00000694[] =
{
	{0x00000001, _T("Mindstorms Tower")},
	{0x80000000, _T("Usb Device")}
};

// Chuntex (CTX) Devices
USB_DEVICE_ID	vid_00000698[] =
{
	{0x00001786, _T("1300ex Monitor")},
	{0x00009999, _T("VLxxxx Monitor+Hub")},
	{0x80000000, _T("Usb Device")}
};

// Tektronix Devices
USB_DEVICE_ID	vid_00000699[] =
{
	{0x80000000, _T("Usb Device")}
};

// Askey Computer Devices
USB_DEVICE_ID	vid_0000069a[] =
{
	{0x00000001, _T("VC010 WebCam [pwc]")},
	{0x00000303, _T("Cable Modem")},
	{0x00000321, _T("Dynalink WLL013 / Compex WLU11A 802.11b Adapter")},
	{0x00000821, _T("BT Voyager 1010 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Thomson Devices
USB_DEVICE_ID	vid_0000069b[] =
{
	{0x00000704, _T("DCM245 Cable Modem")},
	{0x00002220, _T("RCA Kazoo RD1000 MP3 Player")},
	{0x0000300a, _T("RCA Lyra MP3 Player")},
	{0x80000000, _T("Usb Device")}
};

// Hughes Network Systems (HNS) Devices
USB_DEVICE_ID	vid_0000069d[] =
{
	{0x00000002, _T("Satellite Device")},
	{0x80000000, _T("Usb Device")}
};

// Marx Devices
USB_DEVICE_ID	vid_0000069e[] =
{
	{0x00000005, _T("CryptoBox v1.2")},
	{0x80000000, _T("Usb Device")}
};

// Allied Data Technologies BV Devices
USB_DEVICE_ID	vid_0000069f[] =
{
	{0x00000010, _T("Tornado Speakerphone FaxModem 56.0")},
	{0x00000011, _T("Tornado Speakerphone FaxModem 56.0")},
	{0x80000000, _T("Usb Device")}
};

// Topro Technology Devices
USB_DEVICE_ID	vid_000006a2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Saitek PLC Devices
USB_DEVICE_ID	vid_000006a3[] =
{
	{0x00000006, _T("Cyborg Gold Joystick")},
	{0x00000200, _T("Xbox Adrenalin Hub")},
	{0x00000241, _T("Xbox Adrenalin Gamepad")},
	{0x00000422, _T("ST90 Joystick")},
	{0x0000052d, _T("P750 Gamepad")},
	{0x0000053f, _T("X36F Flightstick")},
	{0x0000100a, _T("SP550 Pad and Joystick Combo")},
	{0x0000100b, _T("SP550 Pad")},
	{0x00003509, _T("P3000 RF GamePad")},
	{0x80000000, _T("Usb Device")}
};

// Xiamen Doowell Electron Devices
USB_DEVICE_ID	vid_000006a4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Divio Devices
USB_DEVICE_ID	vid_000006a5[] =
{
	{0x00000000, _T("Typhoon Webcam 100k [nw8000]")},
	{0x0000d001, _T("ProLink DS3303u WebCam")},
	{0x0000d800, _T("Chicony TwinkleCam")},
	{0x80000000, _T("Usb Device")}
};

// MicroStore Devices
USB_DEVICE_ID	vid_000006a7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Topaz Systems Devices
USB_DEVICE_ID	vid_000006a8[] =
{
	{0x00000042, _T("SignatureGem 1X5 Pad")},
	{0x00000043, _T("SignatureGem 1X5-HID Pad")},
	{0x80000000, _T("Usb Device")}
};

// Westell Devices
USB_DEVICE_ID	vid_000006a9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sysgration Devices
USB_DEVICE_ID	vid_000006aa[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu Laboratories of America Devices
USB_DEVICE_ID	vid_000006ac[] =
{
	{0x80000000, _T("Usb Device")}
};

// Greatland Electronics Taiwan Devices
USB_DEVICE_ID	vid_000006ad[] =
{
	{0x80000000, _T("Usb Device")}
};

// Professional Multimedia Testing Centre Devices
USB_DEVICE_ID	vid_000006ae[] =
{
	{0x80000000, _T("Usb Device")}
};

// Harting of North America Devices
USB_DEVICE_ID	vid_000006af[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pixela Devices
USB_DEVICE_ID	vid_000006b8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Alcatel Telecom Devices
USB_DEVICE_ID	vid_000006b9[] =
{
	{0x00000121, _T("SpeedTouch 121g Wireless Dongle")},
	{0x00004061, _T("SpeedTouch ISDN or ADSL Modem")},
	{0x0000a5a5, _T("DynaMiTe Modem")},
	{0x80000000, _T("Usb Device")}
};

// Smooth Cord & Connector Devices
USB_DEVICE_ID	vid_000006ba[] =
{
	{0x80000000, _T("Usb Device")}
};

// EDA Devices
USB_DEVICE_ID	vid_000006bb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oki Data Devices
USB_DEVICE_ID	vid_000006bc[] =
{
	{0x80000000, _T("Usb Device")}
};

// AGFA-Gevaert NV Devices
USB_DEVICE_ID	vid_000006bd[] =
{
	{0x00000001, _T("SnapScan 1212U")},
	{0x00000002, _T("SnapScan 1236U")},
	{0x00000100, _T("SnapScan Touch")},
	{0x00000403, _T("ePhoto CL18 Camera")},
	{0x00000404, _T("ePhoto CL20 Camera")},
	{0x00002061, _T("SnapScan 1212U (?)")},
	{0x0000208d, _T("Snapscan e40")},
	{0x0000208f, _T("SnapScan e50")},
	{0x00002091, _T("SnapScan e20")},
	{0x00002093, _T("SnapScan e10")},
	{0x00002095, _T("SnapScan e25")},
	{0x00002097, _T("SnapScan e26")},
	{0x000020fd, _T("SnapScan e52")},
	{0x000020ff, _T("SnapScan e42")},
	{0x80000000, _T("Usb Device")}
};

// AME Optimedia Technology Devices
USB_DEVICE_ID	vid_000006be[] =
{
	{0x80000000, _T("Usb Device")}
};

// Leoco Devices
USB_DEVICE_ID	vid_000006bf[] =
{
	{0x80000000, _T("Usb Device")}
};

// Phidgets Inc. (formerly GLAB) Devices
USB_DEVICE_ID	vid_000006c2[] =
{
	{0x00000030, _T("PhidgetRFID")},
	{0x00000038, _T("4-Motor PhidgetServo v3.0")},
	{0x00000039, _T("1-Motor PhidgetServo v3.0")},
	{0x0000003a, _T("8-Motor PhidgetAvancedServo")},
	{0x00000040, _T("PhidgetInterface Kit 0-0-4")},
	{0x00000044, _T("PhidgetInterface Kit 0-16-16")},
	{0x00000045, _T("PhidgetInterface Kit 8-8-8")},
	{0x00000048, _T("PhidgetStepper (Under Development)")},
	{0x00000049, _T("PhidgetTextLED Ver 1.0")},
	{0x0000004a, _T("PhidgetLED Ver 1.0")},
	{0x0000004b, _T("PhidgetEncoder Ver 1.0")},
	{0x00000051, _T("PhidgetInterface Kit 0-5-7 (Custom)")},
	{0x00000052, _T("PhidgetTextLCD")},
	{0x00000053, _T("PhidgetInterfaceKit 0-8-8")},
	{0x00000058, _T("PhidgetMotorControl Ver 1.0")},
	{0x00000070, _T("PhidgetTemperatureSensor Ver 1.0")},
	{0x00000071, _T("PhidgetAccelerometer Ver 1.0")},
	{0x00000072, _T("PhidgetWeightSensor Ver 1.0")},
	{0x00000073, _T("PhidgetHumiditySensor")},
	{0x00000074, _T("PhidgetPHSensor")},
	{0x00000075, _T("PhidgetGyroscope")},
	{0x80000000, _T("Usb Device")}
};

// Bizlink International Devices
USB_DEVICE_ID	vid_000006c4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hagenuk, GmbH Devices
USB_DEVICE_ID	vid_000006c5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Infowave Software Devices
USB_DEVICE_ID	vid_000006c6[] =
{
	{0x80000000, _T("Usb Device")}
};

// SIIG Devices
USB_DEVICE_ID	vid_000006c8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Taxan (Europe) Devices
USB_DEVICE_ID	vid_000006c9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Newer Technology Devices
USB_DEVICE_ID	vid_000006ca[] =
{
	{0x80000000, _T("Usb Device")}
};

// Synaptics Devices
USB_DEVICE_ID	vid_000006cb[] =
{
	{0x00000009, _T("Composite TouchPad and TrackPoint")},
	{0x80000000, _T("Usb Device")}
};

// Terayon Communication Systems Devices
USB_DEVICE_ID	vid_000006cc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Keyspan Devices
USB_DEVICE_ID	vid_000006cd[] =
{
	{0x00000101, _T("USA-28 PDA [preenum]")},
	{0x00000102, _T("USA-28X PDA [preenum]")},
	{0x00000103, _T("USA-19 PDA [preenum]")},
	{0x00000104, _T("PDA [prerenum]")},
	{0x00000105, _T("USA-18X PDA [preenum]")},
	{0x00000106, _T("USA-19W PDA [preenum]")},
	{0x00000107, _T("USA-19 PDA")},
	{0x00000108, _T("USA-19W PDA")},
	{0x0000010b, _T("USA-19Q PDA")},
	{0x0000010f, _T("USA-28 PDA")},
	{0x00000110, _T("USA-28X PDA")},
	{0x00000112, _T("USA-18X PDA")},
	{0x00000114, _T("USA-28X PDA")},
	{0x00000118, _T("USA-19QW PDA")},
	{0x00000201, _T("Digital Media Remote")},
	{0x80000000, _T("Usb Device")}
};

// SpheronVR AG Devices
USB_DEVICE_ID	vid_000006cf[] =
{
	{0x00001010, _T("PanoCam 10")},
	{0x00001012, _T("PanoCam 12/12X")},
	{0x80000000, _T("Usb Device")}
};

// LapLink Devices
USB_DEVICE_ID	vid_000006d0[] =
{
	{0x00000622, _T("LapLink Gold USB-USB Bridge [net1080]")},
	{0x80000000, _T("Usb Device")}
};

// Daewoo Electronics Devices
USB_DEVICE_ID	vid_000006d1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mitsubishi Electric Devices
USB_DEVICE_ID	vid_000006d3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cisco Systems Devices
USB_DEVICE_ID	vid_000006d4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Toshiba Devices
USB_DEVICE_ID	vid_000006d5[] =
{
	{0x00004000, _T("Japanese Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Aashima Technology B.V. Devices
USB_DEVICE_ID	vid_000006d6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Network Computing Devices (NCD) Devices
USB_DEVICE_ID	vid_000006d7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Technical Marketing Research Devices
USB_DEVICE_ID	vid_000006d8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Phoenixtec Power Devices
USB_DEVICE_ID	vid_000006da[] =
{
	{0x80000000, _T("Usb Device")}
};

// Paradyne Devices
USB_DEVICE_ID	vid_000006db[] =
{
	{0x80000000, _T("Usb Device")}
};

// Foxlink Image Technology Devices
USB_DEVICE_ID	vid_000006dc[] =
{
	{0x00000014, _T("Prolink Winscan Pro 2448U")},
	{0x80000000, _T("Usb Device")}
};

// Heisei Electronics Devices
USB_DEVICE_ID	vid_000006de[] =
{
	{0x80000000, _T("Usb Device")}
};

// Multi-Tech Systems Devices
USB_DEVICE_ID	vid_000006e0[] =
{
	{0x0000f101, _T("MT5634ZBA-USB MultiModemUSB (old firmware)")},
	{0x0000f103, _T("MT5634MU MultiMobileUSB")},
	{0x0000f104, _T("MT5634ZBA-USB MultiModemUSB (new firmware)")},
	{0x0000f107, _T("MT5634ZBA-USB-V92 MultiModemUSB")},
	{0x80000000, _T("Usb Device")}
};

// ADS Technologies Devices
USB_DEVICE_ID	vid_000006e1[] =
{
	{0x00000008, _T("UBS-10BT Ethernet [klsi]")},
	{0x0000a190, _T("Instand VCD Usb Capture")},
	{0x80000000, _T("Usb Device")}
};

// Alcatel Microelectronics Devices
USB_DEVICE_ID	vid_000006e4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tiger Jet Network Devices
USB_DEVICE_ID	vid_000006e6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sirius Technologies Devices
USB_DEVICE_ID	vid_000006ea[] =
{
	{0x00000001, _T("NetCom Roadster II 56k")},
	{0x00000002, _T("Roadster II 56k")},
	{0x80000000, _T("Usb Device")}
};

// PC Expert Tech. Devices
USB_DEVICE_ID	vid_000006eb[] =
{
	{0x80000000, _T("Usb Device")}
};

// I.A.C. Geometrische Ingenieurs B.V. Devices
USB_DEVICE_ID	vid_000006ef[] =
{
	{0x80000000, _T("Usb Device")}
};

// T.N.C Industrial Devices
USB_DEVICE_ID	vid_000006f0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Opcode Systems Devices
USB_DEVICE_ID	vid_000006f1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Emine Technology Devices
USB_DEVICE_ID	vid_000006f2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wintrend Technology Devices
USB_DEVICE_ID	vid_000006f6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Guillemot Devices
USB_DEVICE_ID	vid_000006f8[] =
{
	{0x0000a300, _T("Dual Analog Leader GamePad")},
	{0x80000000, _T("Usb Device")}
};

// HSD S.r.L Devices
USB_DEVICE_ID	vid_000006fa[] =
{
	{0x80000000, _T("Usb Device")}
};

// Motorola Semiconductor Products Sector Devices
USB_DEVICE_ID	vid_000006fc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Boston Acoustics Devices
USB_DEVICE_ID	vid_000006fd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Gallant Computer Devices
USB_DEVICE_ID	vid_000006fe[] =
{
	{0x80000000, _T("Usb Device")}
};

// Supercomal Wire & Cable SDN. BHD. Devices
USB_DEVICE_ID	vid_00000701[] =
{
	{0x80000000, _T("Usb Device")}
};

// Bvtech Industry Devices
USB_DEVICE_ID	vid_00000703[] =
{
	{0x80000000, _T("Usb Device")}
};

// NKK Devices
USB_DEVICE_ID	vid_00000705[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ariel Devices
USB_DEVICE_ID	vid_00000706[] =
{
	{0x80000000, _T("Usb Device")}
};

// Standard Microsystems Devices
USB_DEVICE_ID	vid_00000707[] =
{
	{0x00000100, _T("2202 Ethernet [klsi]")},
	{0x00000200, _T("2202 Ethernet [pegasus]")},
	{0x0000ee06, _T("EZ-Connect 802.11g Adapter")},
	{0x0000ee13, _T("EZ-Connect 802.11g Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Putercom Devices
USB_DEVICE_ID	vid_00000708[] =
{
	{0x80000000, _T("Usb Device")}
};

// Silicon Systems (SSL) Devices
USB_DEVICE_ID	vid_00000709[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oki Electric Industry Devices
USB_DEVICE_ID	vid_0000070a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Comoss Electronic Devices
USB_DEVICE_ID	vid_0000070d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Excel Cell Electronic Devices
USB_DEVICE_ID	vid_0000070e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Connect Tech Devices
USB_DEVICE_ID	vid_00000710[] =
{
	{0x00000001, _T("WhiteHeat (fake ID)")},
	{0x00008001, _T("WhiteHeat")},
	{0x80000000, _T("Usb Device")}
};

// Magic Control Technology Devices
USB_DEVICE_ID	vid_00000711[] =
{
	{0x00000100, _T("Hub")},
	{0x00000200, _T("BAY-3U1S1P Serial Port")},
	{0x00000210, _T("MCT1S Serial Port")},
	{0x00000230, _T("MCT-232 Serial Port")},
	{0x00000231, _T("PS/2 Mouse Port")},
	{0x00000240, _T("PS/2 to USB Converter")},
	{0x00000300, _T("BAY-3U1S1P Parallel Port")},
	{0x00000302, _T("Parallel Port")},
	{0x00000900, _T("SVGA Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Interval Research Devices
USB_DEVICE_ID	vid_00000713[] =
{
	{0x80000000, _T("Usb Device")}
};

// NewMotion Devices
USB_DEVICE_ID	vid_00000714[] =
{
	{0x00000003, _T("ADB to USB convertor")},
	{0x80000000, _T("Usb Device")}
};

// ZNK Devices
USB_DEVICE_ID	vid_00000717[] =
{
	{0x80000000, _T("Usb Device")}
};

// Imation Devices
USB_DEVICE_ID	vid_00000718[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tremon Enterprises Devices
USB_DEVICE_ID	vid_00000719[] =
{
	{0x80000000, _T("Usb Device")}
};

// Domain Technologies Devices
USB_DEVICE_ID	vid_0000071b[] =
{
	{0x00000002, _T("DTI-56362-USB Digital Interface Unit")},
	{0x00000101, _T("Audio4-USB DSP Data Acquisition Unit")},
	{0x00000201, _T("Audio4-5410 DSP Data Acquisition Unit")},
	{0x00000301, _T("SB-USB JTAG Emulator")},
	{0x80000000, _T("Usb Device")}
};

// Xionics Document Technologies Devices
USB_DEVICE_ID	vid_0000071c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Eicon Networks Devices
USB_DEVICE_ID	vid_0000071d[] =
{
	{0x00001000, _T("Diva ISDN TA")},
	{0x80000000, _T("Usb Device")}
};

// Ariston Technologies Devices
USB_DEVICE_ID	vid_0000071e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Centillium Communications Devices
USB_DEVICE_ID	vid_00000723[] =
{
	{0x80000000, _T("Usb Device")}
};

// Vanguard International Semiconductor-America Devices
USB_DEVICE_ID	vid_00000726[] =
{
	{0x80000000, _T("Usb Device")}
};

// Amitm Devices
USB_DEVICE_ID	vid_00000729[] =
{
	{0x00001000, _T("USC-1000 Serial Port")},
	{0x80000000, _T("Usb Device")}
};

// Sunix Devices
USB_DEVICE_ID	vid_0000072e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Advanced Card Systems Devices
USB_DEVICE_ID	vid_0000072f[] =
{
	{0x00000001, _T("AC1030-based SmartCard Reader")},
	{0x00009000, _T("ACR38 AC1038-based Smart Card Reader")},
	{0x000090cc, _T("ACR38 SmartCard Reader")},
	{0x80000000, _T("Usb Device")}
};

// Susteen Devices
USB_DEVICE_ID	vid_00000731[] =
{
	{0x00000528, _T("SonyEricsson DCU-11 Cable")},
	{0x80000000, _T("Usb Device")}
};

// Goldfull Electronics & Telecommunications Devices
USB_DEVICE_ID	vid_00000732[] =
{
	{0x80000000, _T("Usb Device")}
};

// ViewQuest Technologies Devices
USB_DEVICE_ID	vid_00000733[] =
{
	{0x00000110, _T("VQ110")},
	{0x00001311, _T("Digital Dream Epsilon 1.3")},
	{0x00002211, _T("Jenoptik")},
	{0x00000401, _T("CS330 WebCam")},
	{0x00000402, _T("M-318B WebCam")},
	{0x00000430, _T("Intel Pro Share WebCam")},
	{0x80000000, _T("Usb Device")}
};

// Lasat Communications A/S Devices
USB_DEVICE_ID	vid_00000734[] =
{
	{0x00000001, _T("560V Modem")},
	{0x80000000, _T("Usb Device")}
};

// Asuscom Network Devices
USB_DEVICE_ID	vid_00000735[] =
{
	{0x0000c541, _T("ISDN TA 280")},
	{0x80000000, _T("Usb Device")}
};

// Lorom Industrial Devices
USB_DEVICE_ID	vid_00000736[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mad Catz Devices
USB_DEVICE_ID	vid_00000738[] =
{
	{0x80000000, _T("Usb Device")}
};

// Suncom Technologies Devices
USB_DEVICE_ID	vid_0000073b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chaplet Systems Devices
USB_DEVICE_ID	vid_0000073a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Eutron S.p.a. Devices
USB_DEVICE_ID	vid_0000073d[] =
{
	{0x00000005, _T("Crypto Token")},
	{0x80000000, _T("Usb Device")}
};

// NEC Devices
USB_DEVICE_ID	vid_0000073e[] =
{
	{0x00000301, _T("Game Pad")},
	{0x80000000, _T("Usb Device")}
};

// Syntech Information Devices
USB_DEVICE_ID	vid_00000745[] =
{
	{0x80000000, _T("Usb Device")}
};

// Onkyo Devices
USB_DEVICE_ID	vid_00000746[] =
{
	{0x80000000, _T("Usb Device")}
};

// Labway Devices
USB_DEVICE_ID	vid_00000747[] =
{
	{0x80000000, _T("Usb Device")}
};

// Strong Man Enterprise Devices
USB_DEVICE_ID	vid_00000748[] =
{
	{0x80000000, _T("Usb Device")}
};

// EVer Electronics Devices
USB_DEVICE_ID	vid_00000749[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ming Fortune Industry Devices
USB_DEVICE_ID	vid_0000074a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Polestar Tech. Devices
USB_DEVICE_ID	vid_0000074b[] =
{
	{0x80000000, _T("Usb Device")}
};

// C-C-C Group PLC Devices
USB_DEVICE_ID	vid_0000074c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Micronas GmbH Devices
USB_DEVICE_ID	vid_0000074d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Digital Stream Devices
USB_DEVICE_ID	vid_0000074e[] =
{
	{0x00000001, _T("PS/2 Adapter")},
	{0x00000002, _T("PS/2 Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Aureal Semiconductor Devices
USB_DEVICE_ID	vid_00000755[] =
{
	{0x80000000, _T("Usb Device")}
};

// Network Technologies Devices
USB_DEVICE_ID	vid_00000757[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sophisticated Circuits Devices
USB_DEVICE_ID	vid_0000075b[] =
{
	{0x00000001, _T("Kick-off! Watchdog")},
	{0x80000000, _T("Usb Device")}
};

// Midiman Devices
USB_DEVICE_ID	vid_00000763[] =
{
	{0x00001001, _T("Midisport 2x2")},
	{0x00001010, _T("Midisport 1x1")},
	{0x00001020, _T("Midisport 4x4")},
	{0x00001030, _T("Midisport 8x8")},
	{0x80000000, _T("Usb Device")}
};

// Cyber Power System Devices
USB_DEVICE_ID	vid_00000764[] =
{
	{0x00000005, _T("Cyber Power UPS")},
	{0x80000000, _T("Usb Device")}
};

// X-Rite Devices
USB_DEVICE_ID	vid_00000765[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jess-Link Products Devices
USB_DEVICE_ID	vid_00000766[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tokheim Devices
USB_DEVICE_ID	vid_00000767[] =
{
	{0x80000000, _T("Usb Device")}
};

// Camtel Technology Devices
USB_DEVICE_ID	vid_00000768[] =
{
	{0x00000006, _T("Camtel Technology USB TV Genie Pro FM Model TVB330")},
	{0x80000000, _T("Usb Device")}
};

// Surecom Technology Devices
USB_DEVICE_ID	vid_00000769[] =
{
	{0x80000000, _T("Usb Device")}
};

// Smart Technology Enablers Devices
USB_DEVICE_ID	vid_0000076a[] =
{
	{0x80000000, _T("Usb Device")}
};

// OmniKey AG Devices
USB_DEVICE_ID	vid_0000076b[] =
{
	{0x00000596, _T("CardMan 2020")},
	{0x00001784, _T("CardMan 6020")},
	{0x00003021, _T("CardMan 3121")},
	{0x80000000, _T("Usb Device")}
};

// Partner Tech Devices
USB_DEVICE_ID	vid_0000076c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Denso Devices
USB_DEVICE_ID	vid_0000076d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kuan Tech Enterprise Devices
USB_DEVICE_ID	vid_0000076e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jhen Vei Electronic Devices
USB_DEVICE_ID	vid_0000076f[] =
{
	{0x80000000, _T("Usb Device")}
};

// AmTRAN Technology Devices
USB_DEVICE_ID	vid_00000774[] =
{
	{0x80000000, _T("Usb Device")}
};

// Longshine Electronics Devices
USB_DEVICE_ID	vid_00000775[] =
{
	{0x80000000, _T("Usb Device")}
};

// Inalways Devices
USB_DEVICE_ID	vid_00000776[] =
{
	{0x80000000, _T("Usb Device")}
};

// Comda Enterprise Devices
USB_DEVICE_ID	vid_00000777[] =
{
	{0x80000000, _T("Usb Device")}
};

// Volex Devices
USB_DEVICE_ID	vid_00000778[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fairchild Semiconductor Devices
USB_DEVICE_ID	vid_00000779[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sankyo Seiki Devices
USB_DEVICE_ID	vid_0000077a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Linksys Devices
USB_DEVICE_ID	vid_0000077b[] =
{
	{0x00002219, _T("WUSB11 V2.6 802.11b Adapter")},
	{0x00002226, _T("USB200M 100baseTX Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Forward Electronics Devices
USB_DEVICE_ID	vid_0000077c[] =
{
	{0x00000005, _T("NEC Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Griffin Technology Devices
USB_DEVICE_ID	vid_0000077d[] =
{
	{0x00000410, _T("PowerMate")},
	{0x0000041a, _T("PowerWave")},
	{0x00000223, _T("IMic Audio In/Out")},
	{0x80000000, _T("Usb Device")}
};

// Well Excellent & Most Devices
USB_DEVICE_ID	vid_0000077f[] =
{
	{0x80000000, _T("Usb Device")}
};

// SanDisk Devices
USB_DEVICE_ID	vid_00000781[] =
{
	{0x00000001, _T("SDDR-05a ImageMate CompactFlash Reader")},
	{0x00000002, _T("SDDR-31 ImageMate II CompactFlash Reader")},
	{0x00000005, _T("SDDR-05b (CF II) ImageMate CompactFlash Reader")},
	{0x00000200, _T("SDDR-09 (SSFDC) ImageMate SmartMedia Reader [eusb]")},
	{0x00000400, _T("SecureMate SD/MMC Reader")},
	{0x00000621, _T("SDDR-86 Imagemate 6-in-1 Reader")},
	{0x00000810, _T("SDDR-75 ImageMate CF-SM Reader")},
	{0x00000830, _T("ImageMate CF/MMC/SD Reader")},
	{0x00005150, _T("SDCZ2 Cruzer Mini Flash Drive (thin)")},
	{0x00005151, _T("Cruzer Micro Flash Drive")},
	{0x00007104, _T("Cruzer Micro Mini Flash Drive")},
	{0x00007112, _T("Cruzer Micro Flash Drive")},
	{0x00007113, _T("Cruzer Micro Flash Drive")},
	{0x00008185, _T("SDCZ2 Cruzer Mini Flash Drive (older, thick)")},
	{0x00008889, _T("SDDR-88 Imagemate 8-in-1 Reader")},
	{0x80000000, _T("Usb Device")}
};

// Trackerball Devices
USB_DEVICE_ID	vid_00000782[] =
{
	{0x80000000, _T("Usb Device")}
};

// C3PO Devices
USB_DEVICE_ID	vid_00000783[] =
{
	{0x00000003, _T("LTC31 SmartCard Reader")},
	{0x80000000, _T("Usb Device")}
};

// Vivitar Devices
USB_DEVICE_ID	vid_00000784[] =
{
	{0x00000100, _T("Vivicam 2655")},
	{0x00001310, _T("Vivicam 3305")},
	{0x00001688, _T("Vivicam 3665")},
	{0x00002888, _T("Polaroid DC700")},
	{0x00003330, _T("Nytec ND-3200 Camera")},
	{0x00005260, _T("Werlisa Sport PX 100 / JVC GC-A33 Camera")},
	{0x00005300, _T("Pretec dc530")},
	{0x80000000, _T("Usb Device")}
};

// NTT-ME Devices
USB_DEVICE_ID	vid_00000785[] =
{
	{0x00000001, _T("MN128mini-V ISDN TA")},
	{0x00000003, _T("MN128mini-J ISDN TA")},
	{0x80000000, _T("Usb Device")}
};

// Logitec Devices
USB_DEVICE_ID	vid_00000789[] =
{
	{0x80000000, _T("Usb Device")}
};

// Happ Controls Devices
USB_DEVICE_ID	vid_0000078b[] =
{
	{0x00000010, _T("Driving UGCI")},
	{0x00000020, _T("Flying UGCI")},
	{0x00000030, _T("Fighting UGCI")},
	{0x80000000, _T("Usb Device")}
};

// Brincom Devices
USB_DEVICE_ID	vid_0000078e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pro-Image Manufacturing Devices
USB_DEVICE_ID	vid_00000790[] =
{
	{0x80000000, _T("Usb Device")}
};

// Copartner Wire and Cable Devices
USB_DEVICE_ID	vid_00000791[] =
{
	{0x80000000, _T("Usb Device")}
};

// Axis Communications AB Devices
USB_DEVICE_ID	vid_00000792[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wha Yu Industrial Devices
USB_DEVICE_ID	vid_00000793[] =
{
	{0x80000000, _T("Usb Device")}
};

// ABL Electronics Devices
USB_DEVICE_ID	vid_00000794[] =
{
	{0x80000000, _T("Usb Device")}
};

// RealChip Devices
USB_DEVICE_ID	vid_00000795[] =
{
	{0x80000000, _T("Usb Device")}
};

// Certicom Devices
USB_DEVICE_ID	vid_00000796[] =
{
	{0x80000000, _T("Usb Device")}
};

// Grandtech Semiconductor Devices
USB_DEVICE_ID	vid_00000797[] =
{
	{0x00008001, _T("SmartCam")},
	{0x0000801c, _T("Meade Binoculars/Camera")},
	{0x80000000, _T("Usb Device")}
};

// Sagem Devices
USB_DEVICE_ID	vid_0000079b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Alfadata Computer Devices
USB_DEVICE_ID	vid_0000079d[] =
{
	{0x00000201, _T("GamePort Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Digicom S.p.A. Devices
USB_DEVICE_ID	vid_000007a1[] =
{
	{0x0000d952, _T("Palladio USB V.92 Modem")},
	{0x80000000, _T("Usb Device")}
};

// National Technical Systems Devices
USB_DEVICE_ID	vid_000007a2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Onnto Devices
USB_DEVICE_ID	vid_000007a3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Be Devices
USB_DEVICE_ID	vid_000007a4[] =
{
	{0x80000000, _T("Usb Device")}
};

// ADMtek Devices
USB_DEVICE_ID	vid_000007a6[] =
{
	{0x00000986, _T("AN986 Pegasus Ethernet")},
	{0x00008511, _T("ADM8511 Pegasus II Ethernet")},
	{0x80000000, _T("Usb Device")}
};

// Corega K.K. Devices
USB_DEVICE_ID	vid_000007aa[] =
{
	{0x00000001, _T("Ether USB-T Ethernet [klsi]")},
	{0x00000004, _T("FEther USB-TX Ethernet [pegasus]")},
	{0x00000012, _T("Stick-11 802.11b Adapter")},
	{0x00007613, _T("Stick-11 V2 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Freecom Technologies Devices
USB_DEVICE_ID	vid_000007ab[] =
{
	{0x0000fc01, _T("IDE bridge")},
	{0x0000fc03, _T("USB2-IDE IDE bridge")},
	{0x80000000, _T("Usb Device")}
};

// Microtech Devices
USB_DEVICE_ID	vid_000007af[] =
{
	{0x00000004, _T("SCSI-DB25 SCSI Bridge [shuttle]")},
	{0x00000005, _T("SCSI-HD50 SCSI Bridge [shuttle]")},
	{0x00000006, _T("CameraMate SmartMedia and CompactFlash Card Reader [eusb/shuttle]")},
	{0x80000000, _T("Usb Device")}
};

// Trust Technologies Devices
USB_DEVICE_ID	vid_000007b0[] =
{
	{0x00000001, _T("ISDN TA")},
	{0x80000000, _T("Usb Device")}
};

// IMP Devices
USB_DEVICE_ID	vid_000007b1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Motorola BCS Devices
USB_DEVICE_ID	vid_000007b2[] =
{
	{0x00004100, _T("SurfBoard SB4100 Cable Modem")},
	{0x00004200, _T("SurfBoard SB4200 Cable Modem")},
	{0x00005100, _T("SurfBoard SB5100 Cable Modem")},
	{0x00005120, _T("Surfboard SB5120 Cable Modem (RNDIS)")},
	{0x80000000, _T("Usb Device")}
};

// Plustek Devices
USB_DEVICE_ID	vid_000007b3[] =
{
	{0x00000001, _T("OpticPro 1212U Scanner")},
	{0x00000010, _T("OpticPro U12 Scanner")},
	{0x00000011, _T("OpticPro U24 Scanner")},
	{0x00000013, _T("OpticPro UT12 Scanner")},
	{0x00000015, _T("OpticPro U24 Scanner")},
	{0x00000017, _T("OpticPro UT12/16/24 Scanner")},
	{0x00000400, _T("OpticPro 1248U Scanner")},
	{0x00000401, _T("OpticPro 1248U Scanner #2")},
	{0x00000403, _T("OpticPro U16B Scanner")},
	{0x80000000, _T("Usb Device")}
};

// Olympus Optical Devices
USB_DEVICE_ID	vid_000007b4[] =
{
	{0x00000100, _T("Camedia C-2100/C-3000 Ultra Zoom Camera")},
	{0x00000102, _T("Camedia E-10/C-220/C-50 Camera")},
	{0x00000105, _T("Camedia C-310Z/C-700/C-750UZ/C-755/C-765UZ/C-3040/C-4000/C-5050Z/D-560 Zoom Camera")},
	{0x00000112, _T("MAUSB-100 xD Card Reader")},
	{0x00000114, _T("C-350Z Camera")},
	{0x00000203, _T("Digital Voice Recorder DW-90")},
	{0x00000206, _T("Digital Voice Recorder DS-330")},
	{0x00000207, _T("Digital Voice Recorder & Camera W-10")},
	{0x0000020d, _T("Digital Voice Recorder VN-240PC")},
	{0x80000000, _T("Usb Device")}
};

// Mega World International Devices
USB_DEVICE_ID	vid_000007b5[] =
{
	{0x00009902, _T("GamePad")},
	{0x80000000, _T("Usb Device")}
};

// Marubun Devices
USB_DEVICE_ID	vid_000007b6[] =
{
	{0x80000000, _T("Usb Device")}
};

// TIME Interconnect Devices
USB_DEVICE_ID	vid_000007b7[] =
{
	{0x80000000, _T("Usb Device")}
};

// D-Link Devices
USB_DEVICE_ID	vid_000007b8[] =
{
	{0x00004000, _T("DU-E10 Ethernet [klsi]")},
	{0x00004002, _T("DU-E100 Ethernet [pegasus]")},
	{0x0000abc1, _T("DU-E10 Ethernet [pegasus]")},
	{0x0000f101, _T("DSB-560 Modem [atlas]")},
	{0x80000000, _T("Usb Device")}
};

// Canon Computer Systems Devices
USB_DEVICE_ID	vid_000007bc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Webgear Devices
USB_DEVICE_ID	vid_000007bd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Veridicom Devices
USB_DEVICE_ID	vid_000007be[] =
{
	{0x80000000, _T("Usb Device")}
};

// Code Mercenaries Hard- und Software GmbH Devices
USB_DEVICE_ID	vid_000007c0[] =
{
	{0x00001121, _T("The Claw")},
	{0x00001500, _T("IO-Warrior 40")},
	{0x00001501, _T("IO-Warrior 24")},
	{0x00001502, _T("IO-Warrior 48")},
	{0x00001503, _T("IO-Warrior 28")},
	{0x80000000, _T("Usb Device")}
};

// Datafab Systems Devices
USB_DEVICE_ID	vid_000007c4[] =
{
	{0x0000a000, _T("CompactFlash Card Reader")},
	{0x0000a001, _T("CompactFlash & SmartMedia Card Reader [eusb]")},
	{0x0000a002, _T("Disk Drive")},
	{0x0000a005, _T("CompactFlash & SmartMedia Card Reader")},
	{0x0000a006, _T("SmartMedia Card Reader")},
	{0x0000a109, _T("LC1 CompactFlash & SmartMedia Card Reader")},
	{0x0000a200, _T("DF-UT-06 Hama MMC/SD Reader")},
	{0x0000a400, _T("CompactFlash & Microdrive Reader")},
	{0x0000b004, _T("MMC/SD Reader")},
	{0x80000000, _T("Usb Device")}
};

// APG Cash Drawer Devices
USB_DEVICE_ID	vid_000007c5[] =
{
	{0x80000000, _T("Usb Device")}
};

// ShareWave Devices
USB_DEVICE_ID	vid_000007c6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Powertech Industrial Devices
USB_DEVICE_ID	vid_000007c7[] =
{
	{0x80000000, _T("Usb Device")}
};

// B.U.G. Devices
USB_DEVICE_ID	vid_000007c8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Allied Telesyn International Devices
USB_DEVICE_ID	vid_000007c9[] =
{
	{0x80000000, _T("Usb Device")}
};

// AVerMedia Technologies Devices
USB_DEVICE_ID	vid_000007ca[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kingmax Technology Devices
USB_DEVICE_ID	vid_000007cb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Carry Computer Eng., Devices
USB_DEVICE_ID	vid_000007cc[] =
{
	{0x00000000, _T("CF Card Reader")},
	{0x00000003, _T("SM Card Reader")},
	{0x00000004, _T("SM/CF/PCMCIA Card Reader")},
	{0x00000006, _T("SM/CF/PCMCIA Card Reader")},
	{0x0000000c, _T("SM/CF Card Reader")},
	{0x0000000d, _T("SM/CF Card Reader")},
	{0x00000200, _T("6-in-1 Card Reader")},
	{0x00000301, _T("6-in-1 Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// Elektor Devices
USB_DEVICE_ID	vid_000007cd[] =
{
	{0x00000001, _T("USBuart Serial Port")},
	{0x80000000, _T("Usb Device")}
};

// Casio Computer Devices
USB_DEVICE_ID	vid_000007cf[] =
{
	{0x00001001, _T("QV-8000SX/5700/3000EX Digicam")},
	{0x00002002, _T("E-125 Cassiopeia Pocket PC")},
	{0x00003801, _T("WMP-1 MP3-Watch")},
	{0x00004001, _T("Label Printer KL-P1000")},
	{0x00004500, _T("LV-20 Digital Camera")},
	{0x80000000, _T("Usb Device")}
};

// Dazzle Devices
USB_DEVICE_ID	vid_000007d0[] =
{
	{0x00000001, _T("Digital Video Creator I")},
	{0x00000002, _T("Global Village VideoFX Grabber")},
	{0x00000003, _T("Fusion Model DVC-50 Rev 1 (NTSC)")},
	{0x00000004, _T("DVC-800 (PAL) Grabber")},
	{0x80000000, _T("Usb Device")}
};

// D-Link System Devices
USB_DEVICE_ID	vid_000007d1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Aptio Products Devices
USB_DEVICE_ID	vid_000007d2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cyberdata Devices
USB_DEVICE_ID	vid_000007d3[] =
{
	{0x80000000, _T("Usb Device")}
};

// GCC Technologies Devices
USB_DEVICE_ID	vid_000007d7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Arasan Chip Systems Devices
USB_DEVICE_ID	vid_000007da[] =
{
	{0x80000000, _T("Usb Device")}
};

// David Electronics Devices
USB_DEVICE_ID	vid_000007df[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ambient Technologies Devices
USB_DEVICE_ID	vid_000007e1[] =
{
	{0x00005201, _T("V.90 Modem")},
	{0x80000000, _T("Usb Device")}
};

// Elmeg GmbH & Devices
USB_DEVICE_ID	vid_000007e2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Planex Communications Devices
USB_DEVICE_ID	vid_000007e3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Movado Enterprise Devices
USB_DEVICE_ID	vid_000007e4[] =
{
	{0x80000000, _T("Usb Device")}
};

// QPS Devices
USB_DEVICE_ID	vid_000007e5[] =
{
	{0x00005c01, _T("Que! CDRW")},
	{0x80000000, _T("Usb Device")}
};

// Allied Cable Devices
USB_DEVICE_ID	vid_000007e6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mirvo Toys Devices
USB_DEVICE_ID	vid_000007e7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Labsystems Devices
USB_DEVICE_ID	vid_000007e8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Iwatsu Electric Devices
USB_DEVICE_ID	vid_000007ea[] =
{
	{0x80000000, _T("Usb Device")}
};

// Double-H Technology Devices
USB_DEVICE_ID	vid_000007eb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Taiyo Electric Wire & Cable Devices
USB_DEVICE_ID	vid_000007ec[] =
{
	{0x80000000, _T("Usb Device")}
};

// Torex Retail (formerly Logware) Devices
USB_DEVICE_ID	vid_000007ee[] =
{
	{0x00000002, _T("Cash Drawer I/F")},
	{0x80000000, _T("Usb Device")}
};

// Circuit Assembly Devices
USB_DEVICE_ID	vid_000007f6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Century Devices
USB_DEVICE_ID	vid_000007f7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dotop Technology Devices
USB_DEVICE_ID	vid_000007f9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Draytek Devices
USB_DEVICE_ID	vid_000007fa[] =
{
	{0x00000778, _T("miniVigor 128 ISDN TA")},
	{0x80000000, _T("Usb Device")}
};

// Mark of the Unicorn Devices
USB_DEVICE_ID	vid_000007fd[] =
{
	{0x00000000, _T("FastLane MIDI Interface")},
	{0x80000000, _T("Usb Device")}
};

// Mag-Tek Devices
USB_DEVICE_ID	vid_00000801[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mako Technologies, LLC Devices
USB_DEVICE_ID	vid_00000802[] =
{
	{0x80000000, _T("Usb Device")}
};

// Zoom Telephonics Devices
USB_DEVICE_ID	vid_00000803[] =
{
	{0x00009700, _T("2986L FaxModem")},
	{0x80000000, _T("Usb Device")}
};

// Genicom Technology Devices
USB_DEVICE_ID	vid_00000809[] =
{
	{0x80000000, _T("Usb Device")}
};

// Evermuch Technology Devices
USB_DEVICE_ID	vid_0000080a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Datalogic S.p.A. Devices
USB_DEVICE_ID	vid_0000080c[] =
{
	{0x00000300, _T("Gryphon D120 Barcode Scanner")},
	{0x00000400, _T("Gryphon D120 Barcode Scanner")},
	{0x00000500, _T("Gryphon D120 Barcode Scanner")},
	{0x00000600, _T("Gryphon M100 Barcode Scanner")},
	{0x80000000, _T("Usb Device")}
};

// Teco Image Systems Devices
USB_DEVICE_ID	vid_0000080d[] =
{
	{0x00000102, _T("Hercules Scan@home 48")},
	{0x80000000, _T("Usb Device")}
};

// Personal Communication Systems Devices
USB_DEVICE_ID	vid_00000810[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mattel Devices
USB_DEVICE_ID	vid_00000813[] =
{
	{0x00000001, _T("Intel Play QX3 Microscope")},
	{0x80000000, _T("Usb Device")}
};

// MG Logic Devices
USB_DEVICE_ID	vid_0000081a[] =
{
	{0x00001000, _T("Duo Pen Tablet")},
	{0x80000000, _T("Usb Device")}
};

// Indigita Devices
USB_DEVICE_ID	vid_0000081b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mipsys Devices
USB_DEVICE_ID	vid_0000081c[] =
{
	{0x80000000, _T("Usb Device")}
};

// AlphaSmart Devices
USB_DEVICE_ID	vid_0000081e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Reudo Devices
USB_DEVICE_ID	vid_00000822[] =
{
	{0x80000000, _T("Usb Device")}
};

// GC Protronics Devices
USB_DEVICE_ID	vid_00000825[] =
{
	{0x80000000, _T("Usb Device")}
};

// Data Transit Devices
USB_DEVICE_ID	vid_00000826[] =
{
	{0x80000000, _T("Usb Device")}
};

// BroadLogic Devices
USB_DEVICE_ID	vid_00000827[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sato Devices
USB_DEVICE_ID	vid_00000828[] =
{
	{0x80000000, _T("Usb Device")}
};

// DirecTV Broadband (Telocity) Devices
USB_DEVICE_ID	vid_00000829[] =
{
	{0x80000000, _T("Usb Device")}
};

// Handspring Devices
USB_DEVICE_ID	vid_0000082d[] =
{
	{0x00000100, _T("Visor")},
	{0x00000300, _T("Treo 600")},
	{0x80000000, _T("Usb Device")}
};

// Palm Devices
USB_DEVICE_ID	vid_00000830[] =
{
	{0x00000002, _T("Palm M505")},
	{0x00000003, _T("Palm M515")},
	{0x00000020, _T("Palm I705")},
	{0x00000040, _T("Palm M125")},
	{0x00000050, _T("Palm M130")},
	{0x00000060, _T("Palm Tungsten T / Zire 71")},
	{0x00000080, _T("Palm")},
	{0x80000000, _T("Usb Device")}
};

// Kouwell Electronics Devices
USB_DEVICE_ID	vid_00000832[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sourcenext Devices
USB_DEVICE_ID	vid_00000833[] =
{
	{0x80000000, _T("Usb Device")}
};

// Action Star Enterprise Devices
USB_DEVICE_ID	vid_00000835[] =
{
	{0x80000000, _T("Usb Device")}
};

// Samsung Techwin Devices
USB_DEVICE_ID	vid_00000839[] =
{
	{0x00000005, _T("Digimax Camera")},
	{0x00000008, _T("Digimax 230 Camera")},
	{0x00001003, _T("Digimax 210SE")},
	{0x00001012, _T("6500 Document Camera")},
	{0x00001542, _T("Digimax 50 Duo")},
	{0x80000000, _T("Usb Device")}
};

// Accton Technology Devices
USB_DEVICE_ID	vid_0000083a[] =
{
	{0x00001046, _T("10/100 Ethernet [pegasus]")},
	{0x00005046, _T("SpeedStream 10/100 Ethernet [pegasus]")},
	{0x80000000, _T("Usb Device")}
};

// Global Village Devices
USB_DEVICE_ID	vid_0000083f[] =
{
	{0x0000b100, _T("TelePort V.90 Fax/Modem")},
	{0x80000000, _T("Usb Device")}
};

// Argosy Research Devices
USB_DEVICE_ID	vid_00000840[] =
{
	{0x80000000, _T("Usb Device")}
};

// Rioport.com Devices
USB_DEVICE_ID	vid_00000841[] =
{
	{0x00000001, _T("Rio 500")},
	{0x80000000, _T("Usb Device")}
};

// Welland Industrial Devices
USB_DEVICE_ID	vid_00000844[] =
{
	{0x80000000, _T("Usb Device")}
};

// NetGear Devices
USB_DEVICE_ID	vid_00000846[] =
{
	{0x00001001, _T("EA101 Ethernet [klsi]")},
	{0x00004110, _T("MA111 WiFi (v1)")},
	{0x00004200, _T("WG121 WiFi (v1)")},
	{0x00004210, _T("WG121 WiFi (v2)")},
	{0x00004220, _T("WG111 WiFi (v1)")},
	{0x00004230, _T("MA111 WiFi")},
	{0x00004240, _T("WG111 WiFi (v2)")},
	{0x00006a00, _T("WG111 WiFi (v2)")},
	{0x80000000, _T("Usb Device")}
};

// Minton Optic Industry Devices
USB_DEVICE_ID	vid_0000084d[] =
{
	{0x00000003, _T("S-Cam F5 Digital Camera")},
	{0x00000011, _T("Argus DC3500 Digital Camera")},
	{0x80000000, _T("Usb Device")}
};

// KB Gear Devices
USB_DEVICE_ID	vid_0000084e[] =
{
	{0x00001002, _T("Pablo Tablet")},
	{0x80000000, _T("Usb Device")}
};

// Empeg Devices
USB_DEVICE_ID	vid_0000084f[] =
{
	{0x00000001, _T("Empeg-Car Mark I/II Player")},
	{0x80000000, _T("Usb Device")}
};

// Fast Point Technologies Devices
USB_DEVICE_ID	vid_00000850[] =
{
	{0x80000000, _T("Usb Device")}
};

// Macronix International Devices
USB_DEVICE_ID	vid_00000851[] =
{
	{0x00001543, _T("Maxell WS30 Slim Digital Camera")},
	{0x80000000, _T("Usb Device")}
};

// CSEM Devices
USB_DEVICE_ID	vid_00000852[] =
{
	{0x80000000, _T("Usb Device")}
};

// ActiveWire Devices
USB_DEVICE_ID	vid_00000854[] =
{
	{0x00000100, _T("I/O Board")},
	{0x00000101, _T("I/O Board, rev1")},
	{0x80000000, _T("Usb Device")}
};

// B&B Electronics Devices
USB_DEVICE_ID	vid_00000856[] =
{
	{0x0000ac01, _T("uLinks USOTL4 RS422/485 Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Hitachi Maxell Devices
USB_DEVICE_ID	vid_00000858[] =
{
	{0x80000000, _T("Usb Device")}
};

// Minolta Systems Laboratory Devices
USB_DEVICE_ID	vid_00000859[] =
{
	{0x80000000, _T("Usb Device")}
};

// Xircom Devices
USB_DEVICE_ID	vid_0000085a[] =
{
	{0x00000001, _T("Portstation Dual Serial Port")},
	{0x00000003, _T("Portstation Paraller Port")},
	{0x0000000b, _T("Portstation Dual PS/2 Port")},
	{0x00000299, _T("Colorvision Monitor Spyder")},
	{0x00008027, _T("PGSDB9 Serial Port")},
	{0x80000000, _T("Usb Device")}
};

// ColorVision Devices
USB_DEVICE_ID	vid_0000085c[] =
{
	{0x00000200, _T("Monitor Spyder")},
	{0x80000000, _T("Usb Device")}
};

// Teletrol Systems Devices
USB_DEVICE_ID	vid_00000862[] =
{
	{0x80000000, _T("Usb Device")}
};

// Filanet Devices
USB_DEVICE_ID	vid_00000863[] =
{
	{0x80000000, _T("Usb Device")}
};

// NetGear Devices
USB_DEVICE_ID	vid_00000864[] =
{
	{0x00004100, _T("MA101 802.11b Adapter")},
	{0x00004102, _T("MA101 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Data Translation Devices
USB_DEVICE_ID	vid_00000867[] =
{
	{0x00009812, _T("ECON Data acquisition unit")},
	{0x80000000, _T("Usb Device")}
};

// Emagic Soft-und Hardware GmbH Devices
USB_DEVICE_ID	vid_0000086a[] =
{
	{0x80000000, _T("Usb Device")}
};

// DeTeWe - Deutsche Telephonwerke AG & Devices
USB_DEVICE_ID	vid_0000086c[] =
{
	{0x00001001, _T("Eumex 504PC ISDN TA")},
	{0x00001003, _T("TA33 ISDN TA")},
	{0x00001055, _T("Eumex 220 ISDN TA")},
	{0x80000000, _T("Usb Device")}
};

// System TALKS Devices
USB_DEVICE_ID	vid_0000086e[] =
{
	{0x80000000, _T("Usb Device")}
};

// MEC IMEX Devices
USB_DEVICE_ID	vid_0000086f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Metricom Devices
USB_DEVICE_ID	vid_00000870[] =
{
	{0x80000000, _T("Usb Device")}
};

// SanDisk Devices
USB_DEVICE_ID	vid_00000871[] =
{
	{0x00000001, _T("SDDR-01 Compact Flash Reader")},
	{0x00000002, _T("SDDR-31 Compact Flash Reader")},
	{0x00000005, _T("SDDR-05 Compact Flash Reader")},
	{0x80000000, _T("Usb Device")}
};

// Xpeed Devices
USB_DEVICE_ID	vid_00000873[] =
{
	{0x80000000, _T("Usb Device")}
};

// A-Tec Subsystem Devices
USB_DEVICE_ID	vid_00000874[] =
{
	{0x80000000, _T("Usb Device")}
};

// Comtrol Devices
USB_DEVICE_ID	vid_00000879[] =
{
	{0x80000000, _T("Usb Device")}
};

// Adesso/Kbtek America Devices
USB_DEVICE_ID	vid_0000087c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jaton Devices
USB_DEVICE_ID	vid_0000087d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu Computer Products of America Devices
USB_DEVICE_ID	vid_0000087e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Virtual IP Group Devices
USB_DEVICE_ID	vid_0000087f[] =
{
	{0x80000000, _T("Usb Device")}
};

// APT Technologies Devices
USB_DEVICE_ID	vid_00000880[] =
{
	{0x80000000, _T("Usb Device")}
};

// Recording Industry Association of America (RIAA) Devices
USB_DEVICE_ID	vid_00000883[] =
{
	{0x80000000, _T("Usb Device")}
};

// Boca Research Devices
USB_DEVICE_ID	vid_00000885[] =
{
	{0x80000000, _T("Usb Device")}
};

// XAC Automation Devices
USB_DEVICE_ID	vid_00000886[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hannstar Electronics Devices
USB_DEVICE_ID	vid_00000887[] =
{
	{0x80000000, _T("Usb Device")}
};

// MassWorks Devices
USB_DEVICE_ID	vid_0000088b[] =
{
	{0x00004944, _T("MassWorks ID-75 TouchScreen")},
	{0x80000000, _T("Usb Device")}
};

// DioGraphy Devices
USB_DEVICE_ID	vid_00000892[] =
{
	{0x80000000, _T("Usb Device")}
};

// United Technologies Research Cntr. Devices
USB_DEVICE_ID	vid_0000089c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Icron Technologies Devices
USB_DEVICE_ID	vid_0000089d[] =
{
	{0x80000000, _T("Usb Device")}
};

// NST Devices
USB_DEVICE_ID	vid_0000089e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Primex Aerospace Devices
USB_DEVICE_ID	vid_0000089f[] =
{
	{0x80000000, _T("Usb Device")}
};

// e9 Devices
USB_DEVICE_ID	vid_000008a5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Andrea Electronics Devices
USB_DEVICE_ID	vid_000008a8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Macally (Mace Group) Devices
USB_DEVICE_ID	vid_000008ae[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sorenson Vision Devices
USB_DEVICE_ID	vid_000008b4[] =
{
	{0x80000000, _T("Usb Device")}
};

// J. Gordon Electronic Design Devices
USB_DEVICE_ID	vid_000008b8[] =
{
	{0x000001f4, _T("USBSIMM1")},
	{0x80000000, _T("Usb Device")}
};

// RadioShack (Tandy) Devices
USB_DEVICE_ID	vid_000008b9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Texas Instruments Japan Devices
USB_DEVICE_ID	vid_000008bb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Citizen Watch Devices
USB_DEVICE_ID	vid_000008bd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Precise Biometrics Devices
USB_DEVICE_ID	vid_000008c3[] =
{
	{0x00000101, _T("Precise 100 MC FingerPrint and SmartCard Reader")},
	{0x80000000, _T("Usb Device")}
};

// Proxim Devices
USB_DEVICE_ID	vid_000008c4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Key Nice Enterprise Devices
USB_DEVICE_ID	vid_000008c7[] =
{
	{0x80000000, _T("Usb Device")}
};

// 2Wire Devices
USB_DEVICE_ID	vid_000008c8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nippon Telegraph and Telephone Devices
USB_DEVICE_ID	vid_000008c9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Aiptek International Devices
USB_DEVICE_ID	vid_000008ca[] =
{
	{0x00000010, _T("Tablet")},
	{0x00000020, _T("APT-6000U Tablet")},
	{0x00000021, _T("APT-2 Tablet")},
	{0x00000022, _T("Tablet")},
	{0x00000023, _T("Tablet")},
	{0x00000024, _T("Tablet")},
	{0x00000102, _T("DualCam")},
	{0x00000103, _T("Pocket DV Digital Camera")},
	{0x00000104, _T("Pocket DVII")},
	{0x00000106, _T("Pocket DV3100+")},
	{0x00000111, _T("PenCam VGA Plus")},
	{0x00002008, _T("Mini PenCam 2")},
	{0x00002010, _T("Pocket CAM 3 Mega (webcam)")},
	{0x00002011, _T("Pocket CAM 3 Mega (storage)")},
	{0x00002018, _T("Pencam SD 2")},
	{0x00002024, _T("Pocket DV3500")},
	{0x80000000, _T("Usb Device")}
};

// Jue Hsun Ind. Devices
USB_DEVICE_ID	vid_000008cd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Long Well Electronics Devices
USB_DEVICE_ID	vid_000008ce[] =
{
	{0x80000000, _T("Usb Device")}
};

// Productivity Enhancement Products Devices
USB_DEVICE_ID	vid_000008cf[] =
{
	{0x80000000, _T("Usb Device")}
};

// smartBridges Devices
USB_DEVICE_ID	vid_000008d1[] =
{
	{0x00000001, _T("smartNIC Ethernet [catc]")},
	{0x80000000, _T("Usb Device")}
};

// Virtual Ink Devices
USB_DEVICE_ID	vid_000008d3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu Siemens Computers Devices
USB_DEVICE_ID	vid_000008d4[] =
{
	{0x00000009, _T("SCR SmartCard Reader")},
	{0x80000000, _T("Usb Device")}
};

// Increment P Devices
USB_DEVICE_ID	vid_000008d9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Billionton Systems Devices
USB_DEVICE_ID	vid_000008dd[] =
{
	{0x00000986, _T("USB-100N Ethernet [pegasus]")},
	{0x00000987, _T("USBLP-100 HomePNA Ethernet [pegasus]")},
	{0x00000988, _T("USBEL-100 Ethernet [pegasus]")},
	{0x00008511, _T("USBE-100 Ethernet [pegasus2]")},
	{0x80000000, _T("Usb Device")}
};

// ? Devices
USB_DEVICE_ID	vid_000008de[] =
{
	{0x00007a01, _T("802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Spyrus Devices
USB_DEVICE_ID	vid_000008df[] =
{
	{0x80000000, _T("Usb Device")}
};

// Olitec Devices
USB_DEVICE_ID	vid_000008e3[] =
{
	{0x00000002, _T("USB-RS232 Bridge")},
	{0x80000000, _T("Usb Device")}
};

// Pioneer Devices
USB_DEVICE_ID	vid_000008e4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Litronic Devices
USB_DEVICE_ID	vid_000008e5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Gemplus Devices
USB_DEVICE_ID	vid_000008e6[] =
{
	{0x00000430, _T("GemPC430 SmartCard Reader")},
	{0x00000432, _T("GemPC432 SmartCard Reader")},
	{0x00000435, _T("GemPC435 SmartCard Reader")},
	{0x00000437, _T("GemPC433 SL SmartCard Reader")},
	{0x00003437, _T("GemPC Twin SmartCard Reader")},
	{0x00003438, _T("GemPC Key SmartCard Reader")},
	{0x80000000, _T("Usb Device")}
};

// Pan-International Wire & Cable Devices
USB_DEVICE_ID	vid_000008e7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Integrated Memory Logic Devices
USB_DEVICE_ID	vid_000008e8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Extended Systems Devices
USB_DEVICE_ID	vid_000008e9[] =
{
	{0x00000100, _T("XTNDAccess IrDA Dongle")},
	{0x80000000, _T("Usb Device")}
};

// Ericsson, Blue Ridge Labs Devices
USB_DEVICE_ID	vid_000008ea[] =
{
	{0x80000000, _T("Usb Device")}
};

// M-Systems Flash Disk Pioneers Devices
USB_DEVICE_ID	vid_000008ec[] =
{
	{0x00000010, _T("DiskOnKey")},
	{0x80000000, _T("Usb Device")}
};

// CCSI/Hesso Devices
USB_DEVICE_ID	vid_000008ee[] =
{
	{0x80000000, _T("Usb Device")}
};

// Corex Technologies Devices
USB_DEVICE_ID	vid_000008f0[] =
{
	{0x80000000, _T("Usb Device")}
};

// CTI Electronics Devices
USB_DEVICE_ID	vid_000008f1[] =
{
	{0x80000000, _T("Usb Device")}
};

// SysTec Devices
USB_DEVICE_ID	vid_000008f5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Logic 3 International Devices
USB_DEVICE_ID	vid_000008f6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Vernier Devices
USB_DEVICE_ID	vid_000008f7[] =
{
	{0x00000001, _T("LabPro")},
	{0x00000002, _T("EasyTemp")},
	{0x80000000, _T("Usb Device")}
};

// Keen Top International Enterprise Devices
USB_DEVICE_ID	vid_000008f8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wipro Technologies Devices
USB_DEVICE_ID	vid_000008f9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Caere Devices
USB_DEVICE_ID	vid_000008fa[] =
{
	{0x80000000, _T("Usb Device")}
};

// Socket Communications Devices
USB_DEVICE_ID	vid_000008fb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sicon Cable Technology Devices
USB_DEVICE_ID	vid_000008fc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Digianswer A/S Devices
USB_DEVICE_ID	vid_000008fd[] =
{
	{0x80000000, _T("Usb Device")}
};

// AuthenTec Devices
USB_DEVICE_ID	vid_000008ff[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pinnacle Systems Devices
USB_DEVICE_ID	vid_00000900[] =
{
	{0x80000000, _T("Usb Device")}
};

// VST Technologies Devices
USB_DEVICE_ID	vid_00000901[] =
{
	{0x80000000, _T("Usb Device")}
};

// Faraday Technology Devices
USB_DEVICE_ID	vid_00000906[] =
{
	{0x80000000, _T("Usb Device")}
};

// Audio-Technica Devices
USB_DEVICE_ID	vid_00000909[] =
{
	{0x80000000, _T("Usb Device")}
};

// Trumpion Microelectronics Devices
USB_DEVICE_ID	vid_0000090a[] =
{
	{0x00001540, _T("Digitex Container Flash Disk")},
	{0x80000000, _T("Usb Device")}
};

// Neurosmith Devices
USB_DEVICE_ID	vid_0000090b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Feiya Technology Devices
USB_DEVICE_ID	vid_0000090c[] =
{
	{0x00001000, _T("Memory Bar")},
	{0x80000000, _T("Usb Device")}
};

// Multiport Computer Vertriebs GmbH Devices
USB_DEVICE_ID	vid_0000090d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Shining Technology Devices
USB_DEVICE_ID	vid_0000090e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu Devices Devices
USB_DEVICE_ID	vid_0000090f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Alation Systems Devices
USB_DEVICE_ID	vid_00000910[] =
{
	{0x80000000, _T("Usb Device")}
};

// Philips Speech Processing Devices
USB_DEVICE_ID	vid_00000911[] =
{
	{0x80000000, _T("Usb Device")}
};

// Voquette Devices
USB_DEVICE_ID	vid_00000912[] =
{
	{0x80000000, _T("Usb Device")}
};

// GlobeSpan Devices
USB_DEVICE_ID	vid_00000915[] =
{
	{0x80000000, _T("Usb Device")}
};

// SmartDisk Devices
USB_DEVICE_ID	vid_00000917[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tiger Electronics Devices
USB_DEVICE_ID	vid_00000919[] =
{
	{0x00000100, _T("Fast Flicks Digital Camera")},
	{0x80000000, _T("Usb Device")}
};

// Garmin International Devices
USB_DEVICE_ID	vid_0000091e[] =
{
	{0x00000003, _T("GPSmap (various models)")},
	{0x80000000, _T("Usb Device")}
};

// Echelon Devices
USB_DEVICE_ID	vid_00000920[] =
{
	{0x80000000, _T("Usb Device")}
};

// GoHubs Devices
USB_DEVICE_ID	vid_00000921[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dymo-CoStar Devices
USB_DEVICE_ID	vid_00000922[] =
{
	{0x00000007, _T("LabelWriter 330")},
	{0x00000009, _T("LabelWriter 310")},
	{0x80000000, _T("Usb Device")}
};

// IC Media Devices
USB_DEVICE_ID	vid_00000923[] =
{
	{0x0000010f, _T("SIIG MobileCam")},
	{0x80000000, _T("Usb Device")}
};

// Xerox Devices
USB_DEVICE_ID	vid_00000924[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lakeview Research Devices
USB_DEVICE_ID	vid_00000925[] =
{
	{0x00008101, _T("Phidgets, 1-Motor PhidgetServo v2.0")},
	{0x00008104, _T("Phidgets, 4-Motor PhidgetServo v2.0")},
	{0x00008800, _T("WiseGroup Ltd, MP-8800 Quad Joypad")},
	{0x00008866, _T("WiseGroup Ltd, MP-8866 Dual Joypad")},
	{0x80000000, _T("Usb Device")}
};

// Summus Devices
USB_DEVICE_ID	vid_00000927[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oxford Semiconductor Devices
USB_DEVICE_ID	vid_00000928[] =
{
	{0x80000000, _T("Usb Device")}
};

// American Biometric Devices
USB_DEVICE_ID	vid_00000929[] =
{
	{0x80000000, _T("Usb Device")}
};

// Toshiba Information & Industrial Sys. And Services Devices
USB_DEVICE_ID	vid_0000092a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sena Technologies Devices
USB_DEVICE_ID	vid_0000092b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Toshiba Devices
USB_DEVICE_ID	vid_00000930[] =
{
	{0x00006519, _T("Kingston DataTraveler 2.0 USB Stick")},
	{0x00006533, _T("512M USB Stick")},
	{0x80000000, _T("Usb Device")}
};

// Harmonic Data Systems Devices
USB_DEVICE_ID	vid_00000931[] =
{
	{0x80000000, _T("Usb Device")}
};

// Crescentec Devices
USB_DEVICE_ID	vid_00000932[] =
{
	{0x80000000, _T("Usb Device")}
};

// Quantum Devices
USB_DEVICE_ID	vid_00000933[] =
{
	{0x80000000, _T("Usb Device")}
};

// Netcom Systems Devices
USB_DEVICE_ID	vid_00000934[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lumberg Devices
USB_DEVICE_ID	vid_00000939[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pixart Imaging Devices
USB_DEVICE_ID	vid_0000093a[] =
{
	{0x00002468, _T("Easy Snap Snake Eye WebCam")},
	{0x80000000, _T("Usb Device")}
};

// Plextor Devices
USB_DEVICE_ID	vid_0000093b[] =
{
	{0x00000042, _T("PX-712UF DVD RW")},
	{0x80000000, _T("Usb Device")}
};

// Intrepid Control Systems Devices
USB_DEVICE_ID	vid_0000093c[] =
{
	{0x00000601, _T("ValueCAN")},
	{0x80000000, _T("Usb Device")}
};

// InnoSync Devices
USB_DEVICE_ID	vid_0000093d[] =
{
	{0x80000000, _T("Usb Device")}
};

// J.S.T. Devices
USB_DEVICE_ID	vid_0000093e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Olympia Telecom Vertriebs GmbH Devices
USB_DEVICE_ID	vid_0000093f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Japan Storage Battery Devices
USB_DEVICE_ID	vid_00000940[] =
{
	{0x80000000, _T("Usb Device")}
};

// Photobit Devices
USB_DEVICE_ID	vid_00000941[] =
{
	{0x80000000, _T("Usb Device")}
};

// i2Go.com, LLC Devices
USB_DEVICE_ID	vid_00000942[] =
{
	{0x80000000, _T("Usb Device")}
};

// HCL Technologies India Private Devices
USB_DEVICE_ID	vid_00000943[] =
{
	{0x80000000, _T("Usb Device")}
};

// KORG Devices
USB_DEVICE_ID	vid_00000944[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pasco Scientific Devices
USB_DEVICE_ID	vid_00000945[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kronauer music in digital Devices
USB_DEVICE_ID	vid_00000948[] =
{
	{0x00000301, _T("USB Pro (24/48)")},
	{0x00000302, _T("USB Pro (24/96 playback)")},
	{0x00000303, _T("USB Pro (24/96 record)")},
	{0x00000304, _T("USB Pro (16/48)")},
	{0x00001105, _T("USB One")},
	{0x80000000, _T("Usb Device")}
};

// Linkup Systems Devices
USB_DEVICE_ID	vid_0000094b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cable Television Laboratories Devices
USB_DEVICE_ID	vid_0000094d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kingston Technology Devices
USB_DEVICE_ID	vid_00000951[] =
{
	{0x0000000a, _T("KNU101TX 100baseTX Ethernet")},
	{0x00001600, _T("Data Traveler II Pen Drive")},
	{0x80000000, _T("Usb Device")}
};

// RPM Systems Devices
USB_DEVICE_ID	vid_00000954[] =
{
	{0x80000000, _T("Usb Device")}
};

// NVidia Devices
USB_DEVICE_ID	vid_00000955[] =
{
	{0x80000000, _T("Usb Device")}
};

// BSquare Devices
USB_DEVICE_ID	vid_00000956[] =
{
	{0x80000000, _T("Usb Device")}
};

// Agilent Technologies Devices
USB_DEVICE_ID	vid_00000957[] =
{
	{0x80000000, _T("Usb Device")}
};

// CompuLink Research Devices
USB_DEVICE_ID	vid_00000958[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cologne Chip AG Devices
USB_DEVICE_ID	vid_00000959[] =
{
	{0x80000000, _T("Usb Device")}
};

// Portsmith Devices
USB_DEVICE_ID	vid_0000095a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Medialogic Devices
USB_DEVICE_ID	vid_0000095b[] =
{
	{0x80000000, _T("Usb Device")}
};

// K-Tec Electronics Devices
USB_DEVICE_ID	vid_0000095c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Polycom Devices
USB_DEVICE_ID	vid_0000095d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Acer (?) Devices
USB_DEVICE_ID	vid_00000967[] =
{
	{0x00000204, _T("WarpLink 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Catalyst Enterprises Devices
USB_DEVICE_ID	vid_00000968[] =
{
	{0x80000000, _T("Usb Device")}
};

// Gretag-Macbeth AG Devices
USB_DEVICE_ID	vid_00000971[] =
{
	{0x80000000, _T("Usb Device")}
};

// Schlumberger Devices
USB_DEVICE_ID	vid_00000973[] =
{
	{0x80000000, _T("Usb Device")}
};

// Datagraphix, a business unit of Anacomp Devices
USB_DEVICE_ID	vid_00000974[] =
{
	{0x80000000, _T("Usb Device")}
};

// OL'E Communications Devices
USB_DEVICE_ID	vid_00000975[] =
{
	{0x80000000, _T("Usb Device")}
};

// Adirondack Wire & Cable Devices
USB_DEVICE_ID	vid_00000976[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lightsurf Technologies Devices
USB_DEVICE_ID	vid_00000977[] =
{
	{0x80000000, _T("Usb Device")}
};

// Beckhoff GmbH Devices
USB_DEVICE_ID	vid_00000978[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jeilin Technology Devices
USB_DEVICE_ID	vid_00000979[] =
{
	{0x80000000, _T("Usb Device")}
};

// Minds At Work LLC Devices
USB_DEVICE_ID	vid_0000097a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Knudsen Engineering Devices
USB_DEVICE_ID	vid_0000097b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Marunix Devices
USB_DEVICE_ID	vid_0000097c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Rosun Technologies Devices
USB_DEVICE_ID	vid_0000097d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Barun Electronics Devices
USB_DEVICE_ID	vid_0000097f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oak Technology Devices
USB_DEVICE_ID	vid_00000981[] =
{
	{0x80000000, _T("Usb Device")}
};

// Apricorn Devices
USB_DEVICE_ID	vid_00000984[] =
{
	{0x80000000, _T("Usb Device")}
};

// cab Produkttechnik GmbH & Co KG Devices
USB_DEVICE_ID	vid_00000985[] =
{
	{0x000000a3, _T("A3/200 or A3/300 Label Printer")},
	{0x80000000, _T("Usb Device")}
};

// Vitana Devices
USB_DEVICE_ID	vid_0000098c[] =
{
	{0x80000000, _T("Usb Device")}
};

// INDesign Devices
USB_DEVICE_ID	vid_0000098d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Integrated Intellectual Property Devices
USB_DEVICE_ID	vid_0000098e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kenwood TMI Devices
USB_DEVICE_ID	vid_0000098f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Gemstar eBook Group Devices
USB_DEVICE_ID	vid_00000993[] =
{
	{0x00000001, _T("REB1100 eBook Reader")},
	{0x80000000, _T("Usb Device")}
};

// Integrated Telecom Express Devices
USB_DEVICE_ID	vid_00000996[] =
{
	{0x80000000, _T("Usb Device")}
};

// Zippy Technology Devices
USB_DEVICE_ID	vid_0000099a[] =
{
	{0x0000610c, _T("EL-610 Super Mini Electron luminescent Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// PairGain Technologies Devices
USB_DEVICE_ID	vid_000009a3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Contech Research Devices
USB_DEVICE_ID	vid_000009a4[] =
{
	{0x80000000, _T("Usb Device")}
};

// VCON Telecommunications Devices
USB_DEVICE_ID	vid_000009a5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Poinchips Devices
USB_DEVICE_ID	vid_000009a6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Data Transmission Network Devices
USB_DEVICE_ID	vid_000009a7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lin Shiung Enterprise Devices
USB_DEVICE_ID	vid_000009a8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Smart Card Technologies Devices
USB_DEVICE_ID	vid_000009a9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intersil Devices
USB_DEVICE_ID	vid_000009aa[] =
{
	{0x00001000, _T("Prism GT 802.11b/g Adapter")},
	{0x00003642, _T("Prism 2.x 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Tripp Lite Devices
USB_DEVICE_ID	vid_000009ae[] =
{
	{0x80000000, _T("Usb Device")}
};

// Franklin Electronic Publishers Devices
USB_DEVICE_ID	vid_000009b2[] =
{
	{0x00000001, _T("eBookman Palm Computer")},
	{0x80000000, _T("Usb Device")}
};

// Altius Solutions Devices
USB_DEVICE_ID	vid_000009b3[] =
{
	{0x80000000, _T("Usb Device")}
};

// MDS Telephone Systems Devices
USB_DEVICE_ID	vid_000009b4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Celltrix Technology Devices
USB_DEVICE_ID	vid_000009b5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Grundig Devices
USB_DEVICE_ID	vid_000009bc[] =
{
	{0x00000002, _T("MPaxx MP150 MP3 Player")},
	{0x80000000, _T("Usb Device")}
};

// MySmart.Com Devices
USB_DEVICE_ID	vid_000009be[] =
{
	{0x00000001, _T("MySmartPad")},
	{0x80000000, _T("Usb Device")}
};

// Auerswald GmbH & KG Devices
USB_DEVICE_ID	vid_000009bf[] =
{
	{0x000000c0, _T("COMpact 2104 ISDN PBX")},
	{0x000000db, _T("COMpact 4410/2206 ISDN ISDN")},
	{0x000000f1, _T("COMfort System Telephones")},
	{0x80000000, _T("Usb Device")}
};

// Arris Interactive LLC Devices
USB_DEVICE_ID	vid_000009c1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nisca Devices
USB_DEVICE_ID	vid_000009c2[] =
{
	{0x80000000, _T("Usb Device")}
};

// ActivCard Devices
USB_DEVICE_ID	vid_000009c3[] =
{
	{0x00000008, _T("SmartCard Reader")},
	{0x80000000, _T("Usb Device")}
};

// ACTiSYS Devices
USB_DEVICE_ID	vid_000009c4[] =
{
	{0x00000011, _T("ACT-IR2000U IrDA Dongle")},
	{0x80000000, _T("Usb Device")}
};

// Memory Devices
USB_DEVICE_ID	vid_000009c5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Workbit Devices
USB_DEVICE_ID	vid_000009cc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Psion Dacom Home Networks Devices
USB_DEVICE_ID	vid_000009cd[] =
{
	{0x80000000, _T("Usb Device")}
};

// City Electronics Devices
USB_DEVICE_ID	vid_000009ce[] =
{
	{0x80000000, _T("Usb Device")}
};

// Electronics Testing Center, Taiwan Devices
USB_DEVICE_ID	vid_000009cf[] =
{
	{0x80000000, _T("Usb Device")}
};

// NeoMagic Devices
USB_DEVICE_ID	vid_000009d1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Vreelin Engineering Devices
USB_DEVICE_ID	vid_000009d2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Com One Devices
USB_DEVICE_ID	vid_000009d3[] =
{
	{0x00000001, _T("ISDN TA")},
	{0x80000000, _T("Usb Device")}
};

// KRF Tech Devices
USB_DEVICE_ID	vid_000009d9[] =
{
	{0x80000000, _T("Usb Device")}
};

// A4 Tech Devices
USB_DEVICE_ID	vid_000009da[] =
{
	{0x00000006, _T("Optical Mouse WOP-35 / Trust 450L Optical Mouse")},
	{0x0000001a, _T("Wireless Mouse & RXM-15 Receiver")},
	{0x0000002a, _T("Wireless Optical Mouse NB-30")},
	{0x80000000, _T("Usb Device")}
};

// Measurement Computing Devices
USB_DEVICE_ID	vid_000009db[] =
{
	{0x00000075, _T("MiniLab 1008")},
	{0x00000076, _T("PMD-1024")},
	{0x0000007a, _T("PMD-1208LS")},
	{0x80000000, _T("Usb Device")}
};

// Aimex Devices
USB_DEVICE_ID	vid_000009dc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fellowes Devices
USB_DEVICE_ID	vid_000009dd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Addonics Technologies Devices
USB_DEVICE_ID	vid_000009df[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intellon Devices
USB_DEVICE_ID	vid_000009e1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jo-Dan International Devices
USB_DEVICE_ID	vid_000009e5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Silutia Devices
USB_DEVICE_ID	vid_000009e6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Real 3D Devices
USB_DEVICE_ID	vid_000009e7[] =
{
	{0x80000000, _T("Usb Device")}
};

// AKAI  Professional M.I. Devices
USB_DEVICE_ID	vid_000009e8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chen-Source Devices
USB_DEVICE_ID	vid_000009e9[] =
{
	{0x80000000, _T("Usb Device")}
};

// IM Networks Devices
USB_DEVICE_ID	vid_000009eb[] =
{
	{0x00004331, _T("iRhythm Tuner Remote")},
	{0x80000000, _T("Usb Device")}
};

// Xitel Devices
USB_DEVICE_ID	vid_000009ef[] =
{
	{0x00000101, _T("MD-Port DG2 MiniDisc Interface")},
	{0x80000000, _T("Usb Device")}
};

// AresCom Devices
USB_DEVICE_ID	vid_000009f5[] =
{
	{0x80000000, _T("Usb Device")}
};

// RocketChips Devices
USB_DEVICE_ID	vid_000009f6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Edu-Science (H.K.) Devices
USB_DEVICE_ID	vid_000009f7[] =
{
	{0x80000000, _T("Usb Device")}
};

// SoftConnex Technologies Devices
USB_DEVICE_ID	vid_000009f8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Bay Associates Devices
USB_DEVICE_ID	vid_000009f9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mtek Vision Devices
USB_DEVICE_ID	vid_000009fa[] =
{
	{0x80000000, _T("Usb Device")}
};

// Altera Devices
USB_DEVICE_ID	vid_000009fb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Gain Technology Devices
USB_DEVICE_ID	vid_000009ff[] =
{
	{0x80000000, _T("Usb Device")}
};

// Liquid Audio Devices
USB_DEVICE_ID	vid_00000a00[] =
{
	{0x80000000, _T("Usb Device")}
};

// ViA Devices
USB_DEVICE_ID	vid_00000a01[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ontrak Control Systems Inc. Devices
USB_DEVICE_ID	vid_00000a07[] =
{
	{0x00000064, _T("ADU100 Data Acquisition Interface")},
	{0x000000c8, _T("ADU200 Relay I/O Interface")},
	{0x000000d0, _T("ADU208 Data Acquisition Interface")},
	{0x80000000, _T("Usb Device")}
};

// Cybex Computer Products Devices
USB_DEVICE_ID	vid_00000a0b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Xentec Devices
USB_DEVICE_ID	vid_00000a11[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cambridge Silicon Radio Devices
USB_DEVICE_ID	vid_00000a12[] =
{
	{0x00000001, _T("Bluetooth Dongle (HCI mode)")},
	{0x00001000, _T("Bluetooth Dongle (HID proxy mode)")},
	{0x80000000, _T("Usb Device")}
};

// Telebyte Devices
USB_DEVICE_ID	vid_00000a13[] =
{
	{0x80000000, _T("Usb Device")}
};

// Spacelabs Medical Devices
USB_DEVICE_ID	vid_00000a14[] =
{
	{0x80000000, _T("Usb Device")}
};

// Scalar Devices
USB_DEVICE_ID	vid_00000a15[] =
{
	{0x80000000, _T("Usb Device")}
};

// Trek Technology (S) PTE Devices
USB_DEVICE_ID	vid_00000a16[] =
{
	{0x00009988, _T("Trek2000 TD-G2")},
	{0x80000000, _T("Usb Device")}
};

// Pentax Devices
USB_DEVICE_ID	vid_00000a17[] =
{
	{0x00000004, _T("Pentax Optio 330")},
	{0x00000006, _T("Pentax Optio S")},
	{0x00000007, _T("Pentax Optio 550")},
	{0x0000003d, _T("Pentax Optio S55")},
	{0x80000000, _T("Usb Device")}
};

// Heidelberger Druckmaschinen AG Devices
USB_DEVICE_ID	vid_00000a18[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hua Geng Technologies Devices
USB_DEVICE_ID	vid_00000a19[] =
{
	{0x80000000, _T("Usb Device")}
};

// Medtronic Physio Control Devices
USB_DEVICE_ID	vid_00000a21[] =
{
	{0x80000000, _T("Usb Device")}
};

// Century Semiconductor USA Devices
USB_DEVICE_ID	vid_00000a22[] =
{
	{0x80000000, _T("Usb Device")}
};

// AK-Modul-Bus Computer GmbH Devices
USB_DEVICE_ID	vid_00000a2c[] =
{
	{0x00000008, _T("GPIO Ports")},
	{0x80000000, _T("Usb Device")}
};

// Gilat Satellite Networks Devices
USB_DEVICE_ID	vid_00000a39[] =
{
	{0x80000000, _T("Usb Device")}
};

// PentaMedia Devices
USB_DEVICE_ID	vid_00000a3a[] =
{
	{0x80000000, _T("Usb Device")}
};

// NTT DoCoMo Devices
USB_DEVICE_ID	vid_00000a3c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Varo Vision Devices
USB_DEVICE_ID	vid_00000a3d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Swissonic AG Devices
USB_DEVICE_ID	vid_00000a3f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Boca Systems Devices
USB_DEVICE_ID	vid_00000a43[] =
{
	{0x80000000, _T("Usb Device")}
};

// Davicom Semiconductor Devices
USB_DEVICE_ID	vid_00000a46[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hirose Electric Devices
USB_DEVICE_ID	vid_00000a47[] =
{
	{0x80000000, _T("Usb Device")}
};

// I/O Interconnect Devices
USB_DEVICE_ID	vid_00000a48[] =
{
	{0x00003258, _T("Dane Elec zMate SD Reader")},
	{0x00003259, _T("Dane Elec zMate CF Reader")},
	{0x80000000, _T("Usb Device")}
};

// Fujitsu Media Devices Devices
USB_DEVICE_ID	vid_00000a4b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Computex Devices
USB_DEVICE_ID	vid_00000a4c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Evolution Electronics Devices
USB_DEVICE_ID	vid_00000a4d[] =
{
	{0x0000008e, _T("MK-249C MIDI Keyboard")},
	{0x000000a3, _T("MK-461C MIDI Keyboard")},
	{0x000000f5, _T("UC-33e MIDI Controller")},
	{0x80000000, _T("Usb Device")}
};

// Steinberg Soft-und Hardware GmbH Devices
USB_DEVICE_ID	vid_00000a4e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Litton Systems Devices
USB_DEVICE_ID	vid_00000a4f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mimaki Engineering Devices
USB_DEVICE_ID	vid_00000a50[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sony Electronics Devices
USB_DEVICE_ID	vid_00000a51[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jebsee Electronics Devices
USB_DEVICE_ID	vid_00000a52[] =
{
	{0x80000000, _T("Usb Device")}
};

// Portable Peripheral Devices
USB_DEVICE_ID	vid_00000a53[] =
{
	{0x80000000, _T("Usb Device")}
};

// Electronics For Imaging Devices
USB_DEVICE_ID	vid_00000a5a[] =
{
	{0x80000000, _T("Usb Device")}
};

// EAsics NV Devices
USB_DEVICE_ID	vid_00000a5b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Broadcom Devices
USB_DEVICE_ID	vid_00000a5c[] =
{
	{0x00002033, _T("BCM2033 Bluetooth")},
	{0x00002035, _T("BCM2035 Bluetooth")},
	{0x80000000, _T("Usb Device")}
};

// Diatrend Devices
USB_DEVICE_ID	vid_00000a5d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Zebra Devices
USB_DEVICE_ID	vid_00000a5f[] =
{
	{0x00000009, _T("LP2844 Printer")},
	{0x80000000, _T("Usb Device")}
};

// MPMan Devices
USB_DEVICE_ID	vid_00000a62[] =
{
	{0x00000010, _T("MPMan MP-F40 MP3 Player")},
	{0x80000000, _T("Usb Device")}
};

// ClearCube Technology Devices
USB_DEVICE_ID	vid_00000a66[] =
{
	{0x80000000, _T("Usb Device")}
};

// Medeli Electronics Devices
USB_DEVICE_ID	vid_00000a67[] =
{
	{0x80000000, _T("Usb Device")}
};

// Comaide Devices
USB_DEVICE_ID	vid_00000a68[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chroma ate Devices
USB_DEVICE_ID	vid_00000a69[] =
{
	{0x80000000, _T("Usb Device")}
};

// Green House Devices
USB_DEVICE_ID	vid_00000a6b[] =
{
	{0x00000001, _T("Compact Flash R/W with MP3 player")},
	{0x80000000, _T("Usb Device")}
};

// Integrated Circuit Systems Devices
USB_DEVICE_ID	vid_00000a6c[] =
{
	{0x80000000, _T("Usb Device")}
};

// UPS Manufacturing Devices
USB_DEVICE_ID	vid_00000a6d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Benwin Devices
USB_DEVICE_ID	vid_00000a6e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Core Technology Devices
USB_DEVICE_ID	vid_00000a6f[] =
{
	{0x00000400, _T("Xanboo")},
	{0x80000000, _T("Usb Device")}
};

// International Game Technology Devices
USB_DEVICE_ID	vid_00000a70[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sanwa Denshi Devices
USB_DEVICE_ID	vid_00000a72[] =
{
	{0x80000000, _T("Usb Device")}
};

// NSTL Devices
USB_DEVICE_ID	vid_00000a7d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Octagon Systems Devices
USB_DEVICE_ID	vid_00000a7e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Rexon Technology Devices
USB_DEVICE_ID	vid_00000a80[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chesen Electronics Devices
USB_DEVICE_ID	vid_00000a81[] =
{
	{0x00000101, _T("Keyboard")},
	{0x00000103, _T("Keyboard")},
	{0x00000203, _T("Mouse")},
	{0x00000205, _T("PS/2 Keyboard+Mouse Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Syscan Devices
USB_DEVICE_ID	vid_00000a82[] =
{
	{0x00004600, _T("TravelScan 460/464")},
	{0x80000000, _T("Usb Device")}
};

// NextComm Devices
USB_DEVICE_ID	vid_00000a83[] =
{
	{0x80000000, _T("Usb Device")}
};

// Maui Innovative Peripherals Devices
USB_DEVICE_ID	vid_00000a84[] =
{
	{0x80000000, _T("Usb Device")}
};

// Idexx Labs Devices
USB_DEVICE_ID	vid_00000a85[] =
{
	{0x80000000, _T("Usb Device")}
};

// NITGen Devices
USB_DEVICE_ID	vid_00000a86[] =
{
	{0x80000000, _T("Usb Device")}
};

// Picturetel Devices
USB_DEVICE_ID	vid_00000a8d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Japan Aviation Electronics Industry Devices
USB_DEVICE_ID	vid_00000a8e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Candy Technology Devices
USB_DEVICE_ID	vid_00000a90[] =
{
	{0x80000000, _T("Usb Device")}
};

// Globlink Technology Devices
USB_DEVICE_ID	vid_00000a91[] =
{
	{0x80000000, _T("Usb Device")}
};

// EGO SYStems Devices
USB_DEVICE_ID	vid_00000a92[] =
{
	{0x80000000, _T("Usb Device")}
};

// C Technologies AB Devices
USB_DEVICE_ID	vid_00000a93[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intersense Devices
USB_DEVICE_ID	vid_00000a94[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lava Computer Devices
USB_DEVICE_ID	vid_00000aa3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Develco Elektronik Devices
USB_DEVICE_ID	vid_00000aa4[] =
{
	{0x80000000, _T("Usb Device")}
};

// First International Digital Devices
USB_DEVICE_ID	vid_00000aa5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Perception Digital Devices
USB_DEVICE_ID	vid_00000aa6[] =
{
	{0x00000101, _T("Hercules Jukebox")},
	{0x80000000, _T("Usb Device")}
};

// Wincor Nixdorf GmbH & Co KG Devices
USB_DEVICE_ID	vid_00000aa7[] =
{
	{0x00000200, _T("POS Display BA63")},
	{0x00000201, _T("POS Display BA66")},
	{0x00000300, _T("POS Printer TH210")},
	{0x00000302, _T("POS Printer TH220")},
	{0x00000305, _T("Lottery Printer XiPrintPlus")},
	{0x00000306, _T("POS Printer TH320")},
	{0x00000308, _T("POS Printer TH420")},
	{0x00004304, _T("Banking Printer TP07")},
	{0x80000000, _T("Usb Device")}
};

// TriGem Computer Devices
USB_DEVICE_ID	vid_00000aa8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Baromtec Devices
USB_DEVICE_ID	vid_00000aa9[] =
{
	{0x0000f01b, _T("Medion MD 6242 MP3 Player")},
	{0x80000000, _T("Usb Device")}
};

// Japan CBM Devices
USB_DEVICE_ID	vid_00000aaa[] =
{
	{0x80000000, _T("Usb Device")}
};

// Vision Shape Europe SA Devices
USB_DEVICE_ID	vid_00000aab[] =
{
	{0x80000000, _T("Usb Device")}
};

// iCompression Devices
USB_DEVICE_ID	vid_00000aac[] =
{
	{0x80000000, _T("Usb Device")}
};

// Rohde & Schwarz GmbH & KG Devices
USB_DEVICE_ID	vid_00000aad[] =
{
	{0x80000000, _T("Usb Device")}
};

// NEC infrontia (Nitsuko) Devices
USB_DEVICE_ID	vid_00000aae[] =
{
	{0x80000000, _T("Usb Device")}
};

// Digitalway Devices
USB_DEVICE_ID	vid_00000aaf[] =
{
	{0x80000000, _T("Usb Device")}
};

// Arrow Strong Electronics Devices
USB_DEVICE_ID	vid_00000ab0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ellisys Devices
USB_DEVICE_ID	vid_00000aba[] =
{
	{0x00008001, _T("USB Tracker 110 Protocol Analyzer")},
	{0x80000000, _T("Usb Device")}
};

// Stereo-Link Devices
USB_DEVICE_ID	vid_00000abe[] =
{
	{0x00000101, _T("SL1200 DAC")},
	{0x80000000, _T("Usb Device")}
};

// Sanyo Semiconductor Company Micro Devices
USB_DEVICE_ID	vid_00000ac3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Leco Devices
USB_DEVICE_ID	vid_00000ac4[] =
{
	{0x80000000, _T("Usb Device")}
};

// I & C Devices
USB_DEVICE_ID	vid_00000ac5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Singing Electrons Devices
USB_DEVICE_ID	vid_00000ac6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Panwest Devices
USB_DEVICE_ID	vid_00000ac7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Z-Star Microelectronics Devices
USB_DEVICE_ID	vid_00000ac8[] =
{
	{0x00000302, _T("ZC0302 WebCam")},
	{0x0000301b, _T("ZC0301 WebCam")},
	{0x0000303b, _T("ZC0303 WebCam")},
	{0x80000000, _T("Usb Device")}
};

// Micro Solutions Devices
USB_DEVICE_ID	vid_00000ac9[] =
{
	{0x00000000, _T("Backpack CD-ReWriter")},
	{0x00000011, _T("Backpack Hard Drive")},
	{0x80000000, _T("Usb Device")}
};

// Koga Electronics Devices
USB_DEVICE_ID	vid_00000acc[] =
{
	{0x80000000, _T("Usb Device")}
};

// ID Tech Devices
USB_DEVICE_ID	vid_00000acd[] =
{
	{0x80000000, _T("Usb Device")}
};

// ZyDAS Devices
USB_DEVICE_ID	vid_00000ace[] =
{
	{0x00001201, _T("802.11b WiFi")},
	{0x00001211, _T("802.11b/g USB2 WiFi")},
	{0x80000000, _T("Usb Device")}
};

// Intoto Devices
USB_DEVICE_ID	vid_00000acf[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intellix Devices
USB_DEVICE_ID	vid_00000ad0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Remotec Technology Devices
USB_DEVICE_ID	vid_00000ad1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Service & Quality Technology Devices
USB_DEVICE_ID	vid_00000ad2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Allion Computer Devices
USB_DEVICE_ID	vid_00000ae3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Taito Devices
USB_DEVICE_ID	vid_00000ae4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Neodym Systems Devices
USB_DEVICE_ID	vid_00000ae7[] =
{
	{0x80000000, _T("Usb Device")}
};

// System Support Devices
USB_DEVICE_ID	vid_00000ae8[] =
{
	{0x80000000, _T("Usb Device")}
};

// North Shore Circuit Design L.L.P. Devices
USB_DEVICE_ID	vid_00000ae9[] =
{
	{0x80000000, _T("Usb Device")}
};

// SciEssence, LLC Devices
USB_DEVICE_ID	vid_00000aea[] =
{
	{0x80000000, _T("Usb Device")}
};

// TTP Communications Devices
USB_DEVICE_ID	vid_00000aeb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Neodio Technologies Devices
USB_DEVICE_ID	vid_00000aec[] =
{
	{0x00003050, _T("ND3050 8-in-1 Card Reader")},
	{0x00003260, _T("7-in-1 Card Reader")},
	{0x00005010, _T("ND5010 Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// Option Devices
USB_DEVICE_ID	vid_00000af0[] =
{
	{0x00005000, _T("UMTS Card")},
	{0x80000000, _T("Usb Device")}
};

// Silver I Devices
USB_DEVICE_ID	vid_00000af6[] =
{
	{0x80000000, _T("Usb Device")}
};

// B2C2 Devices
USB_DEVICE_ID	vid_00000af7[] =
{
	{0x00000101, _T("Digital TV USB Receiver (DVB-S/T/C / ATSC)")},
	{0x80000000, _T("Usb Device")}
};

// Hama Devices
USB_DEVICE_ID	vid_00000af9[] =
{
	{0x00000010, _T("USB SightCam 100")},
	{0x00000011, _T("Micro Innovations IC50C WebCam")},
	{0x80000000, _T("Usb Device")}
};

// Zaptronix Ltd Devices
USB_DEVICE_ID	vid_00000afc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tateno Dennou Devices
USB_DEVICE_ID	vid_00000afd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cummins Engine Devices
USB_DEVICE_ID	vid_00000afe[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jump Zone Network Products Devices
USB_DEVICE_ID	vid_00000aff[] =
{
	{0x80000000, _T("Usb Device")}
};

// ASUSTek Computer Devices
USB_DEVICE_ID	vid_00000b05[] =
{
	{0x00004202, _T("MyPal 730W")},
	{0x80000000, _T("Usb Device")}
};

// Todos Data System AB Devices
USB_DEVICE_ID	vid_00000b0c[] =
{
	{0x00000009, _T("Todos Argos Mini II Smart Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// GN Netcom Devices
USB_DEVICE_ID	vid_00000b0e[] =
{
	{0x80000000, _T("Usb Device")}
};

// AVID Technology Devices
USB_DEVICE_ID	vid_00000b0f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pcally Devices
USB_DEVICE_ID	vid_00000b10[] =
{
	{0x80000000, _T("Usb Device")}
};

// I Tech Solutions Devices
USB_DEVICE_ID	vid_00000b11[] =
{
	{0x80000000, _T("Usb Device")}
};

// Electronic Warfare Assoc. (EWA) Devices
USB_DEVICE_ID	vid_00000b1e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Insyde Software Devices
USB_DEVICE_ID	vid_00000b1f[] =
{
	{0x80000000, _T("Usb Device")}
};

// TransDimension Devices
USB_DEVICE_ID	vid_00000b20[] =
{
	{0x80000000, _T("Usb Device")}
};

// Yokogawa Electric Devices
USB_DEVICE_ID	vid_00000b21[] =
{
	{0x80000000, _T("Usb Device")}
};

// Japan System Development Devices
USB_DEVICE_ID	vid_00000b22[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pan-Asia Electronics Devices
USB_DEVICE_ID	vid_00000b23[] =
{
	{0x80000000, _T("Usb Device")}
};

// Link Evolution Devices
USB_DEVICE_ID	vid_00000b24[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ritek Devices
USB_DEVICE_ID	vid_00000b27[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kenwood Devices
USB_DEVICE_ID	vid_00000b28[] =
{
	{0x80000000, _T("Usb Device")}
};

// Village Center Devices
USB_DEVICE_ID	vid_00000b2c[] =
{
	{0x80000000, _T("Usb Device")}
};

// PNY Technologies Devices
USB_DEVICE_ID	vid_00000b30[] =
{
	{0x00000006, _T("SM Media-Shuttle Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// Contour Design Devices
USB_DEVICE_ID	vid_00000b33[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hitachi ULSI Systems Devices
USB_DEVICE_ID	vid_00000b37[] =
{
	{0x80000000, _T("Usb Device")}
};

// Omnidirectional Control Technology Devices
USB_DEVICE_ID	vid_00000b39[] =
{
	{0x80000000, _T("Usb Device")}
};

// IPaxess Devices
USB_DEVICE_ID	vid_00000b3a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tekram Technology Devices
USB_DEVICE_ID	vid_00000b3b[] =
{
	{0x00001601, _T("Allnet 0193 802.11b Adapter")},
	{0x00001602, _T("ZyXEL ZyAIR B200 802.11b Adapter")},
	{0x00001612, _T("AIR.Mate 2@net 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Olivetti Techcenter Devices
USB_DEVICE_ID	vid_00000b3c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kikusui Electronics Devices
USB_DEVICE_ID	vid_00000b3e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hal Devices
USB_DEVICE_ID	vid_00000b41[] =
{
	{0x80000000, _T("Usb Device")}
};

// Play.com Devices
USB_DEVICE_ID	vid_00000b43[] =
{
	{0x00000003, _T("PS2 Controller Converter")},
	{0x80000000, _T("Usb Device")}
};

// Sportbug.com Devices
USB_DEVICE_ID	vid_00000b47[] =
{
	{0x80000000, _T("Usb Device")}
};

// TechnoTrend AG Devices
USB_DEVICE_ID	vid_00000b48[] =
{
	{0x00001003, _T("Technotrend/Hauppauge USB-Nova")},
	{0x00001005, _T("Technotrend/Hauppauge USB-Nova")},
	{0x00001006, _T("Technotrend/Hauppauge DEC3000-s")},
	{0x00001008, _T("Technotrend/Hauppauge DEC2000-t")},
	{0x00001009, _T("Technotrend/Hauppauge DEC2540-t")},
	{0x80000000, _T("Usb Device")}
};

// ASCII Devices
USB_DEVICE_ID	vid_00000b49[] =
{
	{0x0000064f, _T("Trance Vibrator")},
	{0x80000000, _T("Usb Device")}
};

// Pine Ltd. Devices
USB_DEVICE_ID	vid_00000b4b[] =
{
	{0x00000100, _T("D'music MP3 Player")},
	{0x80000000, _T("Usb Device")}
};

// Musical Electronics Devices
USB_DEVICE_ID	vid_00000b4e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dumpries Devices
USB_DEVICE_ID	vid_00000b50[] =
{
	{0x80000000, _T("Usb Device")}
};

// Comfort Keyboard Devices
USB_DEVICE_ID	vid_00000b51[] =
{
	{0x00000020, _T("Comfort Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Colorado MicroDisplay Devices
USB_DEVICE_ID	vid_00000b52[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sinbon Electronics Devices
USB_DEVICE_ID	vid_00000b54[] =
{
	{0x80000000, _T("Usb Device")}
};

// TYI Systems Devices
USB_DEVICE_ID	vid_00000b56[] =
{
	{0x80000000, _T("Usb Device")}
};

// Beijing HanwangTechnology Devices
USB_DEVICE_ID	vid_00000b57[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lake Communications Devices
USB_DEVICE_ID	vid_00000b59[] =
{
	{0x80000000, _T("Usb Device")}
};

// Corel Devices
USB_DEVICE_ID	vid_00000b5a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Green Electronics Devices
USB_DEVICE_ID	vid_00000b5f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nsine Devices
USB_DEVICE_ID	vid_00000b60[] =
{
	{0x80000000, _T("Usb Device")}
};

// NEC Viewtechnology Devices
USB_DEVICE_ID	vid_00000b61[] =
{
	{0x80000000, _T("Usb Device")}
};

// Orange Micro Devices
USB_DEVICE_ID	vid_00000b62[] =
{
	{0x00000059, _T("iBOT2 WebCam")},
	{0x80000000, _T("Usb Device")}
};

// ADLink Technology Devices
USB_DEVICE_ID	vid_00000b63[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wonderful Wire Cable Devices
USB_DEVICE_ID	vid_00000b64[] =
{
	{0x80000000, _T("Usb Device")}
};

// Expert Magnetics Devices
USB_DEVICE_ID	vid_00000b65[] =
{
	{0x80000000, _T("Usb Device")}
};

// CacheVision Devices
USB_DEVICE_ID	vid_00000b69[] =
{
	{0x80000000, _T("Usb Device")}
};

// Maxim Integrated Products Devices
USB_DEVICE_ID	vid_00000b6a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nagano Japan Radio Devices
USB_DEVICE_ID	vid_00000b6f[] =
{
	{0x80000000, _T("Usb Device")}
};

// PortalPlayer Devices
USB_DEVICE_ID	vid_00000b70[] =
{
	{0x80000000, _T("Usb Device")}
};

// SHIN-EI Sangyo Devices
USB_DEVICE_ID	vid_00000b71[] =
{
	{0x80000000, _T("Usb Device")}
};

// Embedded Wireless Technology Devices
USB_DEVICE_ID	vid_00000b72[] =
{
	{0x80000000, _T("Usb Device")}
};

// Computone Devices
USB_DEVICE_ID	vid_00000b73[] =
{
	{0x80000000, _T("Usb Device")}
};

// Roland DG Devices
USB_DEVICE_ID	vid_00000b75[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sunrise Telecom Devices
USB_DEVICE_ID	vid_00000b79[] =
{
	{0x80000000, _T("Usb Device")}
};

// Zeevo Devices
USB_DEVICE_ID	vid_00000b7a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Taiko Denki Devices
USB_DEVICE_ID	vid_00000b7b[] =
{
	{0x80000000, _T("Usb Device")}
};

// ITRAN Communications Devices
USB_DEVICE_ID	vid_00000b7c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Astrodesign Devices
USB_DEVICE_ID	vid_00000b7d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Rextron Technology Devices
USB_DEVICE_ID	vid_00000b84[] =
{
	{0x80000000, _T("Usb Device")}
};

// Elkat Electronics, Sdn., Bhd. Devices
USB_DEVICE_ID	vid_00000b85[] =
{
	{0x80000000, _T("Usb Device")}
};

// Exputer Systems Devices
USB_DEVICE_ID	vid_00000b86[] =
{
	{0x80000000, _T("Usb Device")}
};

// Plus-One I & T Devices
USB_DEVICE_ID	vid_00000b87[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sigma Koki, Technology Center Devices
USB_DEVICE_ID	vid_00000b88[] =
{
	{0x80000000, _T("Usb Device")}
};

// Advanced Digital Broadcast Devices
USB_DEVICE_ID	vid_00000b89[] =
{
	{0x80000000, _T("Usb Device")}
};

// ASIX Electronics Devices
USB_DEVICE_ID	vid_00000b95[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sewon Telecom Devices
USB_DEVICE_ID	vid_00000b96[] =
{
	{0x80000000, _T("Usb Device")}
};

// O2 Micro Devices
USB_DEVICE_ID	vid_00000b97[] =
{
	{0x00007762, _T("Oz776 SmartCard Reader")},
	{0x80000000, _T("Usb Device")}
};

// Playmates Toys Devices
USB_DEVICE_ID	vid_00000b98[] =
{
	{0x80000000, _T("Usb Device")}
};

// Audio International Devices
USB_DEVICE_ID	vid_00000b99[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dipl.-Ing. Stefan Kunde Devices
USB_DEVICE_ID	vid_00000b9b[] =
{
	{0x00004012, _T("Reflex RC-controller Interface")},
	{0x80000000, _T("Usb Device")}
};

// Softprotec Devices
USB_DEVICE_ID	vid_00000b9d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chippo Technologies Devices
USB_DEVICE_ID	vid_00000b9f[] =
{
	{0x80000000, _T("Usb Device")}
};

// U.S. Robotics Devices
USB_DEVICE_ID	vid_00000baf[] =
{
	{0x000000eb, _T("USR1120 802.11b Adapter")},
	{0x00000118, _T("U5 802.11g Adapter")},
	{0x00006112, _T("FaxModem Model 5633")},
	{0x80000000, _T("Usb Device")}
};

// Concord Camera Devices
USB_DEVICE_ID	vid_00000bb0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Infinilink Devices
USB_DEVICE_ID	vid_00000bb1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ambit Microsystems Devices
USB_DEVICE_ID	vid_00000bb2[] =
{
	{0x00006098, _T("USB Cable Modem")},
	{0x80000000, _T("Usb Device")}
};

// Ofuji Technology Devices
USB_DEVICE_ID	vid_00000bb3[] =
{
	{0x80000000, _T("Usb Device")}
};

// High Tech Computer Devices
USB_DEVICE_ID	vid_00000bb4[] =
{
	{0x000000ce, _T("mmO2 XDA GSM/GPRS Pocket PC")},
	{0x000000cf, _T("SPV C500 Smart Phone")},
	{0x00000a02, _T("Himalaya GSM/GPRS Pocket PC")},
	{0x00000a51, _T("SPV C400 / T-Mobile SDA GSM/GPRS Pocket PC")},
	{0x80000000, _T("Usb Device")}
};

// Murata Manufacturing Devices
USB_DEVICE_ID	vid_00000bb5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Network Alchemy Devices
USB_DEVICE_ID	vid_00000bb6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Joytech Computer Devices
USB_DEVICE_ID	vid_00000bb7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hitachi Semiconductor and Devices Sales Devices
USB_DEVICE_ID	vid_00000bb8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Eiger M&C Devices
USB_DEVICE_ID	vid_00000bb9[] =
{
	{0x80000000, _T("Usb Device")}
};

// ZAccess Systems Devices
USB_DEVICE_ID	vid_00000bba[] =
{
	{0x80000000, _T("Usb Device")}
};

// General Meters Devices
USB_DEVICE_ID	vid_00000bbb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Assistive Technology Devices
USB_DEVICE_ID	vid_00000bbc[] =
{
	{0x80000000, _T("Usb Device")}
};

// System Connection Devices
USB_DEVICE_ID	vid_00000bbd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Knilink Technology Devices
USB_DEVICE_ID	vid_00000bc0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fuw Yng Electronics Devices
USB_DEVICE_ID	vid_00000bc1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Seagate RSS LLC Devices
USB_DEVICE_ID	vid_00000bc2[] =
{
	{0x80000000, _T("Usb Device")}
};

// IPWireless Devices
USB_DEVICE_ID	vid_00000bc3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Microcube Devices
USB_DEVICE_ID	vid_00000bc4[] =
{
	{0x80000000, _T("Usb Device")}
};

// JCN Devices
USB_DEVICE_ID	vid_00000bc5[] =
{
	{0x80000000, _T("Usb Device")}
};

// ExWAY Devices
USB_DEVICE_ID	vid_00000bc6[] =
{
	{0x80000000, _T("Usb Device")}
};

// X10 Wireless Technology Devices
USB_DEVICE_ID	vid_00000bc7[] =
{
	{0x00000004, _T("X10 Receiver")},
	{0x80000000, _T("Usb Device")}
};

// Telmax Communications Devices
USB_DEVICE_ID	vid_00000bc8[] =
{
	{0x80000000, _T("Usb Device")}
};

// ECI Telecom Devices
USB_DEVICE_ID	vid_00000bc9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Startek Engineering Devices
USB_DEVICE_ID	vid_00000bca[] =
{
	{0x80000000, _T("Usb Device")}
};

// Perfect Technic Enterprise Devices
USB_DEVICE_ID	vid_00000bcb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Realtek Semiconductor Devices
USB_DEVICE_ID	vid_00000bda[] =
{
	{0x00008150, _T("RTL8150 Fast Ethernet Adapter")},
	{0x00008151, _T("RTL8151 Adapteon Business Mobile Networks BV")},
	{0x80000000, _T("Usb Device")}
};

// Ericsson Business Mobile Networks BV Devices
USB_DEVICE_ID	vid_00000bdb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Y Media Devices
USB_DEVICE_ID	vid_00000bdc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Orange PCS Devices
USB_DEVICE_ID	vid_00000bdd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kanda Tsushin Kogyo Devices
USB_DEVICE_ID	vid_00000be2[] =
{
	{0x80000000, _T("Usb Device")}
};

// TOYO Devices
USB_DEVICE_ID	vid_00000be3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Elka International Devices
USB_DEVICE_ID	vid_00000be4[] =
{
	{0x80000000, _T("Usb Device")}
};

// DOME imaging systems Devices
USB_DEVICE_ID	vid_00000be5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dong Guan Humen Wonderful Wire Cable Factory Devices
USB_DEVICE_ID	vid_00000be6[] =
{
	{0x80000000, _T("Usb Device")}
};

// LTK Industries Devices
USB_DEVICE_ID	vid_00000bee[] =
{
	{0x80000000, _T("Usb Device")}
};

// Way2Call Communications Devices
USB_DEVICE_ID	vid_00000bef[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pace Micro Technology PLC Devices
USB_DEVICE_ID	vid_00000bf0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intracom S.A. Devices
USB_DEVICE_ID	vid_00000bf1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Konexx Devices
USB_DEVICE_ID	vid_00000bf2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Addonics Technologies Devices
USB_DEVICE_ID	vid_00000bf6[] =
{
	{0x0000a002, _T("IDE Bridge")},
	{0x80000000, _T("Usb Device")}
};

// Sunny Giken Devices
USB_DEVICE_ID	vid_00000bf7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu Siemens Computers Devices
USB_DEVICE_ID	vid_00000bf8[] =
{
	{0x00001001, _T("Fujitsu Pocket Loox 600 PDA")},
	{0x80000000, _T("Usb Device")}
};

// MOTO Development Group Devices
USB_DEVICE_ID	vid_00000c04[] =
{
	{0x80000000, _T("Usb Device")}
};

// Appian Graphics Devices
USB_DEVICE_ID	vid_00000c05[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hasbro Games Devices
USB_DEVICE_ID	vid_00000c06[] =
{
	{0x80000000, _T("Usb Device")}
};

// Infinite Data Storage Devices
USB_DEVICE_ID	vid_00000c07[] =
{
	{0x80000000, _T("Usb Device")}
};

// Agate Devices
USB_DEVICE_ID	vid_00000c08[] =
{
	{0x00000378, _T("Q 16MB Storage Device")},
	{0x80000000, _T("Usb Device")}
};

// Comjet Information System Devices
USB_DEVICE_ID	vid_00000c09[] =
{
	{0x80000000, _T("Usb Device")}
};

// Highpoint Technologies Devices
USB_DEVICE_ID	vid_00000c0a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dura Micro (Acomdata) Devices
USB_DEVICE_ID	vid_00000c0b[] =
{
	{0x000027cb, _T("6-in-1 Flash Reader and Writer")},
	{0x0000a109, _T("CF/SM Reader and Writer")},
	{0x0000a10c, _T("SD/MS Reader and Writer")},
	{0x0000b004, _T("MMC/SD Reader and Writer")},
	{0x80000000, _T("Usb Device")}
};

// Zeroplus Devices
USB_DEVICE_ID	vid_00000c12[] =
{
	{0x00000005, _T("PSX Vibration Feedback Converter")},
	{0x00008809, _T("Red Octane Ignition Xbox DDR Pad")},
	{0x80000000, _T("Usb Device")}
};

// Iris Graphics Devices
USB_DEVICE_ID	vid_00000c15[] =
{
	{0x80000000, _T("Usb Device")}
};

// Gyration Devices
USB_DEVICE_ID	vid_00000c16[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cyberboard A/S Devices
USB_DEVICE_ID	vid_00000c17[] =
{
	{0x80000000, _T("Usb Device")}
};

// SynerTek Korea Devices
USB_DEVICE_ID	vid_00000c18[] =
{
	{0x80000000, _T("Usb Device")}
};

// cyberPIXIE Devices
USB_DEVICE_ID	vid_00000c19[] =
{
	{0x80000000, _T("Usb Device")}
};

// Silicon Motion Devices
USB_DEVICE_ID	vid_00000c1a[] =
{
	{0x80000000, _T("Usb Device")}
};

// MIPS Technologies Devices
USB_DEVICE_ID	vid_00000c1b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hang Zhou Silan Electronics Devices
USB_DEVICE_ID	vid_00000c1c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tally Printer Devices
USB_DEVICE_ID	vid_00000c22[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lernout + Hauspie Devices
USB_DEVICE_ID	vid_00000c23[] =
{
	{0x80000000, _T("Usb Device")}
};

// Taiyo Yuden Devices
USB_DEVICE_ID	vid_00000c24[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sampo Devices
USB_DEVICE_ID	vid_00000c25[] =
{
	{0x80000000, _T("Usb Device")}
};

// Metro Devices
USB_DEVICE_ID	vid_00000c2e[] =
{
	{0x00000200, _T("Metrologic Scanner")},
	{0x80000000, _T("Usb Device")}
};

// Eagletron Devices
USB_DEVICE_ID	vid_00000c35[] =
{
	{0x80000000, _T("Usb Device")}
};

// E Ink Devices
USB_DEVICE_ID	vid_00000c36[] =
{
	{0x80000000, _T("Usb Device")}
};

// e.Digital Devices
USB_DEVICE_ID	vid_00000c37[] =
{
	{0x80000000, _T("Usb Device")}
};

// Der An Electric Wire & Cable Devices
USB_DEVICE_ID	vid_00000c38[] =
{
	{0x80000000, _T("Usb Device")}
};

// IFR Devices
USB_DEVICE_ID	vid_00000c39[] =
{
	{0x80000000, _T("Usb Device")}
};

// Furui Precise Component (Kunshan) Devices
USB_DEVICE_ID	vid_00000c3a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Komatsu Devices
USB_DEVICE_ID	vid_00000c3b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Radius Devices
USB_DEVICE_ID	vid_00000c3c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Innocom Devices
USB_DEVICE_ID	vid_00000c3d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nextcell Devices
USB_DEVICE_ID	vid_00000c3e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Motorola iDEN Devices
USB_DEVICE_ID	vid_00000c44[] =
{
	{0x80000000, _T("Usb Device")}
};

// Microdia Devices
USB_DEVICE_ID	vid_00000c45[] =
{
	{0x00001060, _T("iFlash SM-Direct Card Reader")},
	{0x00006001, _T("Genius VideoCAM NB")},
	{0x00006005, _T("Sweex Mini WebCam")},
	{0x00006029, _T("Triplex i-mini PC Camera")},
	{0x0000602a, _T("Meade ETX-105EC Camera")},
	{0x0000602c, _T("Clas Ohlson TWC-30XOP WebCam")},
	{0x80000000, _T("Usb Device")}
};

// WaveRider Communications Devices
USB_DEVICE_ID	vid_00000c46[] =
{
	{0x80000000, _T("Usb Device")}
};

// Reiner SCT Kartensysteme GmbH Devices
USB_DEVICE_ID	vid_00000c4b[] =
{
	{0x00000100, _T("cyberJack e-com/pinpad")},
	{0x00000300, _T("cyberJack pinpad(a)")},
	{0x80000000, _T("Usb Device")}
};

// Sealevel Systems Devices
USB_DEVICE_ID	vid_00000c52[] =
{
	{0x80000000, _T("Usb Device")}
};

// ViewPLUS Devices
USB_DEVICE_ID	vid_00000c53[] =
{
	{0x80000000, _T("Usb Device")}
};

// Glory Devices
USB_DEVICE_ID	vid_00000c54[] =
{
	{0x80000000, _T("Usb Device")}
};

// Spectrum Digital Devices
USB_DEVICE_ID	vid_00000c55[] =
{
	{0x00000510, _T("Spectrum Digital XDS510 JTAG Debugger")},
	{0x80000000, _T("Usb Device")}
};

// Billion Bright Devices
USB_DEVICE_ID	vid_00000c56[] =
{
	{0x80000000, _T("Usb Device")}
};

// Imaginative Design Operation Devices
USB_DEVICE_ID	vid_00000c57[] =
{
	{0x80000000, _T("Usb Device")}
};

// Vidar Systems Devices
USB_DEVICE_ID	vid_00000c58[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dong Guan Shinko Wire Devices
USB_DEVICE_ID	vid_00000c59[] =
{
	{0x80000000, _T("Usb Device")}
};

// TRS International Devices
USB_DEVICE_ID	vid_00000c5a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Xytronix Research & Design Devices
USB_DEVICE_ID	vid_00000c5e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chant Sincere Devices
USB_DEVICE_ID	vid_00000c62[] =
{
	{0x80000000, _T("Usb Device")}
};

// Toko Devices
USB_DEVICE_ID	vid_00000c63[] =
{
	{0x80000000, _T("Usb Device")}
};

// Signality System Engineering Devices
USB_DEVICE_ID	vid_00000c64[] =
{
	{0x80000000, _T("Usb Device")}
};

// Eminence Enterprise Devices
USB_DEVICE_ID	vid_00000c65[] =
{
	{0x80000000, _T("Usb Device")}
};

// Rexon Electronics Devices
USB_DEVICE_ID	vid_00000c66[] =
{
	{0x80000000, _T("Usb Device")}
};

// Concept Telecom Devices
USB_DEVICE_ID	vid_00000c67[] =
{
	{0x80000000, _T("Usb Device")}
};

// MCT Elektronikladen Devices
USB_DEVICE_ID	vid_00000c70[] =
{
	{0x00000000, _T("USB08 Development board")},
	{0x80000000, _T("Usb Device")}
};

// Optronic Laboratories Inc. Devices
USB_DEVICE_ID	vid_00000c74[] =
{
	{0x00000002, _T("OL 700-30 Goniometer")},
	{0x80000000, _T("Usb Device")}
};

// JMTek, LLC. Devices
USB_DEVICE_ID	vid_00000c76[] =
{
	{0x00000003, _T("USBdisk")},
	{0x00000005, _T("USBdisk")},
	{0x00000006, _T("Transcend JetFlash")},
	{0x80000000, _T("Usb Device")}
};

// Sipix Group Devices
USB_DEVICE_ID	vid_00000c77[] =
{
	{0x80000000, _T("Usb Device")}
};

// Detto Devices
USB_DEVICE_ID	vid_00000c78[] =
{
	{0x80000000, _T("Usb Device")}
};

// NuConnex Technologies Pte. Devices
USB_DEVICE_ID	vid_00000c79[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wing-Span Enterprise Devices
USB_DEVICE_ID	vid_00000c7a[] =
{
	{0x80000000, _T("Usb Device")}
};

// NDA Technologies Devices
USB_DEVICE_ID	vid_00000c86[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kyocera Wireless Devices
USB_DEVICE_ID	vid_00000c88[] =
{
	{0x80000000, _T("Usb Device")}
};

// Honda Tsushin Kogyo Devices
USB_DEVICE_ID	vid_00000c89[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pathway Connectivity Devices
USB_DEVICE_ID	vid_00000c8a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wavefly Devices
USB_DEVICE_ID	vid_00000c8b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Coactive Networks Devices
USB_DEVICE_ID	vid_00000c8c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tempo Devices
USB_DEVICE_ID	vid_00000c8d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cesscom Devices
USB_DEVICE_ID	vid_00000c8e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Applied Microsystems Devices
USB_DEVICE_ID	vid_00000c8f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Innochips Devices
USB_DEVICE_ID	vid_00000c99[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hanwool Robotics Devices
USB_DEVICE_ID	vid_00000c9a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jobin Yvon Devices
USB_DEVICE_ID	vid_00000c9b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Zyfer Devices
USB_DEVICE_ID	vid_00000ca2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sega Devices
USB_DEVICE_ID	vid_00000ca3[] =
{
	{0x80000000, _T("Usb Device")}
};

// ST&T Instrument Devices
USB_DEVICE_ID	vid_00000ca4[] =
{
	{0x80000000, _T("Usb Device")}
};

// BAE Systems Canada Devices
USB_DEVICE_ID	vid_00000ca5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Castles Technology Devices
USB_DEVICE_ID	vid_00000ca6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Information Systems Laboratories Devices
USB_DEVICE_ID	vid_00000ca7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Motorola CGISS Devices
USB_DEVICE_ID	vid_00000cad[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ascom Business Systems Devices
USB_DEVICE_ID	vid_00000cae[] =
{
	{0x80000000, _T("Usb Device")}
};

// Buslink Devices
USB_DEVICE_ID	vid_00000caf[] =
{
	{0x00002515, _T("Flash Disk Embedded Hub")},
	{0x00002516, _T("Flash Disk Security Device")},
	{0x00002517, _T("Flash Disk Mass Storage Device")},
	{0x00003a00, _T("Hard Drive")},
	{0x80000000, _T("Usb Device")}
};

// Flying Pig Systems Devices
USB_DEVICE_ID	vid_00000cb0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Innovonics Devices
USB_DEVICE_ID	vid_00000cb1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Celestix Networks, Pte. Devices
USB_DEVICE_ID	vid_00000cb6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Singatron Enterprise Devices
USB_DEVICE_ID	vid_00000cb7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Opticis Devices
USB_DEVICE_ID	vid_00000cb8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Trust Electronic (Shanghai) Devices
USB_DEVICE_ID	vid_00000cba[] =
{
	{0x80000000, _T("Usb Device")}
};

// Shanghai Darong Electronics Devices
USB_DEVICE_ID	vid_00000cbb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Palmax Technology Devices
USB_DEVICE_ID	vid_00000cbc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pentel (Electronics Equipment Div.) Devices
USB_DEVICE_ID	vid_00000cbd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Keryx Technologies Devices
USB_DEVICE_ID	vid_00000cbe[] =
{
	{0x80000000, _T("Usb Device")}
};

// Union Genius Computer Devices
USB_DEVICE_ID	vid_00000cbf[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kuon Yi Industrial Devices
USB_DEVICE_ID	vid_00000cc0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Given Imaging Devices
USB_DEVICE_ID	vid_00000cc1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Timex Devices
USB_DEVICE_ID	vid_00000cc2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Rimage Devices
USB_DEVICE_ID	vid_00000cc3[] =
{
	{0x80000000, _T("Usb Device")}
};

// emsys GmbH Devices
USB_DEVICE_ID	vid_00000cc4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sendo Devices
USB_DEVICE_ID	vid_00000cc5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intermagic Devices
USB_DEVICE_ID	vid_00000cc6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kontron Medical AG Devices
USB_DEVICE_ID	vid_00000cc7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Technotools Devices
USB_DEVICE_ID	vid_00000cc8[] =
{
	{0x80000000, _T("Usb Device")}
};

// BroadMAX Technologies Devices
USB_DEVICE_ID	vid_00000cc9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Amphenol Devices
USB_DEVICE_ID	vid_00000cca[] =
{
	{0x80000000, _T("Usb Device")}
};

// SKNet Devices
USB_DEVICE_ID	vid_00000ccb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Domex Technology Devices
USB_DEVICE_ID	vid_00000ccc[] =
{
	{0x80000000, _T("Usb Device")}
};

// TerraTec Electronic GmbH Devices
USB_DEVICE_ID	vid_00000ccd[] =
{
	{0x00000038, _T("Cinergy T^2 DVB-T Receiver")},
	{0x80000000, _T("Usb Device")}
};

// Bang Olufsen Devices
USB_DEVICE_ID	vid_00000cd4[] =
{
	{0x00000101, _T("BeolinkPC2")},
	{0x80000000, _T("Usb Device")}
};

// NewChip S.r.l. Devices
USB_DEVICE_ID	vid_00000cd7[] =
{
	{0x80000000, _T("Usb Device")}
};

// JS Digitech Devices
USB_DEVICE_ID	vid_00000cd8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hitachi Shin Din Cable Devices
USB_DEVICE_ID	vid_00000cd9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Z-Com Devices
USB_DEVICE_ID	vid_00000cde[] =
{
	{0x00000002, _T("XI-725/726 Prism2.5 802.11b Adapter")},
	{0x00000005, _T("XI-735 Prism3 802.11b Adapter")},
	{0x00000006, _T("Medion 40900 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// e-Conn Electronic Devices
USB_DEVICE_ID	vid_00000cf1[] =
{
	{0x80000000, _T("Usb Device")}
};

// ENE Technology Devices
USB_DEVICE_ID	vid_00000cf2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Atheros Communications Devices
USB_DEVICE_ID	vid_00000cf3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fomtex Devices
USB_DEVICE_ID	vid_00000cf4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cellink Devices
USB_DEVICE_ID	vid_00000cf5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Compucable Devices
USB_DEVICE_ID	vid_00000cf6[] =
{
	{0x80000000, _T("Usb Device")}
};

// ishoni Networks Devices
USB_DEVICE_ID	vid_00000cf7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Clarisys Devices
USB_DEVICE_ID	vid_00000cf8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Central System Research Devices
USB_DEVICE_ID	vid_00000cf9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Inviso Devices
USB_DEVICE_ID	vid_00000cfa[] =
{
	{0x80000000, _T("Usb Device")}
};

// Minolta-QMS Devices
USB_DEVICE_ID	vid_00000cfc[] =
{
	{0x80000000, _T("Usb Device")}
};

// telos EDV Systementwicklung GmbH Devices
USB_DEVICE_ID	vid_00000d06[] =
{
	{0x80000000, _T("Usb Device")}
};

// Contemporary Controls Devices
USB_DEVICE_ID	vid_00000d0b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Astron Electronics Devices
USB_DEVICE_ID	vid_00000d0c[] =
{
	{0x80000000, _T("Usb Device")}
};

// MKNet Devices
USB_DEVICE_ID	vid_00000d0d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hybrid Networks Devices
USB_DEVICE_ID	vid_00000d0e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Feng Shin Cable Devices
USB_DEVICE_ID	vid_00000d0f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Elastic Networks Devices
USB_DEVICE_ID	vid_00000d10[] =
{
	{0x80000000, _T("Usb Device")}
};

// Maspro Denkoh Devices
USB_DEVICE_ID	vid_00000d11[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hansol Electronics Devices
USB_DEVICE_ID	vid_00000d12[] =
{
	{0x80000000, _T("Usb Device")}
};

// BMF Devices
USB_DEVICE_ID	vid_00000d13[] =
{
	{0x80000000, _T("Usb Device")}
};

// Array Comm Devices
USB_DEVICE_ID	vid_00000d14[] =
{
	{0x80000000, _T("Usb Device")}
};

// OnStream b.v. Devices
USB_DEVICE_ID	vid_00000d15[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hi-Touch Imaging Technologies Devices
USB_DEVICE_ID	vid_00000d16[] =
{
	{0x80000000, _T("Usb Device")}
};

// NALTEC Devices
USB_DEVICE_ID	vid_00000d17[] =
{
	{0x80000000, _T("Usb Device")}
};

// coaXmedia Devices
USB_DEVICE_ID	vid_00000d18[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hank Connection Industrial Devices
USB_DEVICE_ID	vid_00000d19[] =
{
	{0x80000000, _T("Usb Device")}
};

// Leo Hui Electric Wire & Cable Devices
USB_DEVICE_ID	vid_00000d32[] =
{
	{0x80000000, _T("Usb Device")}
};

// AirSpeak Devices
USB_DEVICE_ID	vid_00000d33[] =
{
	{0x80000000, _T("Usb Device")}
};

// Rearden Steel Technologies Devices
USB_DEVICE_ID	vid_00000d34[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dah Kun Devices
USB_DEVICE_ID	vid_00000d35[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sri Cable Technology Devices
USB_DEVICE_ID	vid_00000d3c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tangtop Technology Devices
USB_DEVICE_ID	vid_00000d3d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fitcom Devices
USB_DEVICE_ID	vid_00000d3e[] =
{
	{0x80000000, _T("Usb Device")}
};

// MTS Systems Devices
USB_DEVICE_ID	vid_00000d3f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ascor Devices
USB_DEVICE_ID	vid_00000d40[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ta Yun Terminals Industrial Devices
USB_DEVICE_ID	vid_00000d41[] =
{
	{0x80000000, _T("Usb Device")}
};

// Full Der Devices
USB_DEVICE_ID	vid_00000d42[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kobil Systems GmbH Devices
USB_DEVICE_ID	vid_00000d46[] =
{
	{0x00003003, _T("mIDentity Light / KAAN SIM III")},
	{0x00004000, _T("mIDentity (mass storage)")},
	{0x00004001, _T("mIDentity Basic/Classic (composite device)")},
	{0x00004081, _T("mIDentity Basic/Classic (installationless)")},
	{0x80000000, _T("Usb Device")}
};

// Maxtor Devices
USB_DEVICE_ID	vid_00000d49[] =
{
	{0x80000000, _T("Usb Device")}
};

// NF Devices
USB_DEVICE_ID	vid_00000d4a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Grape Systems Devices
USB_DEVICE_ID	vid_00000d4b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tedas AG Devices
USB_DEVICE_ID	vid_00000d4c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Coherent Devices
USB_DEVICE_ID	vid_00000d4d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Agere Systems Netherland BV Devices
USB_DEVICE_ID	vid_00000d4e[] =
{
	{0x80000000, _T("Usb Device")}
};

// EADS Airbus France Devices
USB_DEVICE_ID	vid_00000d4f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cleware GmbH Devices
USB_DEVICE_ID	vid_00000d50[] =
{
	{0x00000011, _T("USB-Temp2 Thermometer")},
	{0x80000000, _T("Usb Device")}
};

// Volex (Asia) Pte. Devices
USB_DEVICE_ID	vid_00000d51[] =
{
	{0x80000000, _T("Usb Device")}
};

// HMI Devices
USB_DEVICE_ID	vid_00000d53[] =
{
	{0x80000000, _T("Usb Device")}
};

// Holon Devices
USB_DEVICE_ID	vid_00000d54[] =
{
	{0x80000000, _T("Usb Device")}
};

// ASKA Technologies Devices
USB_DEVICE_ID	vid_00000d55[] =
{
	{0x80000000, _T("Usb Device")}
};

// AVLAB Technology Devices
USB_DEVICE_ID	vid_00000d56[] =
{
	{0x80000000, _T("Usb Device")}
};

// Solomon Microtech Devices
USB_DEVICE_ID	vid_00000d57[] =
{
	{0x80000000, _T("Usb Device")}
};

// Belkin Devices
USB_DEVICE_ID	vid_00000d5c[] =
{
	{0x0000a002, _T("F5D6050 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Myacom Devices
USB_DEVICE_ID	vid_00000d5e[] =
{
	{0x80000000, _T("Usb Device")}
};

// CSI Devices
USB_DEVICE_ID	vid_00000d5f[] =
{
	{0x80000000, _T("Usb Device")}
};

// IVL Technologies Devices
USB_DEVICE_ID	vid_00000d60[] =
{
	{0x80000000, _T("Usb Device")}
};

// Meilu Electronics (Shenzhen) Devices
USB_DEVICE_ID	vid_00000d61[] =
{
	{0x80000000, _T("Usb Device")}
};

// Darfon Electronics Devices
USB_DEVICE_ID	vid_00000d62[] =
{
	{0x0000a100, _T("Benq Mouse")},
	{0x80000000, _T("Usb Device")}
};

// Fritz Gegauf AG Devices
USB_DEVICE_ID	vid_00000d63[] =
{
	{0x80000000, _T("Usb Device")}
};

// DXG Technology Devices
USB_DEVICE_ID	vid_00000d64[] =
{
	{0x00000107, _T("Horus MT-409 Camera")},
	{0x00000303, _T("DXG-305V Camera")},
	{0x80000000, _T("Usb Device")}
};

// KMJP Devices
USB_DEVICE_ID	vid_00000d65[] =
{
	{0x80000000, _T("Usb Device")}
};

// TMT Devices
USB_DEVICE_ID	vid_00000d66[] =
{
	{0x80000000, _T("Usb Device")}
};

// Advanet Devices
USB_DEVICE_ID	vid_00000d67[] =
{
	{0x80000000, _T("Usb Device")}
};

// Super Link Electronics Devices
USB_DEVICE_ID	vid_00000d68[] =
{
	{0x80000000, _T("Usb Device")}
};

// NSI Devices
USB_DEVICE_ID	vid_00000d69[] =
{
	{0x80000000, _T("Usb Device")}
};

// Megapower International Devices
USB_DEVICE_ID	vid_00000d6a[] =
{
	{0x80000000, _T("Usb Device")}
};

// And-Or Logic Devices
USB_DEVICE_ID	vid_00000d6b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Try Computer Devices
USB_DEVICE_ID	vid_00000d70[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hirakawa Hewtech Devices
USB_DEVICE_ID	vid_00000d71[] =
{
	{0x80000000, _T("Usb Device")}
};

// Winmate Communication Devices
USB_DEVICE_ID	vid_00000d72[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hit's Communications Devices
USB_DEVICE_ID	vid_00000d73[] =
{
	{0x80000000, _T("Usb Device")}
};

// MFP Korea Devices
USB_DEVICE_ID	vid_00000d76[] =
{
	{0x80000000, _T("Usb Device")}
};

// Power Sentry/Newpoint Devices
USB_DEVICE_ID	vid_00000d77[] =
{
	{0x80000000, _T("Usb Device")}
};

// Japan Distributor Devices
USB_DEVICE_ID	vid_00000d78[] =
{
	{0x80000000, _T("Usb Device")}
};

// MARX Datentechnik GmbH Devices
USB_DEVICE_ID	vid_00000d7a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wellco Technology Devices
USB_DEVICE_ID	vid_00000d7b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Taiwan Line Tek Electronic Devices
USB_DEVICE_ID	vid_00000d7c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Phison Electronics Devices
USB_DEVICE_ID	vid_00000d7d[] =
{
	{0x00000100, _T("PS1001/1011/1006/1026 Flash Disk")},
	{0x00000110, _T("Gigabyte FlexDrive")},
	{0x00000240, _T("I/O-Magic/Transcend 6-in-1 Card Reader")},
	{0x0000110e, _T("NEC uPD720121/130 USB-ATA/ATAPI Bridge")},
	{0x00001240, _T("Apacer 6-in-1 Card Reader 2.0")},
	{0x00001300, _T("Flash Disk")},
	{0x00001320, _T("PS2031 Flash Disk")},
	{0x00001420, _T("PS2044 Pen Drive")},
	{0x00001470, _T("Vosonic X's-Drive II+ VP2160")},
	{0x80000000, _T("Usb Device")}
};

// American Computer & Digital Components Devices
USB_DEVICE_ID	vid_00000d7e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Essential Reality LLC Devices
USB_DEVICE_ID	vid_00000d7f[] =
{
	{0x80000000, _T("Usb Device")}
};

// H.R. Silvine Electronics Devices
USB_DEVICE_ID	vid_00000d80[] =
{
	{0x80000000, _T("Usb Device")}
};

// TechnoVision Devices
USB_DEVICE_ID	vid_00000d81[] =
{
	{0x80000000, _T("Usb Device")}
};

// Think Outside Devices
USB_DEVICE_ID	vid_00000d83[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oz Software Devices
USB_DEVICE_ID	vid_00000d89[] =
{
	{0x80000000, _T("Usb Device")}
};

// King Jim Devices
USB_DEVICE_ID	vid_00000d8a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ascom Telecommunications Devices
USB_DEVICE_ID	vid_00000d8b[] =
{
	{0x80000000, _T("Usb Device")}
};

// C-Media Electronics Devices
USB_DEVICE_ID	vid_00000d8c[] =
{
	{0x0000000c, _T("Audio Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Promotion & Display Technology Devices
USB_DEVICE_ID	vid_00000d8d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Global Sun Technology Devices
USB_DEVICE_ID	vid_00000d8e[] =
{
	{0x00007100, _T("802.11b Adapter")},
	{0x00007a01, _T("PRISM25 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Pitney Bowes Devices
USB_DEVICE_ID	vid_00000d8f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sure-Fire Electrical Devices
USB_DEVICE_ID	vid_00000d90[] =
{
	{0x80000000, _T("Usb Device")}
};

// Skanhex Technology Devices
USB_DEVICE_ID	vid_00000d96[] =
{
	{0x00003300, _T("SX330z Camera")},
	{0x00004100, _T("SX410z Camera")},
	{0x00004102, _T("MD 9700 Camera")},
	{0x00005200, _T("SX-520z Camera")},
	{0x80000000, _T("Usb Device")}
};

// Santa Barbara Instrument Group Devices
USB_DEVICE_ID	vid_00000d97[] =
{
	{0x00000001, _T("SBIG Astronomy Camera (without firmware)")},
	{0x00000101, _T("SBIG Astronomy Camera (with firmware)")},
	{0x80000000, _T("Usb Device")}
};

// Mars Semiconductor Devices
USB_DEVICE_ID	vid_00000d98[] =
{
	{0x80000000, _T("Usb Device")}
};

// Trazer Technologies Devices
USB_DEVICE_ID	vid_00000d99[] =
{
	{0x80000000, _T("Usb Device")}
};

// RTX Telecom AS Devices
USB_DEVICE_ID	vid_00000d9a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tat Shing Electrical Devices
USB_DEVICE_ID	vid_00000d9b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chee Chen Hi-Technology Devices
USB_DEVICE_ID	vid_00000d9c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sanwa Supply Devices
USB_DEVICE_ID	vid_00000d9d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Avaya Devices
USB_DEVICE_ID	vid_00000d9e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Powercom Devices
USB_DEVICE_ID	vid_00000d9f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Danger Research Devices
USB_DEVICE_ID	vid_00000da0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Suzhou Peter's Precise Industrial Devices
USB_DEVICE_ID	vid_00000da1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Land Instruments International Devices
USB_DEVICE_ID	vid_00000da2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nippon Electro-Sensory Devices Devices
USB_DEVICE_ID	vid_00000da3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Polar Electro OY Devices
USB_DEVICE_ID	vid_00000da4[] =
{
	{0x80000000, _T("Usb Device")}
};

// IOGear Devices
USB_DEVICE_ID	vid_00000da7[] =
{
	{0x80000000, _T("Usb Device")}
};

// softDSP Devices
USB_DEVICE_ID	vid_00000da8[] =
{
	{0x00000001, _T("SDS 200A Oscilloscope")},
	{0x80000000, _T("Usb Device")}
};

// Cubig Group Devices
USB_DEVICE_ID	vid_00000dab[] =
{
	{0x00000100, _T("DVR/CVR-M140 MP3 Player")},
	{0x80000000, _T("Usb Device")}
};

// Westover Scientific Devices
USB_DEVICE_ID	vid_00000dad[] =
{
	{0x80000000, _T("Usb Device")}
};

// Micro Star International Devices
USB_DEVICE_ID	vid_00000db0[] =
{
	{0x00001967, _T("Bluetooth Dongle")},
	{0x00004011, _T("Medion Flash XL V2.0 Card Reader")},
	{0x0000697a, _T("Bluetooth Dongle")},
	{0x00006982, _T("Medion Flash XL V2.7A Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// Wen Te Electronics Devices
USB_DEVICE_ID	vid_00000db1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Shian Hwi Plug Parts, Plastic Factory Devices
USB_DEVICE_ID	vid_00000db2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tekram Technology Devices
USB_DEVICE_ID	vid_00000db3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chung Fu Chen Yeh Enterprise Devices
USB_DEVICE_ID	vid_00000db4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jiuh Shiuh Precision Industry Devices
USB_DEVICE_ID	vid_00000dbe[] =
{
	{0x80000000, _T("Usb Device")}
};

// Quik Tech Solutions Devices
USB_DEVICE_ID	vid_00000dbf[] =
{
	{0x80000000, _T("Usb Device")}
};

// Great Notions Devices
USB_DEVICE_ID	vid_00000dc0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tamagawa Seiki Devices
USB_DEVICE_ID	vid_00000dc1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Athena Smartcard Solutions Devices
USB_DEVICE_ID	vid_00000dc3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Macpower Peripherals Devices
USB_DEVICE_ID	vid_00000dc4[] =
{
	{0x80000000, _T("Usb Device")}
};

// SDK Devices
USB_DEVICE_ID	vid_00000dc5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Precision Squared Technology Devices
USB_DEVICE_ID	vid_00000dc6[] =
{
	{0x80000000, _T("Usb Device")}
};

// First Cable Line Devices
USB_DEVICE_ID	vid_00000dc7[] =
{
	{0x80000000, _T("Usb Device")}
};

// NetworkFab Devices
USB_DEVICE_ID	vid_00000dcd[] =
{
	{0x00000001, _T("Remote Interface Adapter")},
	{0x00000002, _T("High Bandwidth Codec")},
	{0x80000000, _T("Usb Device")}
};

// Access Solutions Devices
USB_DEVICE_ID	vid_00000dd0[] =
{
	{0x00001002, _T("Triple Talk Speech Synthesizer")},
	{0x80000000, _T("Usb Device")}
};

// Contek Electronics Devices
USB_DEVICE_ID	vid_00000dd1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Power Quotient International Devices
USB_DEVICE_ID	vid_00000dd2[] =
{
	{0x80000000, _T("Usb Device")}
};

// MediaQ Devices
USB_DEVICE_ID	vid_00000dd3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Custom Engineering SPA Devices
USB_DEVICE_ID	vid_00000dd4[] =
{
	{0x80000000, _T("Usb Device")}
};

// California Micro Devices Devices
USB_DEVICE_ID	vid_00000dd5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kocom Devices
USB_DEVICE_ID	vid_00000dd7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Netac Technology Devices
USB_DEVICE_ID	vid_00000dd8[] =
{
	{0x0000e007, _T("OnlyDisk U222 Pendrive")},
	{0x80000000, _T("Usb Device")}
};

// HighSpeed Surfing Devices
USB_DEVICE_ID	vid_00000dd9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Integrated Circuit Solution Devices
USB_DEVICE_ID	vid_00000dda[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tamarack Devices
USB_DEVICE_ID	vid_00000ddb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Datelink Technology Devices
USB_DEVICE_ID	vid_00000ddd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ubicom Devices
USB_DEVICE_ID	vid_00000dde[] =
{
	{0x80000000, _T("Usb Device")}
};

// BD Consumer Healthcare Devices
USB_DEVICE_ID	vid_00000de0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Novasonics Devices
USB_DEVICE_ID	vid_00000ded[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lifetime Memory Products Devices
USB_DEVICE_ID	vid_00000dee[] =
{
	{0x80000000, _T("Usb Device")}
};

// Full Rise Electronic Devices
USB_DEVICE_ID	vid_00000def[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sitecom Europe B.V. Devices
USB_DEVICE_ID	vid_00000df6[] =
{
	{0x00009071, _T("zd1211 802.11g Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Mobile Action Technology Devices
USB_DEVICE_ID	vid_00000df7[] =
{
	{0x00000620, _T("MA-620 Infrared Adapter")},
	{0x00000700, _T("MA-700 Bluetooth Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Toyo Communication Equipment Devices
USB_DEVICE_ID	vid_00000dfa[] =
{
	{0x80000000, _T("Usb Device")}
};

// GeneralTouch Technology Devices
USB_DEVICE_ID	vid_00000dfc[] =
{
	{0x00000001, _T("Touchscreen")},
	{0x80000000, _T("Usb Device")}
};

// Nippon Systemware Devices
USB_DEVICE_ID	vid_00000e03[] =
{
	{0x80000000, _T("Usb Device")}
};

// Winbest Technology Devices
USB_DEVICE_ID	vid_00000e08[] =
{
	{0x80000000, _T("Usb Device")}
};

// Gesytec Devices
USB_DEVICE_ID	vid_00000e0c[] =
{
	{0x00000101, _T("LonUSB LonTalk Network Adapter")},
	{0x80000000, _T("Usb Device")}
};

// JMTek, LLC Devices
USB_DEVICE_ID	vid_00000e16[] =
{
	{0x80000000, _T("Usb Device")}
};

// Walex Electronic Devices
USB_DEVICE_ID	vid_00000e17[] =
{
	{0x80000000, _T("Usb Device")}
};

// Crewave Devices
USB_DEVICE_ID	vid_00000e1b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cowon Systems Devices
USB_DEVICE_ID	vid_00000e21[] =
{
	{0x00000300, _T("iAudio CW200")},
	{0x80000000, _T("Usb Device")}
};

// Liou Yuane Enterprise Devices
USB_DEVICE_ID	vid_00000e23[] =
{
	{0x80000000, _T("Usb Device")}
};

// VinChip Systems Devices
USB_DEVICE_ID	vid_00000e25[] =
{
	{0x80000000, _T("Usb Device")}
};

// J-Phone East Devices
USB_DEVICE_ID	vid_00000e26[] =
{
	{0x80000000, _T("Usb Device")}
};

// HeartMath LLC Devices
USB_DEVICE_ID	vid_00000e30[] =
{
	{0x80000000, _T("Usb Device")}
};

// Micro Computer Control Devices
USB_DEVICE_ID	vid_00000e34[] =
{
	{0x80000000, _T("Usb Device")}
};

// 3Pea Technologies Devices
USB_DEVICE_ID	vid_00000e35[] =
{
	{0x80000000, _T("Usb Device")}
};

// TiePie engineering Devices
USB_DEVICE_ID	vid_00000e36[] =
{
	{0x80000000, _T("Usb Device")}
};

// Stratitec Devices
USB_DEVICE_ID	vid_00000e38[] =
{
	{0x80000000, _T("Usb Device")}
};

// Smart Modular Technologies Devices
USB_DEVICE_ID	vid_00000e39[] =
{
	{0x80000000, _T("Usb Device")}
};

// Neostar Technology Devices
USB_DEVICE_ID	vid_00000e3a[] =
{
	{0x00001100, _T("CW-1100 Wireless Network Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Mansella Devices
USB_DEVICE_ID	vid_00000e3b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Line6 Devices
USB_DEVICE_ID	vid_00000e41[] =
{
	{0x00004250, _T("BassPODxt")},
	{0x00004252, _T("BassPODxt Pro")},
	{0x00004642, _T("BassPODxt Live")},
	{0x00004650, _T("PODxt Live")},
	{0x00004750, _T("GuitarPort")},
	{0x00005044, _T("PODxt")},
	{0x00005050, _T("PODxt Pro")},
	{0x0000534d, _T("SeaMonkey")},
	{0x80000000, _T("Usb Device")}
};

// Julia Devices
USB_DEVICE_ID	vid_00000e48[] =
{
	{0x00000100, _T("CardPro SmartCard Reader")},
	{0x80000000, _T("Usb Device")}
};

// Shenzhen Bao Hing Electric Wire & Cable Mfr. Devices
USB_DEVICE_ID	vid_00000e4a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Radica Games Devices
USB_DEVICE_ID	vid_00000e4c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Speed Dragon Multimedia Devices
USB_DEVICE_ID	vid_00000e55[] =
{
	{0x80000000, _T("Usb Device")}
};

// Active Devices
USB_DEVICE_ID	vid_00000e5a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Union Power Information Industrial Devices
USB_DEVICE_ID	vid_00000e5b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Bitland Information Technology Devices
USB_DEVICE_ID	vid_00000e5c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Neltron Industrial Devices
USB_DEVICE_ID	vid_00000e5d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hawking Devices
USB_DEVICE_ID	vid_00000e66[] =
{
	{0x0000400c, _T("UF100 Ethernet [pegasus2]")},
	{0x80000000, _T("Usb Device")}
};

// Fossil Devices
USB_DEVICE_ID	vid_00000e67[] =
{
	{0x00000002, _T("Wrist PDA")},
	{0x80000000, _T("Usb Device")}
};

// Megawin Technology Devices
USB_DEVICE_ID	vid_00000e6a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tokyo Electronic Industry Devices
USB_DEVICE_ID	vid_00000e70[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hsi-Chin Electronics Devices
USB_DEVICE_ID	vid_00000e72[] =
{
	{0x80000000, _T("Usb Device")}
};

// TVS Electronics Devices
USB_DEVICE_ID	vid_00000e75[] =
{
	{0x80000000, _T("Usb Device")}
};

// On-Tech Industry Devices
USB_DEVICE_ID	vid_00000e7b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Gmate Devices
USB_DEVICE_ID	vid_00000e7e[] =
{
	{0x00000001, _T("Yopy 3000 PDA")},
	{0x80000000, _T("Usb Device")}
};

// ARCHOS Devices
USB_DEVICE_ID	vid_00000e79[] =
{
	{0x00001109, _T("Gmini400")},
	{0x80000000, _T("Usb Device")}
};

// Ching Tai Electric Wire & Cable Devices
USB_DEVICE_ID	vid_00000e82[] =
{
	{0x80000000, _T("Usb Device")}
};

// Well Force Electronic Devices
USB_DEVICE_ID	vid_00000e8c[] =
{
	{0x80000000, _T("Usb Device")}
};

// WiebeTech, LLC Devices
USB_DEVICE_ID	vid_00000e90[] =
{
	{0x80000000, _T("Usb Device")}
};

// VTech Engineering Canada Devices
USB_DEVICE_ID	vid_00000e91[] =
{
	{0x80000000, _T("Usb Device")}
};

// C's Glory Enterprise Devices
USB_DEVICE_ID	vid_00000e92[] =
{
	{0x80000000, _T("Usb Device")}
};

// eM Technics Devices
USB_DEVICE_ID	vid_00000e93[] =
{
	{0x80000000, _T("Usb Device")}
};

// Future Technology Devices
USB_DEVICE_ID	vid_00000e95[] =
{
	{0x80000000, _T("Usb Device")}
};

// Aplux Communications Devices
USB_DEVICE_ID	vid_00000e96[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fingerworks Devices
USB_DEVICE_ID	vid_00000e97[] =
{
	{0x80000000, _T("Usb Device")}
};

// Advanced Analogic Technologies Devices
USB_DEVICE_ID	vid_00000e98[] =
{
	{0x80000000, _T("Usb Device")}
};

// Parallel Dice Devices
USB_DEVICE_ID	vid_00000e99[] =
{
	{0x80000000, _T("Usb Device")}
};

// TA HSING Industries Devices
USB_DEVICE_ID	vid_00000e9a[] =
{
	{0x80000000, _T("Usb Device")}
};

// ADTEC Devices
USB_DEVICE_ID	vid_00000e9b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Streamzap Devices
USB_DEVICE_ID	vid_00000e9c[] =
{
	{0x00000000, _T("Streamzap Remote Control")},
	{0x80000000, _T("Usb Device")}
};

// Tamura Devices
USB_DEVICE_ID	vid_00000e9f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ours Technology Devices
USB_DEVICE_ID	vid_00000ea0[] =
{
	{0x00002126, _T("7-in-1 Card Reader")},
	{0x00002168, _T("Transcend JetFlash 2.0 / Astone USB Drive")},
	{0x00006803, _T("OTI-6803 Flash Disk")},
	{0x00006808, _T("OTI-6808 Flash Disk")},
	{0x00006828, _T("OTI-6828 Flash Disk")},
	{0x80000000, _T("Usb Device")}
};

// Nihon Computer Devices
USB_DEVICE_ID	vid_00000ea6[] =
{
	{0x80000000, _T("Usb Device")}
};

// MSL Enterprises Devices
USB_DEVICE_ID	vid_00000ea7[] =
{
	{0x80000000, _T("Usb Device")}
};

// CenDyne Devices
USB_DEVICE_ID	vid_00000ea8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Humax Devices
USB_DEVICE_ID	vid_00000ead[] =
{
	{0x80000000, _T("Usb Device")}
};

// WIS Technologies Devices
USB_DEVICE_ID	vid_00000eb1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Y-S Electronic Devices
USB_DEVICE_ID	vid_00000eb2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Saint Technology Devices
USB_DEVICE_ID	vid_00000eb3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Endor AG Devices
USB_DEVICE_ID	vid_00000eb7[] =
{
	{0x80000000, _T("Usb Device")}
};

// VWeb Devices
USB_DEVICE_ID	vid_00000ebe[] =
{
	{0x80000000, _T("Usb Device")}
};

// Omega Technology of Taiwan Devices
USB_DEVICE_ID	vid_00000ebf[] =
{
	{0x80000000, _T("Usb Device")}
};

// LHI Technology (China) Devices
USB_DEVICE_ID	vid_00000ec0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Abit Computer Devices
USB_DEVICE_ID	vid_00000ec1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sweetray Industrial Devices
USB_DEVICE_ID	vid_00000ec2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Axell Devices
USB_DEVICE_ID	vid_00000ec3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ballracing Developments Devices
USB_DEVICE_ID	vid_00000ec4[] =
{
	{0x80000000, _T("Usb Device")}
};

// GT Information System Devices
USB_DEVICE_ID	vid_00000ec5[] =
{
	{0x80000000, _T("Usb Device")}
};

// InnoVISION Multimedia Devices
USB_DEVICE_ID	vid_00000ec6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Theta Link Devices
USB_DEVICE_ID	vid_00000ec7[] =
{
	{0x00001008, _T("So., Show 301 Digital Camera")},
	{0x80000000, _T("Usb Device")}
};

// Lite-On IT Devices
USB_DEVICE_ID	vid_00000ecd[] =
{
	{0x80000000, _T("Usb Device")}
};

// TaiSol Electronics Devices
USB_DEVICE_ID	vid_00000ece[] =
{
	{0x80000000, _T("Usb Device")}
};

// Phogenix Imaging, LLC Devices
USB_DEVICE_ID	vid_00000ecf[] =
{
	{0x80000000, _T("Usb Device")}
};

// WinMaxGroup Devices
USB_DEVICE_ID	vid_00000ed1[] =
{
	{0x00006660, _T("USB Flash Disk 64M-C")},
	{0x00006680, _T("USB Flash Disk 64M-B")},
	{0x80000000, _T("Usb Device")}
};

// Kyoto Micro Computer Devices
USB_DEVICE_ID	vid_00000ed2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wing-Tech Enterprise Devices
USB_DEVICE_ID	vid_00000ed3[] =
{
	{0x80000000, _T("Usb Device")}
};

// Noriake Itron Devices
USB_DEVICE_ID	vid_00000eda[] =
{
	{0x80000000, _T("Usb Device")}
};

// e-MDT Devices
USB_DEVICE_ID	vid_00000edf[] =
{
	{0x80000000, _T("Usb Device")}
};

// Shima Seiki Devices
USB_DEVICE_ID	vid_00000ee0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sarotech Devices
USB_DEVICE_ID	vid_00000ee1[] =
{
	{0x80000000, _T("Usb Device")}
};

// AMI Semiconductor Devices
USB_DEVICE_ID	vid_00000ee2[] =
{
	{0x80000000, _T("Usb Device")}
};

// ComTrue Technology Devices
USB_DEVICE_ID	vid_00000ee3[] =
{
	{0x00001000, _T("Image Tank 1.5")},
	{0x80000000, _T("Usb Device")}
};

// Sunrich Technology Devices
USB_DEVICE_ID	vid_00000ee4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Digital Stream Technology Devices
USB_DEVICE_ID	vid_00000eee[] =
{
	{0x80000000, _T("Usb Device")}
};

// D-WAV Scientific Devices
USB_DEVICE_ID	vid_00000eef[] =
{
	{0x00000001, _T("eGalax TouchScreen")},
	{0x80000000, _T("Usb Device")}
};

// Hitachi Cable Devices
USB_DEVICE_ID	vid_00000ef0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Aichi Micro Intelligent Devices
USB_DEVICE_ID	vid_00000ef1[] =
{
	{0x80000000, _T("Usb Device")}
};

// I/O Magic Devices
USB_DEVICE_ID	vid_00000ef2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Lynn Products Devices
USB_DEVICE_ID	vid_00000ef3[] =
{
	{0x80000000, _T("Usb Device")}
};

// DSI Datotech Devices
USB_DEVICE_ID	vid_00000ef4[] =
{
	{0x80000000, _T("Usb Device")}
};

// PointChips Devices
USB_DEVICE_ID	vid_00000ef5[] =
{
	{0x00002202, _T("Flash Disk")},
	{0x80000000, _T("Usb Device")}
};

// Yield Microelectronics Devices
USB_DEVICE_ID	vid_00000ef6[] =
{
	{0x80000000, _T("Usb Device")}
};

// SM Tech (Tulip) Devices
USB_DEVICE_ID	vid_00000ef7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wem Technology Devices
USB_DEVICE_ID	vid_00000efe[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oasis Semiconductor Devices
USB_DEVICE_ID	vid_00000efd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Visual Frontier Enterprise Devices
USB_DEVICE_ID	vid_00000f06[] =
{
	{0x80000000, _T("Usb Device")}
};

// CSL Wire & Plug (Shen Zhen) Devices
USB_DEVICE_ID	vid_00000f08[] =
{
	{0x80000000, _T("Usb Device")}
};

// CAS Devices
USB_DEVICE_ID	vid_00000f0c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hori Devices
USB_DEVICE_ID	vid_00000f0d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Energy Full Devices
USB_DEVICE_ID	vid_00000f0e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mars Engineering Devices
USB_DEVICE_ID	vid_00000f12[] =
{
	{0x80000000, _T("Usb Device")}
};

// Acetek Technology Devices
USB_DEVICE_ID	vid_00000f13[] =
{
	{0x80000000, _T("Usb Device")}
};

// Oracom Devices
USB_DEVICE_ID	vid_00000f19[] =
{
	{0x80000000, _T("Usb Device")}
};

// Onset Computer Devices
USB_DEVICE_ID	vid_00000f1b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Funai Electric Devices
USB_DEVICE_ID	vid_00000f1c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Iwill Devices
USB_DEVICE_ID	vid_00000f1d[] =
{
	{0x80000000, _T("Usb Device")}
};

// IOI Technology Devices
USB_DEVICE_ID	vid_00000f21[] =
{
	{0x80000000, _T("Usb Device")}
};

// Senior Industries Devices
USB_DEVICE_ID	vid_00000f22[] =
{
	{0x80000000, _T("Usb Device")}
};

// Leader Tech Manufacturer Devices
USB_DEVICE_ID	vid_00000f23[] =
{
	{0x80000000, _T("Usb Device")}
};

// Flex-P Industries, Snd., Bhd. Devices
USB_DEVICE_ID	vid_00000f24[] =
{
	{0x80000000, _T("Usb Device")}
};

// ViPower Devices
USB_DEVICE_ID	vid_00000f2d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Geniality Maple Technology Devices
USB_DEVICE_ID	vid_00000f2e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Priva Design Services Devices
USB_DEVICE_ID	vid_00000f2f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jess Technology Devices
USB_DEVICE_ID	vid_00000f30[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chrysalis Development Devices
USB_DEVICE_ID	vid_00000f31[] =
{
	{0x80000000, _T("Usb Device")}
};

// YFC-BonEagle Electric Devices
USB_DEVICE_ID	vid_00000f32[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kokuyo Devices
USB_DEVICE_ID	vid_00000f37[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nien-Yi Industrial Devices
USB_DEVICE_ID	vid_00000f38[] =
{
	{0x80000000, _T("Usb Device")}
};

// Airprime, Incorporated Devices
USB_DEVICE_ID	vid_00000f3d[] =
{
	{0x00000112, _T("CDMA 1xEVDO PC Card, PC 5220")},
	{0x80000000, _T("Usb Device")}
};

// RDC Semiconductor Devices
USB_DEVICE_ID	vid_00000f41[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nital Consulting Services Devices
USB_DEVICE_ID	vid_00000f42[] =
{
	{0x80000000, _T("Usb Device")}
};

// St. John Technology Devices
USB_DEVICE_ID	vid_00000f4b[] =
{
	{0x80000000, _T("Usb Device")}
};

// WorldWide Cable Opto Devices
USB_DEVICE_ID	vid_00000f4c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Microtune Devices
USB_DEVICE_ID	vid_00000f4d[] =
{
	{0x00001000, _T("Bluetooth Dongle")},
	{0x80000000, _T("Usb Device")}
};

// Freedom Scientific Devices
USB_DEVICE_ID	vid_00000f4e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wing Key Electrical Devices
USB_DEVICE_ID	vid_00000f52[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dongguan White Horse Cable Factory Devices
USB_DEVICE_ID	vid_00000f53[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kawai Musical Instruments Devices
USB_DEVICE_ID	vid_00000f54[] =
{
	{0x80000000, _T("Usb Device")}
};

// AmbiCom Devices
USB_DEVICE_ID	vid_00000f55[] =
{
	{0x80000000, _T("Usb Device")}
};

// Prairiecomm Devices
USB_DEVICE_ID	vid_00000f5c[] =
{
	{0x80000000, _T("Usb Device")}
};

// NewAge International, LLC Devices
USB_DEVICE_ID	vid_00000f5d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Key Technology Devices
USB_DEVICE_ID	vid_00000f5f[] =
{
	{0x80000000, _T("Usb Device")}
};

// NTK Devices
USB_DEVICE_ID	vid_00000f60[] =
{
	{0x80000000, _T("Usb Device")}
};

// Varian Devices
USB_DEVICE_ID	vid_00000f61[] =
{
	{0x80000000, _T("Usb Device")}
};

// Acrox Technologies Devices
USB_DEVICE_ID	vid_00000f62[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kobe Steel Devices
USB_DEVICE_ID	vid_00000f68[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dionex Devices
USB_DEVICE_ID	vid_00000f69[] =
{
	{0x80000000, _T("Usb Device")}
};

// Vibren Technologies Devices
USB_DEVICE_ID	vid_00000f6a[] =
{
	{0x80000000, _T("Usb Device")}
};

// DFI Devices
USB_DEVICE_ID	vid_00000f73[] =
{
	{0x80000000, _T("Usb Device")}
};

// DQ Technology Devices
USB_DEVICE_ID	vid_00000f7c[] =
{
	{0x80000000, _T("Usb Device")}
};

// NetBotz Devices
USB_DEVICE_ID	vid_00000f7d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fluke Devices
USB_DEVICE_ID	vid_00000f7e[] =
{
	{0x80000000, _T("Usb Device")}
};

// VTech Holdings Devices
USB_DEVICE_ID	vid_00000f88[] =
{
	{0x80000000, _T("Usb Device")}
};

// Yazaki Devices
USB_DEVICE_ID	vid_00000f8b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Young Generation International Devices
USB_DEVICE_ID	vid_00000f8c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Uniwill Computer Devices
USB_DEVICE_ID	vid_00000f8d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kingnet Technology Devices
USB_DEVICE_ID	vid_00000f8e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Soma Networks Devices
USB_DEVICE_ID	vid_00000f8f[] =
{
	{0x80000000, _T("Usb Device")}
};

// CviLux Devices
USB_DEVICE_ID	vid_00000f97[] =
{
	{0x80000000, _T("Usb Device")}
};

// CyberBank Devices
USB_DEVICE_ID	vid_00000f98[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hyun Won Devices
USB_DEVICE_ID	vid_00000f9c[] =
{
	{0x00000301, _T("M-Any Premium DAH-610 MP3/WMA Player")},
	{0x00000332, _T("mobiBLU DAH-1200 MP3/Ogg Player")},
	{0x80000000, _T("Usb Device")}
};

// Lucent Technologies Devices
USB_DEVICE_ID	vid_00000f9e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Starconn Electronic Devices
USB_DEVICE_ID	vid_00000fa3[] =
{
	{0x80000000, _T("Usb Device")}
};

// ATL Technology Devices
USB_DEVICE_ID	vid_00000fa4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sotec Devices
USB_DEVICE_ID	vid_00000fa5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Epox Computer Devices
USB_DEVICE_ID	vid_00000fa7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Logic Controls Devices
USB_DEVICE_ID	vid_00000fa8[] =
{
	{0x80000000, _T("Usb Device")}
};

// Winpoint Electronic Devices
USB_DEVICE_ID	vid_00000faf[] =
{
	{0x80000000, _T("Usb Device")}
};

// Haurtian Wire & Cable Devices
USB_DEVICE_ID	vid_00000fb0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Inclose Design Devices
USB_DEVICE_ID	vid_00000fb1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Juan-Chern Industrial Devices
USB_DEVICE_ID	vid_00000fb2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Wistron Devices
USB_DEVICE_ID	vid_00000fb8[] =
{
	{0x80000000, _T("Usb Device")}
};

// AACom Devices
USB_DEVICE_ID	vid_00000fb9[] =
{
	{0x80000000, _T("Usb Device")}
};

// San Shing Electronics Devices
USB_DEVICE_ID	vid_00000fba[] =
{
	{0x80000000, _T("Usb Device")}
};

// Bitwise Systems Devices
USB_DEVICE_ID	vid_00000fbb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mitac Internatinal Devices
USB_DEVICE_ID	vid_00000fc1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Plug and Jack Industrial Devices
USB_DEVICE_ID	vid_00000fc2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Delcom Engineering Devices
USB_DEVICE_ID	vid_00000fc5[] =
{
	{0x00001222, _T("I/O Development Board")},
	{0x80000000, _T("Usb Device")}
};

// Dataplus Supplies Devices
USB_DEVICE_ID	vid_00000fc6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Research In Motion. Devices
USB_DEVICE_ID	vid_00000fca[] =
{
	{0x00000001, _T("Blackberry Handheld")},
	{0x00000004, _T("Blackberry Handheld")},
	{0x00000006, _T("Blackberry Handheld")},
	{0x80000000, _T("Usb Device")}
};

// Sony Ericsson Mobile Communications AB Devices
USB_DEVICE_ID	vid_00000fce[] =
{
	{0x0000d017, _T("K608i Phone")},
	{0x80000000, _T("Usb Device")}
};

// Dynastream Innovations Devices
USB_DEVICE_ID	vid_00000fcf[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tulip Computers B.V. Devices
USB_DEVICE_ID	vid_00000fd0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tenovis GmbH &, KG Devices
USB_DEVICE_ID	vid_00000fd4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Direct Access Technology Devices
USB_DEVICE_ID	vid_00000fd5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Micro Plus Devices
USB_DEVICE_ID	vid_00000fdc[] =
{
	{0x80000000, _T("Usb Device")}
};

// IN-Tech Electronics Devices
USB_DEVICE_ID	vid_00000fe4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Greenconn (U.S.A.) Devices
USB_DEVICE_ID	vid_00000fe5[] =
{
	{0x80000000, _T("Usb Device")}
};

// DVICO Devices
USB_DEVICE_ID	vid_00000fe9[] =
{
	{0x0000db00, _T("FusionHDTV DVB-T (MT352+LgZ201) (uninitialized)")},
	{0x0000db01, _T("FusionHDTV DVB-T (MT352+LgZ201) (initialized)")},
	{0x0000db10, _T("FusionHDTV DVB-T (MT352+Thomson7579) (uninitialized)")},
	{0x0000db11, _T("FusionHDTV DVB-T (MT352+Thomson7579) (initialized)")},
	{0x80000000, _T("Usb Device")}
};

// United Computer Accessories Devices
USB_DEVICE_ID	vid_00000fea[] =
{
	{0x80000000, _T("Usb Device")}
};

// CRS Electronic Devices
USB_DEVICE_ID	vid_00000feb[] =
{
	{0x80000000, _T("Usb Device")}
};

// UMC Electronics Devices
USB_DEVICE_ID	vid_00000fec[] =
{
	{0x80000000, _T("Usb Device")}
};

// Access Devices
USB_DEVICE_ID	vid_00000fed[] =
{
	{0x80000000, _T("Usb Device")}
};

// Xsido Devices
USB_DEVICE_ID	vid_00000fee[] =
{
	{0x80000000, _T("Usb Device")}
};

// MJ Research Devices
USB_DEVICE_ID	vid_00000fef[] =
{
	{0x80000000, _T("Usb Device")}
};

// Core Valley Devices
USB_DEVICE_ID	vid_00000ff6[] =
{
	{0x80000000, _T("Usb Device")}
};

// CHI SHING Computer Accessories Devices
USB_DEVICE_ID	vid_00000ff7[] =
{
	{0x80000000, _T("Usb Device")}
};

// Aopen Devices
USB_DEVICE_ID	vid_00000fff[] =
{
	{0x80000000, _T("Usb Device")}
};

// Speed Tech Devices
USB_DEVICE_ID	vid_00001000[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ritronics Components (S) Pte. Devices
USB_DEVICE_ID	vid_00001001[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sigma Devices
USB_DEVICE_ID	vid_00001003[] =
{
	{0x80000000, _T("Usb Device")}
};

// LG Electronics Devices
USB_DEVICE_ID	vid_00001004[] =
{
	{0x00001fae, _T("U8120 3G Cellphone")},
	{0x00006000, _T("VX4400/VX6000 Cellphone")},
	{0x00006800, _T("CDMA Modem")},
	{0x80000000, _T("Usb Device")}
};

// Apacer Technology Devices
USB_DEVICE_ID	vid_00001005[] =
{
	{0x0000b113, _T("Handy Steno 2.0")},
	{0x80000000, _T("Usb Device")}
};

// iRiver. Devices
USB_DEVICE_ID	vid_00001006[] =
{
	{0x00003002, _T("iHP-100/120/140 MP3 Player")},
	{0x80000000, _T("Usb Device")}
};

// Emuzed Devices
USB_DEVICE_ID	vid_00001009[] =
{
	{0x80000000, _T("Usb Device")}
};

// AV Chaseway Devices
USB_DEVICE_ID	vid_0000100a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chou Chin Industrial Devices
USB_DEVICE_ID	vid_0000100b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Netopia Devices
USB_DEVICE_ID	vid_0000100d[] =
{
	{0x00003342, _T("Cayman 3352 DSL Modem")},
	{0x0000cb01, _T("Cayman 3341 Ethernet DSL Router")},
	{0x80000000, _T("Usb Device")}
};

// Fukuda Denshi Devices
USB_DEVICE_ID	vid_00001010[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mobile Media Tech. Devices
USB_DEVICE_ID	vid_00001011[] =
{
	{0x80000000, _T("Usb Device")}
};

// SDKM Fibres, Wires & Cables Berhad Devices
USB_DEVICE_ID	vid_00001012[] =
{
	{0x80000000, _T("Usb Device")}
};

// TST-Touchless Sensor Technology AG Devices
USB_DEVICE_ID	vid_00001013[] =
{
	{0x80000000, _T("Usb Device")}
};

// Densitron Technologies PLC Devices
USB_DEVICE_ID	vid_00001014[] =
{
	{0x80000000, _T("Usb Device")}
};

// Softronics Pty. Devices
USB_DEVICE_ID	vid_00001015[] =
{
	{0x80000000, _T("Usb Device")}
};

// Xiamen Hung's Enterprise Devices
USB_DEVICE_ID	vid_00001016[] =
{
	{0x80000000, _T("Usb Device")}
};

// Speedy Industrial Supplies, Pte. Devices
USB_DEVICE_ID	vid_00001017[] =
{
	{0x80000000, _T("Usb Device")}
};

// Labtec Devices
USB_DEVICE_ID	vid_00001020[] =
{
	{0x0000000a, _T("Wireless Optical Mouse")},
	{0x80000000, _T("Usb Device")}
};

// Shinko Shoji Devices
USB_DEVICE_ID	vid_00001022[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hyper-Paltek Devices
USB_DEVICE_ID	vid_00001025[] =
{
	{0x0000005e, _T("USB DVB-T device")},
	{0x0000005f, _T("USB DVB-T device")},
	{0x80000000, _T("Usb Device")}
};

// Newly Devices
USB_DEVICE_ID	vid_00001026[] =
{
	{0x80000000, _T("Usb Device")}
};

// Time Domain Devices
USB_DEVICE_ID	vid_00001027[] =
{
	{0x80000000, _T("Usb Device")}
};

// Inovys Devices
USB_DEVICE_ID	vid_00001028[] =
{
	{0x80000000, _T("Usb Device")}
};

// Atlantic Coast Telesys Devices
USB_DEVICE_ID	vid_00001029[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ramos Technology Devices
USB_DEVICE_ID	vid_0000102a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Infotronic America Devices
USB_DEVICE_ID	vid_0000102b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Etoms Electronics Devices
USB_DEVICE_ID	vid_0000102c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Winic Devices
USB_DEVICE_ID	vid_0000102d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Comax Technology Devices
USB_DEVICE_ID	vid_00001031[] =
{
	{0x80000000, _T("Usb Device")}
};

// C-One Technology Devices
USB_DEVICE_ID	vid_00001032[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nucam Devices
USB_DEVICE_ID	vid_00001033[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ideazon Devices
USB_DEVICE_ID	vid_00001038[] =
{
	{0x00000100, _T("Zboard")},
	{0x80000000, _T("Usb Device")}
};

// iCreate Technologies Devices
USB_DEVICE_ID	vid_00001043[] =
{
	{0x00008006, _T("Flash Disk")},
	{0x80000000, _T("Usb Device")}
};

// Chu Yuen Enterprise Devices
USB_DEVICE_ID	vid_00001044[] =
{
	{0x80000000, _T("Usb Device")}
};

// Winbond Electronics [hex] Devices
USB_DEVICE_ID	vid_00001046[] =
{
	{0x00009967, _T("W9967CF/W9968CF WebCam IC")},
	{0x80000000, _T("Usb Device")}
};

// AMCO TEC International Devices
USB_DEVICE_ID	vid_0000104c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Immanuel Electronics Devices
USB_DEVICE_ID	vid_00001053[] =
{
	{0x80000000, _T("Usb Device")}
};

// BMS International Beheer N.V. Devices
USB_DEVICE_ID	vid_00001054[] =
{
	{0x80000000, _T("Usb Device")}
};

// Complex Micro Interconnection Devices
USB_DEVICE_ID	vid_00001055[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hsin Chen Ent Devices
USB_DEVICE_ID	vid_00001056[] =
{
	{0x80000000, _T("Usb Device")}
};

// ON Semiconductor Devices
USB_DEVICE_ID	vid_00001057[] =
{
	{0x80000000, _T("Usb Device")}
};

// Western Digital Technologies Devices
USB_DEVICE_ID	vid_00001058[] =
{
	{0x80000000, _T("Usb Device")}
};

// Giesecke & Devrient GmbH Devices
USB_DEVICE_ID	vid_00001059[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hong Ji Electric Wire & Cable (Dongguan) Devices
USB_DEVICE_ID	vid_0000105c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Delkin Devices Devices
USB_DEVICE_ID	vid_0000105d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Valence Semiconductor Design Devices
USB_DEVICE_ID	vid_0000105e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chin Shong Enterprise Devices
USB_DEVICE_ID	vid_0000105f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Easthome Industrial Devices
USB_DEVICE_ID	vid_00001060[] =
{
	{0x80000000, _T("Usb Device")}
};

// Motorola Electronics Taiwan [hex] Devices
USB_DEVICE_ID	vid_00001063[] =
{
	{0x00001555, _T("MC141555 Hub")},
	{0x80000000, _T("Usb Device")}
};

// CCYU Technology Devices
USB_DEVICE_ID	vid_00001065[] =
{
	{0x00002136, _T("EasyDisk ED1064")},
	{0x80000000, _T("Usb Device")}
};

// Loyal Legend Devices
USB_DEVICE_ID	vid_0000106a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Curitel Communications Devices
USB_DEVICE_ID	vid_0000106c[] =
{
	{0x00002101, _T("AudioVox 8900 Cell Phone")},
	{0x80000000, _T("Usb Device")}
};

// San Chieh Manufacturing Devices
USB_DEVICE_ID	vid_0000106d[] =
{
	{0x80000000, _T("Usb Device")}
};

// ConectL Devices
USB_DEVICE_ID	vid_0000106e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Money Controls Devices
USB_DEVICE_ID	vid_0000106f[] =
{
	{0x80000000, _T("Usb Device")}
};

// GCT Semiconductor Devices
USB_DEVICE_ID	vid_00001076[] =
{
	{0x80000000, _T("Usb Device")}
};

// Arlec Australia Devices
USB_DEVICE_ID	vid_0000107d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Midoriya Electric Devices
USB_DEVICE_ID	vid_0000107e[] =
{
	{0x80000000, _T("Usb Device")}
};

// KidzMouse Devices
USB_DEVICE_ID	vid_0000107f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Shin-Etsukaken Devices
USB_DEVICE_ID	vid_00001082[] =
{
	{0x80000000, _T("Usb Device")}
};

// Canon Electronics Devices
USB_DEVICE_ID	vid_00001083[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pantech Devices
USB_DEVICE_ID	vid_00001084[] =
{
	{0x80000000, _T("Usb Device")}
};

// Chloride Power Protection Devices
USB_DEVICE_ID	vid_0000108a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Grand-tek Technology Devices
USB_DEVICE_ID	vid_0000108b[] =
{
	{0x80000000, _T("Usb Device")}
};

// Robert Bosch GmbH Devices
USB_DEVICE_ID	vid_0000108c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Surface Optics Devices
USB_DEVICE_ID	vid_00001099[] =
{
	{0x80000000, _T("Usb Device")}
};

// DATASOFT Systems GmbH Devices
USB_DEVICE_ID	vid_0000109a[] =
{
	{0x80000000, _T("Usb Device")}
};

// eSOL Devices
USB_DEVICE_ID	vid_0000109f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Hirotech Devices
USB_DEVICE_ID	vid_000010a0[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mitsubishi Materials Devices
USB_DEVICE_ID	vid_000010a3[] =
{
	{0x80000000, _T("Usb Device")}
};

// SK Teletech Devices
USB_DEVICE_ID	vid_000010a9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cables To Go Devices
USB_DEVICE_ID	vid_000010aa[] =
{
	{0x80000000, _T("Usb Device")}
};

// USI Devices
USB_DEVICE_ID	vid_000010ab[] =
{
	{0x000010c5, _T("Sony-Ericsson / Samsung DataCable")},
	{0x80000000, _T("Usb Device")}
};

// Honeywell Devices
USB_DEVICE_ID	vid_000010ac[] =
{
	{0x80000000, _T("Usb Device")}
};

// Princeton Technology Devices
USB_DEVICE_ID	vid_000010ae[] =
{
	{0x80000000, _T("Usb Device")}
};

// Comodo (PLX?) Devices
USB_DEVICE_ID	vid_000010b5[] =
{
	{0x00009060, _T("Test Board")},
	{0x80000000, _T("Usb Device")}
};

// DiBcom Devices
USB_DEVICE_ID	vid_000010b8[] =
{
	{0x00000bb8, _T("DiBcom USB DVB-T reference design (MOD300) (cold)")},
	{0x00000bb9, _T("DiBcom USB DVB-T reference design (MOD300) (warm)")},
	{0x00000bc6, _T("DiBcom USB2.0 DVB-T reference design (MOD3000P) (cold)")},
	{0x00000bc7, _T("DiBcom USB2.0 DVB-T reference design (MOD3000P) (warm)")},
	{0x80000000, _T("Usb Device")}
};

// TM Technology Devices
USB_DEVICE_ID	vid_000010bb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Dinging Technology Devices
USB_DEVICE_ID	vid_000010bc[] =
{
	{0x80000000, _T("Usb Device")}
};

// TMT Technology Devices
USB_DEVICE_ID	vid_000010bd[] =
{
	{0x80000000, _T("Usb Device")}
};

// SmartHome Devices
USB_DEVICE_ID	vid_000010bf[] =
{
	{0x00000001, _T("SmartHome PowerLinc")},
	{0x80000000, _T("Usb Device")}
};

// Cygnal Integrated Products Devices
USB_DEVICE_ID	vid_000010c4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sanei Electric Devices
USB_DEVICE_ID	vid_000010c5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intec Devices
USB_DEVICE_ID	vid_000010c6[] =
{
	{0x80000000, _T("Usb Device")}
};

// Eratech Devices
USB_DEVICE_ID	vid_000010cb[] =
{
	{0x80000000, _T("Usb Device")}
};

// GBM Connector Devices
USB_DEVICE_ID	vid_000010cc[] =
{
	{0x80000000, _T("Usb Device")}
};

// Kycon Devices
USB_DEVICE_ID	vid_000010cd[] =
{
	{0x80000000, _T("Usb Device")}
};

// Velleman Components Devices
USB_DEVICE_ID	vid_000010cf[] =
{
	{0x00005500, _T("8055 Experiment Interface Board (address=0)")},
	{0x00005501, _T("8055 Experiment Interface Board (address=1)")},
	{0x00005502, _T("8055 Experiment Interface Board (address=2)")},
	{0x00005503, _T("8055 Experiment Interface Board (address=3)")},
	{0x80000000, _T("Usb Device")}
};

// Hottinger Baldwin Measurement Devices
USB_DEVICE_ID	vid_000010d1[] =
{
	{0x00000101, _T("USB-Module for Spider8, CP32")},
	{0x00000202, _T("CP22 - Communication Processor")},
	{0x00000301, _T("CP42 - Communication Processor")},
	{0x80000000, _T("Usb Device")}
};

// Man Boon Manufactory Devices
USB_DEVICE_ID	vid_000010d4[] =
{
	{0x80000000, _T("Usb Device")}
};

// Uni Class Technology Devices
USB_DEVICE_ID	vid_000010d5[] =
{
	{0x80000000, _T("Usb Device")}
};

// Actions Semiconductor Devices
USB_DEVICE_ID	vid_000010d6[] =
{
	{0x00001000, _T("MP3 Player")},
	{0x00001100, _T("MPMan MP-Ki 128 MP3 Player/Recorder")},
	{0x80000000, _T("Usb Device")}
};

// Authenex Devices
USB_DEVICE_ID	vid_000010de[] =
{
	{0x80000000, _T("Usb Device")}
};

// In-Win Development Devices
USB_DEVICE_ID	vid_000010df[] =
{
	{0x80000000, _T("Usb Device")}
};

// Post-Op Video Devices
USB_DEVICE_ID	vid_000010e0[] =
{
	{0x80000000, _T("Usb Device")}
};

// CablePlus Devices
USB_DEVICE_ID	vid_000010e1[] =
{
	{0x80000000, _T("Usb Device")}
};

// Nada Electronics Devices
USB_DEVICE_ID	vid_000010e2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Vast Technologies Devices
USB_DEVICE_ID	vid_000010ec[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pictos Technologies Devices
USB_DEVICE_ID	vid_000010fb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Anubis Electronics Devices
USB_DEVICE_ID	vid_000010fd[] =
{
	{0x0000804d, _T("Typhoon Webshot II Webcam [zc0301]")},
	{0x80000000, _T("Usb Device")}
};

// ... Devices
USB_DEVICE_ID	vid_00001a0a[] =
{
	{0x0000badd, _T("USB OTG Compliance test device")},
	{0x80000000, _T("Usb Device")}
};

// VirTouch Devices
USB_DEVICE_ID	vid_00001100[] =
{
	{0x00000001, _T("VTPlayer VTP-1 Braille Mouse")},
	{0x80000000, _T("Usb Device")}
};

// EasyPass Industrial Devices
USB_DEVICE_ID	vid_00001101[] =
{
	{0x00000001, _T("FSK Electronics Super GSM Reader")},
	{0x80000000, _T("Usb Device")}
};

// Brightcom Technologies Devices
USB_DEVICE_ID	vid_00001108[] =
{
	{0x80000000, _T("Usb Device")}
};

// Analog Devices Canada (Allied Telesyn) Devices
USB_DEVICE_ID	vid_00001110[] =
{
	{0x0000900f, _T("AT-AR215 DSL Modem")},
	{0x80000000, _T("Usb Device")}
};

// YM ELECTRIC Devices
USB_DEVICE_ID	vid_00001112[] =
{
	{0x80000000, _T("Usb Device")}
};

// Medion AG Devices
USB_DEVICE_ID	vid_00001113[] =
{
	{0x80000000, _T("Usb Device")}
};

// VSO Electric Devices
USB_DEVICE_ID	vid_0000111e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Master Hill Electric Wire and Cable Devices
USB_DEVICE_ID	vid_0000112e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cellon International Devices
USB_DEVICE_ID	vid_0000112f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tenx Technology Devices
USB_DEVICE_ID	vid_00001130[] =
{
	{0x80000000, _T("Usb Device")}
};

// Integrated System Solution Devices
USB_DEVICE_ID	vid_00001131[] =
{
	{0x00001001, _T("KY-BT100 Bluetooth Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Toshiba, Digital Media Equipment [hex] Devices
USB_DEVICE_ID	vid_00001132[] =
{
	{0x00004331, _T("PDR-M4/M5/M70 Digital Camera")},
	{0x00004332, _T("PDR-M60 Digital Camera")},
	{0x80000000, _T("Usb Device")}
};

// Arin Tech Devices
USB_DEVICE_ID	vid_0000113c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Mapower Electronics Devices
USB_DEVICE_ID	vid_0000113d[] =
{
	{0x80000000, _T("Usb Device")}
};

// V One Multimedia, Pte. Devices
USB_DEVICE_ID	vid_00001141[] =
{
	{0x80000000, _T("Usb Device")}
};

// CyberScan Technologies Devices
USB_DEVICE_ID	vid_00001142[] =
{
	{0x80000000, _T("Usb Device")}
};

// Ever Great Electric Wire and Cable Devices
USB_DEVICE_ID	vid_00001147[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tinius Olsen Testing Machine Devices
USB_DEVICE_ID	vid_0000114c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Alpha Imaging Technology Devices
USB_DEVICE_ID	vid_0000114d[] =
{
	{0x80000000, _T("Usb Device")}
};

// Secugen Devices
USB_DEVICE_ID	vid_00001162[] =
{
	{0x80000000, _T("Usb Device")}
};

// DeLorme Publishing Devices
USB_DEVICE_ID	vid_00001163[] =
{
	{0x80000000, _T("Usb Device")}
};

// YUAN High-Tech Development Devices
USB_DEVICE_ID	vid_00001164[] =
{
	{0x80000000, _T("Usb Device")}
};

// Telson Electronics Devices
USB_DEVICE_ID	vid_00001165[] =
{
	{0x80000000, _T("Usb Device")}
};

// Bantam Interactive Technologies Devices
USB_DEVICE_ID	vid_00001166[] =
{
	{0x80000000, _T("Usb Device")}
};

// Salient Systems Devices
USB_DEVICE_ID	vid_00001167[] =
{
	{0x80000000, _T("Usb Device")}
};

// BizConn International Devices
USB_DEVICE_ID	vid_00001168[] =
{
	{0x80000000, _T("Usb Device")}
};

// Gigastorage Devices
USB_DEVICE_ID	vid_0000116e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Silicon 10 Technology Devices
USB_DEVICE_ID	vid_0000116f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Shengyih Steel Mold Devices
USB_DEVICE_ID	vid_00001175[] =
{
	{0x80000000, _T("Usb Device")}
};

// Santa Electronic Devices
USB_DEVICE_ID	vid_0000117d[] =
{
	{0x80000000, _T("Usb Device")}
};

// JNC Devices
USB_DEVICE_ID	vid_0000117e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Venture Devices
USB_DEVICE_ID	vid_00001182[] =
{
	{0x80000000, _T("Usb Device")}
};

// Compaq Computer [hex] (Digital Dream ?) Devices
USB_DEVICE_ID	vid_00001183[] =
{
	{0x000019c7, _T("ISDN TA")},
	{0x00004008, _T("56k FaxModem")},
	{0x0000504a, _T("PJB-100 Personal Jukebox")},
	{0x80000000, _T("Usb Device")}
};

// Kyocera Elco Devices
USB_DEVICE_ID	vid_00001184[] =
{
	{0x80000000, _T("Usb Device")}
};

// You Yang Technology Devices
USB_DEVICE_ID	vid_0000118f[] =
{
	{0x80000000, _T("Usb Device")}
};

// Tripace Devices
USB_DEVICE_ID	vid_00001190[] =
{
	{0x80000000, _T("Usb Device")}
};

// Loyalty Founder Enterprise Devices
USB_DEVICE_ID	vid_00001191[] =
{
	{0x80000000, _T("Usb Device")}
};

// Yankee Robotics, LLC Devices
USB_DEVICE_ID	vid_00001196[] =
{
	{0x00000010, _T("Trifid Camera without code")},
	{0x00000011, _T("Trifid Camera")},
	{0x80000000, _T("Usb Device")}
};

// Technoimagia Devices
USB_DEVICE_ID	vid_00001197[] =
{
	{0x80000000, _T("Usb Device")}
};

// StarShine Technology Devices
USB_DEVICE_ID	vid_00001198[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sierra Wireless Devices
USB_DEVICE_ID	vid_00001199[] =
{
	{0x00000112, _T("CDMA 1xEVDO PC Card, AirCard 580")},
	{0x80000000, _T("Usb Device")}
};

// ZHAN QI Technology Devices
USB_DEVICE_ID	vid_0000119a[] =
{
	{0x80000000, _T("Usb Device")}
};

// ruwido austria GmbH Devices
USB_DEVICE_ID	vid_0000119b[] =
{
	{0x00000400, _T("Infrared Keyboard V2.01")},
	{0x80000000, _T("Usb Device")}
};

// Chipcon AS Devices
USB_DEVICE_ID	vid_000011a0[] =
{
	{0x0000eb11, _T("CC2400EB 2.0 ZigBee Sniffer")},
	{0x80000000, _T("Usb Device")}
};

// Technovas Devices
USB_DEVICE_ID	vid_000011a3[] =
{
	{0x80000000, _T("Usb Device")}
};

// GlobalMedia Group, LLC Devices
USB_DEVICE_ID	vid_000011aa[] =
{
	{0x80000000, _T("Usb Device")}
};

// Exito Electronics Devices
USB_DEVICE_ID	vid_000011ab[] =
{
	{0x80000000, _T("Usb Device")}
};

// Topfield. Devices
USB_DEVICE_ID	vid_000011db[] =
{
	{0x00001000, _T("PVR")},
	{0x00001100, _T("PVR")},
	{0x80000000, _T("Usb Device")}
};

// Siemens AG (?) Devices
USB_DEVICE_ID	vid_000011f5[] =
{
	{0x00000003, _T("Mobile phone USB cable")},
	{0x80000000, _T("Usb Device")}
};

// Alcatel (?) Devices
USB_DEVICE_ID	vid_000011f7[] =
{
	{0x000002df, _T("TD10 Mobile phone USB cable")},
	{0x80000000, _T("Usb Device")}
};

// InterBiometrics Devices
USB_DEVICE_ID	vid_00001209[] =
{
	{0x00001001, _T("USB Hub")},
	{0x00001002, _T("USB Relais")},
	{0x00001003, _T("IBSecureCam-P")},
	{0x00001004, _T("IBSecureCam-O")},
	{0x00001005, _T("IBSecureCam-N")},
	{0x80000000, _T("Usb Device")}
};

// Hudson Soft Devices
USB_DEVICE_ID	vid_0000120e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Jungsoft Devices
USB_DEVICE_ID	vid_0000121e[] =
{
	{0x00003403, _T("Muzio JM250 Audio Player")},
	{0x80000000, _T("Usb Device")}
};

// Belkin Devices
USB_DEVICE_ID	vid_00001241[] =
{
	{0x00001111, _T("Mouse")},
	{0x00001177, _T("F8E842-DL Mouse")},
	{0x80000000, _T("Usb Device")}
};

// AirVast Devices
USB_DEVICE_ID	vid_0000124a[] =
{
	{0x00004017, _T("PC-Chips 802.11b Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Nyko (Honey Bee) Devices
USB_DEVICE_ID	vid_0000124b[] =
{
	{0x00004d01, _T("Airflo EX Joystick")},
	{0x80000000, _T("Usb Device")}
};

// Logic3 / SpectraVideo plc Devices
USB_DEVICE_ID	vid_00001267[] =
{
	{0x00000201, _T("A4Tech SWOP-3 Mouse")},
	{0x0000a001, _T("JP260 PC Game Pad")},
	{0x80000000, _T("Usb Device")}
};

// Strobe Data Devices
USB_DEVICE_ID	vid_0000126e[] =
{
	{0x80000000, _T("Usb Device")}
};

// TwinMOS Devices
USB_DEVICE_ID	vid_0000126f[] =
{
	{0x00001325, _T("Mobile Disk")},
	{0x00002168, _T("Mobile Disk III")},
	{0x80000000, _T("Usb Device")}
};

// Xaxero Marine Software Engineering. Devices
USB_DEVICE_ID	vid_00001275[] =
{
	{0x00000002, _T("WeatherFax 2000 Demodulator")},
	{0x00000080, _T("SkyEye Weather Satellite Receiver")},
	{0x80000000, _T("Usb Device")}
};

// Innomedia Devices
USB_DEVICE_ID	vid_00001292[] =
{
	{0x00000258, _T("Creative Labs VoIP Blaster")},
	{0x80000000, _T("Usb Device")}
};

// Belkin Components [hex] Devices
USB_DEVICE_ID	vid_00001293[] =
{
	{0x00000002, _T("F5U002 Parallel Port [uss720]")},
	{0x00002101, _T("104-key keyboard")},
	{0x80000000, _T("Usb Device")}
};

// AIN Comm. Technology Devices
USB_DEVICE_ID	vid_000012fd[] =
{
	{0x00001001, _T("AWU2000b 802.11b Stick")},
	{0x80000000, _T("Usb Device")}
};

// Roper Devices
USB_DEVICE_ID	vid_00001310[] =
{
	{0x00000001, _T("Class 1 Bluetooth Dongle")},
	{0x80000000, _T("Usb Device")}
};

// ICS Electronics Devices
USB_DEVICE_ID	vid_00001312[] =
{
	{0x80000000, _T("Usb Device")}
};

// Natural Point Devices
USB_DEVICE_ID	vid_0000131d[] =
{
	{0x00000155, _T("TrackIR 3 Pro Head Tracker")},
	{0x80000000, _T("Usb Device")}
};

// Konica Minolta Devices
USB_DEVICE_ID	vid_0000132b[] =
{
	{0x00000000, _T("Dimage A2 Camera")},
	{0x00000003, _T("Dimage Xg Camera")},
	{0x00000006, _T("Dimage Z2 Camera")},
	{0x00000008, _T("Dimage X21 Camera")},
	{0x0000000b, _T("Dimage Z10 Camera")},
	{0x0000000d, _T("Dimage X50 Camera [storage?]")},
	{0x0000000f, _T("Dimage X50 Camera [p2p?]")},
	{0x00000010, _T("Dimage G600 Camera")},
	{0x00000012, _T("Dimage Scan Elite5400 2")},
	{0x00000013, _T("Dimage X31 Camera")},
	{0x00000015, _T("Dimage G530 Camera")},
	{0x00000017, _T("Dimage Z3 Camera")},
	{0x00000019, _T("Dimage A200 Camera")},
	{0x00000021, _T("Dimage Z5 Camera")},
	{0x80000000, _T("Usb Device")}
};

// Mobility Devices
USB_DEVICE_ID	vid_00001342[] =
{
	{0x00000200, _T("EasiDock 200 Hub")},
	{0x00000201, _T("EasiDock 200 Keyboard and Mouse Port")},
	{0x00000202, _T("EasiDock 200 Serial Port")},
	{0x00000203, _T("EasiDock 200 Printer Port")},
	{0x80000000, _T("Usb Device")}
};

// Digby's Bitpile DBA D Bit Devices
USB_DEVICE_ID	vid_0000134e[] =
{
	{0x80000000, _T("Usb Device")}
};

// Swissbit Devices
USB_DEVICE_ID	vid_00001370[] =
{
	{0x00006828, _T("Victorinox Flash Drive")},
	{0x80000000, _T("Usb Device")}
};

// Q-tec Devices
USB_DEVICE_ID	vid_00001398[] =
{
	{0x00002103, _T("USB 2.0 Storage Device")},
	{0x80000000, _T("Usb Device")}
};

// Alesis Devices
USB_DEVICE_ID	vid_000013b0[] =
{
	{0x0000000a, _T("Photon X25 MIDI Controller")},
	{0x80000000, _T("Usb Device")}
};

// Linksys Devices
USB_DEVICE_ID	vid_000013b1[] =
{
	{0x0000000b, _T("WUSB11 v4.0 802.11b Adapter")},
	{0x00000011, _T("WUSB54GP v4.0 802.11g Adapter")},
	{0x00000018, _T("USB200M 10/100 Ethernet Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Shark Multimedia Devices
USB_DEVICE_ID	vid_000013d2[] =
{
	{0x00000400, _T("Pocket Ethernet [klsi]")},
	{0x80000000, _T("Usb Device")}
};

// IMC Networks Devices
USB_DEVICE_ID	vid_000013d3[] =
{
	{0x00003201, _T("VisionDTV USB-Ter/HAMA USB DVB-T device cold")},
	{0x00003202, _T("VisionDTV USB-Ter/HAMA USB DVB-T device warm")},
	{0x80000000, _T("Usb Device")}
};

// Radio Shack Devices
USB_DEVICE_ID	vid_00001453[] =
{
	{0x00004026, _T("26-183 Serial Cable")},
	{0x80000000, _T("Usb Device")}
};

// Micro Star International Devices
USB_DEVICE_ID	vid_00001462[] =
{
	{0x00005512, _T("MegaStick-1 Flash Stick")},
	{0x80000000, _T("Usb Device")}
};

// Formosa Industrial Computing Devices
USB_DEVICE_ID	vid_0000147a[] =
{
	{0x80000000, _T("Usb Device")}
};

// Elsa AG [hex] Devices
USB_DEVICE_ID	vid_00001484[] =
{
	{0x00001746, _T("Ecomo 19H99 Monitor")},
	{0x00007616, _T("Elsa Hub")},
	{0x80000000, _T("Usb Device")}
};

// Ralink Technology, Devices
USB_DEVICE_ID	vid_0000148f[] =
{
	{0x00002570, _T("802.11g WiFi")},
	{0x80000000, _T("Usb Device")}
};

// AVerMedia (again) or C&E Devices
USB_DEVICE_ID	vid_000014aa[] =
{
	{0x00000001, _T("Avermedia AverTV DVBT USB1.1 (cold)")},
	{0x00000002, _T("Avermedia AverTV DVBT USB1.1 (warm)")},
	{0x00000201, _T("AVermedia/Yakumo/Hama/Typhoon DVB-T USB2.0 (cold)")},
	{0x00000301, _T("AVermedia/Yakumo/Hama/Typhoon DVB-T USB2.0 (warm)")},
	{0x80000000, _T("Usb Device")}
};

// Gemlight Computer Devices
USB_DEVICE_ID	vid_000014c2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cheshire Engineering Devices
USB_DEVICE_ID	vid_00001518[] =
{
	{0x00000001, _T("HDReye High Dynamic Range Camera")},
	{0x00000002, _T("HDReye (before firmware loads)")},
	{0x80000000, _T("Usb Device")}
};

// Bitwire Devices
USB_DEVICE_ID	vid_00001520[] =
{
	{0x80000000, _T("Usb Device")}
};

// LG (HLDS) Devices
USB_DEVICE_ID	vid_0000152e[] =
{
	{0x0000e001, _T("GSA-5120D DVD-RW")},
	{0x80000000, _T("Usb Device")}
};

// U-Blox AG Devices
USB_DEVICE_ID	vid_00001546[] =
{
	{0x80000000, _T("Usb Device")}
};

// Prolink Microsystems Devices
USB_DEVICE_ID	vid_00001554[] =
{
	{0x80000000, _T("Usb Device")}
};

// Sunf Pu Technology Devices
USB_DEVICE_ID	vid_00001568[] =
{
	{0x80000000, _T("Usb Device")}
};

// SoundGraph Inc. Devices
USB_DEVICE_ID	vid_000015c2[] =
{
	{0x0000ffdc, _T("iMON PAD Remote Controller")},
	{0x80000000, _T("Usb Device")}
};

// Laboratoires MXM Devices
USB_DEVICE_ID	vid_000015c6[] =
{
	{0x80000000, _T("Usb Device")}
};

// SohoWare Devices
USB_DEVICE_ID	vid_000015e8[] =
{
	{0x00009100, _T("NUB100 Ethernet [pegasus]")},
	{0x80000000, _T("Usb Device")}
};

// Pacific Digital Devices
USB_DEVICE_ID	vid_000015e9[] =
{
	{0x80000000, _T("Usb Device")}
};

// HanfTek Devices
USB_DEVICE_ID	vid_000015f4[] =
{
	{0x00000001, _T("HanfTek UMT-010 USB2.0 DVB-T (cold)")},
	{0x00000025, _T("HanfTek UMT-010 USB2.0 DVB-T (warm)")},
	{0x80000000, _T("Usb Device")}
};

// Tascam Devices
USB_DEVICE_ID	vid_00001604[] =
{
	{0x00008000, _T("US-428 Audio/Midi Controller (without fw)")},
	{0x00008001, _T("US-428 Audio/Midi Controller")},
	{0x00008004, _T("US-224 Audio/Midi Controller (without fw)")},
	{0x00008005, _T("US-224 Audio/Midi Controller")},
	{0x00008006, _T("US-122 Audio/Midi Interface (without fw)")},
	{0x00008007, _T("US-122 Audio/Midi Interface")},
	{0x80000000, _T("Usb Device")}
};

// Umax [hex] Devices
USB_DEVICE_ID	vid_00001606[] =
{
	{0x00000010, _T("Astra 1220U")},
	{0x00000030, _T("Astra 2000U")},
	{0x00000060, _T("Astra 3400U")},
	{0x00000130, _T("Astra 2100U")},
	{0x00000160, _T("Astra 5400U")},
	{0x00000230, _T("Astra 2200/2200SU")},
	{0x00002020, _T("AstraCam 1000")},
	{0x80000000, _T("Usb Device")}
};

// Inside Out Networks [hex] Devices
USB_DEVICE_ID	vid_00001608[] =
{
	{0x00000001, _T("EdgePort/4 Serial Port")},
	{0x00001403, _T("MultiTech Systems MT4X56 Modem")},
	{0x80000000, _T("Usb Device")}
};

// Entrega [hex] Devices
USB_DEVICE_ID	vid_00001645[] =
{
	{0x00000001, _T("1S Serial Port")},
	{0x00000002, _T("2S Serial Port")},
	{0x00000003, _T("1S25 Serial Port")},
	{0x00000004, _T("4S Serial Port")},
	{0x00000005, _T("E45 Ethernet [klsi]")},
	{0x00000006, _T("Parallel Port")},
	{0x00000007, _T("U1-SC25 SCSI")},
	{0x00000093, _T("1S9 Serial Port")},
	{0x00008000, _T("EZ-USB")},
	{0x00008002, _T("2x Serial Port")},
	{0x00008093, _T("PortGear Serial Port")},
	{0x80000000, _T("Usb Device")}
};

// Struck Innovative Systeme GmbH Devices
USB_DEVICE_ID	vid_00001657[] =
{
	{0x00003150, _T("SIS3150 USB2.0 to VME interface")},
	{0x80000000, _T("Usb Device")}
};

// Actiontec Electronics [hex] Devices
USB_DEVICE_ID	vid_00001668[] =
{
	{0x00000333, _T("Modem")},
	{0x00000408, _T("Prism2.5 802.11b Adapter")},
	{0x00000421, _T("Prism2.5 802.11b Adapter")},
	{0x00000500, _T("BTM200B BlueTooth Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Askey Computer [hex] Devices
USB_DEVICE_ID	vid_00001690[] =
{
	{0x00000101, _T("Creative Modem Blaster DE5670")},
	{0x00000103, _T("Askey 1456 VQE-R3 Modem [conexant]")},
	{0x00000109, _T("Askey MagicXpress V.90 Pocket Modem [conexant]")},
	{0x80000000, _T("Usb Device")}
};

// Hitachi Video and Information System Devices
USB_DEVICE_ID	vid_00001696[] =
{
	{0x80000000, _T("Usb Device")}
};

// VTec Test Devices
USB_DEVICE_ID	vid_00001697[] =
{
	{0x80000000, _T("Usb Device")}
};

// BlueView Technologies Devices
USB_DEVICE_ID	vid_00001706[] =
{
	{0x80000000, _T("Usb Device")}
};

// Cellink Technology Devices
USB_DEVICE_ID	vid_00001733[] =
{
	{0x00000101, _T("RF Wireless Optical Mouse OP-701")},
	{0x80000000, _T("Usb Device")}
};

// Cornice Devices
USB_DEVICE_ID	vid_000017eb[] =
{
	{0x80000000, _T("Usb Device")}
};

// Twinhan Devices
USB_DEVICE_ID	vid_00001822[] =
{
	{0x00003201, _T("VisionDTV USB-Ter/HAMA USB DVB-T device cold")},
	{0x00003202, _T("VisionDTV USB-Ter/HAMA USB DVB-T device warm")},
	{0x80000000, _T("Usb Device")}
};

// Compro Devices
USB_DEVICE_ID	vid_0000185b[] =
{
	{0x0000d000, _T("Compro Videomate DVB-U2000 - DVB-T USB cold")},
	{0x0000d001, _T("Compro Videomate DVB-U2000 - DVB-T USB warm")},
	{0x80000000, _T("Usb Device")}
};

// Topseed Devices
USB_DEVICE_ID	vid_00001894[] =
{
	{0x00005632, _T("Atek Tote Remote")},
	{0x00005641, _T("TSAM-004 Presentation Remote")},
	{0x80000000, _T("Usb Device")}
};

// T-Logic Devices
USB_DEVICE_ID	vid_00001977[] =
{
	{0x00000111, _T("TL203 MP3 Player and Voice Recorder")},
	{0x80000000, _T("Usb Device")}
};

// NuCORE Technology Devices
USB_DEVICE_ID	vid_00001ebb[] =
{
	{0x80000000, _T("Usb Device")}
};

// D-Link [hex] Devices
USB_DEVICE_ID	vid_00002001[] =
{
	{0x00003200, _T("DWL-120 802.11b (Atmel RFMD503A) [usbvnetr]")},
	{0x00003700, _T("DWL-122 802.11b")},
	{0x00003701, _T("DWL-G120 Spinnaker 802.11b")},
	{0x00003703, _T("DWL-122 802.11b")},
	{0x00003704, _T("DWL-G122 802.11g rev. A2")},
	{0x00003c00, _T("DWL-G122 802.11g rev. B1 [ralink]")},
	{0x00004000, _T("DSB-650C Ethernet [klsi]")},
	{0x00004001, _T("DSB-650TX Ethernet [pegasus]")},
	{0x00004002, _T("DSB-650TX Ethernet [pegasus]")},
	{0x00004003, _T("DSB-650TX-PNA Ethernet [pegasus]")},
	{0x0000abc1, _T("DSB-650 Ethernet [pegasus]")},
	{0x0000f013, _T("DLink 7 port USB2.0 Hub")},
	{0x0000f10d, _T("Accent Communications Modem")},
	{0x80000000, _T("Usb Device")}
};

// Hauppauge Devices
USB_DEVICE_ID	vid_00002040[] =
{
	{0x00009300, _T("Hauppauge WinTV NOVA-T USB2 (cold)")},
	{0x00009301, _T("Hauppauge WinTV NOVA-T USB2 (warm)")},
	{0x80000000, _T("Usb Device")}
};

// ActionStar Devices
USB_DEVICE_ID	vid_00002101[] =
{
	{0x00000201, _T("SIIG 4-to-2 Printer Switch")},
	{0x80000000, _T("Usb Device")}
};

// Creative (?) Devices
USB_DEVICE_ID	vid_00002162[] =
{
	{0x0000500c, _T("DE5771 Modem Blaster")},
	{0x80000000, _T("Usb Device")}
};

// MacAlly Devices
USB_DEVICE_ID	vid_00002222[] =
{
	{0x00000004, _T("iWebKey Keyboard")},
	{0x80000000, _T("Usb Device")}
};

// Motorola PCS Devices
USB_DEVICE_ID	vid_000022b8[] =
{
	{0x00000005, _T("V.60c/V.60i GSM Phone")},
	{0x00001005, _T("T280e GSM/GPRS Phone")},
	{0x00002821, _T("T720 GSM Phone")},
	{0x00002822, _T("V.120e GSM Phone")},
	{0x00003002, _T("A835 GSM Phone")},
	{0x00003802, _T("C330/A780 GSM Phone")},
	{0x00004002, _T("A920/A925 UMTS Phone")},
	{0x00004810, _T("E398 Storage")},
	{0x00004902, _T("E398 GSM Phone")},
	{0x0000600c, _T("A768i GSM Phone")},
	{0x0000604c, _T("A780 GSM Phone (storage)")},
	{0x00006631, _T("CDC Modem")},
	{0x00006604, _T("Washington CDMA Phone")},
	{0x80000000, _T("Usb Device")}
};

// eTurboTouch Technology Devices
USB_DEVICE_ID	vid_000022b9[] =
{
	{0x80000000, _T("Usb Device")}
};

// Technology Innovation Holdings Devices
USB_DEVICE_ID	vid_000022ba[] =
{
	{0x80000000, _T("Usb Device")}
};

// Pinnacle Systems [hex] Devices
USB_DEVICE_ID	vid_00002304[] =
{
	{0x00000109, _T("Pinnacle Studio PCTV USB (SECAM)")},
	{0x00000110, _T("Pinnacle Studio PCTV USB (PAL)")},
	{0x00000111, _T("Miro PCTV USB")},
	{0x00000112, _T("Pinnacle Studio PCTV USB (NTSC) with FM radio")},
	{0x00000208, _T("Pinnacle Studio PCTV USB2")},
	{0x00000210, _T("Pinnacle Studio PCTV USB (PAL) with FM radio")},
	{0x00000212, _T("Pinnacle Studio PCTV USB (NTSC)")},
	{0x00000214, _T("Pinnacle Studio PCTV USB (PAL) with FM radio")},
	{0x00000300, _T("Pinnacle Studio Linx Video input cable (NTSC)")},
	{0x00000301, _T("Pinnacle Studio Linx Video input cable (PAL)")},
	{0x00000419, _T("Pinnacle PCTV Bungee USB (PAL) with FM radio")},
	{0x80000000, _T("Usb Device")}
};

// Shining Technologies [hex] Devices
USB_DEVICE_ID	vid_00002318[] =
{
	{0x00000011, _T("CitiDISK Jr. IDE Enclosure")},
	{0x80000000, _T("Usb Device")}
};

// Digit@lway Devices
USB_DEVICE_ID	vid_00002375[] =
{
	{0x00000001, _T("Digital Audio Player")},
	{0x80000000, _T("Usb Device")}
};

// SANHO Digital Electronics. Devices
USB_DEVICE_ID	vid_00002406[] =
{
	{0x00006688, _T("PD7X Portable Storage")},
	{0x80000000, _T("Usb Device")}
};

// TwinMOS Devices
USB_DEVICE_ID	vid_00002632[] =
{
	{0x00003209, _T("7-in-1 Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// Electronics For Imaging [hex] Devices
USB_DEVICE_ID	vid_00002650[] =
{
	{0x80000000, _T("Usb Device")}
};

// NHJ Devices
USB_DEVICE_ID	vid_00002770[] =
{
	{0x00009120, _T("Che-ez! Snap / iClick Tiny VGA Digital Camera")},
	{0x80000000, _T("Usb Device")}
};

// Toptronic Industrial Devices
USB_DEVICE_ID	vid_00002899[] =
{
	{0x80000000, _T("Usb Device")}
};

// Fujitsu Devices
USB_DEVICE_ID	vid_00002fb2[] =
{
	{0x80000000, _T("Usb Device")}
};

// Eagletron Devices
USB_DEVICE_ID	vid_00003125[] =
{
	{0x00000001, _T("TrackerPod Camera Stand")},
	{0x80000000, _T("Usb Device")}
};

// Whanam Electronics Devices
USB_DEVICE_ID	vid_00003176[] =
{
	{0x80000000, _T("Usb Device")}
};

// Yakumo Devices
USB_DEVICE_ID	vid_00003340[] =
{
	{0x00000e3a, _T("Pocket PC 300 GPS SL")},
	{0x80000000, _T("Usb Device")}
};

// Micro Star Devices
USB_DEVICE_ID	vid_00003504[] =
{
	{0x0000f110, _T("Security Key")},
	{0x80000000, _T("Usb Device")}
};

// Power Quotient International Devices
USB_DEVICE_ID	vid_00003538[] =
{
	{0x00000001, _T("Travel Flash")},
	{0x00000042, _T("Cool Drive U339 Flash Disk")},
	{0x80000000, _T("Usb Device")}
};

// DIVA Devices
USB_DEVICE_ID	vid_00003579[] =
{
	{0x00006901, _T("Media Reader")},
	{0x80000000, _T("Usb Device")}
};

// InVibro Devices
USB_DEVICE_ID	vid_00003636[] =
{
	{0x80000000, _T("Usb Device")}
};

// WEM Devices
USB_DEVICE_ID	vid_00003838[] =
{
	{0x00000001, _T("5-in-1 Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// National Instruments Devices
USB_DEVICE_ID	vid_00003923[] =
{
	{0x0000703c, _T("USB-485 RS485 Cable")},
	{0x80000000, _T("Usb Device")}
};

// iRiver. Devices
USB_DEVICE_ID	vid_00004102[] =
{
	{0x00001001, _T("iFP-100 series mp3 player")},
	{0x00001003, _T("iFP-300 series mp3 player")},
	{0x00001005, _T("iFP-500 series mp3 player")},
	{0x00001007, _T("iFP-700 series mp3/ogg vorbis player")},
	{0x00001008, _T("iFP-800 series mp3/ogg vorbis player")},
	{0x0000100a, _T("iFP-1000 series mp3/ogg vorbis player")},
	{0x00001101, _T("iFP-100 series mp3 player (ums firmware)")},
	{0x00001103, _T("iFP-300 series mp3 player (ums firmware)")},
	{0x00001105, _T("iFP-500 series mp3 player (ums firmware)")},
	{0x80000000, _T("Usb Device")}
};

// Dell Computer Devices
USB_DEVICE_ID	vid_0000413c[] =
{
	{0x00001002, _T("Keyboard Hub")},
	{0x00002002, _T("SK-8125 Keyboard")},
	{0x00002100, _T("SK-3106 Keyboard")},
	{0x00002101, _T("SmartCard Reader Keyboard")},
	{0x00002500, _T("DRAC4 Remote Access Card")},
	{0x00003010, _T("Optical Wheel Mouse")},
	{0x00004001, _T("Axim X5")},
	{0x00004002, _T("Axim X3")},
	{0x00004003, _T("Axim X30")},
	{0x00008100, _T("TrueMobile 1180 802.11b Adapter")},
	{0x00008103, _T("Wireless 350 Bluetooth")},
	{0x0000a001, _T("Hub")},
	{0x0000a700, _T("Hub (in 1905FP LCD Monitor)")},
	{0x80000000, _T("Usb Device")}
};

// USB Design by Example Devices
USB_DEVICE_ID	vid_00004242[] =
{
	{0x00004201, _T("Buttons and Lights HID device")},
	{0x00004220, _T("Echo 1 Camera")},
	{0x80000000, _T("Usb Device")}
};

// USBest Technology Devices
USB_DEVICE_ID	vid_00004146[] =
{
	{0x00009281, _T("Iomega Micro Mini Flash Drive")},
	{0x0000ba01, _T("Intuix Flash Drive")},
	{0x80000000, _T("Usb Device")}
};

// Shuttle Devices
USB_DEVICE_ID	vid_00004572[] =
{
	{0x00004572, _T("Shuttle PN31 Remote")},
	{0x80000000, _T("Usb Device")}
};

// Panram Devices
USB_DEVICE_ID	vid_00004586[] =
{
	{0x00001026, _T("Crystal Bar Flash Drive")},
	{0x80000000, _T("Usb Device")}
};

// EMS Production Devices
USB_DEVICE_ID	vid_00004670[] =
{
	{0x00009394, _T("Game Cube USB Memory Adaptor 64M")},
	{0x80000000, _T("Usb Device")}
};

// Grandtec Devices
USB_DEVICE_ID	vid_00005032[] =
{
	{0x00000bb8, _T("Grandtec USB1.1 DVB-T (cold)")},
	{0x00000bb9, _T("Grandtec USB1.1 DVB-T (warm)")},
	{0x00000fa0, _T("Grandtec USB1.1 DVB-T (cold)")},
	{0x00000fa1, _T("Grandtec USB1.1 DVB-T (warm)")},
	{0x80000000, _T("Usb Device")}
};

// Linksys (?) Devices
USB_DEVICE_ID	vid_00005041[] =
{
	{0x00002234, _T("WUSB54G 802.11g Adapter")},
	{0x80000000, _T("Usb Device")}
};

// Transmeta Devices
USB_DEVICE_ID	vid_0000544d[] =
{
	{0x80000000, _T("Usb Device")}
};

// UC-Logic Technology Devices
USB_DEVICE_ID	vid_00005543[] =
{
	{0x00000002, _T("SuperPen WP3325U Tablet")},
	{0x00000004, _T("Genius MousePen 5x4 Tablet")},
	{0x80000000, _T("Usb Device")}
};

// OnSpec Electronic Devices
USB_DEVICE_ID	vid_000055aa[] =
{
	{0x00001234, _T("ATAPI Bridge")},
	{0x0000a103, _T("Sandisk SDDR-55 SmartMedia Card Reader")},
	{0x0000b012, _T("Mitsumi FA402M 8-in-2 Card Reader")},
	{0x80000000, _T("Usb Device")}
};

// CoreLogic Devices
USB_DEVICE_ID	vid_0000636c[] =
{
	{0x80000000, _T("Usb Device")}
};

// Prototype product Vendor ID Devices
USB_DEVICE_ID	vid_00006666[] =
{
	{0x00000667, _T("Smart Joy PSX, PS-PC Smart JoyPad")},
	{0x80000000, _T("Usb Device")}
};

// Freshtel Devices
USB_DEVICE_ID	vid_00006993[] =
{
	{0x0000b001, _T("FT-102 VoIP USB Phone")},
	{0x80000000, _T("Usb Device")}
};

// Shanghai Jujo Electronics Devices
USB_DEVICE_ID	vid_00006a75[] =
{
	{0x80000000, _T("Usb Device")}
};

// Intel Devices
USB_DEVICE_ID	vid_00008086[] =
{
	{0x00000110, _T("Easy PC Camera")},
	{0x00000431, _T("Intel Pro Video PC Camera")},
	{0x00000510, _T("Digital Movie Creator")},
	{0x00000630, _T("Pocket PC Camera")},
	{0x000007d3, _T("BLOB boot loader firmware")},
	{0x00001111, _T("PRO/Wireless 2011B 802.11b Adapter")},
	{0x00009890, _T("82930 Test Board")},
	{0x0000c013, _T("Wireless HID Station")},
	{0x80000000, _T("Usb Device")}
};

// EGO Systems Devices
USB_DEVICE_ID	vid_00008341[] =
{
	{0x00002000, _T("Flashdisk")},
	{0x80000000, _T("Usb Device")}
};

// MosChip Semiconductor Devices
USB_DEVICE_ID	vid_00009710[] =
{
	{0x00007705, _T("Printer cable")},
	{0x00007715, _T("Printer cable")},
	{0x80000000, _T("Usb Device")}
};

// Keil Software Devices
USB_DEVICE_ID	vid_0000c251[] =
{
	{0x00002710, _T("ULink")},
	{0x80000000, _T("Usb Device")}
};

// eMPIA Technology Devices
USB_DEVICE_ID	vid_0000eb1a[] =
{
	{0x000017de, _T("KWorld V-Stream XPERT DTV - DVB-T USB cold")},
	{0x000017df, _T("KWorld V-Stream XPERT DTV - DVB-T USB warm")},
	{0x00002710, _T("SilverCrest WebCam")},
	{0x00002800, _T("Terratec Cinergy 200")},
	{0x80000000, _T("Usb Device")}
};

// Unknown Manufacture Devices
USB_DEVICE_ID	vid_80000000[] =
{
	{0x80000000, _T("Usb Device")}
};

// Vendor List
USB_VENDOR_ID	aVendorList[] =
{
	{0x00000001, vid_00000001, _T("Fry's Electronics")},
	{0x00000002, vid_00000002, _T("Ingram")},
	{0x00000003, vid_00000003, _T("Club Mac")},
	{0x00000004, vid_00000004, _T("Nebraska Furniture Mart")},
	{0x00000386, vid_00000386, _T("LTS")},
	{0x000003e8, vid_000003e8, _T("EndPoints")},
	{0x000003e9, vid_000003e9, _T("Thesys Microelectronics")},
	{0x000003ea, vid_000003ea, _T("Data Broadcasting")},
	{0x000003eb, vid_000003eb, _T("Atmel")},
	{0x000003ec, vid_000003ec, _T("Iwatsu America")},
	{0x000003ed, vid_000003ed, _T("Mitel")},
	{0x000003ee, vid_000003ee, _T("Mitsumi")},
	{0x000003f0, vid_000003f0, _T("Hewlett-Packard")},
	{0x000003f1, vid_000003f1, _T("Genoa Technology")},
	{0x000003f2, vid_000003f2, _T("Oak Technology")},
	{0x000003f3, vid_000003f3, _T("Adaptec")},
	{0x000003f4, vid_000003f4, _T("Diebold")},
	{0x000003f5, vid_000003f5, _T("Siemens Electromechanical")},
	{0x000003f8, vid_000003f8, _T("Epson Imaging Technology Center")},
	{0x000003f9, vid_000003f9, _T("KeyTronic")},
	{0x000003fb, vid_000003fb, _T("OPTi")},
	{0x000003fc, vid_000003fc, _T("Elitegroup Computer Systems")},
	{0x000003fd, vid_000003fd, _T("Xilinx")},
	{0x000003fe, vid_000003fe, _T("Farallon Comunications")},
	{0x00000400, vid_00000400, _T("National Semiconductor")},
	{0x00000401, vid_00000401, _T("National Registry")},
	{0x00000402, vid_00000402, _T("ALi")},
	{0x00000403, vid_00000403, _T("Future Technology Devices International")},
	{0x00000404, vid_00000404, _T("NCR")},
	{0x00000405, vid_00000405, _T("Synopsys")},
	{0x00000406, vid_00000406, _T("Fujitsu-ICL Computers")},
	{0x00000407, vid_00000407, _T("Fujitsu Personal Systems")},
	{0x00000408, vid_00000408, _T("Quanta Computer")},
	{0x00000409, vid_00000409, _T("NEC")},
	{0x0000040a, vid_0000040a, _T("Kodak")},
	{0x0000040b, vid_0000040b, _T("Weltrend Semiconductor")},
	{0x0000040c, vid_0000040c, _T("VTech Computers")},
	{0x0000040d, vid_0000040d, _T("VIA Technologies")},
	{0x0000040e, vid_0000040e, _T("MCCI")},
	{0x0000040f, vid_0000040f, _T("Echo Speech")},
	{0x00000411, vid_00000411, _T("MelCo")},
	{0x00000412, vid_00000412, _T("Award Software International")},
	{0x00000413, vid_00000413, _T("Leadtek Research")},
	{0x00000414, vid_00000414, _T("Giga-Byte Technology")},
	{0x00000416, vid_00000416, _T("Winbond Electronics")},
	{0x00000417, vid_00000417, _T("Symbios Logic")},
	{0x00000418, vid_00000418, _T("AST Research")},
	{0x00000419, vid_00000419, _T("Samsung Info. Systems America")},
	{0x0000041a, vid_0000041a, _T("Phoenix Technologies")},
	{0x0000041b, vid_0000041b, _T("d'TV")},
	{0x0000041d, vid_0000041d, _T("S3")},
	{0x0000041e, vid_0000041e, _T("Creative Technology")},
	{0x0000041f, vid_0000041f, _T("LCS Telegraphics")},
	{0x00000420, vid_00000420, _T("Chips and Technologies")},
	{0x00000421, vid_00000421, _T("Nokia Mobile Phones")},
	{0x00000422, vid_00000422, _T("ADI Systems")},
	{0x00000423, vid_00000423, _T("Computer Access Technology")},
	{0x00000424, vid_00000424, _T("Standard Microsystems")},
	{0x00000425, vid_00000425, _T("Motorola Semiconductors HK")},
	{0x00000426, vid_00000426, _T("Integrated Device Technology")},
	{0x00000427, vid_00000427, _T("Motorola Electronics Taiwan")},
	{0x00000428, vid_00000428, _T("Advanced Gravis Computer Tech")},
	{0x00000429, vid_00000429, _T("Cirrus Logic")},
	{0x0000042a, vid_0000042a, _T("Ericsson Austrian, AG")},
	{0x0000042b, vid_0000042b, _T("Intel")},
	{0x0000042c, vid_0000042c, _T("Innovative Semiconductors")},
	{0x0000042d, vid_0000042d, _T("Micronics")},
	{0x0000042e, vid_0000042e, _T("Acer")},
	{0x0000042f, vid_0000042f, _T("Molex")},
	{0x00000430, vid_00000430, _T("Sun Microsystems")},
	{0x00000431, vid_00000431, _T("Itac Systems")},
	{0x00000432, vid_00000432, _T("Unisys")},
	{0x00000433, vid_00000433, _T("Alps Electric")},
	{0x00000434, vid_00000434, _T("Samsung Info. Systems America")},
	{0x00000435, vid_00000435, _T("Hyundai Electronics America")},
	{0x00000436, vid_00000436, _T("Taugagreining HF")},
	{0x00000437, vid_00000437, _T("Framatome Connectors USA")},
	{0x00000438, vid_00000438, _T("Advanced Micro Devices")},
	{0x00000439, vid_00000439, _T("Voice Technologies Group")},
	{0x0000043d, vid_0000043d, _T("Lexmark International")},
	{0x0000043e, vid_0000043e, _T("LG Electronics USA")},
	{0x0000043f, vid_0000043f, _T("RadiSys")},
	{0x00000440, vid_00000440, _T("Eizo Nanao")},
	{0x00000441, vid_00000441, _T("Winbond Systems Lab")},
	{0x00000442, vid_00000442, _T("Ericsson")},
	{0x00000443, vid_00000443, _T("Gateway")},
	{0x00000445, vid_00000445, _T("Lucent Technologies")},
	{0x00000446, vid_00000446, _T("NMB Technologies")},
	{0x00000447, vid_00000447, _T("Momentum Microsystems")},
	{0x0000044a, vid_0000044a, _T("Shamrock Tech")},
	{0x0000044b, vid_0000044b, _T("WSI")},
	{0x0000044c, vid_0000044c, _T("CCL/ITRI")},
	{0x0000044d, vid_0000044d, _T("Siemens Nixdorf AG")},
	{0x0000044e, vid_0000044e, _T("Alps Electric")},
	{0x0000044f, vid_0000044f, _T("ThrustMaster")},
	{0x00000450, vid_00000450, _T("DFI")},
	{0x00000451, vid_00000451, _T("Texas Instruments")},
	{0x00000452, vid_00000452, _T("Mitsubishi Electronics America")},
	{0x00000453, vid_00000453, _T("CMD Technology")},
	{0x00000454, vid_00000454, _T("Vobis Microcomputer AG")},
	{0x00000455, vid_00000455, _T("Telematics International")},
	{0x00000456, vid_00000456, _T("Analog Devices")},
	{0x00000457, vid_00000457, _T("Silicon Integrated Systems")},
	{0x00000458, vid_00000458, _T("KYE Systems (Mouse Systems)")},
	{0x00000459, vid_00000459, _T("Adobe Systems")},
	{0x0000045a, vid_0000045a, _T("SONICblue")},
	{0x0000045b, vid_0000045b, _T("Hitachi")},
	{0x0000045d, vid_0000045d, _T("Nortel Networks")},
	{0x0000045e, vid_0000045e, _T("Microsoft")},
	{0x00000460, vid_00000460, _T("Ace Cad Enterprise")},
	{0x00000461, vid_00000461, _T("Primax Electronics")},
	{0x00000463, vid_00000463, _T("MGE UPS Systems")},
	{0x00000464, vid_00000464, _T("AMP/Tycoelectronics")},
	{0x00000467, vid_00000467, _T("AT&T Paradyne")},
	{0x00000468, vid_00000468, _T("Wieson Technologies")},
	{0x0000046a, vid_0000046a, _T("Cherry GmbH")},
	{0x0000046b, vid_0000046b, _T("American Megatrends")},
	{0x0000046c, vid_0000046c, _T("Toshiba, Digital Media Equipment")},
	{0x0000046d, vid_0000046d, _T("Logitech")},
	{0x0000046e, vid_0000046e, _T("Behavior Tech. Computer")},
	{0x0000046f, vid_0000046f, _T("Crystal Semiconductor")},
	{0x00000471, vid_00000471, _T("Philips")},
	{0x00000472, vid_00000472, _T("Chicony Electronics")},
	{0x00000473, vid_00000473, _T("Sanyo Information Business")},
	{0x00000474, vid_00000474, _T("Sanyo Electric")},
	{0x00000475, vid_00000475, _T("Relisys/Teco Information System")},
	{0x00000476, vid_00000476, _T("AESP")},
	{0x00000477, vid_00000477, _T("Seagate Technology")},
	{0x00000478, vid_00000478, _T("Connectix")},
	{0x00000479, vid_00000479, _T("Advanced Peripheral Laboratories")},
	{0x0000047a, vid_0000047a, _T("Semtech")},
	{0x0000047b, vid_0000047b, _T("Silitek")},
	{0x0000047c, vid_0000047c, _T("Dell Computer")},
	{0x0000047d, vid_0000047d, _T("Kensington")},
	{0x0000047e, vid_0000047e, _T("Agere Systems (Lucent)")},
	{0x0000047f, vid_0000047f, _T("Plantronics")},
	{0x00000480, vid_00000480, _T("Toshiba America Info. Systems")},
	{0x00000481, vid_00000481, _T("Zenith Data Systems")},
	{0x00000482, vid_00000482, _T("Kyocera")},
	{0x00000483, vid_00000483, _T("SGS Thomson Microelectronics")},
	{0x00000484, vid_00000484, _T("Specialix")},
	{0x00000485, vid_00000485, _T("Nokia Monitors")},
	{0x00000486, vid_00000486, _T("ASUS Computers")},
	{0x00000487, vid_00000487, _T("Stewart Connector")},
	{0x00000488, vid_00000488, _T("Cirque")},
	{0x00000489, vid_00000489, _T("Foxconn / Hon Hai")},
	{0x0000048a, vid_0000048a, _T("S-MOS Systems")},
	{0x0000048c, vid_0000048c, _T("Alps Electric Ireland")},
	{0x0000048d, vid_0000048d, _T("Integrated Technology Express")},
	{0x0000048f, vid_0000048f, _T("Eicon Tech")},
	{0x00000490, vid_00000490, _T("United Microelectronics")},
	{0x00000491, vid_00000491, _T("Capetronic")},
	{0x00000492, vid_00000492, _T("Samsung SemiConductor")},
	{0x00000493, vid_00000493, _T("MAG Technology")},
	{0x00000495, vid_00000495, _T("ESS Technology")},
	{0x00000496, vid_00000496, _T("Micron Electronics")},
	{0x00000497, vid_00000497, _T("Smile International")},
	{0x00000498, vid_00000498, _T("Capetronic (Kaohsiung)")},
	{0x00000499, vid_00000499, _T("Yamaha")},
	{0x0000049a, vid_0000049a, _T("Gandalf Technologies")},
	{0x0000049b, vid_0000049b, _T("Curtis Computer Products")},
	{0x0000049c, vid_0000049c, _T("Acer Advanced Labs")},
	{0x0000049d, vid_0000049d, _T("VLSI Technology")},
	{0x0000049f, vid_0000049f, _T("Compaq Computer")},
	{0x000004a0, vid_000004a0, _T("Digital Equipment")},
	{0x000004a1, vid_000004a1, _T("SystemSoft")},
	{0x000004a2, vid_000004a2, _T("FirePower Systems")},
	{0x000004a3, vid_000004a3, _T("Trident Microsystems")},
	{0x000004a4, vid_000004a4, _T("Hitachi")},
	{0x000004a5, vid_000004a5, _T("Acer Peripherals Inc. (now BenQ)")},
	{0x000004a6, vid_000004a6, _T("Nokia Display Products")},
	{0x000004a7, vid_000004a7, _T("Visioneer")},
	{0x000004a8, vid_000004a8, _T("Multivideo Labs")},
	{0x000004a9, vid_000004a9, _T("Canon")},
	{0x000004aa, vid_000004aa, _T("DaeWoo Telecom")},
	{0x000004ab, vid_000004ab, _T("Chromatic Research")},
	{0x000004ac, vid_000004ac, _T("Micro Audiometrics")},
	{0x000004ad, vid_000004ad, _T("Dooin Electronics")},
	{0x000004af, vid_000004af, _T("Winnov L.P")},
	{0x000004b0, vid_000004b0, _T("Nikon")},
	{0x000004b1, vid_000004b1, _T("Pan International")},
	{0x000004b3, vid_000004b3, _T("IBM")},
	{0x000004b4, vid_000004b4, _T("Cypress Semiconductor")},
	{0x000004b5, vid_000004b5, _T("ROHM LSI Systems USA, LLC")},
	{0x000004b6, vid_000004b6, _T("Hint")},
	{0x000004b7, vid_000004b7, _T("Compal Electronics")},
	{0x000004b8, vid_000004b8, _T("Seiko Epson")},
	{0x000004b9, vid_000004b9, _T("Rainbow Technologies")},
	{0x000004ba, vid_000004ba, _T("Toucan Systems")},
	{0x000004bb, vid_000004bb, _T("I-O Data Device")},
	{0x000004bd, vid_000004bd, _T("Toshiba Electronics Taiwan")},
	{0x000004be, vid_000004be, _T("Telia Research AB")},
	{0x000004bf, vid_000004bf, _T("TDK")},
	{0x000004c1, vid_000004c1, _T("U.S. Robotics (3Com)")},
	{0x000004c2, vid_000004c2, _T("Methode Electronics Far East PTE")},
	{0x000004c3, vid_000004c3, _T("Maxi Switch")},
	{0x000004c4, vid_000004c4, _T("Lockheed Martin Energy Research")},
	{0x000004c5, vid_000004c5, _T("Fujitsu")},
	{0x000004c6, vid_000004c6, _T("Toshiba America Electronic Components")},
	{0x000004c7, vid_000004c7, _T("Micro Macro Technologies")},
	{0x000004c8, vid_000004c8, _T("Konica")},
	{0x000004ca, vid_000004ca, _T("Lite-On Technology")},
	{0x000004cb, vid_000004cb, _T("Fuji Photo Film")},
	{0x000004cc, vid_000004cc, _T("Philips Semiconductors")},
	{0x000004cd, vid_000004cd, _T("Tatung Of America")},
	{0x000004ce, vid_000004ce, _T("ScanLogic")},
	{0x000004cf, vid_000004cf, _T("Myson Century")},
	{0x000004d0, vid_000004d0, _T("Digi International")},
	{0x000004d1, vid_000004d1, _T("ITT Canon")},
	{0x000004d2, vid_000004d2, _T("Altec Lansing Technologies")},
	{0x000004d3, vid_000004d3, _T("VidUS")},
	{0x000004d4, vid_000004d4, _T("LSI Logic")},
	{0x000004d5, vid_000004d5, _T("Forte Technologies")},
	{0x000004d6, vid_000004d6, _T("Mentor Graphics")},
	{0x000004d7, vid_000004d7, _T("Oki Semiconductor")},
	{0x000004d8, vid_000004d8, _T("Microchip Technology")},
	{0x000004d9, vid_000004d9, _T("Holtek Semiconductor")},
	{0x000004da, vid_000004da, _T("Panasonic (Matsushita)")},
	{0x000004db, vid_000004db, _T("Hypertec Pty")},
	{0x000004dc, vid_000004dc, _T("Huan Hsin Holdings")},
	{0x000004dd, vid_000004dd, _T("Sharp")},
	{0x000004de, vid_000004de, _T("MindShare")},
	{0x000004df, vid_000004df, _T("Interlink Electronics")},
	{0x000004e1, vid_000004e1, _T("Iiyama North America")},
	{0x000004e2, vid_000004e2, _T("Exar")},
	{0x000004e3, vid_000004e3, _T("Zilog")},
	{0x000004e4, vid_000004e4, _T("ACC Microelectronics")},
	{0x000004e5, vid_000004e5, _T("Promise Technology")},
	{0x000004e6, vid_000004e6, _T("SCM Microsystems")},
	{0x000004e7, vid_000004e7, _T("Elo TouchSystems")},
	{0x000004e8, vid_000004e8, _T("Samsung Electronics")},
	{0x000004e9, vid_000004e9, _T("PC-Tel")},
	{0x000004ea, vid_000004ea, _T("Brooktree")},
	{0x000004eb, vid_000004eb, _T("Northstar Systems")},
	{0x000004ec, vid_000004ec, _T("Tokyo Electron Device")},
	{0x000004ed, vid_000004ed, _T("Annabooks")},
	{0x000004ef, vid_000004ef, _T("Pacific Electronic International")},
	{0x000004f0, vid_000004f0, _T("Daewoo Electronics")},
	{0x000004f1, vid_000004f1, _T("Victor Company of Japan")},
	{0x000004f2, vid_000004f2, _T("Chicony Electronics")},
	{0x000004f3, vid_000004f3, _T("Elan Microelectronics")},
	{0x000004f4, vid_000004f4, _T("Harting Elektronik")},
	{0x000004f5, vid_000004f5, _T("Fujitsu-ICL Systems")},
	{0x000004f6, vid_000004f6, _T("Norand")},
	{0x000004f7, vid_000004f7, _T("Newnex Technology")},
	{0x000004f8, vid_000004f8, _T("FuturePlus Systems")},
	{0x000004f9, vid_000004f9, _T("Brother Industries")},
	{0x000004fa, vid_000004fa, _T("Dallas Semiconductor")},
	{0x000004fb, vid_000004fb, _T("Biostar Microtech International")},
	{0x000004fc, vid_000004fc, _T("Sunplus Technology")},
	{0x000004fd, vid_000004fd, _T("Soliton Systems, K.K")},
	{0x000004fe, vid_000004fe, _T("PFU")},
	{0x000004ff, vid_000004ff, _T("E-CMOS")},
	{0x00000500, vid_00000500, _T("Siam United Hi-Tech")},
	{0x00000501, vid_00000501, _T("Fujikura DDK")},
	{0x00000502, vid_00000502, _T("Acer")},
	{0x00000503, vid_00000503, _T("Hitachi America")},
	{0x00000504, vid_00000504, _T("Hayes Microcomputer Products")},
	{0x00000506, vid_00000506, _T("3Com")},
	{0x00000507, vid_00000507, _T("Hosiden")},
	{0x00000508, vid_00000508, _T("Clarion")},
	{0x00000509, vid_00000509, _T("Aztech Systems")},
	{0x0000050a, vid_0000050a, _T("Cinch Connectors")},
	{0x0000050b, vid_0000050b, _T("Cable System International")},
	{0x0000050c, vid_0000050c, _T("InnoMedia")},
	{0x0000050d, vid_0000050d, _T("Belkin Components")},
	{0x0000050e, vid_0000050e, _T("Neon Technology")},
	{0x0000050f, vid_0000050f, _T("KC Technology")},
	{0x00000510, vid_00000510, _T("Sejin Electron")},
	{0x00000511, vid_00000511, _T("N'Able (DataBook) Technologies")},
	{0x00000512, vid_00000512, _T("Hualon Microelectronics")},
	{0x00000513, vid_00000513, _T("digital-X")},
	{0x00000514, vid_00000514, _T("FCI Electronics")},
	{0x00000515, vid_00000515, _T("ACTC")},
	{0x00000516, vid_00000516, _T("Longwell Electronics")},
	{0x00000517, vid_00000517, _T("Butterfly Communications")},
	{0x00000518, vid_00000518, _T("EzKEY")},
	{0x00000519, vid_00000519, _T("Star Micronics")},
	{0x0000051a, vid_0000051a, _T("WYSE Technology")},
	{0x0000051b, vid_0000051b, _T("Silicon Graphics")},
	{0x0000051c, vid_0000051c, _T("Shuttle")},
	{0x0000051d, vid_0000051d, _T("American Power Conversion")},
	{0x0000051e, vid_0000051e, _T("Scientific Atlanta")},
	{0x0000051f, vid_0000051f, _T("IO Systems (Elite Electronics)")},
	{0x00000520, vid_00000520, _T("Taiwan Semiconductor Manufacturing")},
	{0x00000521, vid_00000521, _T("Airborn Connectors")},
	{0x00000522, vid_00000522, _T("Advanced Connectek")},
	{0x00000523, vid_00000523, _T("ATEN GmbH")},
	{0x00000524, vid_00000524, _T("Sola Electronics")},
	{0x00000525, vid_00000525, _T("Netchip Technology")},
	{0x00000526, vid_00000526, _T("Temic MHS S.A")},
	{0x00000527, vid_00000527, _T("ALTRA")},
	{0x00000528, vid_00000528, _T("ATI Technologies")},
	{0x00000529, vid_00000529, _T("Aladdin Knowledge Systems")},
	{0x0000052a, vid_0000052a, _T("Crescent Heart Software")},
	{0x0000052b, vid_0000052b, _T("Tekom Technologies")},
	{0x0000052c, vid_0000052c, _T("Canon Information Systems")},
	{0x0000052d, vid_0000052d, _T("Avid Electronics")},
	{0x0000052e, vid_0000052e, _T("Standard Microsystems")},
	{0x0000052f, vid_0000052f, _T("Unicore Software")},
	{0x00000530, vid_00000530, _T("American Microsystems")},
	{0x00000531, vid_00000531, _T("Wacom Technology")},
	{0x00000532, vid_00000532, _T("Systech")},
	{0x00000533, vid_00000533, _T("Alcatel Mobile Phones")},
	{0x00000534, vid_00000534, _T("Motorola")},
	{0x00000535, vid_00000535, _T("LIH TZU Electric")},
	{0x00000536, vid_00000536, _T("Hand Held Products (Welch Allyn)")},
	{0x00000537, vid_00000537, _T("Inventec")},
	{0x00000538, vid_00000538, _T("Caldera International (SCO)")},
	{0x00000539, vid_00000539, _T("Shyh Shiun Terminals")},
	{0x0000053a, vid_0000053a, _T("Preh Werke GmbH & KG")},
	{0x0000053b, vid_0000053b, _T("Global Village Communication")},
	{0x0000053c, vid_0000053c, _T("Institut of Microelectronic & Mechatronic Systems")},
	{0x0000053d, vid_0000053d, _T("Silicon Architect")},
	{0x0000053e, vid_0000053e, _T("Mobility Electronics")},
	{0x0000053f, vid_0000053f, _T("Synopsys")},
	{0x00000540, vid_00000540, _T("UniAccess AB")},
	{0x00000541, vid_00000541, _T("Sirf Technology")},
	{0x00000543, vid_00000543, _T("ViewSonic")},
	{0x00000544, vid_00000544, _T("Cristie Electronics")},
	{0x00000545, vid_00000545, _T("Xirlink")},
	{0x00000546, vid_00000546, _T("Polaroid")},
	{0x00000547, vid_00000547, _T("Anchor Chips")},
	{0x00000548, vid_00000548, _T("Tyan Computer")},
	{0x00000549, vid_00000549, _T("Pixera")},
	{0x0000054a, vid_0000054a, _T("Fujitsu Microelectronics")},
	{0x0000054b, vid_0000054b, _T("New Media")},
	{0x0000054c, vid_0000054c, _T("Sony")},
	{0x0000054d, vid_0000054d, _T("Try")},
	{0x0000054e, vid_0000054e, _T("Proside")},
	{0x0000054f, vid_0000054f, _T("WYSE Technology Taiwan")},
	{0x00000550, vid_00000550, _T("Fuji Xerox")},
	{0x00000551, vid_00000551, _T("CompuTrend Systems")},
	{0x00000552, vid_00000552, _T("Philips Monitors")},
	{0x00000553, vid_00000553, _T("STMicroelectronics Imaging Division (VLSI Vision)")},
	{0x00000554, vid_00000554, _T("Dictaphone")},
	{0x00000555, vid_00000555, _T("ANAM S&T")},
	{0x00000556, vid_00000556, _T("Asahi Kasei Microsystems")},
	{0x00000557, vid_00000557, _T("ATEN International")},
	{0x00000558, vid_00000558, _T("Truevision")},
	{0x00000559, vid_00000559, _T("Cadence Design Systems")},
	{0x0000055a, vid_0000055a, _T("Kenwood USA")},
	{0x0000055b, vid_0000055b, _T("KnowledgeTek")},
	{0x0000055c, vid_0000055c, _T("Proton Electronic Ind")},
	{0x0000055d, vid_0000055d, _T("Samsung Electro-Mechanics")},
	{0x0000055e, vid_0000055e, _T("CTX Opto-Electronics")},
	{0x0000055f, vid_0000055f, _T("Mustek Systems")},
	{0x00000560, vid_00000560, _T("Interface")},
	{0x00000561, vid_00000561, _T("Oasis Design")},
	{0x00000562, vid_00000562, _T("Telex Communications")},
	{0x00000563, vid_00000563, _T("Immersion")},
	{0x00000564, vid_00000564, _T("Chinon Industries")},
	{0x00000565, vid_00000565, _T("Peracom Networks")},
	{0x00000566, vid_00000566, _T("Monterey International")},
	{0x00000567, vid_00000567, _T("Xyratex International")},
	{0x00000568, vid_00000568, _T("Quartz Ingenierie")},
	{0x00000569, vid_00000569, _T("SegaSoft")},
	{0x0000056a, vid_0000056a, _T("Wacom")},
	{0x0000056b, vid_0000056b, _T("Decicon")},
	{0x0000056c, vid_0000056c, _T("eTEK Labs")},
	{0x0000056d, vid_0000056d, _T("EIZO")},
	{0x0000056e, vid_0000056e, _T("Elecom")},
	{0x0000056f, vid_0000056f, _T("Korea Data Systems")},
	{0x00000570, vid_00000570, _T("Epson America")},
	{0x00000571, vid_00000571, _T("Interex")},
	{0x00000572, vid_00000572, _T("Conexant Systems (Rockwell)")},
	{0x00000573, vid_00000573, _T("Zoran Personal Media Division (Nogatech)")},
	{0x00000574, vid_00000574, _T("City University of Hong Kong")},
	{0x00000575, vid_00000575, _T("Philips Creative Display Solutions")},
	{0x00000576, vid_00000576, _T("BAFO/Quality Computer Accessories")},
	{0x00000577, vid_00000577, _T("ELSA")},
	{0x00000578, vid_00000578, _T("Intrinsix")},
	{0x00000579, vid_00000579, _T("GVC")},
	{0x0000057a, vid_0000057a, _T("Samsung Electronics America")},
	{0x0000057b, vid_0000057b, _T("Y-E Data")},
	{0x0000057c, vid_0000057c, _T("AVM GmbH")},
	{0x0000057d, vid_0000057d, _T("Shark Multimedia")},
	{0x0000057e, vid_0000057e, _T("Nintendo")},
	{0x0000057f, vid_0000057f, _T("QuickShot")},
	{0x00000580, vid_00000580, _T("Denron")},
	{0x00000581, vid_00000581, _T("Racal Data Group")},
	{0x00000582, vid_00000582, _T("Roland")},
	{0x00000583, vid_00000583, _T("Padix (Rockfire)")},
	{0x00000584, vid_00000584, _T("RATOC System")},
	{0x00000585, vid_00000585, _T("FlashPoint Technology")},
	{0x00000586, vid_00000586, _T("ZyXEL Communications")},
	{0x00000587, vid_00000587, _T("America Kotobuki Electronics Industries")},
	{0x00000588, vid_00000588, _T("Sapien Design")},
	{0x00000589, vid_00000589, _T("Victron")},
	{0x0000058a, vid_0000058a, _T("Nohau")},
	{0x0000058b, vid_0000058b, _T("Infineon Technologies")},
	{0x0000058c, vid_0000058c, _T("In Focus Systems")},
	{0x0000058d, vid_0000058d, _T("Micrel Semiconductor")},
	{0x0000058e, vid_0000058e, _T("Tripath Technology")},
	{0x0000058f, vid_0000058f, _T("Alcor Micro")},
	{0x00000590, vid_00000590, _T("Omron")},
	{0x00000591, vid_00000591, _T("Questra Consulting")},
	{0x00000592, vid_00000592, _T("Powerware")},
	{0x00000593, vid_00000593, _T("Incite")},
	{0x00000594, vid_00000594, _T("Princeton Graphic Systems")},
	{0x00000595, vid_00000595, _T("Zoran Microelectronics")},
	{0x00000596, vid_00000596, _T("MicroTouch Systems")},
	{0x00000597, vid_00000597, _T("Trisignal Communications")},
	{0x00000598, vid_00000598, _T("Niigata Canotec")},
	{0x00000599, vid_00000599, _T("Brilliance Semiconductor")},
	{0x0000059a, vid_0000059a, _T("Spectrum Signal Processing")},
	{0x0000059b, vid_0000059b, _T("Iomega")},
	{0x0000059c, vid_0000059c, _T("A-Trend Technology")},
	{0x0000059d, vid_0000059d, _T("Advanced Input Devices")},
	{0x0000059e, vid_0000059e, _T("Intelligent Instrumentation")},
	{0x0000059f, vid_0000059f, _T("LaCie")},
	{0x000005a0, vid_000005a0, _T("Vetronix")},
	{0x000005a1, vid_000005a1, _T("USC")},
	{0x000005a2, vid_000005a2, _T("Fuji Film Microdevices")},
	{0x000005a3, vid_000005a3, _T("ARC International")},
	{0x000005a4, vid_000005a4, _T("Ortek Technology")},
	{0x000005a5, vid_000005a5, _T("Sampo Technology")},
	{0x000005a6, vid_000005a6, _T("Cisco Systems")},
	{0x000005a7, vid_000005a7, _T("Bose")},
	{0x000005a8, vid_000005a8, _T("Spacetec IMC")},
	{0x000005a9, vid_000005a9, _T("OmniVision Technologies")},
	{0x000005aa, vid_000005aa, _T("Utilux South China")},
	{0x000005ab, vid_000005ab, _T("In-System Design")},
	{0x000005ac, vid_000005ac, _T("Apple")},
	{0x000005ad, vid_000005ad, _T("Y.C. Cable U.S.A.")},
	{0x000005ae, vid_000005ae, _T("Synopsys")},
	{0x000005af, vid_000005af, _T("Jing-Mold Enterprise")},
	{0x000005b0, vid_000005b0, _T("Fountain Technologies")},
	{0x000005b1, vid_000005b1, _T("First International Computer")},
	{0x000005b4, vid_000005b4, _T("LG Semicon")},
	{0x000005b5, vid_000005b5, _T("Dialogic")},
	{0x000005b6, vid_000005b6, _T("Proxima")},
	{0x000005b7, vid_000005b7, _T("Medianix Semiconductor")},
	{0x000005b8, vid_000005b8, _T("Agiler")},
	{0x000005b9, vid_000005b9, _T("Philips Research Laboratories")},
	{0x000005ba, vid_000005ba, _T("DigitalPersona")},
	{0x000005bb, vid_000005bb, _T("Grey Cell Systems")},
	{0x000005bc, vid_000005bc, _T("3G Green Green Globe")},
	{0x000005bd, vid_000005bd, _T("RAFI GmbH & KG")},
	{0x000005be, vid_000005be, _T("Tyco Electronics (Raychem)")},
	{0x000005bf, vid_000005bf, _T("S & S Research")},
	{0x000005c0, vid_000005c0, _T("Keil Software")},
	{0x000005c1, vid_000005c1, _T("Kawasaki Microelectronics")},
	{0x000005c2, vid_000005c2, _T("Media Phonics (Suisse) S.A")},
	{0x000005c5, vid_000005c5, _T("Digi International")},
	{0x000005c6, vid_000005c6, _T("Qualcomm")},
	{0x000005c7, vid_000005c7, _T("Qtronix")},
	{0x000005c8, vid_000005c8, _T("Cheng Uei Precision Industry (Foxlink)")},
	{0x000005c9, vid_000005c9, _T("Semtech")},
	{0x000005ca, vid_000005ca, _T("Ricoh")},
	{0x000005cb, vid_000005cb, _T("PowerVision Technologies")},
	{0x000005cc, vid_000005cc, _T("ELSA AG")},
	{0x000005cd, vid_000005cd, _T("Silicom")},
	{0x000005ce, vid_000005ce, _T("sci-worx GmbH")},
	{0x000005cf, vid_000005cf, _T("Sung Forn")},
	{0x000005d0, vid_000005d0, _T("GE Medical Systems Lunar")},
	{0x000005d1, vid_000005d1, _T("Brainboxes")},
	{0x000005d2, vid_000005d2, _T("Wave Systems")},
	{0x000005d3, vid_000005d3, _T("Tohoku Ricoh")},
	{0x000005d5, vid_000005d5, _T("Super Gate Technology")},
	{0x000005d6, vid_000005d6, _T("Philips Semiconductors, CICT")},
	{0x000005d7, vid_000005d7, _T("Thomas & Betts")},
	{0x000005d8, vid_000005d8, _T("Ultima Electronics")},
	{0x000005d9, vid_000005d9, _T("Axiohm Transaction Solutions")},
	{0x000005da, vid_000005da, _T("Microtek International")},
	{0x000005db, vid_000005db, _T("Sun (Suntac?)")},
	{0x000005dc, vid_000005dc, _T("Lexar Media")},
	{0x000005dd, vid_000005dd, _T("Delta Electronics")},
	{0x000005df, vid_000005df, _T("Silicon Vision")},
	{0x000005e0, vid_000005e0, _T("Symbol Technologies")},
	{0x000005e1, vid_000005e1, _T("Syntek Semiconductor")},
	{0x000005e2, vid_000005e2, _T("ElecVision")},
	{0x000005e3, vid_000005e3, _T("Genesys Logic")},
	{0x000005e4, vid_000005e4, _T("Red Wing")},
	{0x000005e5, vid_000005e5, _T("Fuji Electric")},
	{0x000005e6, vid_000005e6, _T("Keithley Instruments")},
	{0x000005e8, vid_000005e8, _T("ICC")},
	{0x000005e9, vid_000005e9, _T("Kawasaki LSI")},
	{0x000005eb, vid_000005eb, _T("FFC")},
	{0x000005ec, vid_000005ec, _T("COM21")},
	{0x000005ee, vid_000005ee, _T("Cytechinfo Inc")},
	{0x000005ef, vid_000005ef, _T("AVB [anko?]")},
	{0x000005f0, vid_000005f0, _T("Canopus")},
	{0x000005f1, vid_000005f1, _T("Compass Communications")},
	{0x000005f2, vid_000005f2, _T("Dexin")},
	{0x000005f3, vid_000005f3, _T("PI Engineering")},
	{0x000005f5, vid_000005f5, _T("Unixtar Technology")},
	{0x000005f6, vid_000005f6, _T("AOC International")},
	{0x000005f7, vid_000005f7, _T("RFC Distribution(s) PTE")},
	{0x000005f9, vid_000005f9, _T("PSC Scanning")},
	{0x000005fa, vid_000005fa, _T("Siemens Telecommunications Systems")},
	{0x000005fc, vid_000005fc, _T("Harman Multimedia")},
	{0x000005fd, vid_000005fd, _T("InterAct")},
	{0x000005fe, vid_000005fe, _T("Chic Technology")},
	{0x000005ff, vid_000005ff, _T("LeCroy")},
	{0x00000600, vid_00000600, _T("Barco Display Systems")},
	{0x00000601, vid_00000601, _T("Jazz Hipster")},
	{0x00000602, vid_00000602, _T("Vista Imaging")},
	{0x00000603, vid_00000603, _T("Novatek Microelectronics")},
	{0x00000604, vid_00000604, _T("Jean")},
	{0x00000605, vid_00000605, _T("Anchor C&C")},
	{0x00000606, vid_00000606, _T("Royal Information Electronics")},
	{0x00000607, vid_00000607, _T("Bridge Information")},
	{0x00000608, vid_00000608, _T("Genrad Ads")},
	{0x00000609, vid_00000609, _T("SMK Manufacturing")},
	{0x0000060a, vid_0000060a, _T("Worthington Data Solutions")},
	{0x0000060b, vid_0000060b, _T("Solid Year")},
	{0x0000060c, vid_0000060c, _T("EEH Datalink GmbH")},
	{0x0000060d, vid_0000060d, _T("Auctor")},
	{0x0000060e, vid_0000060e, _T("Transmonde Technologies")},
	{0x0000060f, vid_0000060f, _T("Joinsoon Electronics")},
	{0x00000610, vid_00000610, _T("Costar Electronics")},
	{0x00000611, vid_00000611, _T("Totoku Electric")},
	{0x00000613, vid_00000613, _T("TransAct Technologies")},
	{0x00000614, vid_00000614, _T("Bio-Rad Laboratories")},
	{0x00000615, vid_00000615, _T("Quabbin Wire & Cable")},
	{0x00000616, vid_00000616, _T("Future Techno Designs PVT")},
	{0x00000617, vid_00000617, _T("Swiss Federal Insitute of Technology")},
	{0x00000618, vid_00000618, _T("MacAlly")},
	{0x00000619, vid_00000619, _T("Seiko Instruments")},
	{0x0000061a, vid_0000061a, _T("Veridicom International")},
	{0x0000061b, vid_0000061b, _T("Promptus Communications")},
	{0x0000061c, vid_0000061c, _T("Act Labs")},
	{0x0000061d, vid_0000061d, _T("Quatech")},
	{0x0000061e, vid_0000061e, _T("Nissei Electric")},
	{0x00000620, vid_00000620, _T("Alaris")},
	{0x00000621, vid_00000621, _T("ODU-Steckverbindungssysteme GmbH & KG")},
	{0x00000622, vid_00000622, _T("Iotech")},
	{0x00000623, vid_00000623, _T("Littelfuse")},
	{0x00000624, vid_00000624, _T("Avocent")},
	{0x00000625, vid_00000625, _T("TiMedia Technology")},
	{0x00000626, vid_00000626, _T("Nippon Systems Development")},
	{0x00000627, vid_00000627, _T("Adomax Technology")},
	{0x00000628, vid_00000628, _T("Tasking Software")},
	{0x00000629, vid_00000629, _T("Zida Technologies")},
	{0x0000062a, vid_0000062a, _T("Creative Labs")},
	{0x0000062b, vid_0000062b, _T("Greatlink Electronics Taiwan")},
	{0x0000062c, vid_0000062c, _T("Institute for Information Industry")},
	{0x0000062d, vid_0000062d, _T("Taiwan Tai-Hao Enterprises")},
	{0x0000062e, vid_0000062e, _T("Mainsuper Enterprises")},
	{0x0000062f, vid_0000062f, _T("Sin Sheng Terminal & Machine")},
	{0x00000631, vid_00000631, _T("JUJO Electronics")},
	{0x00000633, vid_00000633, _T("Cyrix")},
	{0x00000634, vid_00000634, _T("Micron Technology")},
	{0x00000635, vid_00000635, _T("Methode Electronics")},
	{0x00000636, vid_00000636, _T("Sierra Imaging")},
	{0x00000638, vid_00000638, _T("Avision")},
	{0x00000639, vid_00000639, _T("Chrontel")},
	{0x0000063a, vid_0000063a, _T("Techwin")},
	{0x0000063b, vid_0000063b, _T("Taugagreining HF")},
	{0x0000063c, vid_0000063c, _T("Yamaichi Electronics (Sakura)")},
	{0x0000063d, vid_0000063d, _T("Fong Kai Industrial")},
	{0x0000063e, vid_0000063e, _T("RealMedia Technology")},
	{0x0000063f, vid_0000063f, _T("New Technology Cable")},
	{0x00000640, vid_00000640, _T("Hitex Development Tools")},
	{0x00000641, vid_00000641, _T("Woods Industries")},
	{0x00000642, vid_00000642, _T("VIA Medical")},
	{0x00000644, vid_00000644, _T("TEAC")},
	{0x00000645, vid_00000645, _T("Who? Vision Systems")},
	{0x00000646, vid_00000646, _T("UMAX")},
	{0x00000647, vid_00000647, _T("Acton Research")},
	{0x00000648, vid_00000648, _T("Inside Out Networks")},
	{0x00000649, vid_00000649, _T("Weli Science")},
	{0x0000064b, vid_0000064b, _T("White Mountain DSP")},
	{0x0000064c, vid_0000064c, _T("Ji-Haw Industrial")},
	{0x0000064d, vid_0000064d, _T("TriTech Microelectronics")},
	{0x0000064e, vid_0000064e, _T("Suyin")},
	{0x0000064f, vid_0000064f, _T("WIBU-Systems AG")},
	{0x00000650, vid_00000650, _T("Dynapro Systems")},
	{0x00000651, vid_00000651, _T("Likom Technology Sdn. Bhd")},
	{0x00000652, vid_00000652, _T("Stargate Solutions")},
	{0x00000653, vid_00000653, _T("CNF")},
	{0x00000654, vid_00000654, _T("Granite Microsystems")},
	{0x00000655, vid_00000655, _T("Space Shuttle Hi-Tech")},
	{0x00000656, vid_00000656, _T("Glory Mark Electronic")},
	{0x00000657, vid_00000657, _T("Tekcon Electronics")},
	{0x00000658, vid_00000658, _T("Sigma Designs")},
	{0x00000659, vid_00000659, _T("Aethra")},
	{0x0000065a, vid_0000065a, _T("Optoelectronics")},
	{0x0000065b, vid_0000065b, _T("Tracewell Systems")},
	{0x0000065e, vid_0000065e, _T("Silicon Graphics")},
	{0x0000065f, vid_0000065f, _T("Good Way Technology & GWC technology")},
	{0x00000660, vid_00000660, _T("TSAY-E (BVI) International")},
	{0x00000661, vid_00000661, _T("Hamamatsu Photonics K.K")},
	{0x00000662, vid_00000662, _T("Kansai Electric")},
	{0x00000663, vid_00000663, _T("Topmax Electronic")},
	{0x00000667, vid_00000667, _T("Aiwa")},
	{0x00000668, vid_00000668, _T("WordWand")},
	{0x00000669, vid_00000669, _T("Oce' Printing Systems GmbH")},
	{0x0000066a, vid_0000066a, _T("Total Technologies")},
	{0x0000066b, vid_0000066b, _T("Linksys")},
	{0x0000066d, vid_0000066d, _T("Entrega")},
	{0x0000066e, vid_0000066e, _T("Acer Semiconductor America")},
	{0x0000066f, vid_0000066f, _T("SigmaTel")},
	{0x00000672, vid_00000672, _T("Labtec")},
	{0x00000673, vid_00000673, _T("HCL")},
	{0x00000674, vid_00000674, _T("Key Mouse Electronic Enterprise")},
	{0x00000675, vid_00000675, _T("Draytech")},
	{0x00000676, vid_00000676, _T("Teles AG")},
	{0x00000677, vid_00000677, _T("Aiwa")},
	{0x00000678, vid_00000678, _T("ACard Technology")},
	{0x0000067b, vid_0000067b, _T("Prolific Technology")},
	{0x0000067c, vid_0000067c, _T("Efficient Networks")},
	{0x0000067d, vid_0000067d, _T("Hohner")},
	{0x0000067e, vid_0000067e, _T("Intermec")},
	{0x0000067f, vid_0000067f, _T("Virata")},
	{0x00000680, vid_00000680, _T("Realtek Semiconductor, CPP Div. (Avance Logic)")},
	{0x00000681, vid_00000681, _T("Siemens Information and Communication Products")},
	{0x00000682, vid_00000682, _T("Victor Company of Japan")},
	{0x00000684, vid_00000684, _T("Actiontec Electronics")},
	{0x00000686, vid_00000686, _T("Minolta")},
	{0x0000068a, vid_0000068a, _T("Pertech")},
	{0x0000068b, vid_0000068b, _T("Potrans International")},
	{0x0000068e, vid_0000068e, _T("CH Products")},
	{0x00000690, vid_00000690, _T("Golden Bridge Electech")},
	{0x00000693, vid_00000693, _T("Hagiwara Sys-Com")},
	{0x00000694, vid_00000694, _T("Lego Group")},
	{0x00000698, vid_00000698, _T("Chuntex (CTX)")},
	{0x00000699, vid_00000699, _T("Tektronix")},
	{0x0000069a, vid_0000069a, _T("Askey Computer")},
	{0x0000069b, vid_0000069b, _T("Thomson")},
	{0x0000069d, vid_0000069d, _T("Hughes Network Systems (HNS)")},
	{0x0000069e, vid_0000069e, _T("Marx")},
	{0x0000069f, vid_0000069f, _T("Allied Data Technologies BV")},
	{0x000006a2, vid_000006a2, _T("Topro Technology")},
	{0x000006a3, vid_000006a3, _T("Saitek PLC")},
	{0x000006a4, vid_000006a4, _T("Xiamen Doowell Electron")},
	{0x000006a5, vid_000006a5, _T("Divio")},
	{0x000006a7, vid_000006a7, _T("MicroStore")},
	{0x000006a8, vid_000006a8, _T("Topaz Systems")},
	{0x000006a9, vid_000006a9, _T("Westell")},
	{0x000006aa, vid_000006aa, _T("Sysgration")},
	{0x000006ac, vid_000006ac, _T("Fujitsu Laboratories of America")},
	{0x000006ad, vid_000006ad, _T("Greatland Electronics Taiwan")},
	{0x000006ae, vid_000006ae, _T("Professional Multimedia Testing Centre")},
	{0x000006af, vid_000006af, _T("Harting of North America")},
	{0x000006b8, vid_000006b8, _T("Pixela")},
	{0x000006b9, vid_000006b9, _T("Alcatel Telecom")},
	{0x000006ba, vid_000006ba, _T("Smooth Cord & Connector")},
	{0x000006bb, vid_000006bb, _T("EDA")},
	{0x000006bc, vid_000006bc, _T("Oki Data")},
	{0x000006bd, vid_000006bd, _T("AGFA-Gevaert NV")},
	{0x000006be, vid_000006be, _T("AME Optimedia Technology")},
	{0x000006bf, vid_000006bf, _T("Leoco")},
	{0x000006c2, vid_000006c2, _T("Phidgets Inc. (formerly GLAB)")},
	{0x000006c4, vid_000006c4, _T("Bizlink International")},
	{0x000006c5, vid_000006c5, _T("Hagenuk, GmbH")},
	{0x000006c6, vid_000006c6, _T("Infowave Software")},
	{0x000006c8, vid_000006c8, _T("SIIG")},
	{0x000006c9, vid_000006c9, _T("Taxan (Europe)")},
	{0x000006ca, vid_000006ca, _T("Newer Technology")},
	{0x000006cb, vid_000006cb, _T("Synaptics")},
	{0x000006cc, vid_000006cc, _T("Terayon Communication Systems")},
	{0x000006cd, vid_000006cd, _T("Keyspan")},
	{0x000006cf, vid_000006cf, _T("SpheronVR AG")},
	{0x000006d0, vid_000006d0, _T("LapLink")},
	{0x000006d1, vid_000006d1, _T("Daewoo Electronics")},
	{0x000006d3, vid_000006d3, _T("Mitsubishi Electric")},
	{0x000006d4, vid_000006d4, _T("Cisco Systems")},
	{0x000006d5, vid_000006d5, _T("Toshiba")},
	{0x000006d6, vid_000006d6, _T("Aashima Technology B.V")},
	{0x000006d7, vid_000006d7, _T("Network Computing Devices (NCD)")},
	{0x000006d8, vid_000006d8, _T("Technical Marketing Research")},
	{0x000006da, vid_000006da, _T("Phoenixtec Power")},
	{0x000006db, vid_000006db, _T("Paradyne")},
	{0x000006dc, vid_000006dc, _T("Foxlink Image Technology")},
	{0x000006de, vid_000006de, _T("Heisei Electronics")},
	{0x000006e0, vid_000006e0, _T("Multi-Tech Systems")},
	{0x000006e1, vid_000006e1, _T("ADS Technologies")},
	{0x000006e4, vid_000006e4, _T("Alcatel Microelectronics")},
	{0x000006e6, vid_000006e6, _T("Tiger Jet Network")},
	{0x000006ea, vid_000006ea, _T("Sirius Technologies")},
	{0x000006eb, vid_000006eb, _T("PC Expert Tech")},
	{0x000006ef, vid_000006ef, _T("I.A.C. Geometrische Ingenieurs B.V")},
	{0x000006f0, vid_000006f0, _T("T.N.C Industrial")},
	{0x000006f1, vid_000006f1, _T("Opcode Systems")},
	{0x000006f2, vid_000006f2, _T("Emine Technology")},
	{0x000006f6, vid_000006f6, _T("Wintrend Technology")},
	{0x000006f8, vid_000006f8, _T("Guillemot")},
	{0x000006fa, vid_000006fa, _T("HSD S.r.L")},
	{0x000006fc, vid_000006fc, _T("Motorola Semiconductor Products Sector")},
	{0x000006fd, vid_000006fd, _T("Boston Acoustics")},
	{0x000006fe, vid_000006fe, _T("Gallant Computer")},
	{0x00000701, vid_00000701, _T("Supercomal Wire & Cable SDN. BHD")},
	{0x00000703, vid_00000703, _T("Bvtech Industry")},
	{0x00000705, vid_00000705, _T("NKK")},
	{0x00000706, vid_00000706, _T("Ariel")},
	{0x00000707, vid_00000707, _T("Standard Microsystems")},
	{0x00000708, vid_00000708, _T("Putercom")},
	{0x00000709, vid_00000709, _T("Silicon Systems (SSL)")},
	{0x0000070a, vid_0000070a, _T("Oki Electric Industry")},
	{0x0000070d, vid_0000070d, _T("Comoss Electronic")},
	{0x0000070e, vid_0000070e, _T("Excel Cell Electronic")},
	{0x00000710, vid_00000710, _T("Connect Tech")},
	{0x00000711, vid_00000711, _T("Magic Control Technology")},
	{0x00000713, vid_00000713, _T("Interval Research")},
	{0x00000714, vid_00000714, _T("NewMotion")},
	{0x00000717, vid_00000717, _T("ZNK")},
	{0x00000718, vid_00000718, _T("Imation")},
	{0x00000719, vid_00000719, _T("Tremon Enterprises")},
	{0x0000071b, vid_0000071b, _T("Domain Technologies")},
	{0x0000071c, vid_0000071c, _T("Xionics Document Technologies")},
	{0x0000071d, vid_0000071d, _T("Eicon Networks")},
	{0x0000071e, vid_0000071e, _T("Ariston Technologies")},
	{0x00000723, vid_00000723, _T("Centillium Communications")},
	{0x00000726, vid_00000726, _T("Vanguard International Semiconductor-America")},
	{0x00000729, vid_00000729, _T("Amitm")},
	{0x0000072e, vid_0000072e, _T("Sunix")},
	{0x0000072f, vid_0000072f, _T("Advanced Card Systems")},
	{0x00000731, vid_00000731, _T("Susteen")},
	{0x00000732, vid_00000732, _T("Goldfull Electronics & Telecommunications")},
	{0x00000733, vid_00000733, _T("ViewQuest Technologies")},
	{0x00000734, vid_00000734, _T("Lasat Communications A/S")},
	{0x00000735, vid_00000735, _T("Asuscom Network")},
	{0x00000736, vid_00000736, _T("Lorom Industrial")},
	{0x00000738, vid_00000738, _T("Mad Catz")},
	{0x0000073b, vid_0000073b, _T("Suncom Technologies")},
	{0x0000073a, vid_0000073a, _T("Chaplet Systems")},
	{0x0000073d, vid_0000073d, _T("Eutron S.p.a")},
	{0x0000073e, vid_0000073e, _T("NEC")},
	{0x00000745, vid_00000745, _T("Syntech Information")},
	{0x00000746, vid_00000746, _T("Onkyo")},
	{0x00000747, vid_00000747, _T("Labway")},
	{0x00000748, vid_00000748, _T("Strong Man Enterprise")},
	{0x00000749, vid_00000749, _T("EVer Electronics")},
	{0x0000074a, vid_0000074a, _T("Ming Fortune Industry")},
	{0x0000074b, vid_0000074b, _T("Polestar Tech")},
	{0x0000074c, vid_0000074c, _T("C-C-C Group PLC")},
	{0x0000074d, vid_0000074d, _T("Micronas GmbH")},
	{0x0000074e, vid_0000074e, _T("Digital Stream")},
	{0x00000755, vid_00000755, _T("Aureal Semiconductor")},
	{0x00000757, vid_00000757, _T("Network Technologies")},
	{0x0000075b, vid_0000075b, _T("Sophisticated Circuits")},
	{0x00000763, vid_00000763, _T("Midiman")},
	{0x00000764, vid_00000764, _T("Cyber Power System")},
	{0x00000765, vid_00000765, _T("X-Rite")},
	{0x00000766, vid_00000766, _T("Jess-Link Products")},
	{0x00000767, vid_00000767, _T("Tokheim")},
	{0x00000768, vid_00000768, _T("Camtel Technology")},
	{0x00000769, vid_00000769, _T("Surecom Technology")},
	{0x0000076a, vid_0000076a, _T("Smart Technology Enablers")},
	{0x0000076b, vid_0000076b, _T("OmniKey AG")},
	{0x0000076c, vid_0000076c, _T("Partner Tech")},
	{0x0000076d, vid_0000076d, _T("Denso")},
	{0x0000076e, vid_0000076e, _T("Kuan Tech Enterprise")},
	{0x0000076f, vid_0000076f, _T("Jhen Vei Electronic")},
	{0x00000774, vid_00000774, _T("AmTRAN Technology")},
	{0x00000775, vid_00000775, _T("Longshine Electronics")},
	{0x00000776, vid_00000776, _T("Inalways")},
	{0x00000777, vid_00000777, _T("Comda Enterprise")},
	{0x00000778, vid_00000778, _T("Volex")},
	{0x00000779, vid_00000779, _T("Fairchild Semiconductor")},
	{0x0000077a, vid_0000077a, _T("Sankyo Seiki")},
	{0x0000077b, vid_0000077b, _T("Linksys")},
	{0x0000077c, vid_0000077c, _T("Forward Electronics")},
	{0x0000077d, vid_0000077d, _T("Griffin Technology")},
	{0x0000077f, vid_0000077f, _T("Well Excellent & Most")},
	{0x00000781, vid_00000781, _T("SanDisk")},
	{0x00000782, vid_00000782, _T("Trackerball")},
	{0x00000783, vid_00000783, _T("C3PO")},
	{0x00000784, vid_00000784, _T("Vivitar")},
	{0x00000785, vid_00000785, _T("NTT-ME")},
	{0x00000789, vid_00000789, _T("Logitec")},
	{0x0000078b, vid_0000078b, _T("Happ Controls")},
	{0x0000078e, vid_0000078e, _T("Brincom")},
	{0x00000790, vid_00000790, _T("Pro-Image Manufacturing")},
	{0x00000791, vid_00000791, _T("Copartner Wire and Cable")},
	{0x00000792, vid_00000792, _T("Axis Communications AB")},
	{0x00000793, vid_00000793, _T("Wha Yu Industrial")},
	{0x00000794, vid_00000794, _T("ABL Electronics")},
	{0x00000795, vid_00000795, _T("RealChip")},
	{0x00000796, vid_00000796, _T("Certicom")},
	{0x00000797, vid_00000797, _T("Grandtech Semiconductor")},
	{0x0000079b, vid_0000079b, _T("Sagem")},
	{0x0000079d, vid_0000079d, _T("Alfadata Computer")},
	{0x000007a1, vid_000007a1, _T("Digicom S.p.A")},
	{0x000007a2, vid_000007a2, _T("National Technical Systems")},
	{0x000007a3, vid_000007a3, _T("Onnto")},
	{0x000007a4, vid_000007a4, _T("Be")},
	{0x000007a6, vid_000007a6, _T("ADMtek")},
	{0x000007aa, vid_000007aa, _T("Corega K.K")},
	{0x000007ab, vid_000007ab, _T("Freecom Technologies")},
	{0x000007af, vid_000007af, _T("Microtech")},
	{0x000007b0, vid_000007b0, _T("Trust Technologies")},
	{0x000007b1, vid_000007b1, _T("IMP")},
	{0x000007b2, vid_000007b2, _T("Motorola BCS")},
	{0x000007b3, vid_000007b3, _T("Plustek")},
	{0x000007b4, vid_000007b4, _T("Olympus Optical")},
	{0x000007b5, vid_000007b5, _T("Mega World International")},
	{0x000007b6, vid_000007b6, _T("Marubun")},
	{0x000007b7, vid_000007b7, _T("TIME Interconnect")},
	{0x000007b8, vid_000007b8, _T("D-Link")},
	{0x000007bc, vid_000007bc, _T("Canon Computer Systems")},
	{0x000007bd, vid_000007bd, _T("Webgear")},
	{0x000007be, vid_000007be, _T("Veridicom")},
	{0x000007c0, vid_000007c0, _T("Code Mercenaries Hard- und Software GmbH")},
	{0x000007c4, vid_000007c4, _T("Datafab Systems")},
	{0x000007c5, vid_000007c5, _T("APG Cash Drawer")},
	{0x000007c6, vid_000007c6, _T("ShareWave")},
	{0x000007c7, vid_000007c7, _T("Powertech Industrial")},
	{0x000007c8, vid_000007c8, _T("B.U.G")},
	{0x000007c9, vid_000007c9, _T("Allied Telesyn International")},
	{0x000007ca, vid_000007ca, _T("AVerMedia Technologies")},
	{0x000007cb, vid_000007cb, _T("Kingmax Technology")},
	{0x000007cc, vid_000007cc, _T("Carry Computer Eng.,")},
	{0x000007cd, vid_000007cd, _T("Elektor")},
	{0x000007cf, vid_000007cf, _T("Casio Computer")},
	{0x000007d0, vid_000007d0, _T("Dazzle")},
	{0x000007d1, vid_000007d1, _T("D-Link System")},
	{0x000007d2, vid_000007d2, _T("Aptio Products")},
	{0x000007d3, vid_000007d3, _T("Cyberdata")},
	{0x000007d7, vid_000007d7, _T("GCC Technologies")},
	{0x000007da, vid_000007da, _T("Arasan Chip Systems")},
	{0x000007df, vid_000007df, _T("David Electronics")},
	{0x000007e1, vid_000007e1, _T("Ambient Technologies")},
	{0x000007e2, vid_000007e2, _T("Elmeg GmbH &")},
	{0x000007e3, vid_000007e3, _T("Planex Communications")},
	{0x000007e4, vid_000007e4, _T("Movado Enterprise")},
	{0x000007e5, vid_000007e5, _T("QPS")},
	{0x000007e6, vid_000007e6, _T("Allied Cable")},
	{0x000007e7, vid_000007e7, _T("Mirvo Toys")},
	{0x000007e8, vid_000007e8, _T("Labsystems")},
	{0x000007ea, vid_000007ea, _T("Iwatsu Electric")},
	{0x000007eb, vid_000007eb, _T("Double-H Technology")},
	{0x000007ec, vid_000007ec, _T("Taiyo Electric Wire & Cable")},
	{0x000007ee, vid_000007ee, _T("Torex Retail (formerly Logware)")},
	{0x000007f6, vid_000007f6, _T("Circuit Assembly")},
	{0x000007f7, vid_000007f7, _T("Century")},
	{0x000007f9, vid_000007f9, _T("Dotop Technology")},
	{0x000007fa, vid_000007fa, _T("Draytek")},
	{0x000007fd, vid_000007fd, _T("Mark of the Unicorn")},
	{0x00000801, vid_00000801, _T("Mag-Tek")},
	{0x00000802, vid_00000802, _T("Mako Technologies, LLC")},
	{0x00000803, vid_00000803, _T("Zoom Telephonics")},
	{0x00000809, vid_00000809, _T("Genicom Technology")},
	{0x0000080a, vid_0000080a, _T("Evermuch Technology")},
	{0x0000080c, vid_0000080c, _T("Datalogic S.p.A")},
	{0x0000080d, vid_0000080d, _T("Teco Image Systems")},
	{0x00000810, vid_00000810, _T("Personal Communication Systems")},
	{0x00000813, vid_00000813, _T("Mattel")},
	{0x0000081a, vid_0000081a, _T("MG Logic")},
	{0x0000081b, vid_0000081b, _T("Indigita")},
	{0x0000081c, vid_0000081c, _T("Mipsys")},
	{0x0000081e, vid_0000081e, _T("AlphaSmart")},
	{0x00000822, vid_00000822, _T("Reudo")},
	{0x00000825, vid_00000825, _T("GC Protronics")},
	{0x00000826, vid_00000826, _T("Data Transit")},
	{0x00000827, vid_00000827, _T("BroadLogic")},
	{0x00000828, vid_00000828, _T("Sato")},
	{0x00000829, vid_00000829, _T("DirecTV Broadband (Telocity)")},
	{0x0000082d, vid_0000082d, _T("Handspring")},
	{0x00000830, vid_00000830, _T("Palm")},
	{0x00000832, vid_00000832, _T("Kouwell Electronics")},
	{0x00000833, vid_00000833, _T("Sourcenext")},
	{0x00000835, vid_00000835, _T("Action Star Enterprise")},
	{0x00000839, vid_00000839, _T("Samsung Techwin")},
	{0x0000083a, vid_0000083a, _T("Accton Technology")},
	{0x0000083f, vid_0000083f, _T("Global Village")},
	{0x00000840, vid_00000840, _T("Argosy Research")},
	{0x00000841, vid_00000841, _T("Rioport.com")},
	{0x00000844, vid_00000844, _T("Welland Industrial")},
	{0x00000846, vid_00000846, _T("NetGear")},
	{0x0000084d, vid_0000084d, _T("Minton Optic Industry")},
	{0x0000084e, vid_0000084e, _T("KB Gear")},
	{0x0000084f, vid_0000084f, _T("Empeg")},
	{0x00000850, vid_00000850, _T("Fast Point Technologies")},
	{0x00000851, vid_00000851, _T("Macronix International")},
	{0x00000852, vid_00000852, _T("CSEM")},
	{0x00000854, vid_00000854, _T("ActiveWire")},
	{0x00000856, vid_00000856, _T("B&B Electronics")},
	{0x00000858, vid_00000858, _T("Hitachi Maxell")},
	{0x00000859, vid_00000859, _T("Minolta Systems Laboratory")},
	{0x0000085a, vid_0000085a, _T("Xircom")},
	{0x0000085c, vid_0000085c, _T("ColorVision")},
	{0x00000862, vid_00000862, _T("Teletrol Systems")},
	{0x00000863, vid_00000863, _T("Filanet")},
	{0x00000864, vid_00000864, _T("NetGear")},
	{0x00000867, vid_00000867, _T("Data Translation")},
	{0x0000086a, vid_0000086a, _T("Emagic Soft-und Hardware GmbH")},
	{0x0000086c, vid_0000086c, _T("DeTeWe - Deutsche Telephonwerke AG &")},
	{0x0000086e, vid_0000086e, _T("System TALKS")},
	{0x0000086f, vid_0000086f, _T("MEC IMEX")},
	{0x00000870, vid_00000870, _T("Metricom")},
	{0x00000871, vid_00000871, _T("SanDisk")},
	{0x00000873, vid_00000873, _T("Xpeed")},
	{0x00000874, vid_00000874, _T("A-Tec Subsystem")},
	{0x00000879, vid_00000879, _T("Comtrol")},
	{0x0000087c, vid_0000087c, _T("Adesso/Kbtek America")},
	{0x0000087d, vid_0000087d, _T("Jaton")},
	{0x0000087e, vid_0000087e, _T("Fujitsu Computer Products of America")},
	{0x0000087f, vid_0000087f, _T("Virtual IP Group")},
	{0x00000880, vid_00000880, _T("APT Technologies")},
	{0x00000883, vid_00000883, _T("Recording Industry Association of America (RIAA)")},
	{0x00000885, vid_00000885, _T("Boca Research")},
	{0x00000886, vid_00000886, _T("XAC Automation")},
	{0x00000887, vid_00000887, _T("Hannstar Electronics")},
	{0x0000088b, vid_0000088b, _T("MassWorks")},
	{0x00000892, vid_00000892, _T("DioGraphy")},
	{0x0000089c, vid_0000089c, _T("United Technologies Research Cntr")},
	{0x0000089d, vid_0000089d, _T("Icron Technologies")},
	{0x0000089e, vid_0000089e, _T("NST")},
	{0x0000089f, vid_0000089f, _T("Primex Aerospace")},
	{0x000008a5, vid_000008a5, _T("e9")},
	{0x000008a8, vid_000008a8, _T("Andrea Electronics")},
	{0x000008ae, vid_000008ae, _T("Macally (Mace Group)")},
	{0x000008b4, vid_000008b4, _T("Sorenson Vision")},
	{0x000008b8, vid_000008b8, _T("J. Gordon Electronic Design")},
	{0x000008b9, vid_000008b9, _T("RadioShack (Tandy)")},
	{0x000008bb, vid_000008bb, _T("Texas Instruments Japan")},
	{0x000008bd, vid_000008bd, _T("Citizen Watch")},
	{0x000008c3, vid_000008c3, _T("Precise Biometrics")},
	{0x000008c4, vid_000008c4, _T("Proxim")},
	{0x000008c7, vid_000008c7, _T("Key Nice Enterprise")},
	{0x000008c8, vid_000008c8, _T("2Wire")},
	{0x000008c9, vid_000008c9, _T("Nippon Telegraph and Telephone")},
	{0x000008ca, vid_000008ca, _T("Aiptek International")},
	{0x000008cd, vid_000008cd, _T("Jue Hsun Ind")},
	{0x000008ce, vid_000008ce, _T("Long Well Electronics")},
	{0x000008cf, vid_000008cf, _T("Productivity Enhancement Products")},
	{0x000008d1, vid_000008d1, _T("smartBridges")},
	{0x000008d3, vid_000008d3, _T("Virtual Ink")},
	{0x000008d4, vid_000008d4, _T("Fujitsu Siemens Computers")},
	{0x000008d9, vid_000008d9, _T("Increment P")},
	{0x000008dd, vid_000008dd, _T("Billionton Systems")},
	{0x000008de, vid_000008de, _T("?")},
	{0x000008df, vid_000008df, _T("Spyrus")},
	{0x000008e3, vid_000008e3, _T("Olitec")},
	{0x000008e4, vid_000008e4, _T("Pioneer")},
	{0x000008e5, vid_000008e5, _T("Litronic")},
	{0x000008e6, vid_000008e6, _T("Gemplus")},
	{0x000008e7, vid_000008e7, _T("Pan-International Wire & Cable")},
	{0x000008e8, vid_000008e8, _T("Integrated Memory Logic")},
	{0x000008e9, vid_000008e9, _T("Extended Systems")},
	{0x000008ea, vid_000008ea, _T("Ericsson, Blue Ridge Labs")},
	{0x000008ec, vid_000008ec, _T("M-Systems Flash Disk Pioneers")},
	{0x000008ee, vid_000008ee, _T("CCSI/Hesso")},
	{0x000008f0, vid_000008f0, _T("Corex Technologies")},
	{0x000008f1, vid_000008f1, _T("CTI Electronics")},
	{0x000008f5, vid_000008f5, _T("SysTec")},
	{0x000008f6, vid_000008f6, _T("Logic 3 International")},
	{0x000008f7, vid_000008f7, _T("Vernier")},
	{0x000008f8, vid_000008f8, _T("Keen Top International Enterprise")},
	{0x000008f9, vid_000008f9, _T("Wipro Technologies")},
	{0x000008fa, vid_000008fa, _T("Caere")},
	{0x000008fb, vid_000008fb, _T("Socket Communications")},
	{0x000008fc, vid_000008fc, _T("Sicon Cable Technology")},
	{0x000008fd, vid_000008fd, _T("Digianswer A/S")},
	{0x000008ff, vid_000008ff, _T("AuthenTec")},
	{0x00000900, vid_00000900, _T("Pinnacle Systems")},
	{0x00000901, vid_00000901, _T("VST Technologies")},
	{0x00000906, vid_00000906, _T("Faraday Technology")},
	{0x00000909, vid_00000909, _T("Audio-Technica")},
	{0x0000090a, vid_0000090a, _T("Trumpion Microelectronics")},
	{0x0000090b, vid_0000090b, _T("Neurosmith")},
	{0x0000090c, vid_0000090c, _T("Feiya Technology")},
	{0x0000090d, vid_0000090d, _T("Multiport Computer Vertriebs GmbH")},
	{0x0000090e, vid_0000090e, _T("Shining Technology")},
	{0x0000090f, vid_0000090f, _T("Fujitsu Devices")},
	{0x00000910, vid_00000910, _T("Alation Systems")},
	{0x00000911, vid_00000911, _T("Philips Speech Processing")},
	{0x00000912, vid_00000912, _T("Voquette")},
	{0x00000915, vid_00000915, _T("GlobeSpan")},
	{0x00000917, vid_00000917, _T("SmartDisk")},
	{0x00000919, vid_00000919, _T("Tiger Electronics")},
	{0x0000091e, vid_0000091e, _T("Garmin International")},
	{0x00000920, vid_00000920, _T("Echelon")},
	{0x00000921, vid_00000921, _T("GoHubs")},
	{0x00000922, vid_00000922, _T("Dymo-CoStar")},
	{0x00000923, vid_00000923, _T("IC Media")},
	{0x00000924, vid_00000924, _T("Xerox")},
	{0x00000925, vid_00000925, _T("Lakeview Research")},
	{0x00000927, vid_00000927, _T("Summus")},
	{0x00000928, vid_00000928, _T("Oxford Semiconductor")},
	{0x00000929, vid_00000929, _T("American Biometric")},
	{0x0000092a, vid_0000092a, _T("Toshiba Information & Industrial Sys. And Services")},
	{0x0000092b, vid_0000092b, _T("Sena Technologies")},
	{0x00000930, vid_00000930, _T("Toshiba")},
	{0x00000931, vid_00000931, _T("Harmonic Data Systems")},
	{0x00000932, vid_00000932, _T("Crescentec")},
	{0x00000933, vid_00000933, _T("Quantum")},
	{0x00000934, vid_00000934, _T("Netcom Systems")},
	{0x00000939, vid_00000939, _T("Lumberg")},
	{0x0000093a, vid_0000093a, _T("Pixart Imaging")},
	{0x0000093b, vid_0000093b, _T("Plextor")},
	{0x0000093c, vid_0000093c, _T("Intrepid Control Systems")},
	{0x0000093d, vid_0000093d, _T("InnoSync")},
	{0x0000093e, vid_0000093e, _T("J.S.T")},
	{0x0000093f, vid_0000093f, _T("Olympia Telecom Vertriebs GmbH")},
	{0x00000940, vid_00000940, _T("Japan Storage Battery")},
	{0x00000941, vid_00000941, _T("Photobit")},
	{0x00000942, vid_00000942, _T("i2Go.com, LLC")},
	{0x00000943, vid_00000943, _T("HCL Technologies India Private")},
	{0x00000944, vid_00000944, _T("KORG")},
	{0x00000945, vid_00000945, _T("Pasco Scientific")},
	{0x00000948, vid_00000948, _T("Kronauer music in digital")},
	{0x0000094b, vid_0000094b, _T("Linkup Systems")},
	{0x0000094d, vid_0000094d, _T("Cable Television Laboratories")},
	{0x00000951, vid_00000951, _T("Kingston Technology")},
	{0x00000954, vid_00000954, _T("RPM Systems")},
	{0x00000955, vid_00000955, _T("NVidia")},
	{0x00000956, vid_00000956, _T("BSquare")},
	{0x00000957, vid_00000957, _T("Agilent Technologies")},
	{0x00000958, vid_00000958, _T("CompuLink Research")},
	{0x00000959, vid_00000959, _T("Cologne Chip AG")},
	{0x0000095a, vid_0000095a, _T("Portsmith")},
	{0x0000095b, vid_0000095b, _T("Medialogic")},
	{0x0000095c, vid_0000095c, _T("K-Tec Electronics")},
	{0x0000095d, vid_0000095d, _T("Polycom")},
	{0x00000967, vid_00000967, _T("Acer (?)")},
	{0x00000968, vid_00000968, _T("Catalyst Enterprises")},
	{0x00000971, vid_00000971, _T("Gretag-Macbeth AG")},
	{0x00000973, vid_00000973, _T("Schlumberger")},
	{0x00000974, vid_00000974, _T("Datagraphix, a business unit of Anacomp")},
	{0x00000975, vid_00000975, _T("OL'E Communications")},
	{0x00000976, vid_00000976, _T("Adirondack Wire & Cable")},
	{0x00000977, vid_00000977, _T("Lightsurf Technologies")},
	{0x00000978, vid_00000978, _T("Beckhoff GmbH")},
	{0x00000979, vid_00000979, _T("Jeilin Technology")},
	{0x0000097a, vid_0000097a, _T("Minds At Work LLC")},
	{0x0000097b, vid_0000097b, _T("Knudsen Engineering")},
	{0x0000097c, vid_0000097c, _T("Marunix")},
	{0x0000097d, vid_0000097d, _T("Rosun Technologies")},
	{0x0000097f, vid_0000097f, _T("Barun Electronics")},
	{0x00000981, vid_00000981, _T("Oak Technology")},
	{0x00000984, vid_00000984, _T("Apricorn")},
	{0x00000985, vid_00000985, _T("cab Produkttechnik GmbH & Co KG")},
	{0x0000098c, vid_0000098c, _T("Vitana")},
	{0x0000098d, vid_0000098d, _T("INDesign")},
	{0x0000098e, vid_0000098e, _T("Integrated Intellectual Property")},
	{0x0000098f, vid_0000098f, _T("Kenwood TMI")},
	{0x00000993, vid_00000993, _T("Gemstar eBook Group")},
	{0x00000996, vid_00000996, _T("Integrated Telecom Express")},
	{0x0000099a, vid_0000099a, _T("Zippy Technology")},
	{0x000009a3, vid_000009a3, _T("PairGain Technologies")},
	{0x000009a4, vid_000009a4, _T("Contech Research")},
	{0x000009a5, vid_000009a5, _T("VCON Telecommunications")},
	{0x000009a6, vid_000009a6, _T("Poinchips")},
	{0x000009a7, vid_000009a7, _T("Data Transmission Network")},
	{0x000009a8, vid_000009a8, _T("Lin Shiung Enterprise")},
	{0x000009a9, vid_000009a9, _T("Smart Card Technologies")},
	{0x000009aa, vid_000009aa, _T("Intersil")},
	{0x000009ae, vid_000009ae, _T("Tripp Lite")},
	{0x000009b2, vid_000009b2, _T("Franklin Electronic Publishers")},
	{0x000009b3, vid_000009b3, _T("Altius Solutions")},
	{0x000009b4, vid_000009b4, _T("MDS Telephone Systems")},
	{0x000009b5, vid_000009b5, _T("Celltrix Technology")},
	{0x000009bc, vid_000009bc, _T("Grundig")},
	{0x000009be, vid_000009be, _T("MySmart.Com")},
	{0x000009bf, vid_000009bf, _T("Auerswald GmbH & KG")},
	{0x000009c1, vid_000009c1, _T("Arris Interactive LLC")},
	{0x000009c2, vid_000009c2, _T("Nisca")},
	{0x000009c3, vid_000009c3, _T("ActivCard")},
	{0x000009c4, vid_000009c4, _T("ACTiSYS")},
	{0x000009c5, vid_000009c5, _T("Memory")},
	{0x000009cc, vid_000009cc, _T("Workbit")},
	{0x000009cd, vid_000009cd, _T("Psion Dacom Home Networks")},
	{0x000009ce, vid_000009ce, _T("City Electronics")},
	{0x000009cf, vid_000009cf, _T("Electronics Testing Center, Taiwan")},
	{0x000009d1, vid_000009d1, _T("NeoMagic")},
	{0x000009d2, vid_000009d2, _T("Vreelin Engineering")},
	{0x000009d3, vid_000009d3, _T("Com One")},
	{0x000009d9, vid_000009d9, _T("KRF Tech")},
	{0x000009da, vid_000009da, _T("A4 Tech")},
	{0x000009db, vid_000009db, _T("Measurement Computing")},
	{0x000009dc, vid_000009dc, _T("Aimex")},
	{0x000009dd, vid_000009dd, _T("Fellowes")},
	{0x000009df, vid_000009df, _T("Addonics Technologies")},
	{0x000009e1, vid_000009e1, _T("Intellon")},
	{0x000009e5, vid_000009e5, _T("Jo-Dan International")},
	{0x000009e6, vid_000009e6, _T("Silutia")},
	{0x000009e7, vid_000009e7, _T("Real 3D")},
	{0x000009e8, vid_000009e8, _T("AKAI  Professional M.I")},
	{0x000009e9, vid_000009e9, _T("Chen-Source")},
	{0x000009eb, vid_000009eb, _T("IM Networks")},
	{0x000009ef, vid_000009ef, _T("Xitel")},
	{0x000009f5, vid_000009f5, _T("AresCom")},
	{0x000009f6, vid_000009f6, _T("RocketChips")},
	{0x000009f7, vid_000009f7, _T("Edu-Science (H.K.)")},
	{0x000009f8, vid_000009f8, _T("SoftConnex Technologies")},
	{0x000009f9, vid_000009f9, _T("Bay Associates")},
	{0x000009fa, vid_000009fa, _T("Mtek Vision")},
	{0x000009fb, vid_000009fb, _T("Altera")},
	{0x000009ff, vid_000009ff, _T("Gain Technology")},
	{0x00000a00, vid_00000a00, _T("Liquid Audio")},
	{0x00000a01, vid_00000a01, _T("ViA")},
	{0x00000a07, vid_00000a07, _T("Ontrak Control Systems Inc")},
	{0x00000a0b, vid_00000a0b, _T("Cybex Computer Products")},
	{0x00000a11, vid_00000a11, _T("Xentec")},
	{0x00000a12, vid_00000a12, _T("Cambridge Silicon Radio")},
	{0x00000a13, vid_00000a13, _T("Telebyte")},
	{0x00000a14, vid_00000a14, _T("Spacelabs Medical")},
	{0x00000a15, vid_00000a15, _T("Scalar")},
	{0x00000a16, vid_00000a16, _T("Trek Technology (S) PTE")},
	{0x00000a17, vid_00000a17, _T("Pentax")},
	{0x00000a18, vid_00000a18, _T("Heidelberger Druckmaschinen AG")},
	{0x00000a19, vid_00000a19, _T("Hua Geng Technologies")},
	{0x00000a21, vid_00000a21, _T("Medtronic Physio Control")},
	{0x00000a22, vid_00000a22, _T("Century Semiconductor USA")},
	{0x00000a2c, vid_00000a2c, _T("AK-Modul-Bus Computer GmbH")},
	{0x00000a39, vid_00000a39, _T("Gilat Satellite Networks")},
	{0x00000a3a, vid_00000a3a, _T("PentaMedia")},
	{0x00000a3c, vid_00000a3c, _T("NTT DoCoMo")},
	{0x00000a3d, vid_00000a3d, _T("Varo Vision")},
	{0x00000a3f, vid_00000a3f, _T("Swissonic AG")},
	{0x00000a43, vid_00000a43, _T("Boca Systems")},
	{0x00000a46, vid_00000a46, _T("Davicom Semiconductor")},
	{0x00000a47, vid_00000a47, _T("Hirose Electric")},
	{0x00000a48, vid_00000a48, _T("I/O Interconnect")},
	{0x00000a4b, vid_00000a4b, _T("Fujitsu Media Devices")},
	{0x00000a4c, vid_00000a4c, _T("Computex")},
	{0x00000a4d, vid_00000a4d, _T("Evolution Electronics")},
	{0x00000a4e, vid_00000a4e, _T("Steinberg Soft-und Hardware GmbH")},
	{0x00000a4f, vid_00000a4f, _T("Litton Systems")},
	{0x00000a50, vid_00000a50, _T("Mimaki Engineering")},
	{0x00000a51, vid_00000a51, _T("Sony Electronics")},
	{0x00000a52, vid_00000a52, _T("Jebsee Electronics")},
	{0x00000a53, vid_00000a53, _T("Portable Peripheral")},
	{0x00000a5a, vid_00000a5a, _T("Electronics For Imaging")},
	{0x00000a5b, vid_00000a5b, _T("EAsics NV")},
	{0x00000a5c, vid_00000a5c, _T("Broadcom")},
	{0x00000a5d, vid_00000a5d, _T("Diatrend")},
	{0x00000a5f, vid_00000a5f, _T("Zebra")},
	{0x00000a62, vid_00000a62, _T("MPMan")},
	{0x00000a66, vid_00000a66, _T("ClearCube Technology")},
	{0x00000a67, vid_00000a67, _T("Medeli Electronics")},
	{0x00000a68, vid_00000a68, _T("Comaide")},
	{0x00000a69, vid_00000a69, _T("Chroma ate")},
	{0x00000a6b, vid_00000a6b, _T("Green House")},
	{0x00000a6c, vid_00000a6c, _T("Integrated Circuit Systems")},
	{0x00000a6d, vid_00000a6d, _T("UPS Manufacturing")},
	{0x00000a6e, vid_00000a6e, _T("Benwin")},
	{0x00000a6f, vid_00000a6f, _T("Core Technology")},
	{0x00000a70, vid_00000a70, _T("International Game Technology")},
	{0x00000a72, vid_00000a72, _T("Sanwa Denshi")},
	{0x00000a7d, vid_00000a7d, _T("NSTL")},
	{0x00000a7e, vid_00000a7e, _T("Octagon Systems")},
	{0x00000a80, vid_00000a80, _T("Rexon Technology")},
	{0x00000a81, vid_00000a81, _T("Chesen Electronics")},
	{0x00000a82, vid_00000a82, _T("Syscan")},
	{0x00000a83, vid_00000a83, _T("NextComm")},
	{0x00000a84, vid_00000a84, _T("Maui Innovative Peripherals")},
	{0x00000a85, vid_00000a85, _T("Idexx Labs")},
	{0x00000a86, vid_00000a86, _T("NITGen")},
	{0x00000a8d, vid_00000a8d, _T("Picturetel")},
	{0x00000a8e, vid_00000a8e, _T("Japan Aviation Electronics Industry")},
	{0x00000a90, vid_00000a90, _T("Candy Technology")},
	{0x00000a91, vid_00000a91, _T("Globlink Technology")},
	{0x00000a92, vid_00000a92, _T("EGO SYStems")},
	{0x00000a93, vid_00000a93, _T("C Technologies AB")},
	{0x00000a94, vid_00000a94, _T("Intersense")},
	{0x00000aa3, vid_00000aa3, _T("Lava Computer")},
	{0x00000aa4, vid_00000aa4, _T("Develco Elektronik")},
	{0x00000aa5, vid_00000aa5, _T("First International Digital")},
	{0x00000aa6, vid_00000aa6, _T("Perception Digital")},
	{0x00000aa7, vid_00000aa7, _T("Wincor Nixdorf GmbH & Co KG")},
	{0x00000aa8, vid_00000aa8, _T("TriGem Computer")},
	{0x00000aa9, vid_00000aa9, _T("Baromtec")},
	{0x00000aaa, vid_00000aaa, _T("Japan CBM")},
	{0x00000aab, vid_00000aab, _T("Vision Shape Europe SA")},
	{0x00000aac, vid_00000aac, _T("iCompression")},
	{0x00000aad, vid_00000aad, _T("Rohde & Schwarz GmbH & KG")},
	{0x00000aae, vid_00000aae, _T("NEC infrontia (Nitsuko)")},
	{0x00000aaf, vid_00000aaf, _T("Digitalway")},
	{0x00000ab0, vid_00000ab0, _T("Arrow Strong Electronics")},
	{0x00000aba, vid_00000aba, _T("Ellisys")},
	{0x00000abe, vid_00000abe, _T("Stereo-Link")},
	{0x00000ac3, vid_00000ac3, _T("Sanyo Semiconductor Company Micro")},
	{0x00000ac4, vid_00000ac4, _T("Leco")},
	{0x00000ac5, vid_00000ac5, _T("I & C")},
	{0x00000ac6, vid_00000ac6, _T("Singing Electrons")},
	{0x00000ac7, vid_00000ac7, _T("Panwest")},
	{0x00000ac8, vid_00000ac8, _T("Z-Star Microelectronics")},
	{0x00000ac9, vid_00000ac9, _T("Micro Solutions")},
	{0x00000acc, vid_00000acc, _T("Koga Electronics")},
	{0x00000acd, vid_00000acd, _T("ID Tech")},
	{0x00000ace, vid_00000ace, _T("ZyDAS")},
	{0x00000acf, vid_00000acf, _T("Intoto")},
	{0x00000ad0, vid_00000ad0, _T("Intellix")},
	{0x00000ad1, vid_00000ad1, _T("Remotec Technology")},
	{0x00000ad2, vid_00000ad2, _T("Service & Quality Technology")},
	{0x00000ae3, vid_00000ae3, _T("Allion Computer")},
	{0x00000ae4, vid_00000ae4, _T("Taito")},
	{0x00000ae7, vid_00000ae7, _T("Neodym Systems")},
	{0x00000ae8, vid_00000ae8, _T("System Support")},
	{0x00000ae9, vid_00000ae9, _T("North Shore Circuit Design L.L.P")},
	{0x00000aea, vid_00000aea, _T("SciEssence, LLC")},
	{0x00000aeb, vid_00000aeb, _T("TTP Communications")},
	{0x00000aec, vid_00000aec, _T("Neodio Technologies")},
	{0x00000af0, vid_00000af0, _T("Option")},
	{0x00000af6, vid_00000af6, _T("Silver I")},
	{0x00000af7, vid_00000af7, _T("B2C2")},
	{0x00000af9, vid_00000af9, _T("Hama")},
	{0x00000afc, vid_00000afc, _T("Zaptronix Ltd")},
	{0x00000afd, vid_00000afd, _T("Tateno Dennou")},
	{0x00000afe, vid_00000afe, _T("Cummins Engine")},
	{0x00000aff, vid_00000aff, _T("Jump Zone Network Products")},
	{0x00000b05, vid_00000b05, _T("ASUSTek Computer")},
	{0x00000b0c, vid_00000b0c, _T("Todos Data System AB")},
	{0x00000b0e, vid_00000b0e, _T("GN Netcom")},
	{0x00000b0f, vid_00000b0f, _T("AVID Technology")},
	{0x00000b10, vid_00000b10, _T("Pcally")},
	{0x00000b11, vid_00000b11, _T("I Tech Solutions")},
	{0x00000b1e, vid_00000b1e, _T("Electronic Warfare Assoc. (EWA)")},
	{0x00000b1f, vid_00000b1f, _T("Insyde Software")},
	{0x00000b20, vid_00000b20, _T("TransDimension")},
	{0x00000b21, vid_00000b21, _T("Yokogawa Electric")},
	{0x00000b22, vid_00000b22, _T("Japan System Development")},
	{0x00000b23, vid_00000b23, _T("Pan-Asia Electronics")},
	{0x00000b24, vid_00000b24, _T("Link Evolution")},
	{0x00000b27, vid_00000b27, _T("Ritek")},
	{0x00000b28, vid_00000b28, _T("Kenwood")},
	{0x00000b2c, vid_00000b2c, _T("Village Center")},
	{0x00000b30, vid_00000b30, _T("PNY Technologies")},
	{0x00000b33, vid_00000b33, _T("Contour Design")},
	{0x00000b37, vid_00000b37, _T("Hitachi ULSI Systems")},
	{0x00000b39, vid_00000b39, _T("Omnidirectional Control Technology")},
	{0x00000b3a, vid_00000b3a, _T("IPaxess")},
	{0x00000b3b, vid_00000b3b, _T("Tekram Technology")},
	{0x00000b3c, vid_00000b3c, _T("Olivetti Techcenter")},
	{0x00000b3e, vid_00000b3e, _T("Kikusui Electronics")},
	{0x00000b41, vid_00000b41, _T("Hal")},
	{0x00000b43, vid_00000b43, _T("Play.com")},
	{0x00000b47, vid_00000b47, _T("Sportbug.com")},
	{0x00000b48, vid_00000b48, _T("TechnoTrend AG")},
	{0x00000b49, vid_00000b49, _T("ASCII")},
	{0x00000b4b, vid_00000b4b, _T("Pine Ltd")},
	{0x00000b4e, vid_00000b4e, _T("Musical Electronics")},
	{0x00000b50, vid_00000b50, _T("Dumpries")},
	{0x00000b51, vid_00000b51, _T("Comfort Keyboard")},
	{0x00000b52, vid_00000b52, _T("Colorado MicroDisplay")},
	{0x00000b54, vid_00000b54, _T("Sinbon Electronics")},
	{0x00000b56, vid_00000b56, _T("TYI Systems")},
	{0x00000b57, vid_00000b57, _T("Beijing HanwangTechnology")},
	{0x00000b59, vid_00000b59, _T("Lake Communications")},
	{0x00000b5a, vid_00000b5a, _T("Corel")},
	{0x00000b5f, vid_00000b5f, _T("Green Electronics")},
	{0x00000b60, vid_00000b60, _T("Nsine")},
	{0x00000b61, vid_00000b61, _T("NEC Viewtechnology")},
	{0x00000b62, vid_00000b62, _T("Orange Micro")},
	{0x00000b63, vid_00000b63, _T("ADLink Technology")},
	{0x00000b64, vid_00000b64, _T("Wonderful Wire Cable")},
	{0x00000b65, vid_00000b65, _T("Expert Magnetics")},
	{0x00000b69, vid_00000b69, _T("CacheVision")},
	{0x00000b6a, vid_00000b6a, _T("Maxim Integrated Products")},
	{0x00000b6f, vid_00000b6f, _T("Nagano Japan Radio")},
	{0x00000b70, vid_00000b70, _T("PortalPlayer")},
	{0x00000b71, vid_00000b71, _T("SHIN-EI Sangyo")},
	{0x00000b72, vid_00000b72, _T("Embedded Wireless Technology")},
	{0x00000b73, vid_00000b73, _T("Computone")},
	{0x00000b75, vid_00000b75, _T("Roland DG")},
	{0x00000b79, vid_00000b79, _T("Sunrise Telecom")},
	{0x00000b7a, vid_00000b7a, _T("Zeevo")},
	{0x00000b7b, vid_00000b7b, _T("Taiko Denki")},
	{0x00000b7c, vid_00000b7c, _T("ITRAN Communications")},
	{0x00000b7d, vid_00000b7d, _T("Astrodesign")},
	{0x00000b84, vid_00000b84, _T("Rextron Technology")},
	{0x00000b85, vid_00000b85, _T("Elkat Electronics, Sdn., Bhd")},
	{0x00000b86, vid_00000b86, _T("Exputer Systems")},
	{0x00000b87, vid_00000b87, _T("Plus-One I & T")},
	{0x00000b88, vid_00000b88, _T("Sigma Koki, Technology Center")},
	{0x00000b89, vid_00000b89, _T("Advanced Digital Broadcast")},
	{0x00000b95, vid_00000b95, _T("ASIX Electronics")},
	{0x00000b96, vid_00000b96, _T("Sewon Telecom")},
	{0x00000b97, vid_00000b97, _T("O2 Micro")},
	{0x00000b98, vid_00000b98, _T("Playmates Toys")},
	{0x00000b99, vid_00000b99, _T("Audio International")},
	{0x00000b9b, vid_00000b9b, _T("Dipl.-Ing. Stefan Kunde")},
	{0x00000b9d, vid_00000b9d, _T("Softprotec")},
	{0x00000b9f, vid_00000b9f, _T("Chippo Technologies")},
	{0x00000baf, vid_00000baf, _T("U.S. Robotics")},
	{0x00000bb0, vid_00000bb0, _T("Concord Camera")},
	{0x00000bb1, vid_00000bb1, _T("Infinilink")},
	{0x00000bb2, vid_00000bb2, _T("Ambit Microsystems")},
	{0x00000bb3, vid_00000bb3, _T("Ofuji Technology")},
	{0x00000bb4, vid_00000bb4, _T("High Tech Computer")},
	{0x00000bb5, vid_00000bb5, _T("Murata Manufacturing")},
	{0x00000bb6, vid_00000bb6, _T("Network Alchemy")},
	{0x00000bb7, vid_00000bb7, _T("Joytech Computer")},
	{0x00000bb8, vid_00000bb8, _T("Hitachi Semiconductor and Devices Sales")},
	{0x00000bb9, vid_00000bb9, _T("Eiger M&C")},
	{0x00000bba, vid_00000bba, _T("ZAccess Systems")},
	{0x00000bbb, vid_00000bbb, _T("General Meters")},
	{0x00000bbc, vid_00000bbc, _T("Assistive Technology")},
	{0x00000bbd, vid_00000bbd, _T("System Connection")},
	{0x00000bc0, vid_00000bc0, _T("Knilink Technology")},
	{0x00000bc1, vid_00000bc1, _T("Fuw Yng Electronics")},
	{0x00000bc2, vid_00000bc2, _T("Seagate RSS LLC")},
	{0x00000bc3, vid_00000bc3, _T("IPWireless")},
	{0x00000bc4, vid_00000bc4, _T("Microcube")},
	{0x00000bc5, vid_00000bc5, _T("JCN")},
	{0x00000bc6, vid_00000bc6, _T("ExWAY")},
	{0x00000bc7, vid_00000bc7, _T("X10 Wireless Technology")},
	{0x00000bc8, vid_00000bc8, _T("Telmax Communications")},
	{0x00000bc9, vid_00000bc9, _T("ECI Telecom")},
	{0x00000bca, vid_00000bca, _T("Startek Engineering")},
	{0x00000bcb, vid_00000bcb, _T("Perfect Technic Enterprise")},
	{0x00000bda, vid_00000bda, _T("Realtek Semiconductor")},
	{0x00000bdb, vid_00000bdb, _T("Ericsson Business Mobile Networks BV")},
	{0x00000bdc, vid_00000bdc, _T("Y Media")},
	{0x00000bdd, vid_00000bdd, _T("Orange PCS")},
	{0x00000be2, vid_00000be2, _T("Kanda Tsushin Kogyo")},
	{0x00000be3, vid_00000be3, _T("TOYO")},
	{0x00000be4, vid_00000be4, _T("Elka International")},
	{0x00000be5, vid_00000be5, _T("DOME imaging systems")},
	{0x00000be6, vid_00000be6, _T("Dong Guan Humen Wonderful Wire Cable Factory")},
	{0x00000bee, vid_00000bee, _T("LTK Industries")},
	{0x00000bef, vid_00000bef, _T("Way2Call Communications")},
	{0x00000bf0, vid_00000bf0, _T("Pace Micro Technology PLC")},
	{0x00000bf1, vid_00000bf1, _T("Intracom S.A")},
	{0x00000bf2, vid_00000bf2, _T("Konexx")},
	{0x00000bf6, vid_00000bf6, _T("Addonics Technologies")},
	{0x00000bf7, vid_00000bf7, _T("Sunny Giken")},
	{0x00000bf8, vid_00000bf8, _T("Fujitsu Siemens Computers")},
	{0x00000c04, vid_00000c04, _T("MOTO Development Group")},
	{0x00000c05, vid_00000c05, _T("Appian Graphics")},
	{0x00000c06, vid_00000c06, _T("Hasbro Games")},
	{0x00000c07, vid_00000c07, _T("Infinite Data Storage")},
	{0x00000c08, vid_00000c08, _T("Agate")},
	{0x00000c09, vid_00000c09, _T("Comjet Information System")},
	{0x00000c0a, vid_00000c0a, _T("Highpoint Technologies")},
	{0x00000c0b, vid_00000c0b, _T("Dura Micro (Acomdata)")},
	{0x00000c12, vid_00000c12, _T("Zeroplus")},
	{0x00000c15, vid_00000c15, _T("Iris Graphics")},
	{0x00000c16, vid_00000c16, _T("Gyration")},
	{0x00000c17, vid_00000c17, _T("Cyberboard A/S")},
	{0x00000c18, vid_00000c18, _T("SynerTek Korea")},
	{0x00000c19, vid_00000c19, _T("cyberPIXIE")},
	{0x00000c1a, vid_00000c1a, _T("Silicon Motion")},
	{0x00000c1b, vid_00000c1b, _T("MIPS Technologies")},
	{0x00000c1c, vid_00000c1c, _T("Hang Zhou Silan Electronics")},
	{0x00000c22, vid_00000c22, _T("Tally Printer")},
	{0x00000c23, vid_00000c23, _T("Lernout + Hauspie")},
	{0x00000c24, vid_00000c24, _T("Taiyo Yuden")},
	{0x00000c25, vid_00000c25, _T("Sampo")},
	{0x00000c2e, vid_00000c2e, _T("Metro")},
	{0x00000c35, vid_00000c35, _T("Eagletron")},
	{0x00000c36, vid_00000c36, _T("E Ink")},
	{0x00000c37, vid_00000c37, _T("e.Digital")},
	{0x00000c38, vid_00000c38, _T("Der An Electric Wire & Cable")},
	{0x00000c39, vid_00000c39, _T("IFR")},
	{0x00000c3a, vid_00000c3a, _T("Furui Precise Component (Kunshan)")},
	{0x00000c3b, vid_00000c3b, _T("Komatsu")},
	{0x00000c3c, vid_00000c3c, _T("Radius")},
	{0x00000c3d, vid_00000c3d, _T("Innocom")},
	{0x00000c3e, vid_00000c3e, _T("Nextcell")},
	{0x00000c44, vid_00000c44, _T("Motorola iDEN")},
	{0x00000c45, vid_00000c45, _T("Microdia")},
	{0x00000c46, vid_00000c46, _T("WaveRider Communications")},
	{0x00000c4b, vid_00000c4b, _T("Reiner SCT Kartensysteme GmbH")},
	{0x00000c52, vid_00000c52, _T("Sealevel Systems")},
	{0x00000c53, vid_00000c53, _T("ViewPLUS")},
	{0x00000c54, vid_00000c54, _T("Glory")},
	{0x00000c55, vid_00000c55, _T("Spectrum Digital")},
	{0x00000c56, vid_00000c56, _T("Billion Bright")},
	{0x00000c57, vid_00000c57, _T("Imaginative Design Operation")},
	{0x00000c58, vid_00000c58, _T("Vidar Systems")},
	{0x00000c59, vid_00000c59, _T("Dong Guan Shinko Wire")},
	{0x00000c5a, vid_00000c5a, _T("TRS International")},
	{0x00000c5e, vid_00000c5e, _T("Xytronix Research & Design")},
	{0x00000c62, vid_00000c62, _T("Chant Sincere")},
	{0x00000c63, vid_00000c63, _T("Toko")},
	{0x00000c64, vid_00000c64, _T("Signality System Engineering")},
	{0x00000c65, vid_00000c65, _T("Eminence Enterprise")},
	{0x00000c66, vid_00000c66, _T("Rexon Electronics")},
	{0x00000c67, vid_00000c67, _T("Concept Telecom")},
	{0x00000c70, vid_00000c70, _T("MCT Elektronikladen")},
	{0x00000c74, vid_00000c74, _T("Optronic Laboratories Inc")},
	{0x00000c76, vid_00000c76, _T("JMTek, LLC")},
	{0x00000c77, vid_00000c77, _T("Sipix Group")},
	{0x00000c78, vid_00000c78, _T("Detto")},
	{0x00000c79, vid_00000c79, _T("NuConnex Technologies Pte")},
	{0x00000c7a, vid_00000c7a, _T("Wing-Span Enterprise")},
	{0x00000c86, vid_00000c86, _T("NDA Technologies")},
	{0x00000c88, vid_00000c88, _T("Kyocera Wireless")},
	{0x00000c89, vid_00000c89, _T("Honda Tsushin Kogyo")},
	{0x00000c8a, vid_00000c8a, _T("Pathway Connectivity")},
	{0x00000c8b, vid_00000c8b, _T("Wavefly")},
	{0x00000c8c, vid_00000c8c, _T("Coactive Networks")},
	{0x00000c8d, vid_00000c8d, _T("Tempo")},
	{0x00000c8e, vid_00000c8e, _T("Cesscom")},
	{0x00000c8f, vid_00000c8f, _T("Applied Microsystems")},
	{0x00000c99, vid_00000c99, _T("Innochips")},
	{0x00000c9a, vid_00000c9a, _T("Hanwool Robotics")},
	{0x00000c9b, vid_00000c9b, _T("Jobin Yvon")},
	{0x00000ca2, vid_00000ca2, _T("Zyfer")},
	{0x00000ca3, vid_00000ca3, _T("Sega")},
	{0x00000ca4, vid_00000ca4, _T("ST&T Instrument")},
	{0x00000ca5, vid_00000ca5, _T("BAE Systems Canada")},
	{0x00000ca6, vid_00000ca6, _T("Castles Technology")},
	{0x00000ca7, vid_00000ca7, _T("Information Systems Laboratories")},
	{0x00000cad, vid_00000cad, _T("Motorola CGISS")},
	{0x00000cae, vid_00000cae, _T("Ascom Business Systems")},
	{0x00000caf, vid_00000caf, _T("Buslink")},
	{0x00000cb0, vid_00000cb0, _T("Flying Pig Systems")},
	{0x00000cb1, vid_00000cb1, _T("Innovonics")},
	{0x00000cb6, vid_00000cb6, _T("Celestix Networks, Pte")},
	{0x00000cb7, vid_00000cb7, _T("Singatron Enterprise")},
	{0x00000cb8, vid_00000cb8, _T("Opticis")},
	{0x00000cba, vid_00000cba, _T("Trust Electronic (Shanghai)")},
	{0x00000cbb, vid_00000cbb, _T("Shanghai Darong Electronics")},
	{0x00000cbc, vid_00000cbc, _T("Palmax Technology")},
	{0x00000cbd, vid_00000cbd, _T("Pentel (Electronics Equipment Div.)")},
	{0x00000cbe, vid_00000cbe, _T("Keryx Technologies")},
	{0x00000cbf, vid_00000cbf, _T("Union Genius Computer")},
	{0x00000cc0, vid_00000cc0, _T("Kuon Yi Industrial")},
	{0x00000cc1, vid_00000cc1, _T("Given Imaging")},
	{0x00000cc2, vid_00000cc2, _T("Timex")},
	{0x00000cc3, vid_00000cc3, _T("Rimage")},
	{0x00000cc4, vid_00000cc4, _T("emsys GmbH")},
	{0x00000cc5, vid_00000cc5, _T("Sendo")},
	{0x00000cc6, vid_00000cc6, _T("Intermagic")},
	{0x00000cc7, vid_00000cc7, _T("Kontron Medical AG")},
	{0x00000cc8, vid_00000cc8, _T("Technotools")},
	{0x00000cc9, vid_00000cc9, _T("BroadMAX Technologies")},
	{0x00000cca, vid_00000cca, _T("Amphenol")},
	{0x00000ccb, vid_00000ccb, _T("SKNet")},
	{0x00000ccc, vid_00000ccc, _T("Domex Technology")},
	{0x00000ccd, vid_00000ccd, _T("TerraTec Electronic GmbH")},
	{0x00000cd4, vid_00000cd4, _T("Bang Olufsen")},
	{0x00000cd7, vid_00000cd7, _T("NewChip S.r.l")},
	{0x00000cd8, vid_00000cd8, _T("JS Digitech")},
	{0x00000cd9, vid_00000cd9, _T("Hitachi Shin Din Cable")},
	{0x00000cde, vid_00000cde, _T("Z-Com")},
	{0x00000cf1, vid_00000cf1, _T("e-Conn Electronic")},
	{0x00000cf2, vid_00000cf2, _T("ENE Technology")},
	{0x00000cf3, vid_00000cf3, _T("Atheros Communications")},
	{0x00000cf4, vid_00000cf4, _T("Fomtex")},
	{0x00000cf5, vid_00000cf5, _T("Cellink")},
	{0x00000cf6, vid_00000cf6, _T("Compucable")},
	{0x00000cf7, vid_00000cf7, _T("ishoni Networks")},
	{0x00000cf8, vid_00000cf8, _T("Clarisys")},
	{0x00000cf9, vid_00000cf9, _T("Central System Research")},
	{0x00000cfa, vid_00000cfa, _T("Inviso")},
	{0x00000cfc, vid_00000cfc, _T("Minolta-QMS")},
	{0x00000d06, vid_00000d06, _T("telos EDV Systementwicklung GmbH")},
	{0x00000d0b, vid_00000d0b, _T("Contemporary Controls")},
	{0x00000d0c, vid_00000d0c, _T("Astron Electronics")},
	{0x00000d0d, vid_00000d0d, _T("MKNet")},
	{0x00000d0e, vid_00000d0e, _T("Hybrid Networks")},
	{0x00000d0f, vid_00000d0f, _T("Feng Shin Cable")},
	{0x00000d10, vid_00000d10, _T("Elastic Networks")},
	{0x00000d11, vid_00000d11, _T("Maspro Denkoh")},
	{0x00000d12, vid_00000d12, _T("Hansol Electronics")},
	{0x00000d13, vid_00000d13, _T("BMF")},
	{0x00000d14, vid_00000d14, _T("Array Comm")},
	{0x00000d15, vid_00000d15, _T("OnStream b.v")},
	{0x00000d16, vid_00000d16, _T("Hi-Touch Imaging Technologies")},
	{0x00000d17, vid_00000d17, _T("NALTEC")},
	{0x00000d18, vid_00000d18, _T("coaXmedia")},
	{0x00000d19, vid_00000d19, _T("Hank Connection Industrial")},
	{0x00000d32, vid_00000d32, _T("Leo Hui Electric Wire & Cable")},
	{0x00000d33, vid_00000d33, _T("AirSpeak")},
	{0x00000d34, vid_00000d34, _T("Rearden Steel Technologies")},
	{0x00000d35, vid_00000d35, _T("Dah Kun")},
	{0x00000d3c, vid_00000d3c, _T("Sri Cable Technology")},
	{0x00000d3d, vid_00000d3d, _T("Tangtop Technology")},
	{0x00000d3e, vid_00000d3e, _T("Fitcom")},
	{0x00000d3f, vid_00000d3f, _T("MTS Systems")},
	{0x00000d40, vid_00000d40, _T("Ascor")},
	{0x00000d41, vid_00000d41, _T("Ta Yun Terminals Industrial")},
	{0x00000d42, vid_00000d42, _T("Full Der")},
	{0x00000d46, vid_00000d46, _T("Kobil Systems GmbH")},
	{0x00000d49, vid_00000d49, _T("Maxtor")},
	{0x00000d4a, vid_00000d4a, _T("NF")},
	{0x00000d4b, vid_00000d4b, _T("Grape Systems")},
	{0x00000d4c, vid_00000d4c, _T("Tedas AG")},
	{0x00000d4d, vid_00000d4d, _T("Coherent")},
	{0x00000d4e, vid_00000d4e, _T("Agere Systems Netherland BV")},
	{0x00000d4f, vid_00000d4f, _T("EADS Airbus France")},
	{0x00000d50, vid_00000d50, _T("Cleware GmbH")},
	{0x00000d51, vid_00000d51, _T("Volex (Asia) Pte")},
	{0x00000d53, vid_00000d53, _T("HMI")},
	{0x00000d54, vid_00000d54, _T("Holon")},
	{0x00000d55, vid_00000d55, _T("ASKA Technologies")},
	{0x00000d56, vid_00000d56, _T("AVLAB Technology")},
	{0x00000d57, vid_00000d57, _T("Solomon Microtech")},
	{0x00000d5c, vid_00000d5c, _T("Belkin")},
	{0x00000d5e, vid_00000d5e, _T("Myacom")},
	{0x00000d5f, vid_00000d5f, _T("CSI")},
	{0x00000d60, vid_00000d60, _T("IVL Technologies")},
	{0x00000d61, vid_00000d61, _T("Meilu Electronics (Shenzhen)")},
	{0x00000d62, vid_00000d62, _T("Darfon Electronics")},
	{0x00000d63, vid_00000d63, _T("Fritz Gegauf AG")},
	{0x00000d64, vid_00000d64, _T("DXG Technology")},
	{0x00000d65, vid_00000d65, _T("KMJP")},
	{0x00000d66, vid_00000d66, _T("TMT")},
	{0x00000d67, vid_00000d67, _T("Advanet")},
	{0x00000d68, vid_00000d68, _T("Super Link Electronics")},
	{0x00000d69, vid_00000d69, _T("NSI")},
	{0x00000d6a, vid_00000d6a, _T("Megapower International")},
	{0x00000d6b, vid_00000d6b, _T("And-Or Logic")},
	{0x00000d70, vid_00000d70, _T("Try Computer")},
	{0x00000d71, vid_00000d71, _T("Hirakawa Hewtech")},
	{0x00000d72, vid_00000d72, _T("Winmate Communication")},
	{0x00000d73, vid_00000d73, _T("Hit's Communications")},
	{0x00000d76, vid_00000d76, _T("MFP Korea")},
	{0x00000d77, vid_00000d77, _T("Power Sentry/Newpoint")},
	{0x00000d78, vid_00000d78, _T("Japan Distributor")},
	{0x00000d7a, vid_00000d7a, _T("MARX Datentechnik GmbH")},
	{0x00000d7b, vid_00000d7b, _T("Wellco Technology")},
	{0x00000d7c, vid_00000d7c, _T("Taiwan Line Tek Electronic")},
	{0x00000d7d, vid_00000d7d, _T("Phison Electronics")},
	{0x00000d7e, vid_00000d7e, _T("American Computer & Digital Components")},
	{0x00000d7f, vid_00000d7f, _T("Essential Reality LLC")},
	{0x00000d80, vid_00000d80, _T("H.R. Silvine Electronics")},
	{0x00000d81, vid_00000d81, _T("TechnoVision")},
	{0x00000d83, vid_00000d83, _T("Think Outside")},
	{0x00000d89, vid_00000d89, _T("Oz Software")},
	{0x00000d8a, vid_00000d8a, _T("King Jim")},
	{0x00000d8b, vid_00000d8b, _T("Ascom Telecommunications")},
	{0x00000d8c, vid_00000d8c, _T("C-Media Electronics")},
	{0x00000d8d, vid_00000d8d, _T("Promotion & Display Technology")},
	{0x00000d8e, vid_00000d8e, _T("Global Sun Technology")},
	{0x00000d8f, vid_00000d8f, _T("Pitney Bowes")},
	{0x00000d90, vid_00000d90, _T("Sure-Fire Electrical")},
	{0x00000d96, vid_00000d96, _T("Skanhex Technology")},
	{0x00000d97, vid_00000d97, _T("Santa Barbara Instrument Group")},
	{0x00000d98, vid_00000d98, _T("Mars Semiconductor")},
	{0x00000d99, vid_00000d99, _T("Trazer Technologies")},
	{0x00000d9a, vid_00000d9a, _T("RTX Telecom AS")},
	{0x00000d9b, vid_00000d9b, _T("Tat Shing Electrical")},
	{0x00000d9c, vid_00000d9c, _T("Chee Chen Hi-Technology")},
	{0x00000d9d, vid_00000d9d, _T("Sanwa Supply")},
	{0x00000d9e, vid_00000d9e, _T("Avaya")},
	{0x00000d9f, vid_00000d9f, _T("Powercom")},
	{0x00000da0, vid_00000da0, _T("Danger Research")},
	{0x00000da1, vid_00000da1, _T("Suzhou Peter's Precise Industrial")},
	{0x00000da2, vid_00000da2, _T("Land Instruments International")},
	{0x00000da3, vid_00000da3, _T("Nippon Electro-Sensory Devices")},
	{0x00000da4, vid_00000da4, _T("Polar Electro OY")},
	{0x00000da7, vid_00000da7, _T("IOGear")},
	{0x00000da8, vid_00000da8, _T("softDSP")},
	{0x00000dab, vid_00000dab, _T("Cubig Group")},
	{0x00000dad, vid_00000dad, _T("Westover Scientific")},
	{0x00000db0, vid_00000db0, _T("Micro Star International")},
	{0x00000db1, vid_00000db1, _T("Wen Te Electronics")},
	{0x00000db2, vid_00000db2, _T("Shian Hwi Plug Parts, Plastic Factory")},
	{0x00000db3, vid_00000db3, _T("Tekram Technology")},
	{0x00000db4, vid_00000db4, _T("Chung Fu Chen Yeh Enterprise")},
	{0x00000dbe, vid_00000dbe, _T("Jiuh Shiuh Precision Industry")},
	{0x00000dbf, vid_00000dbf, _T("Quik Tech Solutions")},
	{0x00000dc0, vid_00000dc0, _T("Great Notions")},
	{0x00000dc1, vid_00000dc1, _T("Tamagawa Seiki")},
	{0x00000dc3, vid_00000dc3, _T("Athena Smartcard Solutions")},
	{0x00000dc4, vid_00000dc4, _T("Macpower Peripherals")},
	{0x00000dc5, vid_00000dc5, _T("SDK")},
	{0x00000dc6, vid_00000dc6, _T("Precision Squared Technology")},
	{0x00000dc7, vid_00000dc7, _T("First Cable Line")},
	{0x00000dcd, vid_00000dcd, _T("NetworkFab")},
	{0x00000dd0, vid_00000dd0, _T("Access Solutions")},
	{0x00000dd1, vid_00000dd1, _T("Contek Electronics")},
	{0x00000dd2, vid_00000dd2, _T("Power Quotient International")},
	{0x00000dd3, vid_00000dd3, _T("MediaQ")},
	{0x00000dd4, vid_00000dd4, _T("Custom Engineering SPA")},
	{0x00000dd5, vid_00000dd5, _T("California Micro Devices")},
	{0x00000dd7, vid_00000dd7, _T("Kocom")},
	{0x00000dd8, vid_00000dd8, _T("Netac Technology")},
	{0x00000dd9, vid_00000dd9, _T("HighSpeed Surfing")},
	{0x00000dda, vid_00000dda, _T("Integrated Circuit Solution")},
	{0x00000ddb, vid_00000ddb, _T("Tamarack")},
	{0x00000ddd, vid_00000ddd, _T("Datelink Technology")},
	{0x00000dde, vid_00000dde, _T("Ubicom")},
	{0x00000de0, vid_00000de0, _T("BD Consumer Healthcare")},
	{0x00000ded, vid_00000ded, _T("Novasonics")},
	{0x00000dee, vid_00000dee, _T("Lifetime Memory Products")},
	{0x00000def, vid_00000def, _T("Full Rise Electronic")},
	{0x00000df6, vid_00000df6, _T("Sitecom Europe B.V")},
	{0x00000df7, vid_00000df7, _T("Mobile Action Technology")},
	{0x00000dfa, vid_00000dfa, _T("Toyo Communication Equipment")},
	{0x00000dfc, vid_00000dfc, _T("GeneralTouch Technology")},
	{0x00000e03, vid_00000e03, _T("Nippon Systemware")},
	{0x00000e08, vid_00000e08, _T("Winbest Technology")},
	{0x00000e0c, vid_00000e0c, _T("Gesytec")},
	{0x00000e16, vid_00000e16, _T("JMTek, LLC")},
	{0x00000e17, vid_00000e17, _T("Walex Electronic")},
	{0x00000e1b, vid_00000e1b, _T("Crewave")},
	{0x00000e21, vid_00000e21, _T("Cowon Systems")},
	{0x00000e23, vid_00000e23, _T("Liou Yuane Enterprise")},
	{0x00000e25, vid_00000e25, _T("VinChip Systems")},
	{0x00000e26, vid_00000e26, _T("J-Phone East")},
	{0x00000e30, vid_00000e30, _T("HeartMath LLC")},
	{0x00000e34, vid_00000e34, _T("Micro Computer Control")},
	{0x00000e35, vid_00000e35, _T("3Pea Technologies")},
	{0x00000e36, vid_00000e36, _T("TiePie engineering")},
	{0x00000e38, vid_00000e38, _T("Stratitec")},
	{0x00000e39, vid_00000e39, _T("Smart Modular Technologies")},
	{0x00000e3a, vid_00000e3a, _T("Neostar Technology")},
	{0x00000e3b, vid_00000e3b, _T("Mansella")},
	{0x00000e41, vid_00000e41, _T("Line6")},
	{0x00000e48, vid_00000e48, _T("Julia")},
	{0x00000e4a, vid_00000e4a, _T("Shenzhen Bao Hing Electric Wire & Cable Mfr")},
	{0x00000e4c, vid_00000e4c, _T("Radica Games")},
	{0x00000e55, vid_00000e55, _T("Speed Dragon Multimedia")},
	{0x00000e5a, vid_00000e5a, _T("Active")},
	{0x00000e5b, vid_00000e5b, _T("Union Power Information Industrial")},
	{0x00000e5c, vid_00000e5c, _T("Bitland Information Technology")},
	{0x00000e5d, vid_00000e5d, _T("Neltron Industrial")},
	{0x00000e66, vid_00000e66, _T("Hawking")},
	{0x00000e67, vid_00000e67, _T("Fossil")},
	{0x00000e6a, vid_00000e6a, _T("Megawin Technology")},
	{0x00000e70, vid_00000e70, _T("Tokyo Electronic Industry")},
	{0x00000e72, vid_00000e72, _T("Hsi-Chin Electronics")},
	{0x00000e75, vid_00000e75, _T("TVS Electronics")},
	{0x00000e7b, vid_00000e7b, _T("On-Tech Industry")},
	{0x00000e7e, vid_00000e7e, _T("Gmate")},
	{0x00000e79, vid_00000e79, _T("ARCHOS")},
	{0x00000e82, vid_00000e82, _T("Ching Tai Electric Wire & Cable")},
	{0x00000e8c, vid_00000e8c, _T("Well Force Electronic")},
	{0x00000e90, vid_00000e90, _T("WiebeTech, LLC")},
	{0x00000e91, vid_00000e91, _T("VTech Engineering Canada")},
	{0x00000e92, vid_00000e92, _T("C's Glory Enterprise")},
	{0x00000e93, vid_00000e93, _T("eM Technics")},
	{0x00000e95, vid_00000e95, _T("Future Technology")},
	{0x00000e96, vid_00000e96, _T("Aplux Communications")},
	{0x00000e97, vid_00000e97, _T("Fingerworks")},
	{0x00000e98, vid_00000e98, _T("Advanced Analogic Technologies")},
	{0x00000e99, vid_00000e99, _T("Parallel Dice")},
	{0x00000e9a, vid_00000e9a, _T("TA HSING Industries")},
	{0x00000e9b, vid_00000e9b, _T("ADTEC")},
	{0x00000e9c, vid_00000e9c, _T("Streamzap")},
	{0x00000e9f, vid_00000e9f, _T("Tamura")},
	{0x00000ea0, vid_00000ea0, _T("Ours Technology")},
	{0x00000ea6, vid_00000ea6, _T("Nihon Computer")},
	{0x00000ea7, vid_00000ea7, _T("MSL Enterprises")},
	{0x00000ea8, vid_00000ea8, _T("CenDyne")},
	{0x00000ead, vid_00000ead, _T("Humax")},
	{0x00000eb1, vid_00000eb1, _T("WIS Technologies")},
	{0x00000eb2, vid_00000eb2, _T("Y-S Electronic")},
	{0x00000eb3, vid_00000eb3, _T("Saint Technology")},
	{0x00000eb7, vid_00000eb7, _T("Endor AG")},
	{0x00000ebe, vid_00000ebe, _T("VWeb")},
	{0x00000ebf, vid_00000ebf, _T("Omega Technology of Taiwan")},
	{0x00000ec0, vid_00000ec0, _T("LHI Technology (China)")},
	{0x00000ec1, vid_00000ec1, _T("Abit Computer")},
	{0x00000ec2, vid_00000ec2, _T("Sweetray Industrial")},
	{0x00000ec3, vid_00000ec3, _T("Axell")},
	{0x00000ec4, vid_00000ec4, _T("Ballracing Developments")},
	{0x00000ec5, vid_00000ec5, _T("GT Information System")},
	{0x00000ec6, vid_00000ec6, _T("InnoVISION Multimedia")},
	{0x00000ec7, vid_00000ec7, _T("Theta Link")},
	{0x00000ecd, vid_00000ecd, _T("Lite-On IT")},
	{0x00000ece, vid_00000ece, _T("TaiSol Electronics")},
	{0x00000ecf, vid_00000ecf, _T("Phogenix Imaging, LLC")},
	{0x00000ed1, vid_00000ed1, _T("WinMaxGroup")},
	{0x00000ed2, vid_00000ed2, _T("Kyoto Micro Computer")},
	{0x00000ed3, vid_00000ed3, _T("Wing-Tech Enterprise")},
	{0x00000eda, vid_00000eda, _T("Noriake Itron")},
	{0x00000edf, vid_00000edf, _T("e-MDT")},
	{0x00000ee0, vid_00000ee0, _T("Shima Seiki")},
	{0x00000ee1, vid_00000ee1, _T("Sarotech")},
	{0x00000ee2, vid_00000ee2, _T("AMI Semiconductor")},
	{0x00000ee3, vid_00000ee3, _T("ComTrue Technology")},
	{0x00000ee4, vid_00000ee4, _T("Sunrich Technology")},
	{0x00000eee, vid_00000eee, _T("Digital Stream Technology")},
	{0x00000eef, vid_00000eef, _T("D-WAV Scientific")},
	{0x00000ef0, vid_00000ef0, _T("Hitachi Cable")},
	{0x00000ef1, vid_00000ef1, _T("Aichi Micro Intelligent")},
	{0x00000ef2, vid_00000ef2, _T("I/O Magic")},
	{0x00000ef3, vid_00000ef3, _T("Lynn Products")},
	{0x00000ef4, vid_00000ef4, _T("DSI Datotech")},
	{0x00000ef5, vid_00000ef5, _T("PointChips")},
	{0x00000ef6, vid_00000ef6, _T("Yield Microelectronics")},
	{0x00000ef7, vid_00000ef7, _T("SM Tech (Tulip)")},
	{0x00000efe, vid_00000efe, _T("Wem Technology")},
	{0x00000efd, vid_00000efd, _T("Oasis Semiconductor")},
	{0x00000f06, vid_00000f06, _T("Visual Frontier Enterprise")},
	{0x00000f08, vid_00000f08, _T("CSL Wire & Plug (Shen Zhen)")},
	{0x00000f0c, vid_00000f0c, _T("CAS")},
	{0x00000f0d, vid_00000f0d, _T("Hori")},
	{0x00000f0e, vid_00000f0e, _T("Energy Full")},
	{0x00000f12, vid_00000f12, _T("Mars Engineering")},
	{0x00000f13, vid_00000f13, _T("Acetek Technology")},
	{0x00000f19, vid_00000f19, _T("Oracom")},
	{0x00000f1b, vid_00000f1b, _T("Onset Computer")},
	{0x00000f1c, vid_00000f1c, _T("Funai Electric")},
	{0x00000f1d, vid_00000f1d, _T("Iwill")},
	{0x00000f21, vid_00000f21, _T("IOI Technology")},
	{0x00000f22, vid_00000f22, _T("Senior Industries")},
	{0x00000f23, vid_00000f23, _T("Leader Tech Manufacturer")},
	{0x00000f24, vid_00000f24, _T("Flex-P Industries, Snd., Bhd")},
	{0x00000f2d, vid_00000f2d, _T("ViPower")},
	{0x00000f2e, vid_00000f2e, _T("Geniality Maple Technology")},
	{0x00000f2f, vid_00000f2f, _T("Priva Design Services")},
	{0x00000f30, vid_00000f30, _T("Jess Technology")},
	{0x00000f31, vid_00000f31, _T("Chrysalis Development")},
	{0x00000f32, vid_00000f32, _T("YFC-BonEagle Electric")},
	{0x00000f37, vid_00000f37, _T("Kokuyo")},
	{0x00000f38, vid_00000f38, _T("Nien-Yi Industrial")},
	{0x00000f3d, vid_00000f3d, _T("Airprime, Incorporated")},
	{0x00000f41, vid_00000f41, _T("RDC Semiconductor")},
	{0x00000f42, vid_00000f42, _T("Nital Consulting Services")},
	{0x00000f4b, vid_00000f4b, _T("St. John Technology")},
	{0x00000f4c, vid_00000f4c, _T("WorldWide Cable Opto")},
	{0x00000f4d, vid_00000f4d, _T("Microtune")},
	{0x00000f4e, vid_00000f4e, _T("Freedom Scientific")},
	{0x00000f52, vid_00000f52, _T("Wing Key Electrical")},
	{0x00000f53, vid_00000f53, _T("Dongguan White Horse Cable Factory")},
	{0x00000f54, vid_00000f54, _T("Kawai Musical Instruments")},
	{0x00000f55, vid_00000f55, _T("AmbiCom")},
	{0x00000f5c, vid_00000f5c, _T("Prairiecomm")},
	{0x00000f5d, vid_00000f5d, _T("NewAge International, LLC")},
	{0x00000f5f, vid_00000f5f, _T("Key Technology")},
	{0x00000f60, vid_00000f60, _T("NTK")},
	{0x00000f61, vid_00000f61, _T("Varian")},
	{0x00000f62, vid_00000f62, _T("Acrox Technologies")},
	{0x00000f68, vid_00000f68, _T("Kobe Steel")},
	{0x00000f69, vid_00000f69, _T("Dionex")},
	{0x00000f6a, vid_00000f6a, _T("Vibren Technologies")},
	{0x00000f73, vid_00000f73, _T("DFI")},
	{0x00000f7c, vid_00000f7c, _T("DQ Technology")},
	{0x00000f7d, vid_00000f7d, _T("NetBotz")},
	{0x00000f7e, vid_00000f7e, _T("Fluke")},
	{0x00000f88, vid_00000f88, _T("VTech Holdings")},
	{0x00000f8b, vid_00000f8b, _T("Yazaki")},
	{0x00000f8c, vid_00000f8c, _T("Young Generation International")},
	{0x00000f8d, vid_00000f8d, _T("Uniwill Computer")},
	{0x00000f8e, vid_00000f8e, _T("Kingnet Technology")},
	{0x00000f8f, vid_00000f8f, _T("Soma Networks")},
	{0x00000f97, vid_00000f97, _T("CviLux")},
	{0x00000f98, vid_00000f98, _T("CyberBank")},
	{0x00000f9c, vid_00000f9c, _T("Hyun Won")},
	{0x00000f9e, vid_00000f9e, _T("Lucent Technologies")},
	{0x00000fa3, vid_00000fa3, _T("Starconn Electronic")},
	{0x00000fa4, vid_00000fa4, _T("ATL Technology")},
	{0x00000fa5, vid_00000fa5, _T("Sotec")},
	{0x00000fa7, vid_00000fa7, _T("Epox Computer")},
	{0x00000fa8, vid_00000fa8, _T("Logic Controls")},
	{0x00000faf, vid_00000faf, _T("Winpoint Electronic")},
	{0x00000fb0, vid_00000fb0, _T("Haurtian Wire & Cable")},
	{0x00000fb1, vid_00000fb1, _T("Inclose Design")},
	{0x00000fb2, vid_00000fb2, _T("Juan-Chern Industrial")},
	{0x00000fb8, vid_00000fb8, _T("Wistron")},
	{0x00000fb9, vid_00000fb9, _T("AACom")},
	{0x00000fba, vid_00000fba, _T("San Shing Electronics")},
	{0x00000fbb, vid_00000fbb, _T("Bitwise Systems")},
	{0x00000fc1, vid_00000fc1, _T("Mitac Internatinal")},
	{0x00000fc2, vid_00000fc2, _T("Plug and Jack Industrial")},
	{0x00000fc5, vid_00000fc5, _T("Delcom Engineering")},
	{0x00000fc6, vid_00000fc6, _T("Dataplus Supplies")},
	{0x00000fca, vid_00000fca, _T("Research In Motion")},
	{0x00000fce, vid_00000fce, _T("Sony Ericsson Mobile Communications AB")},
	{0x00000fcf, vid_00000fcf, _T("Dynastream Innovations")},
	{0x00000fd0, vid_00000fd0, _T("Tulip Computers B.V")},
	{0x00000fd4, vid_00000fd4, _T("Tenovis GmbH &, KG")},
	{0x00000fd5, vid_00000fd5, _T("Direct Access Technology")},
	{0x00000fdc, vid_00000fdc, _T("Micro Plus")},
	{0x00000fe4, vid_00000fe4, _T("IN-Tech Electronics")},
	{0x00000fe5, vid_00000fe5, _T("Greenconn (U.S.A.)")},
	{0x00000fe9, vid_00000fe9, _T("DVICO")},
	{0x00000fea, vid_00000fea, _T("United Computer Accessories")},
	{0x00000feb, vid_00000feb, _T("CRS Electronic")},
	{0x00000fec, vid_00000fec, _T("UMC Electronics")},
	{0x00000fed, vid_00000fed, _T("Access")},
	{0x00000fee, vid_00000fee, _T("Xsido")},
	{0x00000fef, vid_00000fef, _T("MJ Research")},
	{0x00000ff6, vid_00000ff6, _T("Core Valley")},
	{0x00000ff7, vid_00000ff7, _T("CHI SHING Computer Accessories")},
	{0x00000fff, vid_00000fff, _T("Aopen")},
	{0x00001000, vid_00001000, _T("Speed Tech")},
	{0x00001001, vid_00001001, _T("Ritronics Components (S) Pte")},
	{0x00001003, vid_00001003, _T("Sigma")},
	{0x00001004, vid_00001004, _T("LG Electronics")},
	{0x00001005, vid_00001005, _T("Apacer Technology")},
	{0x00001006, vid_00001006, _T("iRiver")},
	{0x00001009, vid_00001009, _T("Emuzed")},
	{0x0000100a, vid_0000100a, _T("AV Chaseway")},
	{0x0000100b, vid_0000100b, _T("Chou Chin Industrial")},
	{0x0000100d, vid_0000100d, _T("Netopia")},
	{0x00001010, vid_00001010, _T("Fukuda Denshi")},
	{0x00001011, vid_00001011, _T("Mobile Media Tech")},
	{0x00001012, vid_00001012, _T("SDKM Fibres, Wires & Cables Berhad")},
	{0x00001013, vid_00001013, _T("TST-Touchless Sensor Technology AG")},
	{0x00001014, vid_00001014, _T("Densitron Technologies PLC")},
	{0x00001015, vid_00001015, _T("Softronics Pty")},
	{0x00001016, vid_00001016, _T("Xiamen Hung's Enterprise")},
	{0x00001017, vid_00001017, _T("Speedy Industrial Supplies, Pte")},
	{0x00001020, vid_00001020, _T("Labtec")},
	{0x00001022, vid_00001022, _T("Shinko Shoji")},
	{0x00001025, vid_00001025, _T("Hyper-Paltek")},
	{0x00001026, vid_00001026, _T("Newly")},
	{0x00001027, vid_00001027, _T("Time Domain")},
	{0x00001028, vid_00001028, _T("Inovys")},
	{0x00001029, vid_00001029, _T("Atlantic Coast Telesys")},
	{0x0000102a, vid_0000102a, _T("Ramos Technology")},
	{0x0000102b, vid_0000102b, _T("Infotronic America")},
	{0x0000102c, vid_0000102c, _T("Etoms Electronics")},
	{0x0000102d, vid_0000102d, _T("Winic")},
	{0x00001031, vid_00001031, _T("Comax Technology")},
	{0x00001032, vid_00001032, _T("C-One Technology")},
	{0x00001033, vid_00001033, _T("Nucam")},
	{0x00001038, vid_00001038, _T("Ideazon")},
	{0x00001043, vid_00001043, _T("iCreate Technologies")},
	{0x00001044, vid_00001044, _T("Chu Yuen Enterprise")},
	{0x00001046, vid_00001046, _T("Winbond Electronics [hex]")},
	{0x0000104c, vid_0000104c, _T("AMCO TEC International")},
	{0x00001053, vid_00001053, _T("Immanuel Electronics")},
	{0x00001054, vid_00001054, _T("BMS International Beheer N.V")},
	{0x00001055, vid_00001055, _T("Complex Micro Interconnection")},
	{0x00001056, vid_00001056, _T("Hsin Chen Ent")},
	{0x00001057, vid_00001057, _T("ON Semiconductor")},
	{0x00001058, vid_00001058, _T("Western Digital Technologies")},
	{0x00001059, vid_00001059, _T("Giesecke & Devrient GmbH")},
	{0x0000105c, vid_0000105c, _T("Hong Ji Electric Wire & Cable (Dongguan)")},
	{0x0000105d, vid_0000105d, _T("Delkin Devices")},
	{0x0000105e, vid_0000105e, _T("Valence Semiconductor Design")},
	{0x0000105f, vid_0000105f, _T("Chin Shong Enterprise")},
	{0x00001060, vid_00001060, _T("Easthome Industrial")},
	{0x00001063, vid_00001063, _T("Motorola Electronics Taiwan [hex]")},
	{0x00001065, vid_00001065, _T("CCYU Technology")},
	{0x0000106a, vid_0000106a, _T("Loyal Legend")},
	{0x0000106c, vid_0000106c, _T("Curitel Communications")},
	{0x0000106d, vid_0000106d, _T("San Chieh Manufacturing")},
	{0x0000106e, vid_0000106e, _T("ConectL")},
	{0x0000106f, vid_0000106f, _T("Money Controls")},
	{0x00001076, vid_00001076, _T("GCT Semiconductor")},
	{0x0000107d, vid_0000107d, _T("Arlec Australia")},
	{0x0000107e, vid_0000107e, _T("Midoriya Electric")},
	{0x0000107f, vid_0000107f, _T("KidzMouse")},
	{0x00001082, vid_00001082, _T("Shin-Etsukaken")},
	{0x00001083, vid_00001083, _T("Canon Electronics")},
	{0x00001084, vid_00001084, _T("Pantech")},
	{0x0000108a, vid_0000108a, _T("Chloride Power Protection")},
	{0x0000108b, vid_0000108b, _T("Grand-tek Technology")},
	{0x0000108c, vid_0000108c, _T("Robert Bosch GmbH")},
	{0x00001099, vid_00001099, _T("Surface Optics")},
	{0x0000109a, vid_0000109a, _T("DATASOFT Systems GmbH")},
	{0x0000109f, vid_0000109f, _T("eSOL")},
	{0x000010a0, vid_000010a0, _T("Hirotech")},
	{0x000010a3, vid_000010a3, _T("Mitsubishi Materials")},
	{0x000010a9, vid_000010a9, _T("SK Teletech")},
	{0x000010aa, vid_000010aa, _T("Cables To Go")},
	{0x000010ab, vid_000010ab, _T("USI")},
	{0x000010ac, vid_000010ac, _T("Honeywell")},
	{0x000010ae, vid_000010ae, _T("Princeton Technology")},
	{0x000010b5, vid_000010b5, _T("Comodo (PLX?)")},
	{0x000010b8, vid_000010b8, _T("DiBcom")},
	{0x000010bb, vid_000010bb, _T("TM Technology")},
	{0x000010bc, vid_000010bc, _T("Dinging Technology")},
	{0x000010bd, vid_000010bd, _T("TMT Technology")},
	{0x000010bf, vid_000010bf, _T("SmartHome")},
	{0x000010c4, vid_000010c4, _T("Cygnal Integrated Products")},
	{0x000010c5, vid_000010c5, _T("Sanei Electric")},
	{0x000010c6, vid_000010c6, _T("Intec")},
	{0x000010cb, vid_000010cb, _T("Eratech")},
	{0x000010cc, vid_000010cc, _T("GBM Connector")},
	{0x000010cd, vid_000010cd, _T("Kycon")},
	{0x000010cf, vid_000010cf, _T("Velleman Components")},
	{0x000010d1, vid_000010d1, _T("Hottinger Baldwin Measurement")},
	{0x000010d4, vid_000010d4, _T("Man Boon Manufactory")},
	{0x000010d5, vid_000010d5, _T("Uni Class Technology")},
	{0x000010d6, vid_000010d6, _T("Actions Semiconductor")},
	{0x000010de, vid_000010de, _T("Authenex")},
	{0x000010df, vid_000010df, _T("In-Win Development")},
	{0x000010e0, vid_000010e0, _T("Post-Op Video")},
	{0x000010e1, vid_000010e1, _T("CablePlus")},
	{0x000010e2, vid_000010e2, _T("Nada Electronics")},
	{0x000010ec, vid_000010ec, _T("Vast Technologies")},
	{0x000010fb, vid_000010fb, _T("Pictos Technologies")},
	{0x000010fd, vid_000010fd, _T("Anubis Electronics")},
	{0x00001a0a, vid_00001a0a, _T("...")},
	{0x00001100, vid_00001100, _T("VirTouch")},
	{0x00001101, vid_00001101, _T("EasyPass Industrial")},
	{0x00001108, vid_00001108, _T("Brightcom Technologies")},
	{0x00001110, vid_00001110, _T("Analog Devices Canada (Allied Telesyn)")},
	{0x00001112, vid_00001112, _T("YM ELECTRIC")},
	{0x00001113, vid_00001113, _T("Medion AG")},
	{0x0000111e, vid_0000111e, _T("VSO Electric")},
	{0x0000112e, vid_0000112e, _T("Master Hill Electric Wire and Cable")},
	{0x0000112f, vid_0000112f, _T("Cellon International")},
	{0x00001130, vid_00001130, _T("Tenx Technology")},
	{0x00001131, vid_00001131, _T("Integrated System Solution")},
	{0x00001132, vid_00001132, _T("Toshiba, Digital Media Equipment [hex]")},
	{0x0000113c, vid_0000113c, _T("Arin Tech")},
	{0x0000113d, vid_0000113d, _T("Mapower Electronics")},
	{0x00001141, vid_00001141, _T("V One Multimedia, Pte")},
	{0x00001142, vid_00001142, _T("CyberScan Technologies")},
	{0x00001147, vid_00001147, _T("Ever Great Electric Wire and Cable")},
	{0x0000114c, vid_0000114c, _T("Tinius Olsen Testing Machine")},
	{0x0000114d, vid_0000114d, _T("Alpha Imaging Technology")},
	{0x00001162, vid_00001162, _T("Secugen")},
	{0x00001163, vid_00001163, _T("DeLorme Publishing")},
	{0x00001164, vid_00001164, _T("YUAN High-Tech Development")},
	{0x00001165, vid_00001165, _T("Telson Electronics")},
	{0x00001166, vid_00001166, _T("Bantam Interactive Technologies")},
	{0x00001167, vid_00001167, _T("Salient Systems")},
	{0x00001168, vid_00001168, _T("BizConn International")},
	{0x0000116e, vid_0000116e, _T("Gigastorage")},
	{0x0000116f, vid_0000116f, _T("Silicon 10 Technology")},
	{0x00001175, vid_00001175, _T("Shengyih Steel Mold")},
	{0x0000117d, vid_0000117d, _T("Santa Electronic")},
	{0x0000117e, vid_0000117e, _T("JNC")},
	{0x00001182, vid_00001182, _T("Venture")},
	{0x00001183, vid_00001183, _T("Compaq Computer [hex] (Digital Dream ?)")},
	{0x00001184, vid_00001184, _T("Kyocera Elco")},
	{0x0000118f, vid_0000118f, _T("You Yang Technology")},
	{0x00001190, vid_00001190, _T("Tripace")},
	{0x00001191, vid_00001191, _T("Loyalty Founder Enterprise")},
	{0x00001196, vid_00001196, _T("Yankee Robotics, LLC")},
	{0x00001197, vid_00001197, _T("Technoimagia")},
	{0x00001198, vid_00001198, _T("StarShine Technology")},
	{0x00001199, vid_00001199, _T("Sierra Wireless")},
	{0x0000119a, vid_0000119a, _T("ZHAN QI Technology")},
	{0x0000119b, vid_0000119b, _T("ruwido austria GmbH")},
	{0x000011a0, vid_000011a0, _T("Chipcon AS")},
	{0x000011a3, vid_000011a3, _T("Technovas")},
	{0x000011aa, vid_000011aa, _T("GlobalMedia Group, LLC")},
	{0x000011ab, vid_000011ab, _T("Exito Electronics")},
	{0x000011db, vid_000011db, _T("Topfield")},
	{0x000011f5, vid_000011f5, _T("Siemens AG (?)")},
	{0x000011f7, vid_000011f7, _T("Alcatel (?)")},
	{0x00001209, vid_00001209, _T("InterBiometrics")},
	{0x0000120e, vid_0000120e, _T("Hudson Soft")},
	{0x0000121e, vid_0000121e, _T("Jungsoft")},
	{0x00001241, vid_00001241, _T("Belkin")},
	{0x0000124a, vid_0000124a, _T("AirVast")},
	{0x0000124b, vid_0000124b, _T("Nyko (Honey Bee)")},
	{0x00001267, vid_00001267, _T("Logic3 / SpectraVideo plc")},
	{0x0000126e, vid_0000126e, _T("Strobe Data")},
	{0x0000126f, vid_0000126f, _T("TwinMOS")},
	{0x00001275, vid_00001275, _T("Xaxero Marine Software Engineering")},
	{0x00001292, vid_00001292, _T("Innomedia")},
	{0x00001293, vid_00001293, _T("Belkin Components [hex]")},
	{0x000012fd, vid_000012fd, _T("AIN Comm. Technology")},
	{0x00001310, vid_00001310, _T("Roper")},
	{0x00001312, vid_00001312, _T("ICS Electronics")},
	{0x0000131d, vid_0000131d, _T("Natural Point")},
	{0x0000132b, vid_0000132b, _T("Konica Minolta")},
	{0x00001342, vid_00001342, _T("Mobility")},
	{0x0000134e, vid_0000134e, _T("Digby's Bitpile DBA D Bit")},
	{0x00001370, vid_00001370, _T("Swissbit")},
	{0x00001398, vid_00001398, _T("Q-tec")},
	{0x000013b0, vid_000013b0, _T("Alesis")},
	{0x000013b1, vid_000013b1, _T("Linksys")},
	{0x000013d2, vid_000013d2, _T("Shark Multimedia")},
	{0x000013d3, vid_000013d3, _T("IMC Networks")},
	{0x00001453, vid_00001453, _T("Radio Shack")},
	{0x00001462, vid_00001462, _T("Micro Star International")},
	{0x0000147a, vid_0000147a, _T("Formosa Industrial Computing")},
	{0x00001484, vid_00001484, _T("Elsa AG [hex]")},
	{0x0000148f, vid_0000148f, _T("Ralink Technology,")},
	{0x000014aa, vid_000014aa, _T("AVerMedia (again) or C&E")},
	{0x000014c2, vid_000014c2, _T("Gemlight Computer")},
	{0x00001518, vid_00001518, _T("Cheshire Engineering")},
	{0x00001520, vid_00001520, _T("Bitwire")},
	{0x0000152e, vid_0000152e, _T("LG (HLDS)")},
	{0x00001546, vid_00001546, _T("U-Blox AG")},
	{0x00001554, vid_00001554, _T("Prolink Microsystems")},
	{0x00001568, vid_00001568, _T("Sunf Pu Technology")},
	{0x000015c2, vid_000015c2, _T("SoundGraph Inc")},
	{0x000015c6, vid_000015c6, _T("Laboratoires MXM")},
	{0x000015e8, vid_000015e8, _T("SohoWare")},
	{0x000015e9, vid_000015e9, _T("Pacific Digital")},
	{0x000015f4, vid_000015f4, _T("HanfTek")},
	{0x00001604, vid_00001604, _T("Tascam")},
	{0x00001606, vid_00001606, _T("Umax [hex]")},
	{0x00001608, vid_00001608, _T("Inside Out Networks [hex]")},
	{0x00001645, vid_00001645, _T("Entrega [hex]")},
	{0x00001657, vid_00001657, _T("Struck Innovative Systeme GmbH")},
	{0x00001668, vid_00001668, _T("Actiontec Electronics [hex]")},
	{0x00001690, vid_00001690, _T("Askey Computer [hex]")},
	{0x00001696, vid_00001696, _T("Hitachi Video and Information System")},
	{0x00001697, vid_00001697, _T("VTec Test")},
	{0x00001706, vid_00001706, _T("BlueView Technologies")},
	{0x00001733, vid_00001733, _T("Cellink Technology")},
	{0x000017eb, vid_000017eb, _T("Cornice")},
	{0x00001822, vid_00001822, _T("Twinhan")},
	{0x0000185b, vid_0000185b, _T("Compro")},
	{0x00001894, vid_00001894, _T("Topseed")},
	{0x00001977, vid_00001977, _T("T-Logic")},
	{0x00001ebb, vid_00001ebb, _T("NuCORE Technology")},
	{0x00002001, vid_00002001, _T("D-Link [hex]")},
	{0x00002040, vid_00002040, _T("Hauppauge")},
	{0x00002101, vid_00002101, _T("ActionStar")},
	{0x00002162, vid_00002162, _T("Creative (?)")},
	{0x00002222, vid_00002222, _T("MacAlly")},
	{0x000022b8, vid_000022b8, _T("Motorola PCS")},
	{0x000022b9, vid_000022b9, _T("eTurboTouch Technology")},
	{0x000022ba, vid_000022ba, _T("Technology Innovation Holdings")},
	{0x00002304, vid_00002304, _T("Pinnacle Systems [hex]")},
	{0x00002318, vid_00002318, _T("Shining Technologies [hex]")},
	{0x00002375, vid_00002375, _T("Digit@lway")},
	{0x00002406, vid_00002406, _T("SANHO Digital Electronics")},
	{0x00002632, vid_00002632, _T("TwinMOS")},
	{0x00002650, vid_00002650, _T("Electronics For Imaging [hex]")},
	{0x00002770, vid_00002770, _T("NHJ")},
	{0x00002899, vid_00002899, _T("Toptronic Industrial")},
	{0x00002fb2, vid_00002fb2, _T("Fujitsu")},
	{0x00003125, vid_00003125, _T("Eagletron")},
	{0x00003176, vid_00003176, _T("Whanam Electronics")},
	{0x00003340, vid_00003340, _T("Yakumo")},
	{0x00003504, vid_00003504, _T("Micro Star")},
	{0x00003538, vid_00003538, _T("Power Quotient International")},
	{0x00003579, vid_00003579, _T("DIVA")},
	{0x00003636, vid_00003636, _T("InVibro")},
	{0x00003838, vid_00003838, _T("WEM")},
	{0x00003923, vid_00003923, _T("National Instruments")},
	{0x00004102, vid_00004102, _T("iRiver")},
	{0x0000413c, vid_0000413c, _T("Dell Computer")},
	{0x00004242, vid_00004242, _T("USB Design by Example")},
	{0x00004146, vid_00004146, _T("USBest Technology")},
	{0x00004572, vid_00004572, _T("Shuttle")},
	{0x00004586, vid_00004586, _T("Panram")},
	{0x00004670, vid_00004670, _T("EMS Production")},
	{0x00005032, vid_00005032, _T("Grandtec")},
	{0x00005041, vid_00005041, _T("Linksys (?)")},
	{0x0000544d, vid_0000544d, _T("Transmeta")},
	{0x00005543, vid_00005543, _T("UC-Logic Technology")},
	{0x000055aa, vid_000055aa, _T("OnSpec Electronic")},
	{0x0000636c, vid_0000636c, _T("CoreLogic")},
	{0x00006666, vid_00006666, _T("Prototype product Vendor ID")},
	{0x00006993, vid_00006993, _T("Freshtel")},
	{0x00006a75, vid_00006a75, _T("Shanghai Jujo Electronics")},
	{0x00008086, vid_00008086, _T("Intel")},
	{0x00008341, vid_00008341, _T("EGO Systems")},
	{0x00009710, vid_00009710, _T("MosChip Semiconductor")},
	{0x0000c251, vid_0000c251, _T("Keil Software")},
	{0x0000eb1a, vid_0000eb1a, _T("eMPIA Technology")},
	{0x80000000, vid_80000000, _T("Unknown Manufacturer")}
};

#endif	// __VENDOR_LIST_H__
